# `datadog_dashboard`

Refer to the Terraform Registory for docs: [`datadog_dashboard`](https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard).

# `dashboard` Submodule <a name="`dashboard` Submodule" id="@cdktf/provider-datadog.dashboard"></a>

## Constructs <a name="Constructs" id="Constructs"></a>

### Dashboard <a name="Dashboard" id="@cdktf/provider-datadog.dashboard.Dashboard"></a>

Represents a {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard datadog_dashboard}.

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.Dashboard(
  scope: Construct,
  id: str,
  connection: typing.Union[SSHProvisionerConnection, WinrmProvisionerConnection] = None,
  count: typing.Union[typing.Union[int, float], TerraformCount] = None,
  depends_on: typing.List[ITerraformDependable] = None,
  for_each: ITerraformIterator = None,
  lifecycle: TerraformResourceLifecycle = None,
  provider: TerraformProvider = None,
  provisioners: typing.List[typing.Union[FileProvisioner, LocalExecProvisioner, RemoteExecProvisioner]] = None,
  layout_type: str,
  title: str,
  dashboard_lists: typing.List[typing.Union[int, float]] = None,
  description: str = None,
  id: str = None,
  is_read_only: typing.Union[bool, IResolvable] = None,
  notify_list: typing.List[str] = None,
  reflow_type: str = None,
  restricted_roles: typing.List[str] = None,
  template_variable: typing.Union[IResolvable, typing.List[DashboardTemplateVariable]] = None,
  template_variable_preset: typing.Union[IResolvable, typing.List[DashboardTemplateVariablePreset]] = None,
  url: str = None,
  widget: typing.Union[IResolvable, typing.List[DashboardWidget]] = None
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | The scope in which to define this construct. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.id">id</a></code> | <code>str</code> | The scoped construct ID. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.connection">connection</a></code> | <code>typing.Union[cdktf.SSHProvisionerConnection, cdktf.WinrmProvisionerConnection]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.count">count</a></code> | <code>typing.Union[typing.Union[int, float], cdktf.TerraformCount]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.dependsOn">depends_on</a></code> | <code>typing.List[cdktf.ITerraformDependable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.forEach">for_each</a></code> | <code>cdktf.ITerraformIterator</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.lifecycle">lifecycle</a></code> | <code>cdktf.TerraformResourceLifecycle</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.provider">provider</a></code> | <code>cdktf.TerraformProvider</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.provisioners">provisioners</a></code> | <code>typing.List[typing.Union[cdktf.FileProvisioner, cdktf.LocalExecProvisioner, cdktf.RemoteExecProvisioner]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.layoutType">layout_type</a></code> | <code>str</code> | The layout type of the dashboard. Valid values are `ordered`, `free`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.title">title</a></code> | <code>str</code> | The title of the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.dashboardLists">dashboard_lists</a></code> | <code>typing.List[typing.Union[int, float]]</code> | A list of dashboard lists this dashboard belongs to. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.description">description</a></code> | <code>str</code> | The description of the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.id">id</a></code> | <code>str</code> | Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#id Dashboard#id}. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.isReadOnly">is_read_only</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether this dashboard is read-only. **Deprecated.** Prefer using `restricted_roles` to define which roles are required to edit the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.notifyList">notify_list</a></code> | <code>typing.List[str]</code> | The list of handles for the users to notify when changes are made to this dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.reflowType">reflow_type</a></code> | <code>str</code> | The reflow type of a new dashboard layout. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.restrictedRoles">restricted_roles</a></code> | <code>typing.List[str]</code> | UUIDs of roles whose associated users are authorized to edit the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.templateVariable">template_variable</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>]]</code> | template_variable block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.templateVariablePreset">template_variable_preset</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>]]</code> | template_variable_preset block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.url">url</a></code> | <code>str</code> | The URL of the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.widget">widget</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidget">DashboardWidget</a>]]</code> | widget block. |

---

##### `scope`<sup>Required</sup> <a name="scope" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="id" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.id"></a>

- *Type:* str

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `connection`<sup>Optional</sup> <a name="connection" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.connection"></a>

- *Type:* typing.Union[cdktf.SSHProvisionerConnection, cdktf.WinrmProvisionerConnection]

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.count"></a>

- *Type:* typing.Union[typing.Union[int, float], cdktf.TerraformCount]

---

##### `depends_on`<sup>Optional</sup> <a name="depends_on" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.dependsOn"></a>

- *Type:* typing.List[cdktf.ITerraformDependable]

---

##### `for_each`<sup>Optional</sup> <a name="for_each" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.forEach"></a>

- *Type:* cdktf.ITerraformIterator

---

##### `lifecycle`<sup>Optional</sup> <a name="lifecycle" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.lifecycle"></a>

- *Type:* cdktf.TerraformResourceLifecycle

---

##### `provider`<sup>Optional</sup> <a name="provider" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.provider"></a>

- *Type:* cdktf.TerraformProvider

---

##### `provisioners`<sup>Optional</sup> <a name="provisioners" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.provisioners"></a>

- *Type:* typing.List[typing.Union[cdktf.FileProvisioner, cdktf.LocalExecProvisioner, cdktf.RemoteExecProvisioner]]

---

##### `layout_type`<sup>Required</sup> <a name="layout_type" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.layoutType"></a>

- *Type:* str

The layout type of the dashboard. Valid values are `ordered`, `free`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#layout_type Dashboard#layout_type}

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.title"></a>

- *Type:* str

The title of the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `dashboard_lists`<sup>Optional</sup> <a name="dashboard_lists" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.dashboardLists"></a>

- *Type:* typing.List[typing.Union[int, float]]

A list of dashboard lists this dashboard belongs to.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#dashboard_lists Dashboard#dashboard_lists}

---

##### `description`<sup>Optional</sup> <a name="description" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.description"></a>

- *Type:* str

The description of the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#description Dashboard#description}

---

##### `id`<sup>Optional</sup> <a name="id" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.id"></a>

- *Type:* str

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#id Dashboard#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `is_read_only`<sup>Optional</sup> <a name="is_read_only" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.isReadOnly"></a>

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether this dashboard is read-only. **Deprecated.** Prefer using `restricted_roles` to define which roles are required to edit the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_read_only Dashboard#is_read_only}

---

##### `notify_list`<sup>Optional</sup> <a name="notify_list" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.notifyList"></a>

- *Type:* typing.List[str]

The list of handles for the users to notify when changes are made to this dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#notify_list Dashboard#notify_list}

---

##### `reflow_type`<sup>Optional</sup> <a name="reflow_type" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.reflowType"></a>

- *Type:* str

The reflow type of a new dashboard layout.

Set this only when layout type is `ordered`. If set to `fixed`, the dashboard expects all widgets to have a layout, and if it's set to `auto`, widgets should not have layouts. Valid values are `auto`, `fixed`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#reflow_type Dashboard#reflow_type}

---

##### `restricted_roles`<sup>Optional</sup> <a name="restricted_roles" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.restrictedRoles"></a>

- *Type:* typing.List[str]

UUIDs of roles whose associated users are authorized to edit the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#restricted_roles Dashboard#restricted_roles}

---

##### `template_variable`<sup>Optional</sup> <a name="template_variable" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.templateVariable"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>]]

template_variable block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#template_variable Dashboard#template_variable}

---

##### `template_variable_preset`<sup>Optional</sup> <a name="template_variable_preset" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.templateVariablePreset"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>]]

template_variable_preset block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#template_variable_preset Dashboard#template_variable_preset}

---

##### `url`<sup>Optional</sup> <a name="url" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.url"></a>

- *Type:* str

The URL of the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

##### `widget`<sup>Optional</sup> <a name="widget" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.widget"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidget">DashboardWidget</a>]]

widget block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#widget Dashboard#widget}

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.toString">to_string</a></code> | Returns a string representation of this construct. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.addOverride">add_override</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.overrideLogicalId">override_logical_id</a></code> | Overrides the auto-generated logical ID with a specific ID. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetOverrideLogicalId">reset_override_logical_id</a></code> | Resets a previously passed logical Id to use the auto-generated logical id again. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.toMetadata">to_metadata</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.toTerraform">to_terraform</a></code> | Adds this resource to the terraform JSON output. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariable">put_template_variable</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariablePreset">put_template_variable_preset</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.putWidget">put_widget</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetDashboardLists">reset_dashboard_lists</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetDescription">reset_description</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetId">reset_id</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetIsReadOnly">reset_is_read_only</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetNotifyList">reset_notify_list</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetReflowType">reset_reflow_type</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetRestrictedRoles">reset_restricted_roles</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetTemplateVariable">reset_template_variable</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetTemplateVariablePreset">reset_template_variable_preset</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetUrl">reset_url</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetWidget">reset_widget</a></code> | *No description.* |

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.Dashboard.toString"></a>

```python
def to_string() -> str
```

Returns a string representation of this construct.

##### `add_override` <a name="add_override" id="@cdktf/provider-datadog.dashboard.Dashboard.addOverride"></a>

```python
def add_override(
  path: str,
  value: typing.Any
) -> None
```

###### `path`<sup>Required</sup> <a name="path" id="@cdktf/provider-datadog.dashboard.Dashboard.addOverride.parameter.path"></a>

- *Type:* str

---

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.Dashboard.addOverride.parameter.value"></a>

- *Type:* typing.Any

---

##### `override_logical_id` <a name="override_logical_id" id="@cdktf/provider-datadog.dashboard.Dashboard.overrideLogicalId"></a>

```python
def override_logical_id(
  new_logical_id: str
) -> None
```

Overrides the auto-generated logical ID with a specific ID.

###### `new_logical_id`<sup>Required</sup> <a name="new_logical_id" id="@cdktf/provider-datadog.dashboard.Dashboard.overrideLogicalId.parameter.newLogicalId"></a>

- *Type:* str

The new logical ID to use for this stack element.

---

##### `reset_override_logical_id` <a name="reset_override_logical_id" id="@cdktf/provider-datadog.dashboard.Dashboard.resetOverrideLogicalId"></a>

```python
def reset_override_logical_id() -> None
```

Resets a previously passed logical Id to use the auto-generated logical id again.

##### `to_metadata` <a name="to_metadata" id="@cdktf/provider-datadog.dashboard.Dashboard.toMetadata"></a>

```python
def to_metadata() -> typing.Any
```

##### `to_terraform` <a name="to_terraform" id="@cdktf/provider-datadog.dashboard.Dashboard.toTerraform"></a>

```python
def to_terraform() -> typing.Any
```

Adds this resource to the terraform JSON output.

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.Dashboard.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.Dashboard.interpolationForAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `put_template_variable` <a name="put_template_variable" id="@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariable"></a>

```python
def put_template_variable(
  value: typing.Union[IResolvable, typing.List[DashboardTemplateVariable]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariable.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>]]

---

##### `put_template_variable_preset` <a name="put_template_variable_preset" id="@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariablePreset"></a>

```python
def put_template_variable_preset(
  value: typing.Union[IResolvable, typing.List[DashboardTemplateVariablePreset]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariablePreset.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>]]

---

##### `put_widget` <a name="put_widget" id="@cdktf/provider-datadog.dashboard.Dashboard.putWidget"></a>

```python
def put_widget(
  value: typing.Union[IResolvable, typing.List[DashboardWidget]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.Dashboard.putWidget.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidget">DashboardWidget</a>]]

---

##### `reset_dashboard_lists` <a name="reset_dashboard_lists" id="@cdktf/provider-datadog.dashboard.Dashboard.resetDashboardLists"></a>

```python
def reset_dashboard_lists() -> None
```

##### `reset_description` <a name="reset_description" id="@cdktf/provider-datadog.dashboard.Dashboard.resetDescription"></a>

```python
def reset_description() -> None
```

##### `reset_id` <a name="reset_id" id="@cdktf/provider-datadog.dashboard.Dashboard.resetId"></a>

```python
def reset_id() -> None
```

##### `reset_is_read_only` <a name="reset_is_read_only" id="@cdktf/provider-datadog.dashboard.Dashboard.resetIsReadOnly"></a>

```python
def reset_is_read_only() -> None
```

##### `reset_notify_list` <a name="reset_notify_list" id="@cdktf/provider-datadog.dashboard.Dashboard.resetNotifyList"></a>

```python
def reset_notify_list() -> None
```

##### `reset_reflow_type` <a name="reset_reflow_type" id="@cdktf/provider-datadog.dashboard.Dashboard.resetReflowType"></a>

```python
def reset_reflow_type() -> None
```

##### `reset_restricted_roles` <a name="reset_restricted_roles" id="@cdktf/provider-datadog.dashboard.Dashboard.resetRestrictedRoles"></a>

```python
def reset_restricted_roles() -> None
```

##### `reset_template_variable` <a name="reset_template_variable" id="@cdktf/provider-datadog.dashboard.Dashboard.resetTemplateVariable"></a>

```python
def reset_template_variable() -> None
```

##### `reset_template_variable_preset` <a name="reset_template_variable_preset" id="@cdktf/provider-datadog.dashboard.Dashboard.resetTemplateVariablePreset"></a>

```python
def reset_template_variable_preset() -> None
```

##### `reset_url` <a name="reset_url" id="@cdktf/provider-datadog.dashboard.Dashboard.resetUrl"></a>

```python
def reset_url() -> None
```

##### `reset_widget` <a name="reset_widget" id="@cdktf/provider-datadog.dashboard.Dashboard.resetWidget"></a>

```python
def reset_widget() -> None
```

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.isConstruct">is_construct</a></code> | Checks if `x` is a construct. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.isTerraformElement">is_terraform_element</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.isTerraformResource">is_terraform_resource</a></code> | *No description.* |

---

##### `is_construct` <a name="is_construct" id="@cdktf/provider-datadog.dashboard.Dashboard.isConstruct"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.Dashboard.is_construct(
  x: typing.Any
)
```

Checks if `x` is a construct.

Use this method instead of `instanceof` to properly detect `Construct`
instances, even when the construct library is symlinked.

Explanation: in JavaScript, multiple copies of the `constructs` library on
disk are seen as independent, completely different libraries. As a
consequence, the class `Construct` in each copy of the `constructs` library
is seen as a different class, and an instance of one class will not test as
`instanceof` the other class. `npm install` will not create installations
like this, but users may manually symlink construct libraries together or
use a monorepo tool: in those cases, multiple copies of the `constructs`
library can be accidentally installed, and `instanceof` will behave
unpredictably. It is safest to avoid using `instanceof`, and using
this type-testing method instead.

###### `x`<sup>Required</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.Dashboard.isConstruct.parameter.x"></a>

- *Type:* typing.Any

Any object.

---

##### `is_terraform_element` <a name="is_terraform_element" id="@cdktf/provider-datadog.dashboard.Dashboard.isTerraformElement"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.Dashboard.is_terraform_element(
  x: typing.Any
)
```

###### `x`<sup>Required</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.Dashboard.isTerraformElement.parameter.x"></a>

- *Type:* typing.Any

---

##### `is_terraform_resource` <a name="is_terraform_resource" id="@cdktf/provider-datadog.dashboard.Dashboard.isTerraformResource"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.Dashboard.is_terraform_resource(
  x: typing.Any
)
```

###### `x`<sup>Required</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.Dashboard.isTerraformResource.parameter.x"></a>

- *Type:* typing.Any

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.cdktfStack">cdktf_stack</a></code> | <code>cdktf.TerraformStack</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.friendlyUniqueId">friendly_unique_id</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.terraformMetaArguments">terraform_meta_arguments</a></code> | <code>typing.Mapping[typing.Any]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.terraformResourceType">terraform_resource_type</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.terraformGeneratorMetadata">terraform_generator_metadata</a></code> | <code>cdktf.TerraformProviderGeneratorMetadata</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.connection">connection</a></code> | <code>typing.Union[cdktf.SSHProvisionerConnection, cdktf.WinrmProvisionerConnection]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.count">count</a></code> | <code>typing.Union[typing.Union[int, float], cdktf.TerraformCount]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.dependsOn">depends_on</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.forEach">for_each</a></code> | <code>cdktf.ITerraformIterator</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.lifecycle">lifecycle</a></code> | <code>cdktf.TerraformResourceLifecycle</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.provider">provider</a></code> | <code>cdktf.TerraformProvider</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.provisioners">provisioners</a></code> | <code>typing.List[typing.Union[cdktf.FileProvisioner, cdktf.LocalExecProvisioner, cdktf.RemoteExecProvisioner]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardListsRemoved">dashboard_lists_removed</a></code> | <code>typing.List[typing.Union[int, float]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariable">template_variable</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList">DashboardTemplateVariableList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariablePreset">template_variable_preset</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList">DashboardTemplateVariablePresetList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.widget">widget</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetList">DashboardWidgetList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardListsInput">dashboard_lists_input</a></code> | <code>typing.List[typing.Union[int, float]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.descriptionInput">description_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.idInput">id_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.isReadOnlyInput">is_read_only_input</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.layoutTypeInput">layout_type_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.notifyListInput">notify_list_input</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.reflowTypeInput">reflow_type_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.restrictedRolesInput">restricted_roles_input</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariableInput">template_variable_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariablePresetInput">template_variable_preset_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.titleInput">title_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.urlInput">url_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.widgetInput">widget_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidget">DashboardWidget</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardLists">dashboard_lists</a></code> | <code>typing.List[typing.Union[int, float]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.description">description</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.id">id</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.isReadOnly">is_read_only</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.layoutType">layout_type</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.notifyList">notify_list</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.reflowType">reflow_type</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.restrictedRoles">restricted_roles</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.title">title</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.url">url</a></code> | <code>str</code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="@cdktf/provider-datadog.dashboard.Dashboard.property.node"></a>

```python
node: Node
```

- *Type:* constructs.Node

The tree node.

---

##### `cdktf_stack`<sup>Required</sup> <a name="cdktf_stack" id="@cdktf/provider-datadog.dashboard.Dashboard.property.cdktfStack"></a>

```python
cdktf_stack: TerraformStack
```

- *Type:* cdktf.TerraformStack

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.Dashboard.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `friendly_unique_id`<sup>Required</sup> <a name="friendly_unique_id" id="@cdktf/provider-datadog.dashboard.Dashboard.property.friendlyUniqueId"></a>

```python
friendly_unique_id: str
```

- *Type:* str

---

##### `terraform_meta_arguments`<sup>Required</sup> <a name="terraform_meta_arguments" id="@cdktf/provider-datadog.dashboard.Dashboard.property.terraformMetaArguments"></a>

```python
terraform_meta_arguments: typing.Mapping[typing.Any]
```

- *Type:* typing.Mapping[typing.Any]

---

##### `terraform_resource_type`<sup>Required</sup> <a name="terraform_resource_type" id="@cdktf/provider-datadog.dashboard.Dashboard.property.terraformResourceType"></a>

```python
terraform_resource_type: str
```

- *Type:* str

---

##### `terraform_generator_metadata`<sup>Optional</sup> <a name="terraform_generator_metadata" id="@cdktf/provider-datadog.dashboard.Dashboard.property.terraformGeneratorMetadata"></a>

```python
terraform_generator_metadata: TerraformProviderGeneratorMetadata
```

- *Type:* cdktf.TerraformProviderGeneratorMetadata

---

##### `connection`<sup>Optional</sup> <a name="connection" id="@cdktf/provider-datadog.dashboard.Dashboard.property.connection"></a>

```python
connection: typing.Union[SSHProvisionerConnection, WinrmProvisionerConnection]
```

- *Type:* typing.Union[cdktf.SSHProvisionerConnection, cdktf.WinrmProvisionerConnection]

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.Dashboard.property.count"></a>

```python
count: typing.Union[typing.Union[int, float], TerraformCount]
```

- *Type:* typing.Union[typing.Union[int, float], cdktf.TerraformCount]

---

##### `depends_on`<sup>Optional</sup> <a name="depends_on" id="@cdktf/provider-datadog.dashboard.Dashboard.property.dependsOn"></a>

```python
depends_on: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `for_each`<sup>Optional</sup> <a name="for_each" id="@cdktf/provider-datadog.dashboard.Dashboard.property.forEach"></a>

```python
for_each: ITerraformIterator
```

- *Type:* cdktf.ITerraformIterator

---

##### `lifecycle`<sup>Optional</sup> <a name="lifecycle" id="@cdktf/provider-datadog.dashboard.Dashboard.property.lifecycle"></a>

```python
lifecycle: TerraformResourceLifecycle
```

- *Type:* cdktf.TerraformResourceLifecycle

---

##### `provider`<sup>Optional</sup> <a name="provider" id="@cdktf/provider-datadog.dashboard.Dashboard.property.provider"></a>

```python
provider: TerraformProvider
```

- *Type:* cdktf.TerraformProvider

---

##### `provisioners`<sup>Optional</sup> <a name="provisioners" id="@cdktf/provider-datadog.dashboard.Dashboard.property.provisioners"></a>

```python
provisioners: typing.List[typing.Union[FileProvisioner, LocalExecProvisioner, RemoteExecProvisioner]]
```

- *Type:* typing.List[typing.Union[cdktf.FileProvisioner, cdktf.LocalExecProvisioner, cdktf.RemoteExecProvisioner]]

---

##### `dashboard_lists_removed`<sup>Required</sup> <a name="dashboard_lists_removed" id="@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardListsRemoved"></a>

```python
dashboard_lists_removed: typing.List[typing.Union[int, float]]
```

- *Type:* typing.List[typing.Union[int, float]]

---

##### `template_variable`<sup>Required</sup> <a name="template_variable" id="@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariable"></a>

```python
template_variable: DashboardTemplateVariableList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList">DashboardTemplateVariableList</a>

---

##### `template_variable_preset`<sup>Required</sup> <a name="template_variable_preset" id="@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariablePreset"></a>

```python
template_variable_preset: DashboardTemplateVariablePresetList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList">DashboardTemplateVariablePresetList</a>

---

##### `widget`<sup>Required</sup> <a name="widget" id="@cdktf/provider-datadog.dashboard.Dashboard.property.widget"></a>

```python
widget: DashboardWidgetList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetList">DashboardWidgetList</a>

---

##### `dashboard_lists_input`<sup>Optional</sup> <a name="dashboard_lists_input" id="@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardListsInput"></a>

```python
dashboard_lists_input: typing.List[typing.Union[int, float]]
```

- *Type:* typing.List[typing.Union[int, float]]

---

##### `description_input`<sup>Optional</sup> <a name="description_input" id="@cdktf/provider-datadog.dashboard.Dashboard.property.descriptionInput"></a>

```python
description_input: str
```

- *Type:* str

---

##### `id_input`<sup>Optional</sup> <a name="id_input" id="@cdktf/provider-datadog.dashboard.Dashboard.property.idInput"></a>

```python
id_input: str
```

- *Type:* str

---

##### `is_read_only_input`<sup>Optional</sup> <a name="is_read_only_input" id="@cdktf/provider-datadog.dashboard.Dashboard.property.isReadOnlyInput"></a>

```python
is_read_only_input: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `layout_type_input`<sup>Optional</sup> <a name="layout_type_input" id="@cdktf/provider-datadog.dashboard.Dashboard.property.layoutTypeInput"></a>

```python
layout_type_input: str
```

- *Type:* str

---

##### `notify_list_input`<sup>Optional</sup> <a name="notify_list_input" id="@cdktf/provider-datadog.dashboard.Dashboard.property.notifyListInput"></a>

```python
notify_list_input: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `reflow_type_input`<sup>Optional</sup> <a name="reflow_type_input" id="@cdktf/provider-datadog.dashboard.Dashboard.property.reflowTypeInput"></a>

```python
reflow_type_input: str
```

- *Type:* str

---

##### `restricted_roles_input`<sup>Optional</sup> <a name="restricted_roles_input" id="@cdktf/provider-datadog.dashboard.Dashboard.property.restrictedRolesInput"></a>

```python
restricted_roles_input: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `template_variable_input`<sup>Optional</sup> <a name="template_variable_input" id="@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariableInput"></a>

```python
template_variable_input: typing.Union[IResolvable, typing.List[DashboardTemplateVariable]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>]]

---

##### `template_variable_preset_input`<sup>Optional</sup> <a name="template_variable_preset_input" id="@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariablePresetInput"></a>

```python
template_variable_preset_input: typing.Union[IResolvable, typing.List[DashboardTemplateVariablePreset]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>]]

---

##### `title_input`<sup>Optional</sup> <a name="title_input" id="@cdktf/provider-datadog.dashboard.Dashboard.property.titleInput"></a>

```python
title_input: str
```

- *Type:* str

---

##### `url_input`<sup>Optional</sup> <a name="url_input" id="@cdktf/provider-datadog.dashboard.Dashboard.property.urlInput"></a>

```python
url_input: str
```

- *Type:* str

---

##### `widget_input`<sup>Optional</sup> <a name="widget_input" id="@cdktf/provider-datadog.dashboard.Dashboard.property.widgetInput"></a>

```python
widget_input: typing.Union[IResolvable, typing.List[DashboardWidget]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidget">DashboardWidget</a>]]

---

##### `dashboard_lists`<sup>Required</sup> <a name="dashboard_lists" id="@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardLists"></a>

```python
dashboard_lists: typing.List[typing.Union[int, float]]
```

- *Type:* typing.List[typing.Union[int, float]]

---

##### `description`<sup>Required</sup> <a name="description" id="@cdktf/provider-datadog.dashboard.Dashboard.property.description"></a>

```python
description: str
```

- *Type:* str

---

##### `id`<sup>Required</sup> <a name="id" id="@cdktf/provider-datadog.dashboard.Dashboard.property.id"></a>

```python
id: str
```

- *Type:* str

---

##### `is_read_only`<sup>Required</sup> <a name="is_read_only" id="@cdktf/provider-datadog.dashboard.Dashboard.property.isReadOnly"></a>

```python
is_read_only: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `layout_type`<sup>Required</sup> <a name="layout_type" id="@cdktf/provider-datadog.dashboard.Dashboard.property.layoutType"></a>

```python
layout_type: str
```

- *Type:* str

---

##### `notify_list`<sup>Required</sup> <a name="notify_list" id="@cdktf/provider-datadog.dashboard.Dashboard.property.notifyList"></a>

```python
notify_list: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `reflow_type`<sup>Required</sup> <a name="reflow_type" id="@cdktf/provider-datadog.dashboard.Dashboard.property.reflowType"></a>

```python
reflow_type: str
```

- *Type:* str

---

##### `restricted_roles`<sup>Required</sup> <a name="restricted_roles" id="@cdktf/provider-datadog.dashboard.Dashboard.property.restrictedRoles"></a>

```python
restricted_roles: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.Dashboard.property.title"></a>

```python
title: str
```

- *Type:* str

---

##### `url`<sup>Required</sup> <a name="url" id="@cdktf/provider-datadog.dashboard.Dashboard.property.url"></a>

```python
url: str
```

- *Type:* str

---

#### Constants <a name="Constants" id="Constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.tfResourceType">tfResourceType</a></code> | <code>str</code> | *No description.* |

---

##### `tfResourceType`<sup>Required</sup> <a name="tfResourceType" id="@cdktf/provider-datadog.dashboard.Dashboard.property.tfResourceType"></a>

```python
tfResourceType: str
```

- *Type:* str

---

## Structs <a name="Structs" id="Structs"></a>

### DashboardConfig <a name="DashboardConfig" id="@cdktf/provider-datadog.dashboard.DashboardConfig"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardConfig.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardConfig(
  connection: typing.Union[SSHProvisionerConnection, WinrmProvisionerConnection] = None,
  count: typing.Union[typing.Union[int, float], TerraformCount] = None,
  depends_on: typing.List[ITerraformDependable] = None,
  for_each: ITerraformIterator = None,
  lifecycle: TerraformResourceLifecycle = None,
  provider: TerraformProvider = None,
  provisioners: typing.List[typing.Union[FileProvisioner, LocalExecProvisioner, RemoteExecProvisioner]] = None,
  layout_type: str,
  title: str,
  dashboard_lists: typing.List[typing.Union[int, float]] = None,
  description: str = None,
  id: str = None,
  is_read_only: typing.Union[bool, IResolvable] = None,
  notify_list: typing.List[str] = None,
  reflow_type: str = None,
  restricted_roles: typing.List[str] = None,
  template_variable: typing.Union[IResolvable, typing.List[DashboardTemplateVariable]] = None,
  template_variable_preset: typing.Union[IResolvable, typing.List[DashboardTemplateVariablePreset]] = None,
  url: str = None,
  widget: typing.Union[IResolvable, typing.List[DashboardWidget]] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.connection">connection</a></code> | <code>typing.Union[cdktf.SSHProvisionerConnection, cdktf.WinrmProvisionerConnection]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.count">count</a></code> | <code>typing.Union[typing.Union[int, float], cdktf.TerraformCount]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.dependsOn">depends_on</a></code> | <code>typing.List[cdktf.ITerraformDependable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.forEach">for_each</a></code> | <code>cdktf.ITerraformIterator</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.lifecycle">lifecycle</a></code> | <code>cdktf.TerraformResourceLifecycle</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.provider">provider</a></code> | <code>cdktf.TerraformProvider</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.provisioners">provisioners</a></code> | <code>typing.List[typing.Union[cdktf.FileProvisioner, cdktf.LocalExecProvisioner, cdktf.RemoteExecProvisioner]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.layoutType">layout_type</a></code> | <code>str</code> | The layout type of the dashboard. Valid values are `ordered`, `free`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.title">title</a></code> | <code>str</code> | The title of the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.dashboardLists">dashboard_lists</a></code> | <code>typing.List[typing.Union[int, float]]</code> | A list of dashboard lists this dashboard belongs to. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.description">description</a></code> | <code>str</code> | The description of the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.id">id</a></code> | <code>str</code> | Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#id Dashboard#id}. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.isReadOnly">is_read_only</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether this dashboard is read-only. **Deprecated.** Prefer using `restricted_roles` to define which roles are required to edit the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.notifyList">notify_list</a></code> | <code>typing.List[str]</code> | The list of handles for the users to notify when changes are made to this dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.reflowType">reflow_type</a></code> | <code>str</code> | The reflow type of a new dashboard layout. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.restrictedRoles">restricted_roles</a></code> | <code>typing.List[str]</code> | UUIDs of roles whose associated users are authorized to edit the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.templateVariable">template_variable</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>]]</code> | template_variable block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.templateVariablePreset">template_variable_preset</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>]]</code> | template_variable_preset block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.url">url</a></code> | <code>str</code> | The URL of the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.widget">widget</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidget">DashboardWidget</a>]]</code> | widget block. |

---

##### `connection`<sup>Optional</sup> <a name="connection" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.connection"></a>

```python
connection: typing.Union[SSHProvisionerConnection, WinrmProvisionerConnection]
```

- *Type:* typing.Union[cdktf.SSHProvisionerConnection, cdktf.WinrmProvisionerConnection]

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.count"></a>

```python
count: typing.Union[typing.Union[int, float], TerraformCount]
```

- *Type:* typing.Union[typing.Union[int, float], cdktf.TerraformCount]

---

##### `depends_on`<sup>Optional</sup> <a name="depends_on" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.dependsOn"></a>

```python
depends_on: typing.List[ITerraformDependable]
```

- *Type:* typing.List[cdktf.ITerraformDependable]

---

##### `for_each`<sup>Optional</sup> <a name="for_each" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.forEach"></a>

```python
for_each: ITerraformIterator
```

- *Type:* cdktf.ITerraformIterator

---

##### `lifecycle`<sup>Optional</sup> <a name="lifecycle" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.lifecycle"></a>

```python
lifecycle: TerraformResourceLifecycle
```

- *Type:* cdktf.TerraformResourceLifecycle

---

##### `provider`<sup>Optional</sup> <a name="provider" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.provider"></a>

```python
provider: TerraformProvider
```

- *Type:* cdktf.TerraformProvider

---

##### `provisioners`<sup>Optional</sup> <a name="provisioners" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.provisioners"></a>

```python
provisioners: typing.List[typing.Union[FileProvisioner, LocalExecProvisioner, RemoteExecProvisioner]]
```

- *Type:* typing.List[typing.Union[cdktf.FileProvisioner, cdktf.LocalExecProvisioner, cdktf.RemoteExecProvisioner]]

---

##### `layout_type`<sup>Required</sup> <a name="layout_type" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.layoutType"></a>

```python
layout_type: str
```

- *Type:* str

The layout type of the dashboard. Valid values are `ordered`, `free`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#layout_type Dashboard#layout_type}

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `dashboard_lists`<sup>Optional</sup> <a name="dashboard_lists" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.dashboardLists"></a>

```python
dashboard_lists: typing.List[typing.Union[int, float]]
```

- *Type:* typing.List[typing.Union[int, float]]

A list of dashboard lists this dashboard belongs to.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#dashboard_lists Dashboard#dashboard_lists}

---

##### `description`<sup>Optional</sup> <a name="description" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.description"></a>

```python
description: str
```

- *Type:* str

The description of the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#description Dashboard#description}

---

##### `id`<sup>Optional</sup> <a name="id" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.id"></a>

```python
id: str
```

- *Type:* str

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#id Dashboard#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `is_read_only`<sup>Optional</sup> <a name="is_read_only" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.isReadOnly"></a>

```python
is_read_only: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether this dashboard is read-only. **Deprecated.** Prefer using `restricted_roles` to define which roles are required to edit the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_read_only Dashboard#is_read_only}

---

##### `notify_list`<sup>Optional</sup> <a name="notify_list" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.notifyList"></a>

```python
notify_list: typing.List[str]
```

- *Type:* typing.List[str]

The list of handles for the users to notify when changes are made to this dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#notify_list Dashboard#notify_list}

---

##### `reflow_type`<sup>Optional</sup> <a name="reflow_type" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.reflowType"></a>

```python
reflow_type: str
```

- *Type:* str

The reflow type of a new dashboard layout.

Set this only when layout type is `ordered`. If set to `fixed`, the dashboard expects all widgets to have a layout, and if it's set to `auto`, widgets should not have layouts. Valid values are `auto`, `fixed`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#reflow_type Dashboard#reflow_type}

---

##### `restricted_roles`<sup>Optional</sup> <a name="restricted_roles" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.restrictedRoles"></a>

```python
restricted_roles: typing.List[str]
```

- *Type:* typing.List[str]

UUIDs of roles whose associated users are authorized to edit the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#restricted_roles Dashboard#restricted_roles}

---

##### `template_variable`<sup>Optional</sup> <a name="template_variable" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.templateVariable"></a>

```python
template_variable: typing.Union[IResolvable, typing.List[DashboardTemplateVariable]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>]]

template_variable block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#template_variable Dashboard#template_variable}

---

##### `template_variable_preset`<sup>Optional</sup> <a name="template_variable_preset" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.templateVariablePreset"></a>

```python
template_variable_preset: typing.Union[IResolvable, typing.List[DashboardTemplateVariablePreset]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>]]

template_variable_preset block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#template_variable_preset Dashboard#template_variable_preset}

---

##### `url`<sup>Optional</sup> <a name="url" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.url"></a>

```python
url: str
```

- *Type:* str

The URL of the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

##### `widget`<sup>Optional</sup> <a name="widget" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.widget"></a>

```python
widget: typing.Union[IResolvable, typing.List[DashboardWidget]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidget">DashboardWidget</a>]]

widget block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#widget Dashboard#widget}

---

### DashboardTemplateVariable <a name="DashboardTemplateVariable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardTemplateVariable(
  name: str,
  available_values: typing.List[str] = None,
  default: str = None,
  defaults: typing.List[str] = None,
  prefix: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.name">name</a></code> | <code>str</code> | The name of the variable. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.availableValues">available_values</a></code> | <code>typing.List[str]</code> | The list of values that the template variable drop-down is be limited to. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.default">default</a></code> | <code>str</code> | The default value for the template variable on dashboard load. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.defaults">defaults</a></code> | <code>typing.List[str]</code> | One or many default values for template variables on load. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.prefix">prefix</a></code> | <code>str</code> | The tag prefix associated with the variable. Only tags with this prefix appear in the variable dropdown. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.name"></a>

```python
name: str
```

- *Type:* str

The name of the variable.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `available_values`<sup>Optional</sup> <a name="available_values" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.availableValues"></a>

```python
available_values: typing.List[str]
```

- *Type:* typing.List[str]

The list of values that the template variable drop-down is be limited to.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#available_values Dashboard#available_values}

---

##### `default`<sup>Optional</sup> <a name="default" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.default"></a>

```python
default: str
```

- *Type:* str

The default value for the template variable on dashboard load.

Cannot be used in conjunction with `defaults`. **Deprecated.** Use `defaults` instead.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#default Dashboard#default}

---

##### `defaults`<sup>Optional</sup> <a name="defaults" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.defaults"></a>

```python
defaults: typing.List[str]
```

- *Type:* typing.List[str]

One or many default values for template variables on load.

If more than one default is specified, they will be unioned together with `OR`. Cannot be used in conjunction with `default`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#defaults Dashboard#defaults}

---

##### `prefix`<sup>Optional</sup> <a name="prefix" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.prefix"></a>

```python
prefix: str
```

- *Type:* str

The tag prefix associated with the variable. Only tags with this prefix appear in the variable dropdown.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#prefix Dashboard#prefix}

---

### DashboardTemplateVariablePreset <a name="DashboardTemplateVariablePreset" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardTemplateVariablePreset(
  name: str = None,
  template_variable: typing.Union[IResolvable, typing.List[DashboardTemplateVariablePresetTemplateVariable]] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset.property.name">name</a></code> | <code>str</code> | The name of the preset. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset.property.templateVariable">template_variable</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>]]</code> | template_variable block. |

---

##### `name`<sup>Optional</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset.property.name"></a>

```python
name: str
```

- *Type:* str

The name of the preset.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `template_variable`<sup>Optional</sup> <a name="template_variable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset.property.templateVariable"></a>

```python
template_variable: typing.Union[IResolvable, typing.List[DashboardTemplateVariablePresetTemplateVariable]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>]]

template_variable block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#template_variable Dashboard#template_variable}

---

### DashboardTemplateVariablePresetTemplateVariable <a name="DashboardTemplateVariablePresetTemplateVariable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardTemplateVariablePresetTemplateVariable(
  name: str = None,
  value: str = None,
  values: typing.List[str] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.name">name</a></code> | <code>str</code> | The name of the template variable. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.value">value</a></code> | <code>str</code> | The value that should be assumed by the template variable in this preset. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.values">values</a></code> | <code>typing.List[str]</code> | One or many template variable values within the saved view, which will be unioned together using `OR` if more than one is specified. |

---

##### `name`<sup>Optional</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.name"></a>

```python
name: str
```

- *Type:* str

The name of the template variable.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `value`<sup>Optional</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.value"></a>

```python
value: str
```

- *Type:* str

The value that should be assumed by the template variable in this preset.

Cannot be used in conjunction with `values`. **Deprecated.** Use `values` instead.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `values`<sup>Optional</sup> <a name="values" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.values"></a>

```python
values: typing.List[str]
```

- *Type:* typing.List[str]

One or many template variable values within the saved view, which will be unioned together using `OR` if more than one is specified.

Cannot be used in conjunction with `value`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#values Dashboard#values}

---

### DashboardWidget <a name="DashboardWidget" id="@cdktf/provider-datadog.dashboard.DashboardWidget"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidget.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidget(
  alert_graph_definition: DashboardWidgetAlertGraphDefinition = None,
  alert_value_definition: DashboardWidgetAlertValueDefinition = None,
  change_definition: DashboardWidgetChangeDefinition = None,
  check_status_definition: DashboardWidgetCheckStatusDefinition = None,
  distribution_definition: DashboardWidgetDistributionDefinition = None,
  event_stream_definition: DashboardWidgetEventStreamDefinition = None,
  event_timeline_definition: DashboardWidgetEventTimelineDefinition = None,
  free_text_definition: DashboardWidgetFreeTextDefinition = None,
  geomap_definition: DashboardWidgetGeomapDefinition = None,
  group_definition: DashboardWidgetGroupDefinition = None,
  heatmap_definition: DashboardWidgetHeatmapDefinition = None,
  hostmap_definition: DashboardWidgetHostmapDefinition = None,
  iframe_definition: DashboardWidgetIframeDefinition = None,
  image_definition: DashboardWidgetImageDefinition = None,
  list_stream_definition: DashboardWidgetListStreamDefinition = None,
  log_stream_definition: DashboardWidgetLogStreamDefinition = None,
  manage_status_definition: DashboardWidgetManageStatusDefinition = None,
  note_definition: DashboardWidgetNoteDefinition = None,
  query_table_definition: DashboardWidgetQueryTableDefinition = None,
  query_value_definition: DashboardWidgetQueryValueDefinition = None,
  run_workflow_definition: DashboardWidgetRunWorkflowDefinition = None,
  scatterplot_definition: DashboardWidgetScatterplotDefinition = None,
  service_level_objective_definition: DashboardWidgetServiceLevelObjectiveDefinition = None,
  servicemap_definition: DashboardWidgetServicemapDefinition = None,
  slo_list_definition: DashboardWidgetSloListDefinition = None,
  sunburst_definition: DashboardWidgetSunburstDefinition = None,
  timeseries_definition: DashboardWidgetTimeseriesDefinition = None,
  toplist_definition: DashboardWidgetToplistDefinition = None,
  topology_map_definition: DashboardWidgetTopologyMapDefinition = None,
  trace_service_definition: DashboardWidgetTraceServiceDefinition = None,
  treemap_definition: DashboardWidgetTreemapDefinition = None,
  widget_layout: DashboardWidgetWidgetLayout = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.alertGraphDefinition">alert_graph_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition">DashboardWidgetAlertGraphDefinition</a></code> | alert_graph_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.alertValueDefinition">alert_value_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition">DashboardWidgetAlertValueDefinition</a></code> | alert_value_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.changeDefinition">change_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition">DashboardWidgetChangeDefinition</a></code> | change_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.checkStatusDefinition">check_status_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition">DashboardWidgetCheckStatusDefinition</a></code> | check_status_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.distributionDefinition">distribution_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition">DashboardWidgetDistributionDefinition</a></code> | distribution_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.eventStreamDefinition">event_stream_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition">DashboardWidgetEventStreamDefinition</a></code> | event_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.eventTimelineDefinition">event_timeline_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition">DashboardWidgetEventTimelineDefinition</a></code> | event_timeline_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.freeTextDefinition">free_text_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition">DashboardWidgetFreeTextDefinition</a></code> | free_text_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.geomapDefinition">geomap_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition">DashboardWidgetGeomapDefinition</a></code> | geomap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.groupDefinition">group_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition">DashboardWidgetGroupDefinition</a></code> | group_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.heatmapDefinition">heatmap_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition">DashboardWidgetHeatmapDefinition</a></code> | heatmap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.hostmapDefinition">hostmap_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition">DashboardWidgetHostmapDefinition</a></code> | hostmap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.iframeDefinition">iframe_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition">DashboardWidgetIframeDefinition</a></code> | iframe_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.imageDefinition">image_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition">DashboardWidgetImageDefinition</a></code> | image_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.listStreamDefinition">list_stream_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition">DashboardWidgetListStreamDefinition</a></code> | list_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.logStreamDefinition">log_stream_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition">DashboardWidgetLogStreamDefinition</a></code> | log_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.manageStatusDefinition">manage_status_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition">DashboardWidgetManageStatusDefinition</a></code> | manage_status_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.noteDefinition">note_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition">DashboardWidgetNoteDefinition</a></code> | note_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.queryTableDefinition">query_table_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition">DashboardWidgetQueryTableDefinition</a></code> | query_table_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.queryValueDefinition">query_value_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition">DashboardWidgetQueryValueDefinition</a></code> | query_value_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.runWorkflowDefinition">run_workflow_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition">DashboardWidgetRunWorkflowDefinition</a></code> | run_workflow_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.scatterplotDefinition">scatterplot_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition">DashboardWidgetScatterplotDefinition</a></code> | scatterplot_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.serviceLevelObjectiveDefinition">service_level_objective_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition">DashboardWidgetServiceLevelObjectiveDefinition</a></code> | service_level_objective_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.servicemapDefinition">servicemap_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition">DashboardWidgetServicemapDefinition</a></code> | servicemap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.sloListDefinition">slo_list_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition">DashboardWidgetSloListDefinition</a></code> | slo_list_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.sunburstDefinition">sunburst_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition">DashboardWidgetSunburstDefinition</a></code> | sunburst_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.timeseriesDefinition">timeseries_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition">DashboardWidgetTimeseriesDefinition</a></code> | timeseries_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.toplistDefinition">toplist_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition">DashboardWidgetToplistDefinition</a></code> | toplist_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.topologyMapDefinition">topology_map_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition">DashboardWidgetTopologyMapDefinition</a></code> | topology_map_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.traceServiceDefinition">trace_service_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition">DashboardWidgetTraceServiceDefinition</a></code> | trace_service_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.treemapDefinition">treemap_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition">DashboardWidgetTreemapDefinition</a></code> | treemap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.widgetLayout">widget_layout</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout">DashboardWidgetWidgetLayout</a></code> | widget_layout block. |

---

##### `alert_graph_definition`<sup>Optional</sup> <a name="alert_graph_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.alertGraphDefinition"></a>

```python
alert_graph_definition: DashboardWidgetAlertGraphDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition">DashboardWidgetAlertGraphDefinition</a>

alert_graph_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_graph_definition Dashboard#alert_graph_definition}

---

##### `alert_value_definition`<sup>Optional</sup> <a name="alert_value_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.alertValueDefinition"></a>

```python
alert_value_definition: DashboardWidgetAlertValueDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition">DashboardWidgetAlertValueDefinition</a>

alert_value_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_value_definition Dashboard#alert_value_definition}

---

##### `change_definition`<sup>Optional</sup> <a name="change_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.changeDefinition"></a>

```python
change_definition: DashboardWidgetChangeDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition">DashboardWidgetChangeDefinition</a>

change_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#change_definition Dashboard#change_definition}

---

##### `check_status_definition`<sup>Optional</sup> <a name="check_status_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.checkStatusDefinition"></a>

```python
check_status_definition: DashboardWidgetCheckStatusDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition">DashboardWidgetCheckStatusDefinition</a>

check_status_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#check_status_definition Dashboard#check_status_definition}

---

##### `distribution_definition`<sup>Optional</sup> <a name="distribution_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.distributionDefinition"></a>

```python
distribution_definition: DashboardWidgetDistributionDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition">DashboardWidgetDistributionDefinition</a>

distribution_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#distribution_definition Dashboard#distribution_definition}

---

##### `event_stream_definition`<sup>Optional</sup> <a name="event_stream_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.eventStreamDefinition"></a>

```python
event_stream_definition: DashboardWidgetEventStreamDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition">DashboardWidgetEventStreamDefinition</a>

event_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_stream_definition Dashboard#event_stream_definition}

---

##### `event_timeline_definition`<sup>Optional</sup> <a name="event_timeline_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.eventTimelineDefinition"></a>

```python
event_timeline_definition: DashboardWidgetEventTimelineDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition">DashboardWidgetEventTimelineDefinition</a>

event_timeline_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_timeline_definition Dashboard#event_timeline_definition}

---

##### `free_text_definition`<sup>Optional</sup> <a name="free_text_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.freeTextDefinition"></a>

```python
free_text_definition: DashboardWidgetFreeTextDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition">DashboardWidgetFreeTextDefinition</a>

free_text_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#free_text_definition Dashboard#free_text_definition}

---

##### `geomap_definition`<sup>Optional</sup> <a name="geomap_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.geomapDefinition"></a>

```python
geomap_definition: DashboardWidgetGeomapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition">DashboardWidgetGeomapDefinition</a>

geomap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#geomap_definition Dashboard#geomap_definition}

---

##### `group_definition`<sup>Optional</sup> <a name="group_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.groupDefinition"></a>

```python
group_definition: DashboardWidgetGroupDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition">DashboardWidgetGroupDefinition</a>

group_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_definition Dashboard#group_definition}

---

##### `heatmap_definition`<sup>Optional</sup> <a name="heatmap_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.heatmapDefinition"></a>

```python
heatmap_definition: DashboardWidgetHeatmapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition">DashboardWidgetHeatmapDefinition</a>

heatmap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#heatmap_definition Dashboard#heatmap_definition}

---

##### `hostmap_definition`<sup>Optional</sup> <a name="hostmap_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.hostmapDefinition"></a>

```python
hostmap_definition: DashboardWidgetHostmapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition">DashboardWidgetHostmapDefinition</a>

hostmap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hostmap_definition Dashboard#hostmap_definition}

---

##### `iframe_definition`<sup>Optional</sup> <a name="iframe_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.iframeDefinition"></a>

```python
iframe_definition: DashboardWidgetIframeDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition">DashboardWidgetIframeDefinition</a>

iframe_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#iframe_definition Dashboard#iframe_definition}

---

##### `image_definition`<sup>Optional</sup> <a name="image_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.imageDefinition"></a>

```python
image_definition: DashboardWidgetImageDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition">DashboardWidgetImageDefinition</a>

image_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_definition Dashboard#image_definition}

---

##### `list_stream_definition`<sup>Optional</sup> <a name="list_stream_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.listStreamDefinition"></a>

```python
list_stream_definition: DashboardWidgetListStreamDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition">DashboardWidgetListStreamDefinition</a>

list_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#list_stream_definition Dashboard#list_stream_definition}

---

##### `log_stream_definition`<sup>Optional</sup> <a name="log_stream_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.logStreamDefinition"></a>

```python
log_stream_definition: DashboardWidgetLogStreamDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition">DashboardWidgetLogStreamDefinition</a>

log_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_stream_definition Dashboard#log_stream_definition}

---

##### `manage_status_definition`<sup>Optional</sup> <a name="manage_status_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.manageStatusDefinition"></a>

```python
manage_status_definition: DashboardWidgetManageStatusDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition">DashboardWidgetManageStatusDefinition</a>

manage_status_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#manage_status_definition Dashboard#manage_status_definition}

---

##### `note_definition`<sup>Optional</sup> <a name="note_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.noteDefinition"></a>

```python
note_definition: DashboardWidgetNoteDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition">DashboardWidgetNoteDefinition</a>

note_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#note_definition Dashboard#note_definition}

---

##### `query_table_definition`<sup>Optional</sup> <a name="query_table_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.queryTableDefinition"></a>

```python
query_table_definition: DashboardWidgetQueryTableDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition">DashboardWidgetQueryTableDefinition</a>

query_table_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_table_definition Dashboard#query_table_definition}

---

##### `query_value_definition`<sup>Optional</sup> <a name="query_value_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.queryValueDefinition"></a>

```python
query_value_definition: DashboardWidgetQueryValueDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition">DashboardWidgetQueryValueDefinition</a>

query_value_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_value_definition Dashboard#query_value_definition}

---

##### `run_workflow_definition`<sup>Optional</sup> <a name="run_workflow_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.runWorkflowDefinition"></a>

```python
run_workflow_definition: DashboardWidgetRunWorkflowDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition">DashboardWidgetRunWorkflowDefinition</a>

run_workflow_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#run_workflow_definition Dashboard#run_workflow_definition}

---

##### `scatterplot_definition`<sup>Optional</sup> <a name="scatterplot_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.scatterplotDefinition"></a>

```python
scatterplot_definition: DashboardWidgetScatterplotDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition">DashboardWidgetScatterplotDefinition</a>

scatterplot_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scatterplot_definition Dashboard#scatterplot_definition}

---

##### `service_level_objective_definition`<sup>Optional</sup> <a name="service_level_objective_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.serviceLevelObjectiveDefinition"></a>

```python
service_level_objective_definition: DashboardWidgetServiceLevelObjectiveDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition">DashboardWidgetServiceLevelObjectiveDefinition</a>

service_level_objective_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service_level_objective_definition Dashboard#service_level_objective_definition}

---

##### `servicemap_definition`<sup>Optional</sup> <a name="servicemap_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.servicemapDefinition"></a>

```python
servicemap_definition: DashboardWidgetServicemapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition">DashboardWidgetServicemapDefinition</a>

servicemap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#servicemap_definition Dashboard#servicemap_definition}

---

##### `slo_list_definition`<sup>Optional</sup> <a name="slo_list_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.sloListDefinition"></a>

```python
slo_list_definition: DashboardWidgetSloListDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition">DashboardWidgetSloListDefinition</a>

slo_list_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#slo_list_definition Dashboard#slo_list_definition}

---

##### `sunburst_definition`<sup>Optional</sup> <a name="sunburst_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.sunburstDefinition"></a>

```python
sunburst_definition: DashboardWidgetSunburstDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition">DashboardWidgetSunburstDefinition</a>

sunburst_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sunburst_definition Dashboard#sunburst_definition}

---

##### `timeseries_definition`<sup>Optional</sup> <a name="timeseries_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.timeseriesDefinition"></a>

```python
timeseries_definition: DashboardWidgetTimeseriesDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition">DashboardWidgetTimeseriesDefinition</a>

timeseries_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeseries_definition Dashboard#timeseries_definition}

---

##### `toplist_definition`<sup>Optional</sup> <a name="toplist_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.toplistDefinition"></a>

```python
toplist_definition: DashboardWidgetToplistDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition">DashboardWidgetToplistDefinition</a>

toplist_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#toplist_definition Dashboard#toplist_definition}

---

##### `topology_map_definition`<sup>Optional</sup> <a name="topology_map_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.topologyMapDefinition"></a>

```python
topology_map_definition: DashboardWidgetTopologyMapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition">DashboardWidgetTopologyMapDefinition</a>

topology_map_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#topology_map_definition Dashboard#topology_map_definition}

---

##### `trace_service_definition`<sup>Optional</sup> <a name="trace_service_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.traceServiceDefinition"></a>

```python
trace_service_definition: DashboardWidgetTraceServiceDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition">DashboardWidgetTraceServiceDefinition</a>

trace_service_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#trace_service_definition Dashboard#trace_service_definition}

---

##### `treemap_definition`<sup>Optional</sup> <a name="treemap_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.treemapDefinition"></a>

```python
treemap_definition: DashboardWidgetTreemapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition">DashboardWidgetTreemapDefinition</a>

treemap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#treemap_definition Dashboard#treemap_definition}

---

##### `widget_layout`<sup>Optional</sup> <a name="widget_layout" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.widgetLayout"></a>

```python
widget_layout: DashboardWidgetWidgetLayout
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout">DashboardWidgetWidgetLayout</a>

widget_layout block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#widget_layout Dashboard#widget_layout}

---

### DashboardWidgetAlertGraphDefinition <a name="DashboardWidgetAlertGraphDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetAlertGraphDefinition(
  alert_id: str,
  viz_type: str,
  live_span: str = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.alertId">alert_id</a></code> | <code>str</code> | The ID of the monitor used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.vizType">viz_type</a></code> | <code>str</code> | Type of visualization to use when displaying the widget. Valid values are `timeseries`, `toplist`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `alert_id`<sup>Required</sup> <a name="alert_id" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.alertId"></a>

```python
alert_id: str
```

- *Type:* str

The ID of the monitor used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_id Dashboard#alert_id}

---

##### `viz_type`<sup>Required</sup> <a name="viz_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.vizType"></a>

```python
viz_type: str
```

- *Type:* str

Type of visualization to use when displaying the widget. Valid values are `timeseries`, `toplist`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#viz_type Dashboard#viz_type}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetAlertValueDefinition <a name="DashboardWidgetAlertValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetAlertValueDefinition(
  alert_id: str,
  precision: typing.Union[int, float] = None,
  text_align: str = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None,
  unit: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.alertId">alert_id</a></code> | <code>str</code> | The ID of the monitor used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.precision">precision</a></code> | <code>typing.Union[int, float]</code> | The precision to use when displaying the value. Use `*` for maximum precision. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.textAlign">text_align</a></code> | <code>str</code> | The alignment of the text in the widget. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.unit">unit</a></code> | <code>str</code> | The unit for the value displayed in the widget. |

---

##### `alert_id`<sup>Required</sup> <a name="alert_id" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.alertId"></a>

```python
alert_id: str
```

- *Type:* str

The ID of the monitor used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_id Dashboard#alert_id}

---

##### `precision`<sup>Optional</sup> <a name="precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.precision"></a>

```python
precision: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The precision to use when displaying the value. Use `*` for maximum precision.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#precision Dashboard#precision}

---

##### `text_align`<sup>Optional</sup> <a name="text_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.textAlign"></a>

```python
text_align: str
```

- *Type:* str

The alignment of the text in the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `unit`<sup>Optional</sup> <a name="unit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.unit"></a>

```python
unit: str
```

- *Type:* str

The unit for the value displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#unit Dashboard#unit}

---

### DashboardWidgetChangeDefinition <a name="DashboardWidgetChangeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinition(
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionCustomLink]] = None,
  live_span: str = None,
  request: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequest]] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetChangeDefinitionCustomLink <a name="DashboardWidgetChangeDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetChangeDefinitionRequest <a name="DashboardWidgetChangeDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequest(
  apm_query: DashboardWidgetChangeDefinitionRequestApmQuery = None,
  change_type: str = None,
  compare_to: str = None,
  formula: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestFormula]] = None,
  increase_good: typing.Union[bool, IResolvable] = None,
  log_query: DashboardWidgetChangeDefinitionRequestLogQuery = None,
  order_by: str = None,
  order_dir: str = None,
  process_query: DashboardWidgetChangeDefinitionRequestProcessQuery = None,
  q: str = None,
  query: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestQuery]] = None,
  rum_query: DashboardWidgetChangeDefinitionRequestRumQuery = None,
  security_query: DashboardWidgetChangeDefinitionRequestSecurityQuery = None,
  show_present: typing.Union[bool, IResolvable] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.changeType">change_type</a></code> | <code>str</code> | Whether to show absolute or relative change. Valid values are `absolute`, `relative`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.compareTo">compare_to</a></code> | <code>str</code> | Choose from when to compare current data to. Valid values are `hour_before`, `day_before`, `week_before`, `month_before`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.formula">formula</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>]]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.increaseGood">increase_good</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | A Boolean indicating whether an increase in the value is good (displayed in green) or not (displayed in red). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.orderBy">order_by</a></code> | <code>str</code> | What to order by. Valid values are `change`, `name`, `present`, `past`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.orderDir">order_dir</a></code> | <code>str</code> | Widget sorting method. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.query">query</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>]]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.showPresent">show_present</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | If set to `true`, displays the current value. |

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.apmQuery"></a>

```python
apm_query: DashboardWidgetChangeDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `change_type`<sup>Optional</sup> <a name="change_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.changeType"></a>

```python
change_type: str
```

- *Type:* str

Whether to show absolute or relative change. Valid values are `absolute`, `relative`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#change_type Dashboard#change_type}

---

##### `compare_to`<sup>Optional</sup> <a name="compare_to" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.compareTo"></a>

```python
compare_to: str
```

- *Type:* str

Choose from when to compare current data to. Valid values are `hour_before`, `day_before`, `week_before`, `month_before`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compare_to Dashboard#compare_to}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.formula"></a>

```python
formula: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>]]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `increase_good`<sup>Optional</sup> <a name="increase_good" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.increaseGood"></a>

```python
increase_good: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

A Boolean indicating whether an increase in the value is good (displayed in green) or not (displayed in red).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#increase_good Dashboard#increase_good}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.logQuery"></a>

```python
log_query: DashboardWidgetChangeDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `order_by`<sup>Optional</sup> <a name="order_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.orderBy"></a>

```python
order_by: str
```

- *Type:* str

What to order by. Valid values are `change`, `name`, `present`, `past`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order_by Dashboard#order_by}

---

##### `order_dir`<sup>Optional</sup> <a name="order_dir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.orderDir"></a>

```python
order_dir: str
```

- *Type:* str

Widget sorting method. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order_dir Dashboard#order_dir}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.processQuery"></a>

```python
process_query: DashboardWidgetChangeDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.query"></a>

```python
query: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>]]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.rumQuery"></a>

```python
rum_query: DashboardWidgetChangeDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.securityQuery"></a>

```python
security_query: DashboardWidgetChangeDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `show_present`<sup>Optional</sup> <a name="show_present" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.showPresent"></a>

```python
show_present: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

If set to `true`, displays the current value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_present Dashboard#show_present}

---

### DashboardWidgetChangeDefinitionRequestApmQuery <a name="DashboardWidgetChangeDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestApmQuery(
  index: str,
  compute_query: DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetChangeDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestFormula <a name="DashboardWidgetChangeDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestFormula(
  formula_expression: str,
  alias: str = None,
  cell_display_mode: str = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats]] = None,
  limit: DashboardWidgetChangeDefinitionRequestFormulaLimit = None,
  style: DashboardWidgetChangeDefinitionRequestFormulaStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.formulaExpression">formula_expression</a></code> | <code>str</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.alias">alias</a></code> | <code>str</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formula_expression`<sup>Required</sup> <a name="formula_expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.formulaExpression"></a>

```python
formula_expression: str
```

- *Type:* str

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.alias"></a>

```python
alias: str
```

- *Type:* str

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.limit"></a>

```python
limit: DashboardWidgetChangeDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.style"></a>

```python
style: DashboardWidgetChangeDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetChangeDefinitionRequestFormulaLimit <a name="DashboardWidgetChangeDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit(
  count: typing.Union[int, float] = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>typing.Union[int, float]</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit.property.count"></a>

```python
count: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit.property.order"></a>

```python
order: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetChangeDefinitionRequestFormulaStyle <a name="DashboardWidgetChangeDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle(
  palette: str = None,
  palette_index: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>str</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle.property.paletteIndex">palette_index</a></code> | <code>typing.Union[int, float]</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `palette_index`<sup>Optional</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```python
palette_index: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetChangeDefinitionRequestLogQuery <a name="DashboardWidgetChangeDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestLogQuery(
  index: str,
  compute_query: DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetChangeDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestProcessQuery <a name="DashboardWidgetChangeDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetChangeDefinitionRequestQuery <a name="DashboardWidgetChangeDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQuery(
  apm_dependency_stats_query: DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery = None,
  apm_resource_stats_query: DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery = None,
  event_query: DashboardWidgetChangeDefinitionRequestQueryEventQuery = None,
  metric_query: DashboardWidgetChangeDefinitionRequestQueryMetricQuery = None,
  process_query: DashboardWidgetChangeDefinitionRequestQueryProcessQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.apmDependencyStatsQuery">apm_dependency_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.apmResourceStatsQuery">apm_resource_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.eventQuery">event_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.metricQuery">metric_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apm_dependency_stats_query`<sup>Optional</sup> <a name="apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```python
apm_dependency_stats_query: DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apm_resource_stats_query`<sup>Optional</sup> <a name="apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```python
apm_resource_stats_query: DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `event_query`<sup>Optional</sup> <a name="event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.eventQuery"></a>

```python
event_query: DashboardWidgetChangeDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metric_query`<sup>Optional</sup> <a name="metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.metricQuery"></a>

```python
metric_query: DashboardWidgetChangeDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.processQuery"></a>

```python
process_query: DashboardWidgetChangeDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery(
  data_source: str,
  env: str,
  name: str,
  operation_name: str,
  resource_name: str,
  service: str,
  stat: str,
  is_upstream: typing.Union[bool, IResolvable] = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">is_upstream</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `is_upstream`<sup>Optional</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```python
is_upstream: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery(
  data_source: str,
  env: str,
  name: str,
  service: str,
  stat: str,
  group_by: typing.List[str] = None,
  operation_name: str = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None,
  resource_name: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operation_name`<sup>Optional</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resource_name`<sup>Optional</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetChangeDefinitionRequestQueryEventQuery <a name="DashboardWidgetChangeDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery(
  compute: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute]],
  data_source: str,
  name: str,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy]] = None,
  indexes: typing.List[str] = None,
  search: DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch = None,
  storage: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>]]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>str</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.compute"></a>

```python
compute: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>]]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.search"></a>

```python
search: DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.storage"></a>

```python
storage: str
```

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute(
  aggregation: str,
  interval: typing.Union[int, float] = None,
  metric: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>str</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```python
metric: str
```

- *Type:* str

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy(
  facet: str,
  limit: typing.Union[int, float] = None,
  sort: DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```python
sort: DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort(
  aggregation: str,
  metric: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>str</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>str</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```python
order: str
```

- *Type:* str

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch(
  query: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>str</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch.property.query"></a>

```python
query: str
```

- *Type:* str

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetChangeDefinitionRequestQueryMetricQuery <a name="DashboardWidgetChangeDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery(
  name: str,
  query: str,
  aggregator: str = None,
  data_source: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>str</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>str</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.query"></a>

```python
query: str
```

- *Type:* str

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `data_source`<sup>Optional</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetChangeDefinitionRequestQueryProcessQuery <a name="DashboardWidgetChangeDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery(
  data_source: str,
  metric: str,
  name: str,
  aggregator: str = None,
  is_normalized_cpu: typing.Union[bool, IResolvable] = None,
  limit: typing.Union[int, float] = None,
  sort: str = None,
  tag_filters: typing.List[str] = None,
  text_filter: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>str</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">is_normalized_cpu</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.tagFilters">tag_filters</a></code> | <code>typing.List[str]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.textFilter">text_filter</a></code> | <code>str</code> | The text to use as a filter. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `is_normalized_cpu`<sup>Optional</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```python
is_normalized_cpu: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.sort"></a>

```python
sort: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tag_filters`<sup>Optional</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```python
tag_filters: typing.List[str]
```

- *Type:* typing.List[str]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `text_filter`<sup>Optional</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```python
text_filter: str
```

- *Type:* str

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetChangeDefinitionRequestRumQuery <a name="DashboardWidgetChangeDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestRumQuery(
  index: str,
  compute_query: DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetChangeDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestSecurityQuery <a name="DashboardWidgetChangeDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery(
  index: str,
  compute_query: DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetCheckStatusDefinition <a name="DashboardWidgetCheckStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetCheckStatusDefinition(
  check: str,
  grouping: str,
  group: str = None,
  group_by: typing.List[str] = None,
  live_span: str = None,
  tags: typing.List[str] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.check">check</a></code> | <code>str</code> | The check to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.grouping">grouping</a></code> | <code>str</code> | The kind of grouping to use. Valid values are `check`, `cluster`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.group">group</a></code> | <code>str</code> | The check group to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | When `grouping = "cluster"`, indicates a list of tags to use for grouping. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.tags">tags</a></code> | <code>typing.List[str]</code> | A list of tags to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `check`<sup>Required</sup> <a name="check" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.check"></a>

```python
check: str
```

- *Type:* str

The check to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#check Dashboard#check}

---

##### `grouping`<sup>Required</sup> <a name="grouping" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.grouping"></a>

```python
grouping: str
```

- *Type:* str

The kind of grouping to use. Valid values are `check`, `cluster`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#grouping Dashboard#grouping}

---

##### `group`<sup>Optional</sup> <a name="group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.group"></a>

```python
group: str
```

- *Type:* str

The check group to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group Dashboard#group}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

When `grouping = "cluster"`, indicates a list of tags to use for grouping.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `tags`<sup>Optional</sup> <a name="tags" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.tags"></a>

```python
tags: typing.List[str]
```

- *Type:* typing.List[str]

A list of tags to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags Dashboard#tags}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetDistributionDefinition <a name="DashboardWidgetDistributionDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinition(
  legend_size: str = None,
  live_span: str = None,
  request: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequest]] = None,
  show_legend: typing.Union[bool, IResolvable] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.legendSize">legend_size</a></code> | <code>str</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.showLegend">show_legend</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `legend_size`<sup>Optional</sup> <a name="legend_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.legendSize"></a>

```python
legend_size: str
```

- *Type:* str

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `show_legend`<sup>Optional</sup> <a name="show_legend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.showLegend"></a>

```python
show_legend: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetDistributionDefinitionRequest <a name="DashboardWidgetDistributionDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequest(
  apm_query: DashboardWidgetDistributionDefinitionRequestApmQuery = None,
  apm_stats_query: DashboardWidgetDistributionDefinitionRequestApmStatsQuery = None,
  log_query: DashboardWidgetDistributionDefinitionRequestLogQuery = None,
  process_query: DashboardWidgetDistributionDefinitionRequestProcessQuery = None,
  q: str = None,
  rum_query: DashboardWidgetDistributionDefinitionRequestRumQuery = None,
  security_query: DashboardWidgetDistributionDefinitionRequestSecurityQuery = None,
  style: DashboardWidgetDistributionDefinitionRequestStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.apmStatsQuery">apm_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a></code> | apm_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a></code> | style block. |

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.apmQuery"></a>

```python
apm_query: DashboardWidgetDistributionDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `apm_stats_query`<sup>Optional</sup> <a name="apm_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.apmStatsQuery"></a>

```python
apm_stats_query: DashboardWidgetDistributionDefinitionRequestApmStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a>

apm_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_stats_query Dashboard#apm_stats_query}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.logQuery"></a>

```python
log_query: DashboardWidgetDistributionDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.processQuery"></a>

```python
process_query: DashboardWidgetDistributionDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.rumQuery"></a>

```python
rum_query: DashboardWidgetDistributionDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.securityQuery"></a>

```python
security_query: DashboardWidgetDistributionDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.style"></a>

```python
style: DashboardWidgetDistributionDefinitionRequestStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetDistributionDefinitionRequestApmQuery <a name="DashboardWidgetDistributionDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery(
  index: str,
  compute_query: DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestApmStatsQuery <a name="DashboardWidgetDistributionDefinitionRequestApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery(
  env: str,
  name: str,
  primary_tag: str,
  row_type: str,
  service: str,
  columns: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns]] = None,
  resource: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.env">env</a></code> | <code>str</code> | The environment name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.name">name</a></code> | <code>str</code> | The operation name associated with the service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.primaryTag">primary_tag</a></code> | <code>str</code> | The organization's host group name and value. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.rowType">row_type</a></code> | <code>str</code> | The level of detail for the request. Valid values are `service`, `resource`, `span`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.service">service</a></code> | <code>str</code> | The service name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.columns">columns</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>]]</code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.resource">resource</a></code> | <code>str</code> | The resource name. |

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

The environment name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The operation name associated with the service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `primary_tag`<sup>Required</sup> <a name="primary_tag" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.primaryTag"></a>

```python
primary_tag: str
```

- *Type:* str

The organization's host group name and value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag Dashboard#primary_tag}

---

##### `row_type`<sup>Required</sup> <a name="row_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.rowType"></a>

```python
row_type: str
```

- *Type:* str

The level of detail for the request. Valid values are `service`, `resource`, `span`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#row_type Dashboard#row_type}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

The service name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `columns`<sup>Optional</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.columns"></a>

```python
columns: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>]]

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `resource`<sup>Optional</sup> <a name="resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.resource"></a>

```python
resource: str
```

- *Type:* str

The resource name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource Dashboard#resource}

---

### DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns <a name="DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns(
  name: str,
  alias: str = None,
  cell_display_mode: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.name">name</a></code> | <code>str</code> | The column name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.alias">alias</a></code> | <code>str</code> | A user-assigned alias for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.name"></a>

```python
name: str
```

- *Type:* str

The column name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.alias"></a>

```python
alias: str
```

- *Type:* str

A user-assigned alias for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetDistributionDefinitionRequestLogQuery <a name="DashboardWidgetDistributionDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery(
  index: str,
  compute_query: DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestProcessQuery <a name="DashboardWidgetDistributionDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetDistributionDefinitionRequestRumQuery <a name="DashboardWidgetDistributionDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery(
  index: str,
  compute_query: DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestSecurityQuery <a name="DashboardWidgetDistributionDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery(
  index: str,
  compute_query: DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestStyle <a name="DashboardWidgetDistributionDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestStyle(
  palette: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle.property.palette">palette</a></code> | <code>str</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetEventStreamDefinition <a name="DashboardWidgetEventStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetEventStreamDefinition(
  query: str,
  event_size: str = None,
  live_span: str = None,
  tags_execution: str = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.query">query</a></code> | <code>str</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.eventSize">event_size</a></code> | <code>str</code> | The size to use to display an event. Valid values are `s`, `l`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.tagsExecution">tags_execution</a></code> | <code>str</code> | The execution method for multi-value filters, options: `and` or `or`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.query"></a>

```python
query: str
```

- *Type:* str

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `event_size`<sup>Optional</sup> <a name="event_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.eventSize"></a>

```python
event_size: str
```

- *Type:* str

The size to use to display an event. Valid values are `s`, `l`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_size Dashboard#event_size}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `tags_execution`<sup>Optional</sup> <a name="tags_execution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.tagsExecution"></a>

```python
tags_execution: str
```

- *Type:* str

The execution method for multi-value filters, options: `and` or `or`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetEventTimelineDefinition <a name="DashboardWidgetEventTimelineDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetEventTimelineDefinition(
  query: str,
  live_span: str = None,
  tags_execution: str = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.query">query</a></code> | <code>str</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.tagsExecution">tags_execution</a></code> | <code>str</code> | The execution method for multi-value filters, options: `and` or `or`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.query"></a>

```python
query: str
```

- *Type:* str

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `tags_execution`<sup>Optional</sup> <a name="tags_execution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.tagsExecution"></a>

```python
tags_execution: str
```

- *Type:* str

The execution method for multi-value filters, options: `and` or `or`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetFreeTextDefinition <a name="DashboardWidgetFreeTextDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetFreeTextDefinition(
  text: str,
  color: str = None,
  font_size: str = None,
  text_align: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.text">text</a></code> | <code>str</code> | The text to display in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.color">color</a></code> | <code>str</code> | The color of the text in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.fontSize">font_size</a></code> | <code>str</code> | The size of the text in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.textAlign">text_align</a></code> | <code>str</code> | The alignment of the text in the widget. Valid values are `center`, `left`, `right`. |

---

##### `text`<sup>Required</sup> <a name="text" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.text"></a>

```python
text: str
```

- *Type:* str

The text to display in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text Dashboard#text}

---

##### `color`<sup>Optional</sup> <a name="color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.color"></a>

```python
color: str
```

- *Type:* str

The color of the text in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color Dashboard#color}

---

##### `font_size`<sup>Optional</sup> <a name="font_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.fontSize"></a>

```python
font_size: str
```

- *Type:* str

The size of the text in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#font_size Dashboard#font_size}

---

##### `text_align`<sup>Optional</sup> <a name="text_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.textAlign"></a>

```python
text_align: str
```

- *Type:* str

The alignment of the text in the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

### DashboardWidgetGeomapDefinition <a name="DashboardWidgetGeomapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinition(
  view: DashboardWidgetGeomapDefinitionView,
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionCustomLink]] = None,
  live_span: str = None,
  request: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequest]] = None,
  style: DashboardWidgetGeomapDefinitionStyle = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.view">view</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a></code> | view block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a></code> | style block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `view`<sup>Required</sup> <a name="view" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.view"></a>

```python
view: DashboardWidgetGeomapDefinitionView
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a>

view block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view Dashboard#view}

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.style"></a>

```python
style: DashboardWidgetGeomapDefinitionStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGeomapDefinitionCustomLink <a name="DashboardWidgetGeomapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGeomapDefinitionRequest <a name="DashboardWidgetGeomapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequest(
  formula: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestFormula]] = None,
  log_query: DashboardWidgetGeomapDefinitionRequestLogQuery = None,
  q: str = None,
  query: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestQuery]] = None,
  rum_query: DashboardWidgetGeomapDefinitionRequestRumQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.formula">formula</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>]]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.query">query</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>]]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a></code> | rum_query block. |

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.formula"></a>

```python
formula: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>]]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.logQuery"></a>

```python
log_query: DashboardWidgetGeomapDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.query"></a>

```python
query: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>]]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.rumQuery"></a>

```python
rum_query: DashboardWidgetGeomapDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

### DashboardWidgetGeomapDefinitionRequestFormula <a name="DashboardWidgetGeomapDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestFormula(
  formula_expression: str,
  alias: str = None,
  cell_display_mode: str = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats]] = None,
  limit: DashboardWidgetGeomapDefinitionRequestFormulaLimit = None,
  style: DashboardWidgetGeomapDefinitionRequestFormulaStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.formulaExpression">formula_expression</a></code> | <code>str</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.alias">alias</a></code> | <code>str</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formula_expression`<sup>Required</sup> <a name="formula_expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.formulaExpression"></a>

```python
formula_expression: str
```

- *Type:* str

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.alias"></a>

```python
alias: str
```

- *Type:* str

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.limit"></a>

```python
limit: DashboardWidgetGeomapDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.style"></a>

```python
style: DashboardWidgetGeomapDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGeomapDefinitionRequestFormulaLimit <a name="DashboardWidgetGeomapDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit(
  count: typing.Union[int, float] = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>typing.Union[int, float]</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit.property.count"></a>

```python
count: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit.property.order"></a>

```python
order: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGeomapDefinitionRequestFormulaStyle <a name="DashboardWidgetGeomapDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle(
  palette: str = None,
  palette_index: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>str</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle.property.paletteIndex">palette_index</a></code> | <code>typing.Union[int, float]</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `palette_index`<sup>Optional</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```python
palette_index: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGeomapDefinitionRequestLogQuery <a name="DashboardWidgetGeomapDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery(
  index: str,
  compute_query: DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGeomapDefinitionRequestQuery <a name="DashboardWidgetGeomapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQuery(
  apm_dependency_stats_query: DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery = None,
  apm_resource_stats_query: DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery = None,
  event_query: DashboardWidgetGeomapDefinitionRequestQueryEventQuery = None,
  metric_query: DashboardWidgetGeomapDefinitionRequestQueryMetricQuery = None,
  process_query: DashboardWidgetGeomapDefinitionRequestQueryProcessQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.apmDependencyStatsQuery">apm_dependency_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.apmResourceStatsQuery">apm_resource_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.eventQuery">event_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.metricQuery">metric_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apm_dependency_stats_query`<sup>Optional</sup> <a name="apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```python
apm_dependency_stats_query: DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apm_resource_stats_query`<sup>Optional</sup> <a name="apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```python
apm_resource_stats_query: DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `event_query`<sup>Optional</sup> <a name="event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.eventQuery"></a>

```python
event_query: DashboardWidgetGeomapDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metric_query`<sup>Optional</sup> <a name="metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.metricQuery"></a>

```python
metric_query: DashboardWidgetGeomapDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.processQuery"></a>

```python
process_query: DashboardWidgetGeomapDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery(
  data_source: str,
  env: str,
  name: str,
  operation_name: str,
  resource_name: str,
  service: str,
  stat: str,
  is_upstream: typing.Union[bool, IResolvable] = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">is_upstream</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `is_upstream`<sup>Optional</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```python
is_upstream: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery(
  data_source: str,
  env: str,
  name: str,
  service: str,
  stat: str,
  group_by: typing.List[str] = None,
  operation_name: str = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None,
  resource_name: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operation_name`<sup>Optional</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resource_name`<sup>Optional</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGeomapDefinitionRequestQueryEventQuery <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery(
  compute: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute]],
  data_source: str,
  name: str,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy]] = None,
  indexes: typing.List[str] = None,
  search: DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch = None,
  storage: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>]]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>str</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.compute"></a>

```python
compute: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>]]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.search"></a>

```python
search: DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.storage"></a>

```python
storage: str
```

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute(
  aggregation: str,
  interval: typing.Union[int, float] = None,
  metric: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>str</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```python
metric: str
```

- *Type:* str

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy(
  facet: str,
  limit: typing.Union[int, float] = None,
  sort: DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```python
sort: DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort(
  aggregation: str,
  metric: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>str</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>str</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```python
order: str
```

- *Type:* str

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch(
  query: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>str</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch.property.query"></a>

```python
query: str
```

- *Type:* str

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGeomapDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGeomapDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery(
  name: str,
  query: str,
  aggregator: str = None,
  data_source: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>str</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>str</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.query"></a>

```python
query: str
```

- *Type:* str

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `data_source`<sup>Optional</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGeomapDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGeomapDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery(
  data_source: str,
  metric: str,
  name: str,
  aggregator: str = None,
  is_normalized_cpu: typing.Union[bool, IResolvable] = None,
  limit: typing.Union[int, float] = None,
  sort: str = None,
  tag_filters: typing.List[str] = None,
  text_filter: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>str</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">is_normalized_cpu</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.tagFilters">tag_filters</a></code> | <code>typing.List[str]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.textFilter">text_filter</a></code> | <code>str</code> | The text to use as a filter. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `is_normalized_cpu`<sup>Optional</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```python
is_normalized_cpu: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.sort"></a>

```python
sort: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tag_filters`<sup>Optional</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```python
tag_filters: typing.List[str]
```

- *Type:* typing.List[str]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `text_filter`<sup>Optional</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```python
text_filter: str
```

- *Type:* str

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGeomapDefinitionRequestRumQuery <a name="DashboardWidgetGeomapDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery(
  index: str,
  compute_query: DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGeomapDefinitionStyle <a name="DashboardWidgetGeomapDefinitionStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionStyle(
  palette: str,
  palette_flip: typing.Union[bool, IResolvable]
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle.property.palette">palette</a></code> | <code>str</code> | The color palette to apply to the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle.property.paletteFlip">palette_flip</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | A Boolean indicating whether to flip the palette tones. |

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply to the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `palette_flip`<sup>Required</sup> <a name="palette_flip" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle.property.paletteFlip"></a>

```python
palette_flip: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

A Boolean indicating whether to flip the palette tones.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_flip Dashboard#palette_flip}

---

### DashboardWidgetGeomapDefinitionView <a name="DashboardWidgetGeomapDefinitionView" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionView(
  focus: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView.property.focus">focus</a></code> | <code>str</code> | The two-letter ISO code of a country to focus the map on (or `WORLD`). |

---

##### `focus`<sup>Required</sup> <a name="focus" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView.property.focus"></a>

```python
focus: str
```

- *Type:* str

The two-letter ISO code of a country to focus the map on (or `WORLD`).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#focus Dashboard#focus}

---

### DashboardWidgetGroupDefinition <a name="DashboardWidgetGroupDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinition(
  layout_type: str,
  background_color: str = None,
  banner_img: str = None,
  show_title: typing.Union[bool, IResolvable] = None,
  title: str = None,
  widget: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidget]] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.layoutType">layout_type</a></code> | <code>str</code> | The layout type of the group. Valid values are `ordered`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.backgroundColor">background_color</a></code> | <code>str</code> | The background color of the group title, options: `vivid_blue`, `vivid_purple`, `vivid_pink`, `vivid_orange`, `vivid_yellow`, `vivid_green`, `blue`, `purple`, `pink`, `orange`, `yellow`, `green`, `gray` or `white`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.bannerImg">banner_img</a></code> | <code>str</code> | The image URL to display as a banner for the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.showTitle">show_title</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to show the title or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.title">title</a></code> | <code>str</code> | The title of the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.widget">widget</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget">DashboardWidgetGroupDefinitionWidget</a>]]</code> | widget block. |

---

##### `layout_type`<sup>Required</sup> <a name="layout_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.layoutType"></a>

```python
layout_type: str
```

- *Type:* str

The layout type of the group. Valid values are `ordered`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#layout_type Dashboard#layout_type}

---

##### `background_color`<sup>Optional</sup> <a name="background_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.backgroundColor"></a>

```python
background_color: str
```

- *Type:* str

The background color of the group title, options: `vivid_blue`, `vivid_purple`, `vivid_pink`, `vivid_orange`, `vivid_yellow`, `vivid_green`, `blue`, `purple`, `pink`, `orange`, `yellow`, `green`, `gray` or `white`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#background_color Dashboard#background_color}

---

##### `banner_img`<sup>Optional</sup> <a name="banner_img" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.bannerImg"></a>

```python
banner_img: str
```

- *Type:* str

The image URL to display as a banner for the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#banner_img Dashboard#banner_img}

---

##### `show_title`<sup>Optional</sup> <a name="show_title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.showTitle"></a>

```python
show_title: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to show the title or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_title Dashboard#show_title}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `widget`<sup>Optional</sup> <a name="widget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.widget"></a>

```python
widget: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidget]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget">DashboardWidgetGroupDefinitionWidget</a>]]

widget block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#widget Dashboard#widget}

---

### DashboardWidgetGroupDefinitionWidget <a name="DashboardWidgetGroupDefinitionWidget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidget(
  alert_graph_definition: DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition = None,
  alert_value_definition: DashboardWidgetGroupDefinitionWidgetAlertValueDefinition = None,
  change_definition: DashboardWidgetGroupDefinitionWidgetChangeDefinition = None,
  check_status_definition: DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition = None,
  distribution_definition: DashboardWidgetGroupDefinitionWidgetDistributionDefinition = None,
  event_stream_definition: DashboardWidgetGroupDefinitionWidgetEventStreamDefinition = None,
  event_timeline_definition: DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition = None,
  free_text_definition: DashboardWidgetGroupDefinitionWidgetFreeTextDefinition = None,
  geomap_definition: DashboardWidgetGroupDefinitionWidgetGeomapDefinition = None,
  heatmap_definition: DashboardWidgetGroupDefinitionWidgetHeatmapDefinition = None,
  hostmap_definition: DashboardWidgetGroupDefinitionWidgetHostmapDefinition = None,
  iframe_definition: DashboardWidgetGroupDefinitionWidgetIframeDefinition = None,
  image_definition: DashboardWidgetGroupDefinitionWidgetImageDefinition = None,
  list_stream_definition: DashboardWidgetGroupDefinitionWidgetListStreamDefinition = None,
  log_stream_definition: DashboardWidgetGroupDefinitionWidgetLogStreamDefinition = None,
  manage_status_definition: DashboardWidgetGroupDefinitionWidgetManageStatusDefinition = None,
  note_definition: DashboardWidgetGroupDefinitionWidgetNoteDefinition = None,
  query_table_definition: DashboardWidgetGroupDefinitionWidgetQueryTableDefinition = None,
  query_value_definition: DashboardWidgetGroupDefinitionWidgetQueryValueDefinition = None,
  run_workflow_definition: DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition = None,
  scatterplot_definition: DashboardWidgetGroupDefinitionWidgetScatterplotDefinition = None,
  service_level_objective_definition: DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition = None,
  servicemap_definition: DashboardWidgetGroupDefinitionWidgetServicemapDefinition = None,
  slo_list_definition: DashboardWidgetGroupDefinitionWidgetSloListDefinition = None,
  sunburst_definition: DashboardWidgetGroupDefinitionWidgetSunburstDefinition = None,
  timeseries_definition: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition = None,
  toplist_definition: DashboardWidgetGroupDefinitionWidgetToplistDefinition = None,
  topology_map_definition: DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition = None,
  trace_service_definition: DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition = None,
  treemap_definition: DashboardWidgetGroupDefinitionWidgetTreemapDefinition = None,
  widget_layout: DashboardWidgetGroupDefinitionWidgetWidgetLayout = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.alertGraphDefinition">alert_graph_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition">DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition</a></code> | alert_graph_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.alertValueDefinition">alert_value_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition">DashboardWidgetGroupDefinitionWidgetAlertValueDefinition</a></code> | alert_value_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.changeDefinition">change_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition">DashboardWidgetGroupDefinitionWidgetChangeDefinition</a></code> | change_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.checkStatusDefinition">check_status_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition">DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition</a></code> | check_status_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.distributionDefinition">distribution_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition">DashboardWidgetGroupDefinitionWidgetDistributionDefinition</a></code> | distribution_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.eventStreamDefinition">event_stream_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition">DashboardWidgetGroupDefinitionWidgetEventStreamDefinition</a></code> | event_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.eventTimelineDefinition">event_timeline_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition">DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition</a></code> | event_timeline_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.freeTextDefinition">free_text_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition">DashboardWidgetGroupDefinitionWidgetFreeTextDefinition</a></code> | free_text_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.geomapDefinition">geomap_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition">DashboardWidgetGroupDefinitionWidgetGeomapDefinition</a></code> | geomap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.heatmapDefinition">heatmap_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition">DashboardWidgetGroupDefinitionWidgetHeatmapDefinition</a></code> | heatmap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.hostmapDefinition">hostmap_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition">DashboardWidgetGroupDefinitionWidgetHostmapDefinition</a></code> | hostmap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.iframeDefinition">iframe_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition">DashboardWidgetGroupDefinitionWidgetIframeDefinition</a></code> | iframe_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.imageDefinition">image_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition">DashboardWidgetGroupDefinitionWidgetImageDefinition</a></code> | image_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.listStreamDefinition">list_stream_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition">DashboardWidgetGroupDefinitionWidgetListStreamDefinition</a></code> | list_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.logStreamDefinition">log_stream_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition">DashboardWidgetGroupDefinitionWidgetLogStreamDefinition</a></code> | log_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.manageStatusDefinition">manage_status_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition">DashboardWidgetGroupDefinitionWidgetManageStatusDefinition</a></code> | manage_status_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.noteDefinition">note_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition">DashboardWidgetGroupDefinitionWidgetNoteDefinition</a></code> | note_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.queryTableDefinition">query_table_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition">DashboardWidgetGroupDefinitionWidgetQueryTableDefinition</a></code> | query_table_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.queryValueDefinition">query_value_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition">DashboardWidgetGroupDefinitionWidgetQueryValueDefinition</a></code> | query_value_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.runWorkflowDefinition">run_workflow_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition">DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition</a></code> | run_workflow_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.scatterplotDefinition">scatterplot_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition">DashboardWidgetGroupDefinitionWidgetScatterplotDefinition</a></code> | scatterplot_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.serviceLevelObjectiveDefinition">service_level_objective_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition">DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition</a></code> | service_level_objective_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.servicemapDefinition">servicemap_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition">DashboardWidgetGroupDefinitionWidgetServicemapDefinition</a></code> | servicemap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.sloListDefinition">slo_list_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition">DashboardWidgetGroupDefinitionWidgetSloListDefinition</a></code> | slo_list_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.sunburstDefinition">sunburst_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition">DashboardWidgetGroupDefinitionWidgetSunburstDefinition</a></code> | sunburst_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.timeseriesDefinition">timeseries_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition</a></code> | timeseries_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.toplistDefinition">toplist_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition">DashboardWidgetGroupDefinitionWidgetToplistDefinition</a></code> | toplist_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.topologyMapDefinition">topology_map_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition</a></code> | topology_map_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.traceServiceDefinition">trace_service_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition">DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition</a></code> | trace_service_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.treemapDefinition">treemap_definition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition">DashboardWidgetGroupDefinitionWidgetTreemapDefinition</a></code> | treemap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.widgetLayout">widget_layout</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout">DashboardWidgetGroupDefinitionWidgetWidgetLayout</a></code> | widget_layout block. |

---

##### `alert_graph_definition`<sup>Optional</sup> <a name="alert_graph_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.alertGraphDefinition"></a>

```python
alert_graph_definition: DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition">DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition</a>

alert_graph_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_graph_definition Dashboard#alert_graph_definition}

---

##### `alert_value_definition`<sup>Optional</sup> <a name="alert_value_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.alertValueDefinition"></a>

```python
alert_value_definition: DashboardWidgetGroupDefinitionWidgetAlertValueDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition">DashboardWidgetGroupDefinitionWidgetAlertValueDefinition</a>

alert_value_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_value_definition Dashboard#alert_value_definition}

---

##### `change_definition`<sup>Optional</sup> <a name="change_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.changeDefinition"></a>

```python
change_definition: DashboardWidgetGroupDefinitionWidgetChangeDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition">DashboardWidgetGroupDefinitionWidgetChangeDefinition</a>

change_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#change_definition Dashboard#change_definition}

---

##### `check_status_definition`<sup>Optional</sup> <a name="check_status_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.checkStatusDefinition"></a>

```python
check_status_definition: DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition">DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition</a>

check_status_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#check_status_definition Dashboard#check_status_definition}

---

##### `distribution_definition`<sup>Optional</sup> <a name="distribution_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.distributionDefinition"></a>

```python
distribution_definition: DashboardWidgetGroupDefinitionWidgetDistributionDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition">DashboardWidgetGroupDefinitionWidgetDistributionDefinition</a>

distribution_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#distribution_definition Dashboard#distribution_definition}

---

##### `event_stream_definition`<sup>Optional</sup> <a name="event_stream_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.eventStreamDefinition"></a>

```python
event_stream_definition: DashboardWidgetGroupDefinitionWidgetEventStreamDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition">DashboardWidgetGroupDefinitionWidgetEventStreamDefinition</a>

event_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_stream_definition Dashboard#event_stream_definition}

---

##### `event_timeline_definition`<sup>Optional</sup> <a name="event_timeline_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.eventTimelineDefinition"></a>

```python
event_timeline_definition: DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition">DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition</a>

event_timeline_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_timeline_definition Dashboard#event_timeline_definition}

---

##### `free_text_definition`<sup>Optional</sup> <a name="free_text_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.freeTextDefinition"></a>

```python
free_text_definition: DashboardWidgetGroupDefinitionWidgetFreeTextDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition">DashboardWidgetGroupDefinitionWidgetFreeTextDefinition</a>

free_text_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#free_text_definition Dashboard#free_text_definition}

---

##### `geomap_definition`<sup>Optional</sup> <a name="geomap_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.geomapDefinition"></a>

```python
geomap_definition: DashboardWidgetGroupDefinitionWidgetGeomapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition">DashboardWidgetGroupDefinitionWidgetGeomapDefinition</a>

geomap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#geomap_definition Dashboard#geomap_definition}

---

##### `heatmap_definition`<sup>Optional</sup> <a name="heatmap_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.heatmapDefinition"></a>

```python
heatmap_definition: DashboardWidgetGroupDefinitionWidgetHeatmapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition">DashboardWidgetGroupDefinitionWidgetHeatmapDefinition</a>

heatmap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#heatmap_definition Dashboard#heatmap_definition}

---

##### `hostmap_definition`<sup>Optional</sup> <a name="hostmap_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.hostmapDefinition"></a>

```python
hostmap_definition: DashboardWidgetGroupDefinitionWidgetHostmapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition">DashboardWidgetGroupDefinitionWidgetHostmapDefinition</a>

hostmap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hostmap_definition Dashboard#hostmap_definition}

---

##### `iframe_definition`<sup>Optional</sup> <a name="iframe_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.iframeDefinition"></a>

```python
iframe_definition: DashboardWidgetGroupDefinitionWidgetIframeDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition">DashboardWidgetGroupDefinitionWidgetIframeDefinition</a>

iframe_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#iframe_definition Dashboard#iframe_definition}

---

##### `image_definition`<sup>Optional</sup> <a name="image_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.imageDefinition"></a>

```python
image_definition: DashboardWidgetGroupDefinitionWidgetImageDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition">DashboardWidgetGroupDefinitionWidgetImageDefinition</a>

image_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_definition Dashboard#image_definition}

---

##### `list_stream_definition`<sup>Optional</sup> <a name="list_stream_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.listStreamDefinition"></a>

```python
list_stream_definition: DashboardWidgetGroupDefinitionWidgetListStreamDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition">DashboardWidgetGroupDefinitionWidgetListStreamDefinition</a>

list_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#list_stream_definition Dashboard#list_stream_definition}

---

##### `log_stream_definition`<sup>Optional</sup> <a name="log_stream_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.logStreamDefinition"></a>

```python
log_stream_definition: DashboardWidgetGroupDefinitionWidgetLogStreamDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition">DashboardWidgetGroupDefinitionWidgetLogStreamDefinition</a>

log_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_stream_definition Dashboard#log_stream_definition}

---

##### `manage_status_definition`<sup>Optional</sup> <a name="manage_status_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.manageStatusDefinition"></a>

```python
manage_status_definition: DashboardWidgetGroupDefinitionWidgetManageStatusDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition">DashboardWidgetGroupDefinitionWidgetManageStatusDefinition</a>

manage_status_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#manage_status_definition Dashboard#manage_status_definition}

---

##### `note_definition`<sup>Optional</sup> <a name="note_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.noteDefinition"></a>

```python
note_definition: DashboardWidgetGroupDefinitionWidgetNoteDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition">DashboardWidgetGroupDefinitionWidgetNoteDefinition</a>

note_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#note_definition Dashboard#note_definition}

---

##### `query_table_definition`<sup>Optional</sup> <a name="query_table_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.queryTableDefinition"></a>

```python
query_table_definition: DashboardWidgetGroupDefinitionWidgetQueryTableDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition">DashboardWidgetGroupDefinitionWidgetQueryTableDefinition</a>

query_table_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_table_definition Dashboard#query_table_definition}

---

##### `query_value_definition`<sup>Optional</sup> <a name="query_value_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.queryValueDefinition"></a>

```python
query_value_definition: DashboardWidgetGroupDefinitionWidgetQueryValueDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition">DashboardWidgetGroupDefinitionWidgetQueryValueDefinition</a>

query_value_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_value_definition Dashboard#query_value_definition}

---

##### `run_workflow_definition`<sup>Optional</sup> <a name="run_workflow_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.runWorkflowDefinition"></a>

```python
run_workflow_definition: DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition">DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition</a>

run_workflow_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#run_workflow_definition Dashboard#run_workflow_definition}

---

##### `scatterplot_definition`<sup>Optional</sup> <a name="scatterplot_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.scatterplotDefinition"></a>

```python
scatterplot_definition: DashboardWidgetGroupDefinitionWidgetScatterplotDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition">DashboardWidgetGroupDefinitionWidgetScatterplotDefinition</a>

scatterplot_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scatterplot_definition Dashboard#scatterplot_definition}

---

##### `service_level_objective_definition`<sup>Optional</sup> <a name="service_level_objective_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.serviceLevelObjectiveDefinition"></a>

```python
service_level_objective_definition: DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition">DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition</a>

service_level_objective_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service_level_objective_definition Dashboard#service_level_objective_definition}

---

##### `servicemap_definition`<sup>Optional</sup> <a name="servicemap_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.servicemapDefinition"></a>

```python
servicemap_definition: DashboardWidgetGroupDefinitionWidgetServicemapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition">DashboardWidgetGroupDefinitionWidgetServicemapDefinition</a>

servicemap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#servicemap_definition Dashboard#servicemap_definition}

---

##### `slo_list_definition`<sup>Optional</sup> <a name="slo_list_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.sloListDefinition"></a>

```python
slo_list_definition: DashboardWidgetGroupDefinitionWidgetSloListDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition">DashboardWidgetGroupDefinitionWidgetSloListDefinition</a>

slo_list_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#slo_list_definition Dashboard#slo_list_definition}

---

##### `sunburst_definition`<sup>Optional</sup> <a name="sunburst_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.sunburstDefinition"></a>

```python
sunburst_definition: DashboardWidgetGroupDefinitionWidgetSunburstDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition">DashboardWidgetGroupDefinitionWidgetSunburstDefinition</a>

sunburst_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sunburst_definition Dashboard#sunburst_definition}

---

##### `timeseries_definition`<sup>Optional</sup> <a name="timeseries_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.timeseriesDefinition"></a>

```python
timeseries_definition: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition</a>

timeseries_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeseries_definition Dashboard#timeseries_definition}

---

##### `toplist_definition`<sup>Optional</sup> <a name="toplist_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.toplistDefinition"></a>

```python
toplist_definition: DashboardWidgetGroupDefinitionWidgetToplistDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition">DashboardWidgetGroupDefinitionWidgetToplistDefinition</a>

toplist_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#toplist_definition Dashboard#toplist_definition}

---

##### `topology_map_definition`<sup>Optional</sup> <a name="topology_map_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.topologyMapDefinition"></a>

```python
topology_map_definition: DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition</a>

topology_map_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#topology_map_definition Dashboard#topology_map_definition}

---

##### `trace_service_definition`<sup>Optional</sup> <a name="trace_service_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.traceServiceDefinition"></a>

```python
trace_service_definition: DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition">DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition</a>

trace_service_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#trace_service_definition Dashboard#trace_service_definition}

---

##### `treemap_definition`<sup>Optional</sup> <a name="treemap_definition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.treemapDefinition"></a>

```python
treemap_definition: DashboardWidgetGroupDefinitionWidgetTreemapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition">DashboardWidgetGroupDefinitionWidgetTreemapDefinition</a>

treemap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#treemap_definition Dashboard#treemap_definition}

---

##### `widget_layout`<sup>Optional</sup> <a name="widget_layout" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.widgetLayout"></a>

```python
widget_layout: DashboardWidgetGroupDefinitionWidgetWidgetLayout
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout">DashboardWidgetGroupDefinitionWidgetWidgetLayout</a>

widget_layout block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#widget_layout Dashboard#widget_layout}

---

### DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition <a name="DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition(
  alert_id: str,
  viz_type: str,
  live_span: str = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.alertId">alert_id</a></code> | <code>str</code> | The ID of the monitor used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.vizType">viz_type</a></code> | <code>str</code> | Type of visualization to use when displaying the widget. Valid values are `timeseries`, `toplist`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `alert_id`<sup>Required</sup> <a name="alert_id" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.alertId"></a>

```python
alert_id: str
```

- *Type:* str

The ID of the monitor used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_id Dashboard#alert_id}

---

##### `viz_type`<sup>Required</sup> <a name="viz_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.vizType"></a>

```python
viz_type: str
```

- *Type:* str

Type of visualization to use when displaying the widget. Valid values are `timeseries`, `toplist`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#viz_type Dashboard#viz_type}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetAlertValueDefinition <a name="DashboardWidgetGroupDefinitionWidgetAlertValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition(
  alert_id: str,
  precision: typing.Union[int, float] = None,
  text_align: str = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None,
  unit: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.alertId">alert_id</a></code> | <code>str</code> | The ID of the monitor used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.precision">precision</a></code> | <code>typing.Union[int, float]</code> | The precision to use when displaying the value. Use `*` for maximum precision. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.textAlign">text_align</a></code> | <code>str</code> | The alignment of the text in the widget. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.unit">unit</a></code> | <code>str</code> | The unit for the value displayed in the widget. |

---

##### `alert_id`<sup>Required</sup> <a name="alert_id" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.alertId"></a>

```python
alert_id: str
```

- *Type:* str

The ID of the monitor used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_id Dashboard#alert_id}

---

##### `precision`<sup>Optional</sup> <a name="precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.precision"></a>

```python
precision: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The precision to use when displaying the value. Use `*` for maximum precision.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#precision Dashboard#precision}

---

##### `text_align`<sup>Optional</sup> <a name="text_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.textAlign"></a>

```python
text_align: str
```

- *Type:* str

The alignment of the text in the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `unit`<sup>Optional</sup> <a name="unit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.unit"></a>

```python
unit: str
```

- *Type:* str

The unit for the value displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#unit Dashboard#unit}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinition <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition(
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink]] = None,
  live_span: str = None,
  request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest]] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest(
  apm_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery = None,
  change_type: str = None,
  compare_to: str = None,
  formula: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula]] = None,
  increase_good: typing.Union[bool, IResolvable] = None,
  log_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery = None,
  order_by: str = None,
  order_dir: str = None,
  process_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery = None,
  q: str = None,
  query: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery]] = None,
  rum_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery = None,
  security_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery = None,
  show_present: typing.Union[bool, IResolvable] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.changeType">change_type</a></code> | <code>str</code> | Whether to show absolute or relative change. Valid values are `absolute`, `relative`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.compareTo">compare_to</a></code> | <code>str</code> | Choose from when to compare current data to. Valid values are `hour_before`, `day_before`, `week_before`, `month_before`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.formula">formula</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a>]]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.increaseGood">increase_good</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | A Boolean indicating whether an increase in the value is good (displayed in green) or not (displayed in red). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.orderBy">order_by</a></code> | <code>str</code> | What to order by. Valid values are `change`, `name`, `present`, `past`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.orderDir">order_dir</a></code> | <code>str</code> | Widget sorting method. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.query">query</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery</a>]]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.showPresent">show_present</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | If set to `true`, displays the current value. |

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.apmQuery"></a>

```python
apm_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `change_type`<sup>Optional</sup> <a name="change_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.changeType"></a>

```python
change_type: str
```

- *Type:* str

Whether to show absolute or relative change. Valid values are `absolute`, `relative`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#change_type Dashboard#change_type}

---

##### `compare_to`<sup>Optional</sup> <a name="compare_to" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.compareTo"></a>

```python
compare_to: str
```

- *Type:* str

Choose from when to compare current data to. Valid values are `hour_before`, `day_before`, `week_before`, `month_before`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compare_to Dashboard#compare_to}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.formula"></a>

```python
formula: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a>]]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `increase_good`<sup>Optional</sup> <a name="increase_good" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.increaseGood"></a>

```python
increase_good: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

A Boolean indicating whether an increase in the value is good (displayed in green) or not (displayed in red).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#increase_good Dashboard#increase_good}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.logQuery"></a>

```python
log_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `order_by`<sup>Optional</sup> <a name="order_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.orderBy"></a>

```python
order_by: str
```

- *Type:* str

What to order by. Valid values are `change`, `name`, `present`, `past`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order_by Dashboard#order_by}

---

##### `order_dir`<sup>Optional</sup> <a name="order_dir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.orderDir"></a>

```python
order_dir: str
```

- *Type:* str

Widget sorting method. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order_dir Dashboard#order_dir}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.processQuery"></a>

```python
process_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.query"></a>

```python
query: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery</a>]]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.rumQuery"></a>

```python
rum_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.securityQuery"></a>

```python
security_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `show_present`<sup>Optional</sup> <a name="show_present" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.showPresent"></a>

```python
show_present: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

If set to `true`, displays the current value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_present Dashboard#show_present}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula(
  formula_expression: str,
  alias: str = None,
  cell_display_mode: str = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats]] = None,
  limit: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit = None,
  style: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.formulaExpression">formula_expression</a></code> | <code>str</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.alias">alias</a></code> | <code>str</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formula_expression`<sup>Required</sup> <a name="formula_expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.formulaExpression"></a>

```python
formula_expression: str
```

- *Type:* str

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.alias"></a>

```python
alias: str
```

- *Type:* str

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.limit"></a>

```python
limit: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.style"></a>

```python
style: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit(
  count: typing.Union[int, float] = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>typing.Union[int, float]</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit.property.count"></a>

```python
count: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit.property.order"></a>

```python
order: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle(
  palette: str = None,
  palette_index: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>str</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle.property.paletteIndex">palette_index</a></code> | <code>typing.Union[int, float]</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `palette_index`<sup>Optional</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```python
palette_index: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery(
  apm_dependency_stats_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery = None,
  apm_resource_stats_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery = None,
  event_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery = None,
  metric_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery = None,
  process_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.apmDependencyStatsQuery">apm_dependency_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.apmResourceStatsQuery">apm_resource_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.eventQuery">event_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.metricQuery">metric_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apm_dependency_stats_query`<sup>Optional</sup> <a name="apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```python
apm_dependency_stats_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apm_resource_stats_query`<sup>Optional</sup> <a name="apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```python
apm_resource_stats_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `event_query`<sup>Optional</sup> <a name="event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.eventQuery"></a>

```python
event_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metric_query`<sup>Optional</sup> <a name="metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.metricQuery"></a>

```python
metric_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.processQuery"></a>

```python
process_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery(
  data_source: str,
  env: str,
  name: str,
  operation_name: str,
  resource_name: str,
  service: str,
  stat: str,
  is_upstream: typing.Union[bool, IResolvable] = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">is_upstream</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `is_upstream`<sup>Optional</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```python
is_upstream: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery(
  data_source: str,
  env: str,
  name: str,
  service: str,
  stat: str,
  group_by: typing.List[str] = None,
  operation_name: str = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None,
  resource_name: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operation_name`<sup>Optional</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resource_name`<sup>Optional</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery(
  compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute]],
  data_source: str,
  name: str,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy]] = None,
  indexes: typing.List[str] = None,
  search: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch = None,
  storage: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute</a>]]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>str</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.compute"></a>

```python
compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute</a>]]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.search"></a>

```python
search: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.storage"></a>

```python
storage: str
```

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute(
  aggregation: str,
  interval: typing.Union[int, float] = None,
  metric: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>str</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```python
metric: str
```

- *Type:* str

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy(
  facet: str,
  limit: typing.Union[int, float] = None,
  sort: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```python
sort: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort(
  aggregation: str,
  metric: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>str</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>str</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```python
order: str
```

- *Type:* str

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch(
  query: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>str</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch.property.query"></a>

```python
query: str
```

- *Type:* str

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery(
  name: str,
  query: str,
  aggregator: str = None,
  data_source: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>str</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>str</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.query"></a>

```python
query: str
```

- *Type:* str

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `data_source`<sup>Optional</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery(
  data_source: str,
  metric: str,
  name: str,
  aggregator: str = None,
  is_normalized_cpu: typing.Union[bool, IResolvable] = None,
  limit: typing.Union[int, float] = None,
  sort: str = None,
  tag_filters: typing.List[str] = None,
  text_filter: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>str</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">is_normalized_cpu</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.tagFilters">tag_filters</a></code> | <code>typing.List[str]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.textFilter">text_filter</a></code> | <code>str</code> | The text to use as a filter. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `is_normalized_cpu`<sup>Optional</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```python
is_normalized_cpu: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.sort"></a>

```python
sort: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tag_filters`<sup>Optional</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```python
tag_filters: typing.List[str]
```

- *Type:* typing.List[str]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `text_filter`<sup>Optional</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```python
text_filter: str
```

- *Type:* str

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition <a name="DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition(
  check: str,
  grouping: str,
  group: str = None,
  group_by: typing.List[str] = None,
  live_span: str = None,
  tags: typing.List[str] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.check">check</a></code> | <code>str</code> | The check to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.grouping">grouping</a></code> | <code>str</code> | The kind of grouping to use. Valid values are `check`, `cluster`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.group">group</a></code> | <code>str</code> | The check group to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | When `grouping = "cluster"`, indicates a list of tags to use for grouping. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.tags">tags</a></code> | <code>typing.List[str]</code> | A list of tags to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `check`<sup>Required</sup> <a name="check" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.check"></a>

```python
check: str
```

- *Type:* str

The check to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#check Dashboard#check}

---

##### `grouping`<sup>Required</sup> <a name="grouping" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.grouping"></a>

```python
grouping: str
```

- *Type:* str

The kind of grouping to use. Valid values are `check`, `cluster`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#grouping Dashboard#grouping}

---

##### `group`<sup>Optional</sup> <a name="group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.group"></a>

```python
group: str
```

- *Type:* str

The check group to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group Dashboard#group}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

When `grouping = "cluster"`, indicates a list of tags to use for grouping.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `tags`<sup>Optional</sup> <a name="tags" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.tags"></a>

```python
tags: typing.List[str]
```

- *Type:* typing.List[str]

A list of tags to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags Dashboard#tags}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinition <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition(
  legend_size: str = None,
  live_span: str = None,
  request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest]] = None,
  show_legend: typing.Union[bool, IResolvable] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.legendSize">legend_size</a></code> | <code>str</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.showLegend">show_legend</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `legend_size`<sup>Optional</sup> <a name="legend_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.legendSize"></a>

```python
legend_size: str
```

- *Type:* str

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `show_legend`<sup>Optional</sup> <a name="show_legend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.showLegend"></a>

```python
show_legend: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest(
  apm_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery = None,
  apm_stats_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery = None,
  log_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery = None,
  process_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery = None,
  q: str = None,
  rum_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery = None,
  security_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery = None,
  style: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.apmStatsQuery">apm_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery</a></code> | apm_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle</a></code> | style block. |

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.apmQuery"></a>

```python
apm_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `apm_stats_query`<sup>Optional</sup> <a name="apm_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.apmStatsQuery"></a>

```python
apm_stats_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery</a>

apm_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_stats_query Dashboard#apm_stats_query}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.logQuery"></a>

```python
log_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.processQuery"></a>

```python
process_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.rumQuery"></a>

```python
rum_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.securityQuery"></a>

```python
security_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.style"></a>

```python
style: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery(
  env: str,
  name: str,
  primary_tag: str,
  row_type: str,
  service: str,
  columns: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns]] = None,
  resource: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.env">env</a></code> | <code>str</code> | The environment name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.name">name</a></code> | <code>str</code> | The operation name associated with the service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.primaryTag">primary_tag</a></code> | <code>str</code> | The organization's host group name and value. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.rowType">row_type</a></code> | <code>str</code> | The level of detail for the request. Valid values are `service`, `resource`, `span`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.service">service</a></code> | <code>str</code> | The service name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.columns">columns</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>]]</code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.resource">resource</a></code> | <code>str</code> | The resource name. |

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

The environment name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The operation name associated with the service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `primary_tag`<sup>Required</sup> <a name="primary_tag" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.primaryTag"></a>

```python
primary_tag: str
```

- *Type:* str

The organization's host group name and value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag Dashboard#primary_tag}

---

##### `row_type`<sup>Required</sup> <a name="row_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.rowType"></a>

```python
row_type: str
```

- *Type:* str

The level of detail for the request. Valid values are `service`, `resource`, `span`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#row_type Dashboard#row_type}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

The service name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `columns`<sup>Optional</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.columns"></a>

```python
columns: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>]]

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `resource`<sup>Optional</sup> <a name="resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.resource"></a>

```python
resource: str
```

- *Type:* str

The resource name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource Dashboard#resource}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns(
  name: str,
  alias: str = None,
  cell_display_mode: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.name">name</a></code> | <code>str</code> | The column name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.alias">alias</a></code> | <code>str</code> | A user-assigned alias for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.name"></a>

```python
name: str
```

- *Type:* str

The column name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.alias"></a>

```python
alias: str
```

- *Type:* str

A user-assigned alias for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle(
  palette: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle.property.palette">palette</a></code> | <code>str</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetGroupDefinitionWidgetEventStreamDefinition <a name="DashboardWidgetGroupDefinitionWidgetEventStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition(
  query: str,
  event_size: str = None,
  live_span: str = None,
  tags_execution: str = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.query">query</a></code> | <code>str</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.eventSize">event_size</a></code> | <code>str</code> | The size to use to display an event. Valid values are `s`, `l`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.tagsExecution">tags_execution</a></code> | <code>str</code> | The execution method for multi-value filters, options: `and` or `or`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.query"></a>

```python
query: str
```

- *Type:* str

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `event_size`<sup>Optional</sup> <a name="event_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.eventSize"></a>

```python
event_size: str
```

- *Type:* str

The size to use to display an event. Valid values are `s`, `l`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_size Dashboard#event_size}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `tags_execution`<sup>Optional</sup> <a name="tags_execution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.tagsExecution"></a>

```python
tags_execution: str
```

- *Type:* str

The execution method for multi-value filters, options: `and` or `or`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition <a name="DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition(
  query: str,
  live_span: str = None,
  tags_execution: str = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.query">query</a></code> | <code>str</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.tagsExecution">tags_execution</a></code> | <code>str</code> | The execution method for multi-value filters, options: `and` or `or`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.query"></a>

```python
query: str
```

- *Type:* str

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `tags_execution`<sup>Optional</sup> <a name="tags_execution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.tagsExecution"></a>

```python
tags_execution: str
```

- *Type:* str

The execution method for multi-value filters, options: `and` or `or`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetFreeTextDefinition <a name="DashboardWidgetGroupDefinitionWidgetFreeTextDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition(
  text: str,
  color: str = None,
  font_size: str = None,
  text_align: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.text">text</a></code> | <code>str</code> | The text to display in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.color">color</a></code> | <code>str</code> | The color of the text in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.fontSize">font_size</a></code> | <code>str</code> | The size of the text in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.textAlign">text_align</a></code> | <code>str</code> | The alignment of the text in the widget. Valid values are `center`, `left`, `right`. |

---

##### `text`<sup>Required</sup> <a name="text" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.text"></a>

```python
text: str
```

- *Type:* str

The text to display in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text Dashboard#text}

---

##### `color`<sup>Optional</sup> <a name="color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.color"></a>

```python
color: str
```

- *Type:* str

The color of the text in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color Dashboard#color}

---

##### `font_size`<sup>Optional</sup> <a name="font_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.fontSize"></a>

```python
font_size: str
```

- *Type:* str

The size of the text in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#font_size Dashboard#font_size}

---

##### `text_align`<sup>Optional</sup> <a name="text_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.textAlign"></a>

```python
text_align: str
```

- *Type:* str

The alignment of the text in the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinition <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition(
  view: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView,
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink]] = None,
  live_span: str = None,
  request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest]] = None,
  style: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.view">view</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView</a></code> | view block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle</a></code> | style block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `view`<sup>Required</sup> <a name="view" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.view"></a>

```python
view: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView</a>

view block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view Dashboard#view}

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.style"></a>

```python
style: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest(
  formula: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula]] = None,
  log_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery = None,
  q: str = None,
  query: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery]] = None,
  rum_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.formula">formula</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula</a>]]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.query">query</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery</a>]]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery</a></code> | rum_query block. |

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.formula"></a>

```python
formula: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula</a>]]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.logQuery"></a>

```python
log_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.query"></a>

```python
query: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery</a>]]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.rumQuery"></a>

```python
rum_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula(
  formula_expression: str,
  alias: str = None,
  cell_display_mode: str = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats]] = None,
  limit: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit = None,
  style: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.formulaExpression">formula_expression</a></code> | <code>str</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.alias">alias</a></code> | <code>str</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formula_expression`<sup>Required</sup> <a name="formula_expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.formulaExpression"></a>

```python
formula_expression: str
```

- *Type:* str

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.alias"></a>

```python
alias: str
```

- *Type:* str

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.limit"></a>

```python
limit: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.style"></a>

```python
style: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit(
  count: typing.Union[int, float] = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>typing.Union[int, float]</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit.property.count"></a>

```python
count: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit.property.order"></a>

```python
order: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle(
  palette: str = None,
  palette_index: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>str</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle.property.paletteIndex">palette_index</a></code> | <code>typing.Union[int, float]</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `palette_index`<sup>Optional</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```python
palette_index: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery(
  apm_dependency_stats_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery = None,
  apm_resource_stats_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery = None,
  event_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery = None,
  metric_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery = None,
  process_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.apmDependencyStatsQuery">apm_dependency_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.apmResourceStatsQuery">apm_resource_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.eventQuery">event_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.metricQuery">metric_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apm_dependency_stats_query`<sup>Optional</sup> <a name="apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```python
apm_dependency_stats_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apm_resource_stats_query`<sup>Optional</sup> <a name="apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```python
apm_resource_stats_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `event_query`<sup>Optional</sup> <a name="event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.eventQuery"></a>

```python
event_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metric_query`<sup>Optional</sup> <a name="metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.metricQuery"></a>

```python
metric_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.processQuery"></a>

```python
process_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery(
  data_source: str,
  env: str,
  name: str,
  operation_name: str,
  resource_name: str,
  service: str,
  stat: str,
  is_upstream: typing.Union[bool, IResolvable] = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">is_upstream</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `is_upstream`<sup>Optional</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```python
is_upstream: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery(
  data_source: str,
  env: str,
  name: str,
  service: str,
  stat: str,
  group_by: typing.List[str] = None,
  operation_name: str = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None,
  resource_name: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operation_name`<sup>Optional</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resource_name`<sup>Optional</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery(
  compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute]],
  data_source: str,
  name: str,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy]] = None,
  indexes: typing.List[str] = None,
  search: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch = None,
  storage: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>]]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>str</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.compute"></a>

```python
compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>]]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.search"></a>

```python
search: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.storage"></a>

```python
storage: str
```

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute(
  aggregation: str,
  interval: typing.Union[int, float] = None,
  metric: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>str</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```python
metric: str
```

- *Type:* str

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy(
  facet: str,
  limit: typing.Union[int, float] = None,
  sort: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```python
sort: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort(
  aggregation: str,
  metric: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>str</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>str</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```python
order: str
```

- *Type:* str

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch(
  query: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>str</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch.property.query"></a>

```python
query: str
```

- *Type:* str

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery(
  name: str,
  query: str,
  aggregator: str = None,
  data_source: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>str</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>str</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.query"></a>

```python
query: str
```

- *Type:* str

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `data_source`<sup>Optional</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery(
  data_source: str,
  metric: str,
  name: str,
  aggregator: str = None,
  is_normalized_cpu: typing.Union[bool, IResolvable] = None,
  limit: typing.Union[int, float] = None,
  sort: str = None,
  tag_filters: typing.List[str] = None,
  text_filter: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>str</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">is_normalized_cpu</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.tagFilters">tag_filters</a></code> | <code>typing.List[str]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.textFilter">text_filter</a></code> | <code>str</code> | The text to use as a filter. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `is_normalized_cpu`<sup>Optional</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```python
is_normalized_cpu: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.sort"></a>

```python
sort: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tag_filters`<sup>Optional</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```python
tag_filters: typing.List[str]
```

- *Type:* typing.List[str]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `text_filter`<sup>Optional</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```python
text_filter: str
```

- *Type:* str

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle(
  palette: str,
  palette_flip: typing.Union[bool, IResolvable]
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle.property.palette">palette</a></code> | <code>str</code> | The color palette to apply to the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle.property.paletteFlip">palette_flip</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | A Boolean indicating whether to flip the palette tones. |

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply to the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `palette_flip`<sup>Required</sup> <a name="palette_flip" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle.property.paletteFlip"></a>

```python
palette_flip: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

A Boolean indicating whether to flip the palette tones.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_flip Dashboard#palette_flip}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView(
  focus: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView.property.focus">focus</a></code> | <code>str</code> | The two-letter ISO code of a country to focus the map on (or `WORLD`). |

---

##### `focus`<sup>Required</sup> <a name="focus" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView.property.focus"></a>

```python
focus: str
```

- *Type:* str

The two-letter ISO code of a country to focus the map on (or `WORLD`).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#focus Dashboard#focus}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinition <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition(
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink]] = None,
  event: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent]] = None,
  legend_size: str = None,
  live_span: str = None,
  request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest]] = None,
  show_legend: typing.Union[bool, IResolvable] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None,
  yaxis: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.event">event</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent</a>]]</code> | event block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.legendSize">legend_size</a></code> | <code>str</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.showLegend">show_legend</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis</a></code> | yaxis block. |

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `event`<sup>Optional</sup> <a name="event" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.event"></a>

```python
event: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent</a>]]

event block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event Dashboard#event}

---

##### `legend_size`<sup>Optional</sup> <a name="legend_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.legendSize"></a>

```python
legend_size: str
```

- *Type:* str

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `show_legend`<sup>Optional</sup> <a name="show_legend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.showLegend"></a>

```python
show_legend: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.yaxis"></a>

```python
yaxis: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent(
  q: str,
  tags_execution: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent.property.q">q</a></code> | <code>str</code> | The event query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent.property.tagsExecution">tags_execution</a></code> | <code>str</code> | The execution method for multi-value filters. |

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent.property.q"></a>

```python
q: str
```

- *Type:* str

The event query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `tags_execution`<sup>Optional</sup> <a name="tags_execution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent.property.tagsExecution"></a>

```python
tags_execution: str
```

- *Type:* str

The execution method for multi-value filters.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest(
  apm_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery = None,
  log_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery = None,
  process_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery = None,
  q: str = None,
  rum_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery = None,
  security_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery = None,
  style: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle</a></code> | style block. |

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.apmQuery"></a>

```python
apm_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.logQuery"></a>

```python
log_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.processQuery"></a>

```python
process_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.rumQuery"></a>

```python
rum_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.securityQuery"></a>

```python
security_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.style"></a>

```python
style: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle(
  palette: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle.property.palette">palette</a></code> | <code>str</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis(
  include_zero: typing.Union[bool, IResolvable] = None,
  label: str = None,
  max: str = None,
  min: str = None,
  scale: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.includeZero">include_zero</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.label">label</a></code> | <code>str</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.max">max</a></code> | <code>str</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.min">min</a></code> | <code>str</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.scale">scale</a></code> | <code>str</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `include_zero`<sup>Optional</sup> <a name="include_zero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.includeZero"></a>

```python
include_zero: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.label"></a>

```python
label: str
```

- *Type:* str

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.max"></a>

```python
max: str
```

- *Type:* str

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.min"></a>

```python
min: str
```

- *Type:* str

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.scale"></a>

```python
scale: str
```

- *Type:* str

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinition <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition(
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink]] = None,
  group: typing.List[str] = None,
  node_type: str = None,
  no_group_hosts: typing.Union[bool, IResolvable] = None,
  no_metric_hosts: typing.Union[bool, IResolvable] = None,
  request: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest = None,
  scope: typing.List[str] = None,
  style: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.group">group</a></code> | <code>typing.List[str]</code> | The list of tags to group nodes by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.nodeType">node_type</a></code> | <code>str</code> | The type of node used. Valid values are `host`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.noGroupHosts">no_group_hosts</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | A Boolean indicating whether to show ungrouped nodes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.noMetricHosts">no_metric_hosts</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | A Boolean indicating whether to show nodes with no metrics. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.scope">scope</a></code> | <code>typing.List[str]</code> | The list of tags to filter nodes by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle</a></code> | style block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `group`<sup>Optional</sup> <a name="group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.group"></a>

```python
group: typing.List[str]
```

- *Type:* typing.List[str]

The list of tags to group nodes by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group Dashboard#group}

---

##### `node_type`<sup>Optional</sup> <a name="node_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.nodeType"></a>

```python
node_type: str
```

- *Type:* str

The type of node used. Valid values are `host`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#node_type Dashboard#node_type}

---

##### `no_group_hosts`<sup>Optional</sup> <a name="no_group_hosts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.noGroupHosts"></a>

```python
no_group_hosts: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

A Boolean indicating whether to show ungrouped nodes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#no_group_hosts Dashboard#no_group_hosts}

---

##### `no_metric_hosts`<sup>Optional</sup> <a name="no_metric_hosts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.noMetricHosts"></a>

```python
no_metric_hosts: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

A Boolean indicating whether to show nodes with no metrics.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#no_metric_hosts Dashboard#no_metric_hosts}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.request"></a>

```python
request: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `scope`<sup>Optional</sup> <a name="scope" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.scope"></a>

```python
scope: typing.List[str]
```

- *Type:* typing.List[str]

The list of tags to filter nodes by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scope Dashboard#scope}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.style"></a>

```python
style: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest(
  fill: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill]] = None,
  size: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize]] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest.property.fill">fill</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill</a>]]</code> | fill block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest.property.size">size</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize</a>]]</code> | size block. |

---

##### `fill`<sup>Optional</sup> <a name="fill" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest.property.fill"></a>

```python
fill: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill</a>]]

fill block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill Dashboard#fill}

---

##### `size`<sup>Optional</sup> <a name="size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest.property.size"></a>

```python
size: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize</a>]]

size block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#size Dashboard#size}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill(
  apm_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery = None,
  log_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery = None,
  process_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery = None,
  q: str = None,
  rum_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery = None,
  security_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery</a></code> | security_query block. |

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.apmQuery"></a>

```python
apm_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.logQuery"></a>

```python
log_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.processQuery"></a>

```python
process_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.rumQuery"></a>

```python
rum_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.securityQuery"></a>

```python
security_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize(
  apm_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery = None,
  log_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery = None,
  process_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery = None,
  q: str = None,
  rum_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery = None,
  security_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery</a></code> | security_query block. |

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.apmQuery"></a>

```python
apm_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.logQuery"></a>

```python
log_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.processQuery"></a>

```python
process_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.rumQuery"></a>

```python
rum_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.securityQuery"></a>

```python
security_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle(
  fill_max: str = None,
  fill_min: str = None,
  palette: str = None,
  palette_flip: typing.Union[bool, IResolvable] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.fillMax">fill_max</a></code> | <code>str</code> | The max value to use to color the map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.fillMin">fill_min</a></code> | <code>str</code> | The min value to use to color the map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.palette">palette</a></code> | <code>str</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.paletteFlip">palette_flip</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | A Boolean indicating whether to flip the palette tones. |

---

##### `fill_max`<sup>Optional</sup> <a name="fill_max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.fillMax"></a>

```python
fill_max: str
```

- *Type:* str

The max value to use to color the map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill_max Dashboard#fill_max}

---

##### `fill_min`<sup>Optional</sup> <a name="fill_min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.fillMin"></a>

```python
fill_min: str
```

- *Type:* str

The min value to use to color the map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill_min Dashboard#fill_min}

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `palette_flip`<sup>Optional</sup> <a name="palette_flip" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.paletteFlip"></a>

```python
palette_flip: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

A Boolean indicating whether to flip the palette tones.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_flip Dashboard#palette_flip}

---

### DashboardWidgetGroupDefinitionWidgetIframeDefinition <a name="DashboardWidgetGroupDefinitionWidgetIframeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition(
  url: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition.property.url">url</a></code> | <code>str</code> | The URL to use as a data source for the widget. |

---

##### `url`<sup>Required</sup> <a name="url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition.property.url"></a>

```python
url: str
```

- *Type:* str

The URL to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

### DashboardWidgetGroupDefinitionWidgetImageDefinition <a name="DashboardWidgetGroupDefinitionWidgetImageDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition(
  url: str,
  has_background: typing.Union[bool, IResolvable] = None,
  has_border: typing.Union[bool, IResolvable] = None,
  horizontal_align: str = None,
  margin: str = None,
  sizing: str = None,
  url_dark_theme: str = None,
  vertical_align: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.url">url</a></code> | <code>str</code> | The URL to use as a data source for the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.hasBackground">has_background</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to display a background or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.hasBorder">has_border</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to display a border or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.horizontalAlign">horizontal_align</a></code> | <code>str</code> | The horizontal alignment for the widget. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.margin">margin</a></code> | <code>str</code> | The margins to use around the image. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.sizing">sizing</a></code> | <code>str</code> | The preferred method to adapt the dimensions of the image. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.urlDarkTheme">url_dark_theme</a></code> | <code>str</code> | The URL in dark mode to use as a data source for the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.verticalAlign">vertical_align</a></code> | <code>str</code> | The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`. |

---

##### `url`<sup>Required</sup> <a name="url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.url"></a>

```python
url: str
```

- *Type:* str

The URL to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

##### `has_background`<sup>Optional</sup> <a name="has_background" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.hasBackground"></a>

```python
has_background: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to display a background or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_background Dashboard#has_background}

---

##### `has_border`<sup>Optional</sup> <a name="has_border" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.hasBorder"></a>

```python
has_border: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to display a border or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_border Dashboard#has_border}

---

##### `horizontal_align`<sup>Optional</sup> <a name="horizontal_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.horizontalAlign"></a>

```python
horizontal_align: str
```

- *Type:* str

The horizontal alignment for the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#horizontal_align Dashboard#horizontal_align}

---

##### `margin`<sup>Optional</sup> <a name="margin" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.margin"></a>

```python
margin: str
```

- *Type:* str

The margins to use around the image.

Note: `small` and `large` values are deprecated. Valid values are `sm`, `md`, `lg`, `small`, `large`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#margin Dashboard#margin}

---

##### `sizing`<sup>Optional</sup> <a name="sizing" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.sizing"></a>

```python
sizing: str
```

- *Type:* str

The preferred method to adapt the dimensions of the image.

The values are based on the image `object-fit` CSS properties. Note: `zoom`, `fit` and `center` values are deprecated. Valid values are `fill`, `contain`, `cover`, `none`, `scale-down`, `zoom`, `fit`, `center`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sizing Dashboard#sizing}

---

##### `url_dark_theme`<sup>Optional</sup> <a name="url_dark_theme" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.urlDarkTheme"></a>

```python
url_dark_theme: str
```

- *Type:* str

The URL in dark mode to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url_dark_theme Dashboard#url_dark_theme}

---

##### `vertical_align`<sup>Optional</sup> <a name="vertical_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.verticalAlign"></a>

```python
vertical_align: str
```

- *Type:* str

The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#vertical_align Dashboard#vertical_align}

---

### DashboardWidgetGroupDefinitionWidgetListStreamDefinition <a name="DashboardWidgetGroupDefinitionWidgetListStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition(
  request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest]],
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest">DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title. Default is 16. |

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest">DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title. Default is 16.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest(
  columns: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns]],
  query: DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery,
  response_format: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.columns">columns</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns">DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns</a>]]</code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.query">query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery</a></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.responseFormat">response_format</a></code> | <code>str</code> | Widget response format. Valid values are `event_list`. |

---

##### `columns`<sup>Required</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.columns"></a>

```python
columns: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns">DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns</a>]]

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.query"></a>

```python
query: DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery</a>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `response_format`<sup>Required</sup> <a name="response_format" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.responseFormat"></a>

```python
response_format: str
```

- *Type:* str

Widget response format. Valid values are `event_list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#response_format Dashboard#response_format}

---

### DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns <a name="DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns(
  field: str,
  width: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns.property.field">field</a></code> | <code>str</code> | Widget column field. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns.property.width">width</a></code> | <code>str</code> | Widget column width. Valid values are `auto`, `compact`, `full`. |

---

##### `field`<sup>Required</sup> <a name="field" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns.property.field"></a>

```python
field: str
```

- *Type:* str

Widget column field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#field Dashboard#field}

---

##### `width`<sup>Required</sup> <a name="width" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns.property.width"></a>

```python
width: str
```

- *Type:* str

Widget column width. Valid values are `auto`, `compact`, `full`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#width Dashboard#width}

---

### DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery(
  data_source: str,
  event_size: str = None,
  indexes: typing.List[str] = None,
  query_string: str = None,
  storage: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.dataSource">data_source</a></code> | <code>str</code> | Source from which to query items to display in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.eventSize">event_size</a></code> | <code>str</code> | Size of events displayed in widget. Required if `data_source` is `event_stream`. Valid values are `s`, `l`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | List of indexes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.queryString">query_string</a></code> | <code>str</code> | Widget query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.storage">storage</a></code> | <code>str</code> | Storage location (private beta). |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

Source from which to query items to display in the stream.

Valid values are `logs_stream`, `audit_stream`, `ci_pipeline_stream`, `ci_test_stream`, `rum_issue_stream`, `apm_issue_stream`, `logs_issue_stream`, `logs_pattern_stream`, `logs_transaction_stream`, `event_stream`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `event_size`<sup>Optional</sup> <a name="event_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.eventSize"></a>

```python
event_size: str
```

- *Type:* str

Size of events displayed in widget. Required if `data_source` is `event_stream`. Valid values are `s`, `l`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_size Dashboard#event_size}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

List of indexes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `query_string`<sup>Optional</sup> <a name="query_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.queryString"></a>

```python
query_string: str
```

- *Type:* str

Widget query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_string Dashboard#query_string}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.storage"></a>

```python
storage: str
```

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetLogStreamDefinition <a name="DashboardWidgetGroupDefinitionWidgetLogStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition(
  columns: typing.List[str] = None,
  indexes: typing.List[str] = None,
  live_span: str = None,
  message_display: str = None,
  query: str = None,
  show_date_column: typing.Union[bool, IResolvable] = None,
  show_message_column: typing.Union[bool, IResolvable] = None,
  sort: DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.columns">columns</a></code> | <code>typing.List[str]</code> | Stringified list of columns to use, for example: `["column1","column2","column3"]`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.messageDisplay">message_display</a></code> | <code>str</code> | The number of log lines to display. Valid values are `inline`, `expanded-md`, `expanded-lg`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.query">query</a></code> | <code>str</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.showDateColumn">show_date_column</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | If the date column should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.showMessageColumn">show_message_column</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | If the message column should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort">DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort</a></code> | sort block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `columns`<sup>Optional</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.columns"></a>

```python
columns: typing.List[str]
```

- *Type:* typing.List[str]

Stringified list of columns to use, for example: `["column1","column2","column3"]`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `message_display`<sup>Optional</sup> <a name="message_display" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.messageDisplay"></a>

```python
message_display: str
```

- *Type:* str

The number of log lines to display. Valid values are `inline`, `expanded-md`, `expanded-lg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#message_display Dashboard#message_display}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.query"></a>

```python
query: str
```

- *Type:* str

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `show_date_column`<sup>Optional</sup> <a name="show_date_column" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.showDateColumn"></a>

```python
show_date_column: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

If the date column should be displayed.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_date_column Dashboard#show_date_column}

---

##### `show_message_column`<sup>Optional</sup> <a name="show_message_column" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.showMessageColumn"></a>

```python
show_message_column: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

If the message column should be displayed.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_message_column Dashboard#show_message_column}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.sort"></a>

```python
sort: DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort">DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort <a name="DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort(
  column: str,
  order: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort.property.column">column</a></code> | <code>str</code> | The facet path for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `column`<sup>Required</sup> <a name="column" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort.property.column"></a>

```python
column: str
```

- *Type:* str

The facet path for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#column Dashboard#column}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetManageStatusDefinition <a name="DashboardWidgetGroupDefinitionWidgetManageStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition(
  query: str,
  color_preference: str = None,
  display_format: str = None,
  hide_zero_counts: typing.Union[bool, IResolvable] = None,
  show_last_triggered: typing.Union[bool, IResolvable] = None,
  show_priority: typing.Union[bool, IResolvable] = None,
  sort: str = None,
  summary_type: str = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.query">query</a></code> | <code>str</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.colorPreference">color_preference</a></code> | <code>str</code> | Whether to colorize text or background. Valid values are `background`, `text`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.displayFormat">display_format</a></code> | <code>str</code> | The display setting to use. Valid values are `counts`, `countsAndList`, `list`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.hideZeroCounts">hide_zero_counts</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | A Boolean indicating whether to hide empty categories. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.showLastTriggered">show_last_triggered</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | A Boolean indicating whether to show when monitors/groups last triggered. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.showPriority">show_priority</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to show the priorities column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.sort">sort</a></code> | <code>str</code> | The method to sort the monitors. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.summaryType">summary_type</a></code> | <code>str</code> | The summary type to use. Valid values are `monitors`, `groups`, `combined`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.query"></a>

```python
query: str
```

- *Type:* str

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `color_preference`<sup>Optional</sup> <a name="color_preference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.colorPreference"></a>

```python
color_preference: str
```

- *Type:* str

Whether to colorize text or background. Valid values are `background`, `text`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color_preference Dashboard#color_preference}

---

##### `display_format`<sup>Optional</sup> <a name="display_format" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.displayFormat"></a>

```python
display_format: str
```

- *Type:* str

The display setting to use. Valid values are `counts`, `countsAndList`, `list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_format Dashboard#display_format}

---

##### `hide_zero_counts`<sup>Optional</sup> <a name="hide_zero_counts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.hideZeroCounts"></a>

```python
hide_zero_counts: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

A Boolean indicating whether to hide empty categories.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_zero_counts Dashboard#hide_zero_counts}

---

##### `show_last_triggered`<sup>Optional</sup> <a name="show_last_triggered" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.showLastTriggered"></a>

```python
show_last_triggered: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

A Boolean indicating whether to show when monitors/groups last triggered.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_last_triggered Dashboard#show_last_triggered}

---

##### `show_priority`<sup>Optional</sup> <a name="show_priority" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.showPriority"></a>

```python
show_priority: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to show the priorities column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_priority Dashboard#show_priority}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.sort"></a>

```python
sort: str
```

- *Type:* str

The method to sort the monitors.

Valid values are `name`, `group`, `status`, `tags`, `triggered`, `group,asc`, `group,desc`, `name,asc`, `name,desc`, `status,asc`, `status,desc`, `tags,asc`, `tags,desc`, `triggered,asc`, `triggered,desc`, `priority,asc`, `priority,desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `summary_type`<sup>Optional</sup> <a name="summary_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.summaryType"></a>

```python
summary_type: str
```

- *Type:* str

The summary type to use. Valid values are `monitors`, `groups`, `combined`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#summary_type Dashboard#summary_type}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetNoteDefinition <a name="DashboardWidgetGroupDefinitionWidgetNoteDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition(
  content: str,
  background_color: str = None,
  font_size: str = None,
  has_padding: typing.Union[bool, IResolvable] = None,
  show_tick: typing.Union[bool, IResolvable] = None,
  text_align: str = None,
  tick_edge: str = None,
  tick_pos: str = None,
  vertical_align: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.content">content</a></code> | <code>str</code> | The content of the note. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.backgroundColor">background_color</a></code> | <code>str</code> | The background color of the note. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.fontSize">font_size</a></code> | <code>str</code> | The size of the text. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.hasPadding">has_padding</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to add padding or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.showTick">show_tick</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to show a tick or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.textAlign">text_align</a></code> | <code>str</code> | The alignment of the widget's text. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.tickEdge">tick_edge</a></code> | <code>str</code> | When `tick = true`, a string indicating on which side of the widget the tick should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.tickPos">tick_pos</a></code> | <code>str</code> | When `tick = true`, a string with a percent sign indicating the position of the tick, for example: `tick_pos = "50%"` is centered alignment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.verticalAlign">vertical_align</a></code> | <code>str</code> | The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`. |

---

##### `content`<sup>Required</sup> <a name="content" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.content"></a>

```python
content: str
```

- *Type:* str

The content of the note.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#content Dashboard#content}

---

##### `background_color`<sup>Optional</sup> <a name="background_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.backgroundColor"></a>

```python
background_color: str
```

- *Type:* str

The background color of the note.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#background_color Dashboard#background_color}

---

##### `font_size`<sup>Optional</sup> <a name="font_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.fontSize"></a>

```python
font_size: str
```

- *Type:* str

The size of the text.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#font_size Dashboard#font_size}

---

##### `has_padding`<sup>Optional</sup> <a name="has_padding" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.hasPadding"></a>

```python
has_padding: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to add padding or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_padding Dashboard#has_padding}

---

##### `show_tick`<sup>Optional</sup> <a name="show_tick" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.showTick"></a>

```python
show_tick: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to show a tick or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_tick Dashboard#show_tick}

---

##### `text_align`<sup>Optional</sup> <a name="text_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.textAlign"></a>

```python
text_align: str
```

- *Type:* str

The alignment of the widget's text. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `tick_edge`<sup>Optional</sup> <a name="tick_edge" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.tickEdge"></a>

```python
tick_edge: str
```

- *Type:* str

When `tick = true`, a string indicating on which side of the widget the tick should be displayed.

Valid values are `bottom`, `left`, `right`, `top`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tick_edge Dashboard#tick_edge}

---

##### `tick_pos`<sup>Optional</sup> <a name="tick_pos" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.tickPos"></a>

```python
tick_pos: str
```

- *Type:* str

When `tick = true`, a string with a percent sign indicating the position of the tick, for example: `tick_pos = "50%"` is centered alignment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tick_pos Dashboard#tick_pos}

---

##### `vertical_align`<sup>Optional</sup> <a name="vertical_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.verticalAlign"></a>

```python
vertical_align: str
```

- *Type:* str

The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#vertical_align Dashboard#vertical_align}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinition <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition(
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink]] = None,
  has_search_bar: str = None,
  live_span: str = None,
  request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest]] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.hasSearchBar">has_search_bar</a></code> | <code>str</code> | Controls the display of the search bar. Valid values are `always`, `never`, `auto`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `has_search_bar`<sup>Optional</sup> <a name="has_search_bar" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.hasSearchBar"></a>

```python
has_search_bar: str
```

- *Type:* str

Controls the display of the search bar. Valid values are `always`, `never`, `auto`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_search_bar Dashboard#has_search_bar}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest(
  aggregator: str = None,
  alias: str = None,
  apm_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery = None,
  apm_stats_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery = None,
  cell_display_mode: typing.List[str] = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats]] = None,
  formula: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula]] = None,
  limit: typing.Union[int, float] = None,
  log_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery = None,
  order: str = None,
  process_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery = None,
  q: str = None,
  query: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery]] = None,
  rum_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery = None,
  security_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.alias">alias</a></code> | <code>str</code> | The alias for the column name (defaults to metric name). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.apmStatsQuery">apm_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery</a></code> | apm_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.cellDisplayMode">cell_display_mode</a></code> | <code>typing.List[str]</code> | A list of display modes for each table cell. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.formula">formula</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula</a>]]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of lines to show in the table. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.order">order</a></code> | <code>str</code> | The sort order for the rows. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.query">query</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery</a>]]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.alias"></a>

```python
alias: str
```

- *Type:* str

The alias for the column name (defaults to metric name).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.apmQuery"></a>

```python
apm_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `apm_stats_query`<sup>Optional</sup> <a name="apm_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.apmStatsQuery"></a>

```python
apm_stats_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery</a>

apm_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_stats_query Dashboard#apm_stats_query}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.cellDisplayMode"></a>

```python
cell_display_mode: typing.List[str]
```

- *Type:* typing.List[str]

A list of display modes for each table cell.

List items one of `number`, `bar`. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.formula"></a>

```python
formula: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula</a>]]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of lines to show in the table.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.logQuery"></a>

```python
log_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.order"></a>

```python
order: str
```

- *Type:* str

The sort order for the rows. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.processQuery"></a>

```python
process_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.query"></a>

```python
query: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery</a>]]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.rumQuery"></a>

```python
rum_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.securityQuery"></a>

```python
security_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery(
  env: str,
  name: str,
  primary_tag: str,
  row_type: str,
  service: str,
  columns: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns]] = None,
  resource: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.env">env</a></code> | <code>str</code> | The environment name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.name">name</a></code> | <code>str</code> | The operation name associated with the service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.primaryTag">primary_tag</a></code> | <code>str</code> | The organization's host group name and value. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.rowType">row_type</a></code> | <code>str</code> | The level of detail for the request. Valid values are `service`, `resource`, `span`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.service">service</a></code> | <code>str</code> | The service name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.columns">columns</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns</a>]]</code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.resource">resource</a></code> | <code>str</code> | The resource name. |

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

The environment name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The operation name associated with the service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `primary_tag`<sup>Required</sup> <a name="primary_tag" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.primaryTag"></a>

```python
primary_tag: str
```

- *Type:* str

The organization's host group name and value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag Dashboard#primary_tag}

---

##### `row_type`<sup>Required</sup> <a name="row_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.rowType"></a>

```python
row_type: str
```

- *Type:* str

The level of detail for the request. Valid values are `service`, `resource`, `span`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#row_type Dashboard#row_type}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

The service name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `columns`<sup>Optional</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.columns"></a>

```python
columns: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns</a>]]

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `resource`<sup>Optional</sup> <a name="resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.resource"></a>

```python
resource: str
```

- *Type:* str

The resource name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource Dashboard#resource}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns(
  name: str,
  alias: str = None,
  cell_display_mode: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.name">name</a></code> | <code>str</code> | The column name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.alias">alias</a></code> | <code>str</code> | A user-assigned alias for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.name"></a>

```python
name: str
```

- *Type:* str

The column name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.alias"></a>

```python
alias: str
```

- *Type:* str

A user-assigned alias for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula(
  formula_expression: str,
  alias: str = None,
  cell_display_mode: str = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats]] = None,
  limit: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit = None,
  style: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.formulaExpression">formula_expression</a></code> | <code>str</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.alias">alias</a></code> | <code>str</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formula_expression`<sup>Required</sup> <a name="formula_expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.formulaExpression"></a>

```python
formula_expression: str
```

- *Type:* str

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.alias"></a>

```python
alias: str
```

- *Type:* str

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.limit"></a>

```python
limit: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.style"></a>

```python
style: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit(
  count: typing.Union[int, float] = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>typing.Union[int, float]</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit.property.count"></a>

```python
count: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit.property.order"></a>

```python
order: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle(
  palette: str = None,
  palette_index: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>str</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle.property.paletteIndex">palette_index</a></code> | <code>typing.Union[int, float]</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `palette_index`<sup>Optional</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```python
palette_index: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery(
  apm_dependency_stats_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery = None,
  apm_resource_stats_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery = None,
  event_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery = None,
  metric_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery = None,
  process_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.apmDependencyStatsQuery">apm_dependency_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.apmResourceStatsQuery">apm_resource_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.eventQuery">event_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.metricQuery">metric_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apm_dependency_stats_query`<sup>Optional</sup> <a name="apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```python
apm_dependency_stats_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apm_resource_stats_query`<sup>Optional</sup> <a name="apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```python
apm_resource_stats_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `event_query`<sup>Optional</sup> <a name="event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.eventQuery"></a>

```python
event_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metric_query`<sup>Optional</sup> <a name="metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.metricQuery"></a>

```python
metric_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.processQuery"></a>

```python
process_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery(
  data_source: str,
  env: str,
  name: str,
  operation_name: str,
  resource_name: str,
  service: str,
  stat: str,
  is_upstream: typing.Union[bool, IResolvable] = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">is_upstream</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `is_upstream`<sup>Optional</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```python
is_upstream: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery(
  data_source: str,
  env: str,
  name: str,
  service: str,
  stat: str,
  group_by: typing.List[str] = None,
  operation_name: str = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None,
  resource_name: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operation_name`<sup>Optional</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resource_name`<sup>Optional</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery(
  compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute]],
  data_source: str,
  name: str,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy]] = None,
  indexes: typing.List[str] = None,
  search: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch = None,
  storage: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute</a>]]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>str</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.compute"></a>

```python
compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute</a>]]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.search"></a>

```python
search: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.storage"></a>

```python
storage: str
```

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute(
  aggregation: str,
  interval: typing.Union[int, float] = None,
  metric: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>str</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```python
metric: str
```

- *Type:* str

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy(
  facet: str,
  limit: typing.Union[int, float] = None,
  sort: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```python
sort: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort(
  aggregation: str,
  metric: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>str</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>str</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```python
order: str
```

- *Type:* str

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch(
  query: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>str</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch.property.query"></a>

```python
query: str
```

- *Type:* str

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery(
  name: str,
  query: str,
  aggregator: str = None,
  data_source: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>str</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>str</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.query"></a>

```python
query: str
```

- *Type:* str

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `data_source`<sup>Optional</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery(
  data_source: str,
  metric: str,
  name: str,
  aggregator: str = None,
  is_normalized_cpu: typing.Union[bool, IResolvable] = None,
  limit: typing.Union[int, float] = None,
  sort: str = None,
  tag_filters: typing.List[str] = None,
  text_filter: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>str</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">is_normalized_cpu</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.tagFilters">tag_filters</a></code> | <code>typing.List[str]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.textFilter">text_filter</a></code> | <code>str</code> | The text to use as a filter. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `is_normalized_cpu`<sup>Optional</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```python
is_normalized_cpu: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.sort"></a>

```python
sort: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tag_filters`<sup>Optional</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```python
tag_filters: typing.List[str]
```

- *Type:* typing.List[str]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `text_filter`<sup>Optional</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```python
text_filter: str
```

- *Type:* str

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinition <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition(
  autoscale: typing.Union[bool, IResolvable] = None,
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink]] = None,
  custom_unit: str = None,
  live_span: str = None,
  precision: typing.Union[int, float] = None,
  request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest]] = None,
  text_align: str = None,
  timeseries_background: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.autoscale">autoscale</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | A Boolean indicating whether to automatically scale the tile. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.customUnit">custom_unit</a></code> | <code>str</code> | The unit for the value displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.precision">precision</a></code> | <code>typing.Union[int, float]</code> | The precision to use when displaying the tile. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.textAlign">text_align</a></code> | <code>str</code> | The alignment of the widget's text. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.timeseriesBackground">timeseries_background</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground</a></code> | timeseries_background block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `autoscale`<sup>Optional</sup> <a name="autoscale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.autoscale"></a>

```python
autoscale: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

A Boolean indicating whether to automatically scale the tile.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#autoscale Dashboard#autoscale}

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `custom_unit`<sup>Optional</sup> <a name="custom_unit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.customUnit"></a>

```python
custom_unit: str
```

- *Type:* str

The unit for the value displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_unit Dashboard#custom_unit}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `precision`<sup>Optional</sup> <a name="precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.precision"></a>

```python
precision: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The precision to use when displaying the tile.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#precision Dashboard#precision}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `text_align`<sup>Optional</sup> <a name="text_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.textAlign"></a>

```python
text_align: str
```

- *Type:* str

The alignment of the widget's text. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `timeseries_background`<sup>Optional</sup> <a name="timeseries_background" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.timeseriesBackground"></a>

```python
timeseries_background: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground</a>

timeseries_background block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeseries_background Dashboard#timeseries_background}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest(
  aggregator: str = None,
  apm_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery = None,
  audit_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats]] = None,
  formula: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula]] = None,
  log_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery = None,
  process_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery = None,
  q: str = None,
  query: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery]] = None,
  rum_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery = None,
  security_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.auditQuery">audit_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.formula">formula</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula</a>]]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.query">query</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery</a>]]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.apmQuery"></a>

```python
apm_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `audit_query`<sup>Optional</sup> <a name="audit_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.auditQuery"></a>

```python
audit_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.formula"></a>

```python
formula: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula</a>]]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.logQuery"></a>

```python
log_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.processQuery"></a>

```python
process_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.query"></a>

```python
query: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery</a>]]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.rumQuery"></a>

```python
rum_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.securityQuery"></a>

```python
security_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula(
  formula_expression: str,
  alias: str = None,
  cell_display_mode: str = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats]] = None,
  limit: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit = None,
  style: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.formulaExpression">formula_expression</a></code> | <code>str</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.alias">alias</a></code> | <code>str</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formula_expression`<sup>Required</sup> <a name="formula_expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.formulaExpression"></a>

```python
formula_expression: str
```

- *Type:* str

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.alias"></a>

```python
alias: str
```

- *Type:* str

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.limit"></a>

```python
limit: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.style"></a>

```python
style: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit(
  count: typing.Union[int, float] = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>typing.Union[int, float]</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit.property.count"></a>

```python
count: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit.property.order"></a>

```python
order: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle(
  palette: str = None,
  palette_index: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>str</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle.property.paletteIndex">palette_index</a></code> | <code>typing.Union[int, float]</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `palette_index`<sup>Optional</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```python
palette_index: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery(
  apm_dependency_stats_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery = None,
  apm_resource_stats_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery = None,
  event_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery = None,
  metric_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery = None,
  process_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.apmDependencyStatsQuery">apm_dependency_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.apmResourceStatsQuery">apm_resource_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.eventQuery">event_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.metricQuery">metric_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apm_dependency_stats_query`<sup>Optional</sup> <a name="apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```python
apm_dependency_stats_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apm_resource_stats_query`<sup>Optional</sup> <a name="apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```python
apm_resource_stats_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `event_query`<sup>Optional</sup> <a name="event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.eventQuery"></a>

```python
event_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metric_query`<sup>Optional</sup> <a name="metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.metricQuery"></a>

```python
metric_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.processQuery"></a>

```python
process_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery(
  data_source: str,
  env: str,
  name: str,
  operation_name: str,
  resource_name: str,
  service: str,
  stat: str,
  is_upstream: typing.Union[bool, IResolvable] = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">is_upstream</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `is_upstream`<sup>Optional</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```python
is_upstream: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery(
  data_source: str,
  env: str,
  name: str,
  service: str,
  stat: str,
  group_by: typing.List[str] = None,
  operation_name: str = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None,
  resource_name: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operation_name`<sup>Optional</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resource_name`<sup>Optional</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery(
  compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute]],
  data_source: str,
  name: str,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy]] = None,
  indexes: typing.List[str] = None,
  search: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch = None,
  storage: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute</a>]]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>str</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.compute"></a>

```python
compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute</a>]]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.search"></a>

```python
search: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.storage"></a>

```python
storage: str
```

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute(
  aggregation: str,
  interval: typing.Union[int, float] = None,
  metric: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>str</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```python
metric: str
```

- *Type:* str

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy(
  facet: str,
  limit: typing.Union[int, float] = None,
  sort: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```python
sort: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort(
  aggregation: str,
  metric: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>str</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>str</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```python
order: str
```

- *Type:* str

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch(
  query: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>str</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch.property.query"></a>

```python
query: str
```

- *Type:* str

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery(
  name: str,
  query: str,
  aggregator: str = None,
  data_source: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>str</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>str</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.query"></a>

```python
query: str
```

- *Type:* str

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `data_source`<sup>Optional</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery(
  data_source: str,
  metric: str,
  name: str,
  aggregator: str = None,
  is_normalized_cpu: typing.Union[bool, IResolvable] = None,
  limit: typing.Union[int, float] = None,
  sort: str = None,
  tag_filters: typing.List[str] = None,
  text_filter: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>str</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">is_normalized_cpu</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.tagFilters">tag_filters</a></code> | <code>typing.List[str]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.textFilter">text_filter</a></code> | <code>str</code> | The text to use as a filter. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `is_normalized_cpu`<sup>Optional</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```python
is_normalized_cpu: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.sort"></a>

```python
sort: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tag_filters`<sup>Optional</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```python
tag_filters: typing.List[str]
```

- *Type:* typing.List[str]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `text_filter`<sup>Optional</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```python
text_filter: str
```

- *Type:* str

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground(
  type: str,
  yaxis: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground.property.type">type</a></code> | <code>str</code> | Whether the Timeseries is made using an area or bars. Valid values are `bars`, `area`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis</a></code> | yaxis block. |

---

##### `type`<sup>Required</sup> <a name="type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground.property.type"></a>

```python
type: str
```

- *Type:* str

Whether the Timeseries is made using an area or bars. Valid values are `bars`, `area`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground.property.yaxis"></a>

```python
yaxis: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis(
  include_zero: typing.Union[bool, IResolvable] = None,
  label: str = None,
  max: str = None,
  min: str = None,
  scale: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.includeZero">include_zero</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.label">label</a></code> | <code>str</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.max">max</a></code> | <code>str</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.min">min</a></code> | <code>str</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.scale">scale</a></code> | <code>str</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `include_zero`<sup>Optional</sup> <a name="include_zero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.includeZero"></a>

```python
include_zero: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.label"></a>

```python
label: str
```

- *Type:* str

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.max"></a>

```python
max: str
```

- *Type:* str

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.min"></a>

```python
min: str
```

- *Type:* str

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.scale"></a>

```python
scale: str
```

- *Type:* str

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition <a name="DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition(
  workflow_id: str,
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink]] = None,
  input: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput]] = None,
  live_span: str = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.workflowId">workflow_id</a></code> | <code>str</code> | Workflow ID. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.input">input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput">DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput</a>]]</code> | input block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `workflow_id`<sup>Required</sup> <a name="workflow_id" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.workflowId"></a>

```python
workflow_id: str
```

- *Type:* str

Workflow ID.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#workflow_id Dashboard#workflow_id}

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `input`<sup>Optional</sup> <a name="input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.input"></a>

```python
input: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput">DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput</a>]]

input block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#input Dashboard#input}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput <a name="DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput(
  name: str,
  value: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput.property.name">name</a></code> | <code>str</code> | Name of the workflow input. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput.property.value">value</a></code> | <code>str</code> | Dashboard template variable. Can be suffixed with `.value` or `.key`. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput.property.name"></a>

```python
name: str
```

- *Type:* str

Name of the workflow input.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput.property.value"></a>

```python
value: str
```

- *Type:* str

Dashboard template variable. Can be suffixed with `.value` or `.key`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinition <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition(
  color_by_groups: typing.List[str] = None,
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink]] = None,
  live_span: str = None,
  request: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None,
  xaxis: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis = None,
  yaxis: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.colorByGroups">color_by_groups</a></code> | <code>typing.List[str]</code> | List of groups used for colors. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.xaxis">xaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis</a></code> | xaxis block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis</a></code> | yaxis block. |

---

##### `color_by_groups`<sup>Optional</sup> <a name="color_by_groups" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.colorByGroups"></a>

```python
color_by_groups: typing.List[str]
```

- *Type:* typing.List[str]

List of groups used for colors.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color_by_groups Dashboard#color_by_groups}

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.request"></a>

```python
request: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `xaxis`<sup>Optional</sup> <a name="xaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.xaxis"></a>

```python
xaxis: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis</a>

xaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#xaxis Dashboard#xaxis}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.yaxis"></a>

```python
yaxis: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest(
  scatterplot_table: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable]] = None,
  x: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX]] = None,
  y: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY]] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.scatterplotTable">scatterplot_table</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable</a>]]</code> | scatterplot_table block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.x">x</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX</a>]]</code> | x block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.y">y</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY</a>]]</code> | y block. |

---

##### `scatterplot_table`<sup>Optional</sup> <a name="scatterplot_table" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.scatterplotTable"></a>

```python
scatterplot_table: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable</a>]]

scatterplot_table block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scatterplot_table Dashboard#scatterplot_table}

---

##### `x`<sup>Optional</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.x"></a>

```python
x: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX</a>]]

x block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#x Dashboard#x}

---

##### `y`<sup>Optional</sup> <a name="y" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.y"></a>

```python
y: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY</a>]]

y block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#y Dashboard#y}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable(
  formula: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula]] = None,
  query: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery]] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable.property.formula">formula</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula</a>]]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable.property.query">query</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery</a>]]</code> | query block. |

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable.property.formula"></a>

```python
formula: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula</a>]]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable.property.query"></a>

```python
query: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery</a>]]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula(
  dimension: str,
  formula_expression: str,
  alias: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.dimension">dimension</a></code> | <code>str</code> | Dimension of the Scatterplot. Valid values are `x`, `y`, `radius`, `color`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.formulaExpression">formula_expression</a></code> | <code>str</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.alias">alias</a></code> | <code>str</code> | An expression alias. |

---

##### `dimension`<sup>Required</sup> <a name="dimension" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.dimension"></a>

```python
dimension: str
```

- *Type:* str

Dimension of the Scatterplot. Valid values are `x`, `y`, `radius`, `color`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#dimension Dashboard#dimension}

---

##### `formula_expression`<sup>Required</sup> <a name="formula_expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.formulaExpression"></a>

```python
formula_expression: str
```

- *Type:* str

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.alias"></a>

```python
alias: str
```

- *Type:* str

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery(
  apm_dependency_stats_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery = None,
  apm_resource_stats_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery = None,
  event_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery = None,
  metric_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery = None,
  process_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmDependencyStatsQuery">apm_dependency_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmResourceStatsQuery">apm_resource_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.eventQuery">event_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.metricQuery">metric_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery</a></code> | process_query block. |

---

##### `apm_dependency_stats_query`<sup>Optional</sup> <a name="apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmDependencyStatsQuery"></a>

```python
apm_dependency_stats_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apm_resource_stats_query`<sup>Optional</sup> <a name="apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmResourceStatsQuery"></a>

```python
apm_resource_stats_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `event_query`<sup>Optional</sup> <a name="event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.eventQuery"></a>

```python
event_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metric_query`<sup>Optional</sup> <a name="metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.metricQuery"></a>

```python
metric_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.processQuery"></a>

```python
process_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery(
  data_source: str,
  env: str,
  name: str,
  operation_name: str,
  resource_name: str,
  service: str,
  stat: str,
  is_upstream: typing.Union[bool, IResolvable] = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.isUpstream">is_upstream</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `is_upstream`<sup>Optional</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.isUpstream"></a>

```python
is_upstream: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery(
  data_source: str,
  env: str,
  name: str,
  service: str,
  stat: str,
  group_by: typing.List[str] = None,
  operation_name: str = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None,
  resource_name: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operation_name`<sup>Optional</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resource_name`<sup>Optional</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery(
  compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute]],
  data_source: str,
  name: str,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy]] = None,
  indexes: typing.List[str] = None,
  search: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch = None,
  storage: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.compute">compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute</a>]]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.storage">storage</a></code> | <code>str</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.compute"></a>

```python
compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute</a>]]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.search"></a>

```python
search: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.storage"></a>

```python
storage: str
```

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute(
  aggregation: str,
  interval: typing.Union[int, float] = None,
  metric: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.metric">metric</a></code> | <code>str</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.metric"></a>

```python
metric: str
```

- *Type:* str

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy(
  facet: str,
  limit: typing.Union[int, float] = None,
  sort: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.sort"></a>

```python
sort: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort(
  aggregation: str,
  metric: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>str</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.order">order</a></code> | <code>str</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.order"></a>

```python
order: str
```

- *Type:* str

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch(
  query: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.property.query">query</a></code> | <code>str</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.property.query"></a>

```python
query: str
```

- *Type:* str

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery(
  name: str,
  query: str,
  aggregator: str = None,
  data_source: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.name">name</a></code> | <code>str</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.query">query</a></code> | <code>str</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.query"></a>

```python
query: str
```

- *Type:* str

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `data_source`<sup>Optional</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery(
  data_source: str,
  metric: str,
  name: str,
  aggregator: str = None,
  is_normalized_cpu: typing.Union[bool, IResolvable] = None,
  limit: typing.Union[int, float] = None,
  sort: str = None,
  tag_filters: typing.List[str] = None,
  text_filter: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.metric">metric</a></code> | <code>str</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.isNormalizedCpu">is_normalized_cpu</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.sort">sort</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.tagFilters">tag_filters</a></code> | <code>typing.List[str]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.textFilter">text_filter</a></code> | <code>str</code> | The text to use as a filter. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `is_normalized_cpu`<sup>Optional</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.isNormalizedCpu"></a>

```python
is_normalized_cpu: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.sort"></a>

```python
sort: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tag_filters`<sup>Optional</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.tagFilters"></a>

```python
tag_filters: typing.List[str]
```

- *Type:* typing.List[str]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `text_filter`<sup>Optional</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.textFilter"></a>

```python
text_filter: str
```

- *Type:* str

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX(
  aggregator: str = None,
  apm_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery = None,
  log_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery = None,
  process_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery = None,
  q: str = None,
  rum_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery = None,
  security_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.aggregator">aggregator</a></code> | <code>str</code> | Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.apmQuery"></a>

```python
apm_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.logQuery"></a>

```python
log_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.processQuery"></a>

```python
process_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.rumQuery"></a>

```python
rum_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.securityQuery"></a>

```python
security_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY(
  aggregator: str = None,
  apm_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery = None,
  log_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery = None,
  process_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery = None,
  q: str = None,
  rum_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery = None,
  security_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.aggregator">aggregator</a></code> | <code>str</code> | Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.apmQuery"></a>

```python
apm_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.logQuery"></a>

```python
log_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.processQuery"></a>

```python
process_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.rumQuery"></a>

```python
rum_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.securityQuery"></a>

```python
security_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis(
  include_zero: typing.Union[bool, IResolvable] = None,
  label: str = None,
  max: str = None,
  min: str = None,
  scale: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.includeZero">include_zero</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.label">label</a></code> | <code>str</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.max">max</a></code> | <code>str</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.min">min</a></code> | <code>str</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.scale">scale</a></code> | <code>str</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `include_zero`<sup>Optional</sup> <a name="include_zero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.includeZero"></a>

```python
include_zero: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.label"></a>

```python
label: str
```

- *Type:* str

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.max"></a>

```python
max: str
```

- *Type:* str

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.min"></a>

```python
min: str
```

- *Type:* str

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.scale"></a>

```python
scale: str
```

- *Type:* str

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis(
  include_zero: typing.Union[bool, IResolvable] = None,
  label: str = None,
  max: str = None,
  min: str = None,
  scale: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.includeZero">include_zero</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.label">label</a></code> | <code>str</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.max">max</a></code> | <code>str</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.min">min</a></code> | <code>str</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.scale">scale</a></code> | <code>str</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `include_zero`<sup>Optional</sup> <a name="include_zero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.includeZero"></a>

```python
include_zero: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.label"></a>

```python
label: str
```

- *Type:* str

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.max"></a>

```python
max: str
```

- *Type:* str

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.min"></a>

```python
min: str
```

- *Type:* str

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.scale"></a>

```python
scale: str
```

- *Type:* str

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition <a name="DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition(
  slo_id: str,
  time_windows: typing.List[str],
  view_mode: str,
  view_type: str,
  global_time_target: str = None,
  show_error_budget: typing.Union[bool, IResolvable] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.sloId">slo_id</a></code> | <code>str</code> | The ID of the service level objective used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.timeWindows">time_windows</a></code> | <code>typing.List[str]</code> | A list of time windows to display in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.viewMode">view_mode</a></code> | <code>str</code> | The view mode for the widget. Valid values are `overall`, `component`, `both`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.viewType">view_type</a></code> | <code>str</code> | The type of view to use when displaying the widget. Only `detail` is supported. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.globalTimeTarget">global_time_target</a></code> | <code>str</code> | The global time target of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.showErrorBudget">show_error_budget</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to show the error budget or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `slo_id`<sup>Required</sup> <a name="slo_id" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.sloId"></a>

```python
slo_id: str
```

- *Type:* str

The ID of the service level objective used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#slo_id Dashboard#slo_id}

---

##### `time_windows`<sup>Required</sup> <a name="time_windows" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.timeWindows"></a>

```python
time_windows: typing.List[str]
```

- *Type:* typing.List[str]

A list of time windows to display in the widget.

Valid values are `7d`, `30d`, `90d`, `week_to_date`, `previous_week`, `month_to_date`, `previous_month`, `global_time`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#time_windows Dashboard#time_windows}

---

##### `view_mode`<sup>Required</sup> <a name="view_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.viewMode"></a>

```python
view_mode: str
```

- *Type:* str

The view mode for the widget. Valid values are `overall`, `component`, `both`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view_mode Dashboard#view_mode}

---

##### `view_type`<sup>Required</sup> <a name="view_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.viewType"></a>

```python
view_type: str
```

- *Type:* str

The type of view to use when displaying the widget. Only `detail` is supported.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view_type Dashboard#view_type}

---

##### `global_time_target`<sup>Optional</sup> <a name="global_time_target" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.globalTimeTarget"></a>

```python
global_time_target: str
```

- *Type:* str

The global time target of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#global_time_target Dashboard#global_time_target}

---

##### `show_error_budget`<sup>Optional</sup> <a name="show_error_budget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.showErrorBudget"></a>

```python
show_error_budget: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to show the error budget or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_error_budget Dashboard#show_error_budget}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetServicemapDefinition <a name="DashboardWidgetGroupDefinitionWidgetServicemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition(
  filters: typing.List[str],
  service: str,
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink]] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.filters">filters</a></code> | <code>typing.List[str]</code> | Your environment and primary tag (or `*` if enabled for your account). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.service">service</a></code> | <code>str</code> | The ID of the service to map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `filters`<sup>Required</sup> <a name="filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.filters"></a>

```python
filters: typing.List[str]
```

- *Type:* typing.List[str]

Your environment and primary tag (or `*` if enabled for your account).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filters Dashboard#filters}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.service"></a>

```python
service: str
```

- *Type:* str

The ID of the service to map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetSloListDefinition <a name="DashboardWidgetGroupDefinitionWidgetSloListDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition(
  request: DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest">DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.request"></a>

```python
request: DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest">DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest(
  query: DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery,
  request_type: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest.property.query">query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery</a></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest.property.requestType">request_type</a></code> | <code>str</code> | The request type for the SLO List request. Valid values are `slo_list`. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest.property.query"></a>

```python
query: DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery</a>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `request_type`<sup>Required</sup> <a name="request_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest.property.requestType"></a>

```python
request_type: str
```

- *Type:* str

The request type for the SLO List request. Valid values are `slo_list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request_type Dashboard#request_type}

---

### DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery(
  query_string: str,
  limit: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery.property.queryString">query_string</a></code> | <code>str</code> | Widget query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | Maximum number of results to display in the table. |

---

##### `query_string`<sup>Required</sup> <a name="query_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery.property.queryString"></a>

```python
query_string: str
```

- *Type:* str

Widget query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_string Dashboard#query_string}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Maximum number of results to display in the table.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinition <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition(
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink]] = None,
  hide_total: typing.Union[bool, IResolvable] = None,
  legend_inline: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline = None,
  legend_table: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable = None,
  live_span: str = None,
  request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest]] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.hideTotal">hide_total</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether or not to show the total value in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.legendInline">legend_inline</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline</a></code> | legend_inline block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.legendTable">legend_table</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable</a></code> | legend_table block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. One of `left`, `center`, or `right`. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title. Default is 16. |

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `hide_total`<sup>Optional</sup> <a name="hide_total" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.hideTotal"></a>

```python
hide_total: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether or not to show the total value in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_total Dashboard#hide_total}

---

##### `legend_inline`<sup>Optional</sup> <a name="legend_inline" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.legendInline"></a>

```python
legend_inline: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline</a>

legend_inline block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_inline Dashboard#legend_inline}

---

##### `legend_table`<sup>Optional</sup> <a name="legend_table" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.legendTable"></a>

```python
legend_table: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable</a>

legend_table block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_table Dashboard#legend_table}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. One of `left`, `center`, or `right`. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title. Default is 16.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline(
  type: str,
  hide_percent: typing.Union[bool, IResolvable] = None,
  hide_value: typing.Union[bool, IResolvable] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.type">type</a></code> | <code>str</code> | The type of legend (inline or automatic). Valid values are `inline`, `automatic`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.hidePercent">hide_percent</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to hide the percentages of the groups. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to hide the values of the groups. |

---

##### `type`<sup>Required</sup> <a name="type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.type"></a>

```python
type: str
```

- *Type:* str

The type of legend (inline or automatic). Valid values are `inline`, `automatic`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

##### `hide_percent`<sup>Optional</sup> <a name="hide_percent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.hidePercent"></a>

```python
hide_percent: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to hide the percentages of the groups.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_percent Dashboard#hide_percent}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to hide the values of the groups.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable(
  type: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable.property.type">type</a></code> | <code>str</code> | The type of legend (table or none). Valid values are `table`, `none`. |

---

##### `type`<sup>Required</sup> <a name="type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable.property.type"></a>

```python
type: str
```

- *Type:* str

The type of legend (table or none). Valid values are `table`, `none`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest(
  apm_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery = None,
  audit_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery = None,
  formula: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula]] = None,
  log_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery = None,
  network_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery = None,
  process_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery = None,
  q: str = None,
  query: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery]] = None,
  rum_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery = None,
  security_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.auditQuery">audit_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.formula">formula</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula</a>]]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.networkQuery">network_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery</a></code> | network_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.query">query</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery</a>]]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.apmQuery"></a>

```python
apm_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `audit_query`<sup>Optional</sup> <a name="audit_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.auditQuery"></a>

```python
audit_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.formula"></a>

```python
formula: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula</a>]]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.logQuery"></a>

```python
log_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `network_query`<sup>Optional</sup> <a name="network_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.networkQuery"></a>

```python
network_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery</a>

network_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#network_query Dashboard#network_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.processQuery"></a>

```python
process_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.query"></a>

```python
query: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery</a>]]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.rumQuery"></a>

```python
rum_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.securityQuery"></a>

```python
security_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula(
  formula_expression: str,
  alias: str = None,
  cell_display_mode: str = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats]] = None,
  limit: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit = None,
  style: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.formulaExpression">formula_expression</a></code> | <code>str</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.alias">alias</a></code> | <code>str</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formula_expression`<sup>Required</sup> <a name="formula_expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.formulaExpression"></a>

```python
formula_expression: str
```

- *Type:* str

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.alias"></a>

```python
alias: str
```

- *Type:* str

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.limit"></a>

```python
limit: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.style"></a>

```python
style: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit(
  count: typing.Union[int, float] = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>typing.Union[int, float]</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit.property.count"></a>

```python
count: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit.property.order"></a>

```python
order: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle(
  palette: str = None,
  palette_index: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>str</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle.property.paletteIndex">palette_index</a></code> | <code>typing.Union[int, float]</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `palette_index`<sup>Optional</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```python
palette_index: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery(
  apm_dependency_stats_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery = None,
  apm_resource_stats_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery = None,
  event_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery = None,
  metric_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery = None,
  process_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.apmDependencyStatsQuery">apm_dependency_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.apmResourceStatsQuery">apm_resource_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.eventQuery">event_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.metricQuery">metric_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apm_dependency_stats_query`<sup>Optional</sup> <a name="apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```python
apm_dependency_stats_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apm_resource_stats_query`<sup>Optional</sup> <a name="apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```python
apm_resource_stats_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `event_query`<sup>Optional</sup> <a name="event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.eventQuery"></a>

```python
event_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metric_query`<sup>Optional</sup> <a name="metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.metricQuery"></a>

```python
metric_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.processQuery"></a>

```python
process_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery(
  data_source: str,
  env: str,
  name: str,
  operation_name: str,
  resource_name: str,
  service: str,
  stat: str,
  is_upstream: typing.Union[bool, IResolvable] = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">is_upstream</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `is_upstream`<sup>Optional</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```python
is_upstream: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery(
  data_source: str,
  env: str,
  name: str,
  service: str,
  stat: str,
  group_by: typing.List[str] = None,
  operation_name: str = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None,
  resource_name: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operation_name`<sup>Optional</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resource_name`<sup>Optional</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery(
  compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute]],
  data_source: str,
  name: str,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy]] = None,
  indexes: typing.List[str] = None,
  search: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch = None,
  storage: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute</a>]]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>str</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.compute"></a>

```python
compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute</a>]]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.search"></a>

```python
search: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.storage"></a>

```python
storage: str
```

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute(
  aggregation: str,
  interval: typing.Union[int, float] = None,
  metric: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>str</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```python
metric: str
```

- *Type:* str

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy(
  facet: str,
  limit: typing.Union[int, float] = None,
  sort: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```python
sort: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort(
  aggregation: str,
  metric: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>str</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>str</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```python
order: str
```

- *Type:* str

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch(
  query: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>str</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch.property.query"></a>

```python
query: str
```

- *Type:* str

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery(
  name: str,
  query: str,
  aggregator: str = None,
  data_source: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>str</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>str</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.query"></a>

```python
query: str
```

- *Type:* str

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `data_source`<sup>Optional</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery(
  data_source: str,
  metric: str,
  name: str,
  aggregator: str = None,
  is_normalized_cpu: typing.Union[bool, IResolvable] = None,
  limit: typing.Union[int, float] = None,
  sort: str = None,
  tag_filters: typing.List[str] = None,
  text_filter: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>str</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">is_normalized_cpu</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.tagFilters">tag_filters</a></code> | <code>typing.List[str]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.textFilter">text_filter</a></code> | <code>str</code> | The text to use as a filter. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `is_normalized_cpu`<sup>Optional</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```python
is_normalized_cpu: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.sort"></a>

```python
sort: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tag_filters`<sup>Optional</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```python
tag_filters: typing.List[str]
```

- *Type:* typing.List[str]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `text_filter`<sup>Optional</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```python
text_filter: str
```

- *Type:* str

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition(
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink]] = None,
  event: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent]] = None,
  legend_columns: typing.List[str] = None,
  legend_layout: str = None,
  legend_size: str = None,
  live_span: str = None,
  marker: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker]] = None,
  request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest]] = None,
  right_yaxis: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis = None,
  show_legend: typing.Union[bool, IResolvable] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None,
  yaxis: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.event">event</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent</a>]]</code> | event block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendColumns">legend_columns</a></code> | <code>typing.List[str]</code> | A list of columns to display in the legend. Valid values are `value`, `avg`, `sum`, `min`, `max`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendLayout">legend_layout</a></code> | <code>str</code> | The layout of the legend displayed in the widget. Valid values are `auto`, `horizontal`, `vertical`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendSize">legend_size</a></code> | <code>str</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.marker">marker</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker</a>]]</code> | marker block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.rightYaxis">right_yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis</a></code> | right_yaxis block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.showLegend">show_legend</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis</a></code> | yaxis block. |

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `event`<sup>Optional</sup> <a name="event" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.event"></a>

```python
event: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent</a>]]

event block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event Dashboard#event}

---

##### `legend_columns`<sup>Optional</sup> <a name="legend_columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendColumns"></a>

```python
legend_columns: typing.List[str]
```

- *Type:* typing.List[str]

A list of columns to display in the legend. Valid values are `value`, `avg`, `sum`, `min`, `max`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_columns Dashboard#legend_columns}

---

##### `legend_layout`<sup>Optional</sup> <a name="legend_layout" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendLayout"></a>

```python
legend_layout: str
```

- *Type:* str

The layout of the legend displayed in the widget. Valid values are `auto`, `horizontal`, `vertical`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_layout Dashboard#legend_layout}

---

##### `legend_size`<sup>Optional</sup> <a name="legend_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendSize"></a>

```python
legend_size: str
```

- *Type:* str

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `marker`<sup>Optional</sup> <a name="marker" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.marker"></a>

```python
marker: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker</a>]]

marker block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#marker Dashboard#marker}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `right_yaxis`<sup>Optional</sup> <a name="right_yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.rightYaxis"></a>

```python
right_yaxis: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis</a>

right_yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#right_yaxis Dashboard#right_yaxis}

---

##### `show_legend`<sup>Optional</sup> <a name="show_legend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.showLegend"></a>

```python
show_legend: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.yaxis"></a>

```python
yaxis: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent(
  q: str,
  tags_execution: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent.property.q">q</a></code> | <code>str</code> | The event query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent.property.tagsExecution">tags_execution</a></code> | <code>str</code> | The execution method for multi-value filters. |

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent.property.q"></a>

```python
q: str
```

- *Type:* str

The event query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `tags_execution`<sup>Optional</sup> <a name="tags_execution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent.property.tagsExecution"></a>

```python
tags_execution: str
```

- *Type:* str

The execution method for multi-value filters.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker(
  value: str,
  display_type: str = None,
  label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.value">value</a></code> | <code>str</code> | A mathematical expression describing the marker, for example: `y > 1`, `-5 < y < 0`, `y = 19`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.displayType">display_type</a></code> | <code>str</code> | How the marker lines are displayed, options are one of {`error`, `warning`, `info`, `ok`} combined with one of {`dashed`, `solid`, `bold`}. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.label">label</a></code> | <code>str</code> | A label for the line or range. |

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.value"></a>

```python
value: str
```

- *Type:* str

A mathematical expression describing the marker, for example: `y > 1`, `-5 < y < 0`, `y = 19`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `display_type`<sup>Optional</sup> <a name="display_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.displayType"></a>

```python
display_type: str
```

- *Type:* str

How the marker lines are displayed, options are one of {`error`, `warning`, `info`, `ok`} combined with one of {`dashed`, `solid`, `bold`}.

Example: `error dashed`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_type Dashboard#display_type}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.label"></a>

```python
label: str
```

- *Type:* str

A label for the line or range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest(
  apm_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery = None,
  audit_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery = None,
  display_type: str = None,
  formula: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula]] = None,
  log_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery = None,
  metadata: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata]] = None,
  network_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery = None,
  on_right_yaxis: typing.Union[bool, IResolvable] = None,
  process_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery = None,
  q: str = None,
  query: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery]] = None,
  rum_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery = None,
  security_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery = None,
  style: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.auditQuery">audit_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.displayType">display_type</a></code> | <code>str</code> | How to display the marker lines. Valid values are `area`, `bars`, `line`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.formula">formula</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula</a>]]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.metadata">metadata</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata</a>]]</code> | metadata block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.networkQuery">network_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery</a></code> | network_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.onRightYaxis">on_right_yaxis</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | A Boolean indicating whether the request uses the right or left Y-Axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.query">query</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery</a>]]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle</a></code> | style block. |

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.apmQuery"></a>

```python
apm_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `audit_query`<sup>Optional</sup> <a name="audit_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.auditQuery"></a>

```python
audit_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `display_type`<sup>Optional</sup> <a name="display_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.displayType"></a>

```python
display_type: str
```

- *Type:* str

How to display the marker lines. Valid values are `area`, `bars`, `line`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_type Dashboard#display_type}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.formula"></a>

```python
formula: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula</a>]]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.logQuery"></a>

```python
log_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `metadata`<sup>Optional</sup> <a name="metadata" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.metadata"></a>

```python
metadata: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata</a>]]

metadata block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metadata Dashboard#metadata}

---

##### `network_query`<sup>Optional</sup> <a name="network_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.networkQuery"></a>

```python
network_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery</a>

network_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#network_query Dashboard#network_query}

---

##### `on_right_yaxis`<sup>Optional</sup> <a name="on_right_yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.onRightYaxis"></a>

```python
on_right_yaxis: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

A Boolean indicating whether the request uses the right or left Y-Axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#on_right_yaxis Dashboard#on_right_yaxis}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.processQuery"></a>

```python
process_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.query"></a>

```python
query: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery</a>]]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.rumQuery"></a>

```python
rum_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.securityQuery"></a>

```python
security_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.style"></a>

```python
style: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula(
  formula_expression: str,
  alias: str = None,
  cell_display_mode: str = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats]] = None,
  limit: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit = None,
  style: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.formulaExpression">formula_expression</a></code> | <code>str</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.alias">alias</a></code> | <code>str</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formula_expression`<sup>Required</sup> <a name="formula_expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.formulaExpression"></a>

```python
formula_expression: str
```

- *Type:* str

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.alias"></a>

```python
alias: str
```

- *Type:* str

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.limit"></a>

```python
limit: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.style"></a>

```python
style: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit(
  count: typing.Union[int, float] = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>typing.Union[int, float]</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit.property.count"></a>

```python
count: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit.property.order"></a>

```python
order: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle(
  palette: str = None,
  palette_index: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>str</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle.property.paletteIndex">palette_index</a></code> | <code>typing.Union[int, float]</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `palette_index`<sup>Optional</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```python
palette_index: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata(
  expression: str,
  alias_name: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata.property.expression">expression</a></code> | <code>str</code> | The expression name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata.property.aliasName">alias_name</a></code> | <code>str</code> | The expression alias. |

---

##### `expression`<sup>Required</sup> <a name="expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata.property.expression"></a>

```python
expression: str
```

- *Type:* str

The expression name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#expression Dashboard#expression}

---

##### `alias_name`<sup>Optional</sup> <a name="alias_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata.property.aliasName"></a>

```python
alias_name: str
```

- *Type:* str

The expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias_name Dashboard#alias_name}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery(
  apm_dependency_stats_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery = None,
  apm_resource_stats_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery = None,
  event_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery = None,
  metric_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery = None,
  process_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.apmDependencyStatsQuery">apm_dependency_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.apmResourceStatsQuery">apm_resource_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.eventQuery">event_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.metricQuery">metric_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apm_dependency_stats_query`<sup>Optional</sup> <a name="apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```python
apm_dependency_stats_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apm_resource_stats_query`<sup>Optional</sup> <a name="apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```python
apm_resource_stats_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `event_query`<sup>Optional</sup> <a name="event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.eventQuery"></a>

```python
event_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metric_query`<sup>Optional</sup> <a name="metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.metricQuery"></a>

```python
metric_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.processQuery"></a>

```python
process_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery(
  data_source: str,
  env: str,
  name: str,
  operation_name: str,
  resource_name: str,
  service: str,
  stat: str,
  is_upstream: typing.Union[bool, IResolvable] = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">is_upstream</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `is_upstream`<sup>Optional</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```python
is_upstream: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery(
  data_source: str,
  env: str,
  name: str,
  service: str,
  stat: str,
  group_by: typing.List[str] = None,
  operation_name: str = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None,
  resource_name: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operation_name`<sup>Optional</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resource_name`<sup>Optional</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery(
  compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute]],
  data_source: str,
  name: str,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy]] = None,
  indexes: typing.List[str] = None,
  search: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch = None,
  storage: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute</a>]]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>str</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.compute"></a>

```python
compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute</a>]]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.search"></a>

```python
search: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.storage"></a>

```python
storage: str
```

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute(
  aggregation: str,
  interval: typing.Union[int, float] = None,
  metric: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>str</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```python
metric: str
```

- *Type:* str

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy(
  facet: str,
  limit: typing.Union[int, float] = None,
  sort: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```python
sort: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort(
  aggregation: str,
  metric: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>str</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>str</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```python
order: str
```

- *Type:* str

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch(
  query: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>str</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.property.query"></a>

```python
query: str
```

- *Type:* str

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery(
  name: str,
  query: str,
  aggregator: str = None,
  data_source: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>str</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>str</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.query"></a>

```python
query: str
```

- *Type:* str

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `data_source`<sup>Optional</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery(
  data_source: str,
  metric: str,
  name: str,
  aggregator: str = None,
  is_normalized_cpu: typing.Union[bool, IResolvable] = None,
  limit: typing.Union[int, float] = None,
  sort: str = None,
  tag_filters: typing.List[str] = None,
  text_filter: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>str</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">is_normalized_cpu</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.tagFilters">tag_filters</a></code> | <code>typing.List[str]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.textFilter">text_filter</a></code> | <code>str</code> | The text to use as a filter. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `is_normalized_cpu`<sup>Optional</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```python
is_normalized_cpu: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.sort"></a>

```python
sort: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tag_filters`<sup>Optional</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```python
tag_filters: typing.List[str]
```

- *Type:* typing.List[str]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `text_filter`<sup>Optional</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```python
text_filter: str
```

- *Type:* str

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle(
  line_type: str = None,
  line_width: str = None,
  palette: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.lineType">line_type</a></code> | <code>str</code> | The type of lines displayed. Valid values are `dashed`, `dotted`, `solid`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.lineWidth">line_width</a></code> | <code>str</code> | The width of line displayed. Valid values are `normal`, `thick`, `thin`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.palette">palette</a></code> | <code>str</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `line_type`<sup>Optional</sup> <a name="line_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.lineType"></a>

```python
line_type: str
```

- *Type:* str

The type of lines displayed. Valid values are `dashed`, `dotted`, `solid`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#line_type Dashboard#line_type}

---

##### `line_width`<sup>Optional</sup> <a name="line_width" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.lineWidth"></a>

```python
line_width: str
```

- *Type:* str

The width of line displayed. Valid values are `normal`, `thick`, `thin`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#line_width Dashboard#line_width}

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis(
  include_zero: typing.Union[bool, IResolvable] = None,
  label: str = None,
  max: str = None,
  min: str = None,
  scale: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.includeZero">include_zero</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.label">label</a></code> | <code>str</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.max">max</a></code> | <code>str</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.min">min</a></code> | <code>str</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.scale">scale</a></code> | <code>str</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `include_zero`<sup>Optional</sup> <a name="include_zero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.includeZero"></a>

```python
include_zero: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.label"></a>

```python
label: str
```

- *Type:* str

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.max"></a>

```python
max: str
```

- *Type:* str

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.min"></a>

```python
min: str
```

- *Type:* str

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.scale"></a>

```python
scale: str
```

- *Type:* str

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis(
  include_zero: typing.Union[bool, IResolvable] = None,
  label: str = None,
  max: str = None,
  min: str = None,
  scale: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.includeZero">include_zero</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.label">label</a></code> | <code>str</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.max">max</a></code> | <code>str</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.min">min</a></code> | <code>str</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.scale">scale</a></code> | <code>str</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `include_zero`<sup>Optional</sup> <a name="include_zero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.includeZero"></a>

```python
include_zero: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.label"></a>

```python
label: str
```

- *Type:* str

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.max"></a>

```python
max: str
```

- *Type:* str

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.min"></a>

```python
min: str
```

- *Type:* str

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.scale"></a>

```python
scale: str
```

- *Type:* str

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinition <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition(
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink]] = None,
  live_span: str = None,
  request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest]] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest(
  apm_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery = None,
  audit_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats]] = None,
  formula: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula]] = None,
  log_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery = None,
  process_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery = None,
  q: str = None,
  query: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery]] = None,
  rum_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery = None,
  security_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery = None,
  style: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.auditQuery">audit_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.formula">formula</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula</a>]]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.query">query</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery</a>]]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle</a></code> | style block. |

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.apmQuery"></a>

```python
apm_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `audit_query`<sup>Optional</sup> <a name="audit_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.auditQuery"></a>

```python
audit_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.formula"></a>

```python
formula: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula</a>]]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.logQuery"></a>

```python
log_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.processQuery"></a>

```python
process_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.query"></a>

```python
query: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery</a>]]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.rumQuery"></a>

```python
rum_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.securityQuery"></a>

```python
security_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.style"></a>

```python
style: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula(
  formula_expression: str,
  alias: str = None,
  cell_display_mode: str = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats]] = None,
  limit: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit = None,
  style: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.formulaExpression">formula_expression</a></code> | <code>str</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.alias">alias</a></code> | <code>str</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formula_expression`<sup>Required</sup> <a name="formula_expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.formulaExpression"></a>

```python
formula_expression: str
```

- *Type:* str

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.alias"></a>

```python
alias: str
```

- *Type:* str

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.limit"></a>

```python
limit: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.style"></a>

```python
style: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit(
  count: typing.Union[int, float] = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>typing.Union[int, float]</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit.property.count"></a>

```python
count: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit.property.order"></a>

```python
order: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle(
  palette: str = None,
  palette_index: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>str</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle.property.paletteIndex">palette_index</a></code> | <code>typing.Union[int, float]</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `palette_index`<sup>Optional</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```python
palette_index: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery(
  apm_dependency_stats_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery = None,
  apm_resource_stats_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery = None,
  event_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery = None,
  metric_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery = None,
  process_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.apmDependencyStatsQuery">apm_dependency_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.apmResourceStatsQuery">apm_resource_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.eventQuery">event_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.metricQuery">metric_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apm_dependency_stats_query`<sup>Optional</sup> <a name="apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```python
apm_dependency_stats_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apm_resource_stats_query`<sup>Optional</sup> <a name="apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```python
apm_resource_stats_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `event_query`<sup>Optional</sup> <a name="event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.eventQuery"></a>

```python
event_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metric_query`<sup>Optional</sup> <a name="metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.metricQuery"></a>

```python
metric_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.processQuery"></a>

```python
process_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery(
  data_source: str,
  env: str,
  name: str,
  operation_name: str,
  resource_name: str,
  service: str,
  stat: str,
  is_upstream: typing.Union[bool, IResolvable] = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">is_upstream</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `is_upstream`<sup>Optional</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```python
is_upstream: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery(
  data_source: str,
  env: str,
  name: str,
  service: str,
  stat: str,
  group_by: typing.List[str] = None,
  operation_name: str = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None,
  resource_name: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operation_name`<sup>Optional</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resource_name`<sup>Optional</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery(
  compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute]],
  data_source: str,
  name: str,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy]] = None,
  indexes: typing.List[str] = None,
  search: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch = None,
  storage: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute</a>]]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>str</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.compute"></a>

```python
compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute</a>]]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.search"></a>

```python
search: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.storage"></a>

```python
storage: str
```

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute(
  aggregation: str,
  interval: typing.Union[int, float] = None,
  metric: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>str</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```python
metric: str
```

- *Type:* str

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy(
  facet: str,
  limit: typing.Union[int, float] = None,
  sort: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```python
sort: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort(
  aggregation: str,
  metric: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>str</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>str</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```python
order: str
```

- *Type:* str

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch(
  query: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>str</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch.property.query"></a>

```python
query: str
```

- *Type:* str

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery(
  name: str,
  query: str,
  aggregator: str = None,
  data_source: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>str</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>str</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.query"></a>

```python
query: str
```

- *Type:* str

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `data_source`<sup>Optional</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery(
  data_source: str,
  metric: str,
  name: str,
  aggregator: str = None,
  is_normalized_cpu: typing.Union[bool, IResolvable] = None,
  limit: typing.Union[int, float] = None,
  sort: str = None,
  tag_filters: typing.List[str] = None,
  text_filter: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>str</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">is_normalized_cpu</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.tagFilters">tag_filters</a></code> | <code>typing.List[str]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.textFilter">text_filter</a></code> | <code>str</code> | The text to use as a filter. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `is_normalized_cpu`<sup>Optional</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```python
is_normalized_cpu: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.sort"></a>

```python
sort: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tag_filters`<sup>Optional</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```python
tag_filters: typing.List[str]
```

- *Type:* typing.List[str]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `text_filter`<sup>Optional</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```python
text_filter: str
```

- *Type:* str

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery(
  index: str,
  compute_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle(
  palette: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle.property.palette">palette</a></code> | <code>str</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition <a name="DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition(
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink]] = None,
  request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest]] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest(
  query: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery]],
  request_type: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest.property.query">query</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery</a>]]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest.property.requestType">request_type</a></code> | <code>str</code> | The request type for the Topology request ('topology'). Valid values are `topology`. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest.property.query"></a>

```python
query: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery</a>]]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `request_type`<sup>Required</sup> <a name="request_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest.property.requestType"></a>

```python
request_type: str
```

- *Type:* str

The request type for the Topology request ('topology'). Valid values are `topology`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request_type Dashboard#request_type}

---

### DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery(
  data_source: str,
  filters: typing.List[str],
  service: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for the Topology request ('service_map' or 'data_streams'). Valid values are `data_streams`, `service_map`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.filters">filters</a></code> | <code>typing.List[str]</code> | Your environment and primary tag (or `*` if enabled for your account). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.service">service</a></code> | <code>str</code> | The ID of the service to map. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for the Topology request ('service_map' or 'data_streams'). Valid values are `data_streams`, `service_map`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `filters`<sup>Required</sup> <a name="filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.filters"></a>

```python
filters: typing.List[str]
```

- *Type:* typing.List[str]

Your environment and primary tag (or `*` if enabled for your account).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filters Dashboard#filters}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.service"></a>

```python
service: str
```

- *Type:* str

The ID of the service to map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

### DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition <a name="DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition(
  env: str,
  service: str,
  span_name: str,
  display_format: str = None,
  live_span: str = None,
  show_breakdown: typing.Union[bool, IResolvable] = None,
  show_distribution: typing.Union[bool, IResolvable] = None,
  show_errors: typing.Union[bool, IResolvable] = None,
  show_hits: typing.Union[bool, IResolvable] = None,
  show_latency: typing.Union[bool, IResolvable] = None,
  show_resource_list: typing.Union[bool, IResolvable] = None,
  size_format: str = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.env">env</a></code> | <code>str</code> | APM environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.spanName">span_name</a></code> | <code>str</code> | APM span name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.displayFormat">display_format</a></code> | <code>str</code> | The number of columns to display. Valid values are `one_column`, `two_column`, `three_column`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showBreakdown">show_breakdown</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to show the latency breakdown or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showDistribution">show_distribution</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to show the latency distribution or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showErrors">show_errors</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to show the error metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showHits">show_hits</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to show the hits metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showLatency">show_latency</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to show the latency metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showResourceList">show_resource_list</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to show the resource list or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.sizeFormat">size_format</a></code> | <code>str</code> | The size of the widget. Valid values are `small`, `medium`, `large`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.env"></a>

```python
env: str
```

- *Type:* str

APM environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `span_name`<sup>Required</sup> <a name="span_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.spanName"></a>

```python
span_name: str
```

- *Type:* str

APM span name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#span_name Dashboard#span_name}

---

##### `display_format`<sup>Optional</sup> <a name="display_format" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.displayFormat"></a>

```python
display_format: str
```

- *Type:* str

The number of columns to display. Valid values are `one_column`, `two_column`, `three_column`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_format Dashboard#display_format}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `show_breakdown`<sup>Optional</sup> <a name="show_breakdown" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showBreakdown"></a>

```python
show_breakdown: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to show the latency breakdown or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_breakdown Dashboard#show_breakdown}

---

##### `show_distribution`<sup>Optional</sup> <a name="show_distribution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showDistribution"></a>

```python
show_distribution: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to show the latency distribution or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_distribution Dashboard#show_distribution}

---

##### `show_errors`<sup>Optional</sup> <a name="show_errors" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showErrors"></a>

```python
show_errors: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to show the error metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_errors Dashboard#show_errors}

---

##### `show_hits`<sup>Optional</sup> <a name="show_hits" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showHits"></a>

```python
show_hits: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to show the hits metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_hits Dashboard#show_hits}

---

##### `show_latency`<sup>Optional</sup> <a name="show_latency" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showLatency"></a>

```python
show_latency: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to show the latency metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_latency Dashboard#show_latency}

---

##### `show_resource_list`<sup>Optional</sup> <a name="show_resource_list" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showResourceList"></a>

```python
show_resource_list: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to show the resource list or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_resource_list Dashboard#show_resource_list}

---

##### `size_format`<sup>Optional</sup> <a name="size_format" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.sizeFormat"></a>

```python
size_format: str
```

- *Type:* str

The size of the widget. Valid values are `small`, `medium`, `large`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#size_format Dashboard#size_format}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinition <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition(
  request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest]] = None,
  title: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest(
  formula: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula]] = None,
  query: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery]] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest.property.formula">formula</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula</a>]]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest.property.query">query</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery</a>]]</code> | query block. |

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest.property.formula"></a>

```python
formula: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula</a>]]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest.property.query"></a>

```python
query: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery</a>]]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula(
  formula_expression: str,
  alias: str = None,
  cell_display_mode: str = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats]] = None,
  limit: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit = None,
  style: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.formulaExpression">formula_expression</a></code> | <code>str</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.alias">alias</a></code> | <code>str</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formula_expression`<sup>Required</sup> <a name="formula_expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.formulaExpression"></a>

```python
formula_expression: str
```

- *Type:* str

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.alias"></a>

```python
alias: str
```

- *Type:* str

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.limit"></a>

```python
limit: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.style"></a>

```python
style: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit(
  count: typing.Union[int, float] = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>typing.Union[int, float]</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit.property.count"></a>

```python
count: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit.property.order"></a>

```python
order: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle(
  palette: str = None,
  palette_index: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>str</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle.property.paletteIndex">palette_index</a></code> | <code>typing.Union[int, float]</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `palette_index`<sup>Optional</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```python
palette_index: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery(
  apm_dependency_stats_query: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery = None,
  apm_resource_stats_query: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery = None,
  event_query: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery = None,
  metric_query: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery = None,
  process_query: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.apmDependencyStatsQuery">apm_dependency_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.apmResourceStatsQuery">apm_resource_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.eventQuery">event_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.metricQuery">metric_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apm_dependency_stats_query`<sup>Optional</sup> <a name="apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```python
apm_dependency_stats_query: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apm_resource_stats_query`<sup>Optional</sup> <a name="apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```python
apm_resource_stats_query: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `event_query`<sup>Optional</sup> <a name="event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.eventQuery"></a>

```python
event_query: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metric_query`<sup>Optional</sup> <a name="metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.metricQuery"></a>

```python
metric_query: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.processQuery"></a>

```python
process_query: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery(
  data_source: str,
  env: str,
  name: str,
  operation_name: str,
  resource_name: str,
  service: str,
  stat: str,
  is_upstream: typing.Union[bool, IResolvable] = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">is_upstream</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `is_upstream`<sup>Optional</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```python
is_upstream: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery(
  data_source: str,
  env: str,
  name: str,
  service: str,
  stat: str,
  group_by: typing.List[str] = None,
  operation_name: str = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None,
  resource_name: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operation_name`<sup>Optional</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resource_name`<sup>Optional</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery(
  compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute]],
  data_source: str,
  name: str,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy]] = None,
  indexes: typing.List[str] = None,
  search: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch = None,
  storage: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute</a>]]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>str</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.compute"></a>

```python
compute: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute</a>]]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.search"></a>

```python
search: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.storage"></a>

```python
storage: str
```

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute(
  aggregation: str,
  interval: typing.Union[int, float] = None,
  metric: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>str</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```python
metric: str
```

- *Type:* str

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy(
  facet: str,
  limit: typing.Union[int, float] = None,
  sort: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```python
sort: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort(
  aggregation: str,
  metric: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>str</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>str</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```python
order: str
```

- *Type:* str

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch(
  query: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>str</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch.property.query"></a>

```python
query: str
```

- *Type:* str

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery(
  name: str,
  query: str,
  aggregator: str = None,
  data_source: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>str</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>str</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.query"></a>

```python
query: str
```

- *Type:* str

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `data_source`<sup>Optional</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery(
  data_source: str,
  metric: str,
  name: str,
  aggregator: str = None,
  is_normalized_cpu: typing.Union[bool, IResolvable] = None,
  limit: typing.Union[int, float] = None,
  sort: str = None,
  tag_filters: typing.List[str] = None,
  text_filter: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>str</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">is_normalized_cpu</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.tagFilters">tag_filters</a></code> | <code>typing.List[str]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.textFilter">text_filter</a></code> | <code>str</code> | The text to use as a filter. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `is_normalized_cpu`<sup>Optional</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```python
is_normalized_cpu: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.sort"></a>

```python
sort: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tag_filters`<sup>Optional</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```python
tag_filters: typing.List[str]
```

- *Type:* typing.List[str]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `text_filter`<sup>Optional</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```python
text_filter: str
```

- *Type:* str

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetWidgetLayout <a name="DashboardWidgetGroupDefinitionWidgetWidgetLayout" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout(
  height: typing.Union[int, float],
  width: typing.Union[int, float],
  x: typing.Union[int, float],
  y: typing.Union[int, float],
  is_column_break: typing.Union[bool, IResolvable] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.height">height</a></code> | <code>typing.Union[int, float]</code> | The height of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.width">width</a></code> | <code>typing.Union[int, float]</code> | The width of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.x">x</a></code> | <code>typing.Union[int, float]</code> | The position of the widget on the x (horizontal) axis. Should be greater than or equal to 0. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.y">y</a></code> | <code>typing.Union[int, float]</code> | The position of the widget on the y (vertical) axis. Should be greater than or equal to 0. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.isColumnBreak">is_column_break</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether the widget should be the first one on the second column in high density or not. |

---

##### `height`<sup>Required</sup> <a name="height" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.height"></a>

```python
height: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The height of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#height Dashboard#height}

---

##### `width`<sup>Required</sup> <a name="width" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.width"></a>

```python
width: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The width of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#width Dashboard#width}

---

##### `x`<sup>Required</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.x"></a>

```python
x: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The position of the widget on the x (horizontal) axis. Should be greater than or equal to 0.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#x Dashboard#x}

---

##### `y`<sup>Required</sup> <a name="y" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.y"></a>

```python
y: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The position of the widget on the y (vertical) axis. Should be greater than or equal to 0.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#y Dashboard#y}

---

##### `is_column_break`<sup>Optional</sup> <a name="is_column_break" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.isColumnBreak"></a>

```python
is_column_break: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether the widget should be the first one on the second column in high density or not.

Only for the new dashboard layout and only one widget in the dashboard should have this property set to `true`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_column_break Dashboard#is_column_break}

---

### DashboardWidgetHeatmapDefinition <a name="DashboardWidgetHeatmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinition(
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionCustomLink]] = None,
  event: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionEvent]] = None,
  legend_size: str = None,
  live_span: str = None,
  request: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionRequest]] = None,
  show_legend: typing.Union[bool, IResolvable] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None,
  yaxis: DashboardWidgetHeatmapDefinitionYaxis = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink">DashboardWidgetHeatmapDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.event">event</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent">DashboardWidgetHeatmapDefinitionEvent</a>]]</code> | event block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.legendSize">legend_size</a></code> | <code>str</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest">DashboardWidgetHeatmapDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.showLegend">show_legend</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis">DashboardWidgetHeatmapDefinitionYaxis</a></code> | yaxis block. |

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink">DashboardWidgetHeatmapDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `event`<sup>Optional</sup> <a name="event" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.event"></a>

```python
event: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionEvent]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent">DashboardWidgetHeatmapDefinitionEvent</a>]]

event block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event Dashboard#event}

---

##### `legend_size`<sup>Optional</sup> <a name="legend_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.legendSize"></a>

```python
legend_size: str
```

- *Type:* str

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest">DashboardWidgetHeatmapDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `show_legend`<sup>Optional</sup> <a name="show_legend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.showLegend"></a>

```python
show_legend: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.yaxis"></a>

```python
yaxis: DashboardWidgetHeatmapDefinitionYaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis">DashboardWidgetHeatmapDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetHeatmapDefinitionCustomLink <a name="DashboardWidgetHeatmapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetHeatmapDefinitionEvent <a name="DashboardWidgetHeatmapDefinitionEvent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionEvent(
  q: str,
  tags_execution: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent.property.q">q</a></code> | <code>str</code> | The event query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent.property.tagsExecution">tags_execution</a></code> | <code>str</code> | The execution method for multi-value filters. |

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent.property.q"></a>

```python
q: str
```

- *Type:* str

The event query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `tags_execution`<sup>Optional</sup> <a name="tags_execution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent.property.tagsExecution"></a>

```python
tags_execution: str
```

- *Type:* str

The execution method for multi-value filters.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

### DashboardWidgetHeatmapDefinitionRequest <a name="DashboardWidgetHeatmapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequest(
  apm_query: DashboardWidgetHeatmapDefinitionRequestApmQuery = None,
  log_query: DashboardWidgetHeatmapDefinitionRequestLogQuery = None,
  process_query: DashboardWidgetHeatmapDefinitionRequestProcessQuery = None,
  q: str = None,
  rum_query: DashboardWidgetHeatmapDefinitionRequestRumQuery = None,
  security_query: DashboardWidgetHeatmapDefinitionRequestSecurityQuery = None,
  style: DashboardWidgetHeatmapDefinitionRequestStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery">DashboardWidgetHeatmapDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery">DashboardWidgetHeatmapDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery">DashboardWidgetHeatmapDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery">DashboardWidgetHeatmapDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle">DashboardWidgetHeatmapDefinitionRequestStyle</a></code> | style block. |

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.apmQuery"></a>

```python
apm_query: DashboardWidgetHeatmapDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery">DashboardWidgetHeatmapDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.logQuery"></a>

```python
log_query: DashboardWidgetHeatmapDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery">DashboardWidgetHeatmapDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.processQuery"></a>

```python
process_query: DashboardWidgetHeatmapDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery">DashboardWidgetHeatmapDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.rumQuery"></a>

```python
rum_query: DashboardWidgetHeatmapDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery">DashboardWidgetHeatmapDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.securityQuery"></a>

```python
security_query: DashboardWidgetHeatmapDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.style"></a>

```python
style: DashboardWidgetHeatmapDefinitionRequestStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle">DashboardWidgetHeatmapDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetHeatmapDefinitionRequestApmQuery <a name="DashboardWidgetHeatmapDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery(
  index: str,
  compute_query: DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestLogQuery <a name="DashboardWidgetHeatmapDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery(
  index: str,
  compute_query: DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestProcessQuery <a name="DashboardWidgetHeatmapDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetHeatmapDefinitionRequestRumQuery <a name="DashboardWidgetHeatmapDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery(
  index: str,
  compute_query: DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestSecurityQuery <a name="DashboardWidgetHeatmapDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery(
  index: str,
  compute_query: DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestStyle <a name="DashboardWidgetHeatmapDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionRequestStyle(
  palette: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle.property.palette">palette</a></code> | <code>str</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetHeatmapDefinitionYaxis <a name="DashboardWidgetHeatmapDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHeatmapDefinitionYaxis(
  include_zero: typing.Union[bool, IResolvable] = None,
  label: str = None,
  max: str = None,
  min: str = None,
  scale: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.includeZero">include_zero</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.label">label</a></code> | <code>str</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.max">max</a></code> | <code>str</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.min">min</a></code> | <code>str</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.scale">scale</a></code> | <code>str</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `include_zero`<sup>Optional</sup> <a name="include_zero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.includeZero"></a>

```python
include_zero: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.label"></a>

```python
label: str
```

- *Type:* str

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.max"></a>

```python
max: str
```

- *Type:* str

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.min"></a>

```python
min: str
```

- *Type:* str

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.scale"></a>

```python
scale: str
```

- *Type:* str

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetHostmapDefinition <a name="DashboardWidgetHostmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinition(
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionCustomLink]] = None,
  group: typing.List[str] = None,
  node_type: str = None,
  no_group_hosts: typing.Union[bool, IResolvable] = None,
  no_metric_hosts: typing.Union[bool, IResolvable] = None,
  request: DashboardWidgetHostmapDefinitionRequest = None,
  scope: typing.List[str] = None,
  style: DashboardWidgetHostmapDefinitionStyle = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink">DashboardWidgetHostmapDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.group">group</a></code> | <code>typing.List[str]</code> | The list of tags to group nodes by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.nodeType">node_type</a></code> | <code>str</code> | The type of node used. Valid values are `host`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.noGroupHosts">no_group_hosts</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | A Boolean indicating whether to show ungrouped nodes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.noMetricHosts">no_metric_hosts</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | A Boolean indicating whether to show nodes with no metrics. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest">DashboardWidgetHostmapDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.scope">scope</a></code> | <code>typing.List[str]</code> | The list of tags to filter nodes by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle">DashboardWidgetHostmapDefinitionStyle</a></code> | style block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink">DashboardWidgetHostmapDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `group`<sup>Optional</sup> <a name="group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.group"></a>

```python
group: typing.List[str]
```

- *Type:* typing.List[str]

The list of tags to group nodes by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group Dashboard#group}

---

##### `node_type`<sup>Optional</sup> <a name="node_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.nodeType"></a>

```python
node_type: str
```

- *Type:* str

The type of node used. Valid values are `host`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#node_type Dashboard#node_type}

---

##### `no_group_hosts`<sup>Optional</sup> <a name="no_group_hosts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.noGroupHosts"></a>

```python
no_group_hosts: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

A Boolean indicating whether to show ungrouped nodes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#no_group_hosts Dashboard#no_group_hosts}

---

##### `no_metric_hosts`<sup>Optional</sup> <a name="no_metric_hosts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.noMetricHosts"></a>

```python
no_metric_hosts: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

A Boolean indicating whether to show nodes with no metrics.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#no_metric_hosts Dashboard#no_metric_hosts}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.request"></a>

```python
request: DashboardWidgetHostmapDefinitionRequest
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest">DashboardWidgetHostmapDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `scope`<sup>Optional</sup> <a name="scope" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.scope"></a>

```python
scope: typing.List[str]
```

- *Type:* typing.List[str]

The list of tags to filter nodes by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scope Dashboard#scope}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.style"></a>

```python
style: DashboardWidgetHostmapDefinitionStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle">DashboardWidgetHostmapDefinitionStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetHostmapDefinitionCustomLink <a name="DashboardWidgetHostmapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetHostmapDefinitionRequest <a name="DashboardWidgetHostmapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequest(
  fill: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestFill]] = None,
  size: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestSize]] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest.property.fill">fill</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill">DashboardWidgetHostmapDefinitionRequestFill</a>]]</code> | fill block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest.property.size">size</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize">DashboardWidgetHostmapDefinitionRequestSize</a>]]</code> | size block. |

---

##### `fill`<sup>Optional</sup> <a name="fill" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest.property.fill"></a>

```python
fill: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestFill]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill">DashboardWidgetHostmapDefinitionRequestFill</a>]]

fill block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill Dashboard#fill}

---

##### `size`<sup>Optional</sup> <a name="size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest.property.size"></a>

```python
size: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestSize]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize">DashboardWidgetHostmapDefinitionRequestSize</a>]]

size block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#size Dashboard#size}

---

### DashboardWidgetHostmapDefinitionRequestFill <a name="DashboardWidgetHostmapDefinitionRequestFill" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFill(
  apm_query: DashboardWidgetHostmapDefinitionRequestFillApmQuery = None,
  log_query: DashboardWidgetHostmapDefinitionRequestFillLogQuery = None,
  process_query: DashboardWidgetHostmapDefinitionRequestFillProcessQuery = None,
  q: str = None,
  rum_query: DashboardWidgetHostmapDefinitionRequestFillRumQuery = None,
  security_query: DashboardWidgetHostmapDefinitionRequestFillSecurityQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery">DashboardWidgetHostmapDefinitionRequestFillApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery">DashboardWidgetHostmapDefinitionRequestFillLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery">DashboardWidgetHostmapDefinitionRequestFillProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery">DashboardWidgetHostmapDefinitionRequestFillRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQuery</a></code> | security_query block. |

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.apmQuery"></a>

```python
apm_query: DashboardWidgetHostmapDefinitionRequestFillApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery">DashboardWidgetHostmapDefinitionRequestFillApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.logQuery"></a>

```python
log_query: DashboardWidgetHostmapDefinitionRequestFillLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery">DashboardWidgetHostmapDefinitionRequestFillLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.processQuery"></a>

```python
process_query: DashboardWidgetHostmapDefinitionRequestFillProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery">DashboardWidgetHostmapDefinitionRequestFillProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.rumQuery"></a>

```python
rum_query: DashboardWidgetHostmapDefinitionRequestFillRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery">DashboardWidgetHostmapDefinitionRequestFillRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.securityQuery"></a>

```python
security_query: DashboardWidgetHostmapDefinitionRequestFillSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetHostmapDefinitionRequestFillApmQuery <a name="DashboardWidgetHostmapDefinitionRequestFillApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery(
  index: str,
  compute_query: DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillLogQuery <a name="DashboardWidgetHostmapDefinitionRequestFillLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery(
  index: str,
  compute_query: DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillProcessQuery <a name="DashboardWidgetHostmapDefinitionRequestFillProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetHostmapDefinitionRequestFillRumQuery <a name="DashboardWidgetHostmapDefinitionRequestFillRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery(
  index: str,
  compute_query: DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillSecurityQuery <a name="DashboardWidgetHostmapDefinitionRequestFillSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery(
  index: str,
  compute_query: DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSize <a name="DashboardWidgetHostmapDefinitionRequestSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSize(
  apm_query: DashboardWidgetHostmapDefinitionRequestSizeApmQuery = None,
  log_query: DashboardWidgetHostmapDefinitionRequestSizeLogQuery = None,
  process_query: DashboardWidgetHostmapDefinitionRequestSizeProcessQuery = None,
  q: str = None,
  rum_query: DashboardWidgetHostmapDefinitionRequestSizeRumQuery = None,
  security_query: DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery">DashboardWidgetHostmapDefinitionRequestSizeProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery</a></code> | security_query block. |

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.apmQuery"></a>

```python
apm_query: DashboardWidgetHostmapDefinitionRequestSizeApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.logQuery"></a>

```python
log_query: DashboardWidgetHostmapDefinitionRequestSizeLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.processQuery"></a>

```python
process_query: DashboardWidgetHostmapDefinitionRequestSizeProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery">DashboardWidgetHostmapDefinitionRequestSizeProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.rumQuery"></a>

```python
rum_query: DashboardWidgetHostmapDefinitionRequestSizeRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.securityQuery"></a>

```python
security_query: DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeApmQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery(
  index: str,
  compute_query: DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeLogQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery(
  index: str,
  compute_query: DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeProcessQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetHostmapDefinitionRequestSizeRumQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery(
  index: str,
  compute_query: DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery(
  index: str,
  compute_query: DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionStyle <a name="DashboardWidgetHostmapDefinitionStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetHostmapDefinitionStyle(
  fill_max: str = None,
  fill_min: str = None,
  palette: str = None,
  palette_flip: typing.Union[bool, IResolvable] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.fillMax">fill_max</a></code> | <code>str</code> | The max value to use to color the map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.fillMin">fill_min</a></code> | <code>str</code> | The min value to use to color the map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.palette">palette</a></code> | <code>str</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.paletteFlip">palette_flip</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | A Boolean indicating whether to flip the palette tones. |

---

##### `fill_max`<sup>Optional</sup> <a name="fill_max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.fillMax"></a>

```python
fill_max: str
```

- *Type:* str

The max value to use to color the map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill_max Dashboard#fill_max}

---

##### `fill_min`<sup>Optional</sup> <a name="fill_min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.fillMin"></a>

```python
fill_min: str
```

- *Type:* str

The min value to use to color the map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill_min Dashboard#fill_min}

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `palette_flip`<sup>Optional</sup> <a name="palette_flip" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.paletteFlip"></a>

```python
palette_flip: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

A Boolean indicating whether to flip the palette tones.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_flip Dashboard#palette_flip}

---

### DashboardWidgetIframeDefinition <a name="DashboardWidgetIframeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetIframeDefinition(
  url: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition.property.url">url</a></code> | <code>str</code> | The URL to use as a data source for the widget. |

---

##### `url`<sup>Required</sup> <a name="url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition.property.url"></a>

```python
url: str
```

- *Type:* str

The URL to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

### DashboardWidgetImageDefinition <a name="DashboardWidgetImageDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetImageDefinition(
  url: str,
  has_background: typing.Union[bool, IResolvable] = None,
  has_border: typing.Union[bool, IResolvable] = None,
  horizontal_align: str = None,
  margin: str = None,
  sizing: str = None,
  url_dark_theme: str = None,
  vertical_align: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.url">url</a></code> | <code>str</code> | The URL to use as a data source for the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.hasBackground">has_background</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to display a background or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.hasBorder">has_border</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to display a border or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.horizontalAlign">horizontal_align</a></code> | <code>str</code> | The horizontal alignment for the widget. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.margin">margin</a></code> | <code>str</code> | The margins to use around the image. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.sizing">sizing</a></code> | <code>str</code> | The preferred method to adapt the dimensions of the image. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.urlDarkTheme">url_dark_theme</a></code> | <code>str</code> | The URL in dark mode to use as a data source for the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.verticalAlign">vertical_align</a></code> | <code>str</code> | The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`. |

---

##### `url`<sup>Required</sup> <a name="url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.url"></a>

```python
url: str
```

- *Type:* str

The URL to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

##### `has_background`<sup>Optional</sup> <a name="has_background" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.hasBackground"></a>

```python
has_background: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to display a background or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_background Dashboard#has_background}

---

##### `has_border`<sup>Optional</sup> <a name="has_border" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.hasBorder"></a>

```python
has_border: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to display a border or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_border Dashboard#has_border}

---

##### `horizontal_align`<sup>Optional</sup> <a name="horizontal_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.horizontalAlign"></a>

```python
horizontal_align: str
```

- *Type:* str

The horizontal alignment for the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#horizontal_align Dashboard#horizontal_align}

---

##### `margin`<sup>Optional</sup> <a name="margin" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.margin"></a>

```python
margin: str
```

- *Type:* str

The margins to use around the image.

Note: `small` and `large` values are deprecated. Valid values are `sm`, `md`, `lg`, `small`, `large`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#margin Dashboard#margin}

---

##### `sizing`<sup>Optional</sup> <a name="sizing" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.sizing"></a>

```python
sizing: str
```

- *Type:* str

The preferred method to adapt the dimensions of the image.

The values are based on the image `object-fit` CSS properties. Note: `zoom`, `fit` and `center` values are deprecated. Valid values are `fill`, `contain`, `cover`, `none`, `scale-down`, `zoom`, `fit`, `center`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sizing Dashboard#sizing}

---

##### `url_dark_theme`<sup>Optional</sup> <a name="url_dark_theme" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.urlDarkTheme"></a>

```python
url_dark_theme: str
```

- *Type:* str

The URL in dark mode to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url_dark_theme Dashboard#url_dark_theme}

---

##### `vertical_align`<sup>Optional</sup> <a name="vertical_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.verticalAlign"></a>

```python
vertical_align: str
```

- *Type:* str

The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#vertical_align Dashboard#vertical_align}

---

### DashboardWidgetListStreamDefinition <a name="DashboardWidgetListStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetListStreamDefinition(
  request: typing.Union[IResolvable, typing.List[DashboardWidgetListStreamDefinitionRequest]],
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest">DashboardWidgetListStreamDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title. Default is 16. |

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetListStreamDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest">DashboardWidgetListStreamDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title. Default is 16.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetListStreamDefinitionRequest <a name="DashboardWidgetListStreamDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetListStreamDefinitionRequest(
  columns: typing.Union[IResolvable, typing.List[DashboardWidgetListStreamDefinitionRequestColumns]],
  query: DashboardWidgetListStreamDefinitionRequestQuery,
  response_format: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.columns">columns</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns">DashboardWidgetListStreamDefinitionRequestColumns</a>]]</code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.query">query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery">DashboardWidgetListStreamDefinitionRequestQuery</a></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.responseFormat">response_format</a></code> | <code>str</code> | Widget response format. Valid values are `event_list`. |

---

##### `columns`<sup>Required</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.columns"></a>

```python
columns: typing.Union[IResolvable, typing.List[DashboardWidgetListStreamDefinitionRequestColumns]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns">DashboardWidgetListStreamDefinitionRequestColumns</a>]]

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.query"></a>

```python
query: DashboardWidgetListStreamDefinitionRequestQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery">DashboardWidgetListStreamDefinitionRequestQuery</a>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `response_format`<sup>Required</sup> <a name="response_format" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.responseFormat"></a>

```python
response_format: str
```

- *Type:* str

Widget response format. Valid values are `event_list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#response_format Dashboard#response_format}

---

### DashboardWidgetListStreamDefinitionRequestColumns <a name="DashboardWidgetListStreamDefinitionRequestColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetListStreamDefinitionRequestColumns(
  field: str,
  width: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns.property.field">field</a></code> | <code>str</code> | Widget column field. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns.property.width">width</a></code> | <code>str</code> | Widget column width. Valid values are `auto`, `compact`, `full`. |

---

##### `field`<sup>Required</sup> <a name="field" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns.property.field"></a>

```python
field: str
```

- *Type:* str

Widget column field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#field Dashboard#field}

---

##### `width`<sup>Required</sup> <a name="width" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns.property.width"></a>

```python
width: str
```

- *Type:* str

Widget column width. Valid values are `auto`, `compact`, `full`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#width Dashboard#width}

---

### DashboardWidgetListStreamDefinitionRequestQuery <a name="DashboardWidgetListStreamDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetListStreamDefinitionRequestQuery(
  data_source: str,
  event_size: str = None,
  indexes: typing.List[str] = None,
  query_string: str = None,
  storage: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.dataSource">data_source</a></code> | <code>str</code> | Source from which to query items to display in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.eventSize">event_size</a></code> | <code>str</code> | Size of events displayed in widget. Required if `data_source` is `event_stream`. Valid values are `s`, `l`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | List of indexes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.queryString">query_string</a></code> | <code>str</code> | Widget query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.storage">storage</a></code> | <code>str</code> | Storage location (private beta). |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

Source from which to query items to display in the stream.

Valid values are `logs_stream`, `audit_stream`, `ci_pipeline_stream`, `ci_test_stream`, `rum_issue_stream`, `apm_issue_stream`, `logs_issue_stream`, `logs_pattern_stream`, `logs_transaction_stream`, `event_stream`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `event_size`<sup>Optional</sup> <a name="event_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.eventSize"></a>

```python
event_size: str
```

- *Type:* str

Size of events displayed in widget. Required if `data_source` is `event_stream`. Valid values are `s`, `l`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_size Dashboard#event_size}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

List of indexes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `query_string`<sup>Optional</sup> <a name="query_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.queryString"></a>

```python
query_string: str
```

- *Type:* str

Widget query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_string Dashboard#query_string}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.storage"></a>

```python
storage: str
```

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetLogStreamDefinition <a name="DashboardWidgetLogStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetLogStreamDefinition(
  columns: typing.List[str] = None,
  indexes: typing.List[str] = None,
  live_span: str = None,
  message_display: str = None,
  query: str = None,
  show_date_column: typing.Union[bool, IResolvable] = None,
  show_message_column: typing.Union[bool, IResolvable] = None,
  sort: DashboardWidgetLogStreamDefinitionSort = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.columns">columns</a></code> | <code>typing.List[str]</code> | Stringified list of columns to use, for example: `["column1","column2","column3"]`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.messageDisplay">message_display</a></code> | <code>str</code> | The number of log lines to display. Valid values are `inline`, `expanded-md`, `expanded-lg`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.query">query</a></code> | <code>str</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.showDateColumn">show_date_column</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | If the date column should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.showMessageColumn">show_message_column</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | If the message column should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort">DashboardWidgetLogStreamDefinitionSort</a></code> | sort block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `columns`<sup>Optional</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.columns"></a>

```python
columns: typing.List[str]
```

- *Type:* typing.List[str]

Stringified list of columns to use, for example: `["column1","column2","column3"]`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `message_display`<sup>Optional</sup> <a name="message_display" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.messageDisplay"></a>

```python
message_display: str
```

- *Type:* str

The number of log lines to display. Valid values are `inline`, `expanded-md`, `expanded-lg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#message_display Dashboard#message_display}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.query"></a>

```python
query: str
```

- *Type:* str

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `show_date_column`<sup>Optional</sup> <a name="show_date_column" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.showDateColumn"></a>

```python
show_date_column: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

If the date column should be displayed.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_date_column Dashboard#show_date_column}

---

##### `show_message_column`<sup>Optional</sup> <a name="show_message_column" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.showMessageColumn"></a>

```python
show_message_column: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

If the message column should be displayed.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_message_column Dashboard#show_message_column}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.sort"></a>

```python
sort: DashboardWidgetLogStreamDefinitionSort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort">DashboardWidgetLogStreamDefinitionSort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetLogStreamDefinitionSort <a name="DashboardWidgetLogStreamDefinitionSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetLogStreamDefinitionSort(
  column: str,
  order: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort.property.column">column</a></code> | <code>str</code> | The facet path for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `column`<sup>Required</sup> <a name="column" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort.property.column"></a>

```python
column: str
```

- *Type:* str

The facet path for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#column Dashboard#column}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetManageStatusDefinition <a name="DashboardWidgetManageStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetManageStatusDefinition(
  query: str,
  color_preference: str = None,
  display_format: str = None,
  hide_zero_counts: typing.Union[bool, IResolvable] = None,
  show_last_triggered: typing.Union[bool, IResolvable] = None,
  show_priority: typing.Union[bool, IResolvable] = None,
  sort: str = None,
  summary_type: str = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.query">query</a></code> | <code>str</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.colorPreference">color_preference</a></code> | <code>str</code> | Whether to colorize text or background. Valid values are `background`, `text`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.displayFormat">display_format</a></code> | <code>str</code> | The display setting to use. Valid values are `counts`, `countsAndList`, `list`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.hideZeroCounts">hide_zero_counts</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | A Boolean indicating whether to hide empty categories. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.showLastTriggered">show_last_triggered</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | A Boolean indicating whether to show when monitors/groups last triggered. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.showPriority">show_priority</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to show the priorities column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.sort">sort</a></code> | <code>str</code> | The method to sort the monitors. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.summaryType">summary_type</a></code> | <code>str</code> | The summary type to use. Valid values are `monitors`, `groups`, `combined`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.query"></a>

```python
query: str
```

- *Type:* str

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `color_preference`<sup>Optional</sup> <a name="color_preference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.colorPreference"></a>

```python
color_preference: str
```

- *Type:* str

Whether to colorize text or background. Valid values are `background`, `text`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color_preference Dashboard#color_preference}

---

##### `display_format`<sup>Optional</sup> <a name="display_format" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.displayFormat"></a>

```python
display_format: str
```

- *Type:* str

The display setting to use. Valid values are `counts`, `countsAndList`, `list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_format Dashboard#display_format}

---

##### `hide_zero_counts`<sup>Optional</sup> <a name="hide_zero_counts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.hideZeroCounts"></a>

```python
hide_zero_counts: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

A Boolean indicating whether to hide empty categories.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_zero_counts Dashboard#hide_zero_counts}

---

##### `show_last_triggered`<sup>Optional</sup> <a name="show_last_triggered" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.showLastTriggered"></a>

```python
show_last_triggered: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

A Boolean indicating whether to show when monitors/groups last triggered.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_last_triggered Dashboard#show_last_triggered}

---

##### `show_priority`<sup>Optional</sup> <a name="show_priority" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.showPriority"></a>

```python
show_priority: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to show the priorities column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_priority Dashboard#show_priority}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.sort"></a>

```python
sort: str
```

- *Type:* str

The method to sort the monitors.

Valid values are `name`, `group`, `status`, `tags`, `triggered`, `group,asc`, `group,desc`, `name,asc`, `name,desc`, `status,asc`, `status,desc`, `tags,asc`, `tags,desc`, `triggered,asc`, `triggered,desc`, `priority,asc`, `priority,desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `summary_type`<sup>Optional</sup> <a name="summary_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.summaryType"></a>

```python
summary_type: str
```

- *Type:* str

The summary type to use. Valid values are `monitors`, `groups`, `combined`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#summary_type Dashboard#summary_type}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetNoteDefinition <a name="DashboardWidgetNoteDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetNoteDefinition(
  content: str,
  background_color: str = None,
  font_size: str = None,
  has_padding: typing.Union[bool, IResolvable] = None,
  show_tick: typing.Union[bool, IResolvable] = None,
  text_align: str = None,
  tick_edge: str = None,
  tick_pos: str = None,
  vertical_align: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.content">content</a></code> | <code>str</code> | The content of the note. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.backgroundColor">background_color</a></code> | <code>str</code> | The background color of the note. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.fontSize">font_size</a></code> | <code>str</code> | The size of the text. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.hasPadding">has_padding</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to add padding or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.showTick">show_tick</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to show a tick or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.textAlign">text_align</a></code> | <code>str</code> | The alignment of the widget's text. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.tickEdge">tick_edge</a></code> | <code>str</code> | When `tick = true`, a string indicating on which side of the widget the tick should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.tickPos">tick_pos</a></code> | <code>str</code> | When `tick = true`, a string with a percent sign indicating the position of the tick, for example: `tick_pos = "50%"` is centered alignment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.verticalAlign">vertical_align</a></code> | <code>str</code> | The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`. |

---

##### `content`<sup>Required</sup> <a name="content" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.content"></a>

```python
content: str
```

- *Type:* str

The content of the note.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#content Dashboard#content}

---

##### `background_color`<sup>Optional</sup> <a name="background_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.backgroundColor"></a>

```python
background_color: str
```

- *Type:* str

The background color of the note.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#background_color Dashboard#background_color}

---

##### `font_size`<sup>Optional</sup> <a name="font_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.fontSize"></a>

```python
font_size: str
```

- *Type:* str

The size of the text.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#font_size Dashboard#font_size}

---

##### `has_padding`<sup>Optional</sup> <a name="has_padding" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.hasPadding"></a>

```python
has_padding: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to add padding or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_padding Dashboard#has_padding}

---

##### `show_tick`<sup>Optional</sup> <a name="show_tick" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.showTick"></a>

```python
show_tick: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to show a tick or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_tick Dashboard#show_tick}

---

##### `text_align`<sup>Optional</sup> <a name="text_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.textAlign"></a>

```python
text_align: str
```

- *Type:* str

The alignment of the widget's text. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `tick_edge`<sup>Optional</sup> <a name="tick_edge" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.tickEdge"></a>

```python
tick_edge: str
```

- *Type:* str

When `tick = true`, a string indicating on which side of the widget the tick should be displayed.

Valid values are `bottom`, `left`, `right`, `top`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tick_edge Dashboard#tick_edge}

---

##### `tick_pos`<sup>Optional</sup> <a name="tick_pos" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.tickPos"></a>

```python
tick_pos: str
```

- *Type:* str

When `tick = true`, a string with a percent sign indicating the position of the tick, for example: `tick_pos = "50%"` is centered alignment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tick_pos Dashboard#tick_pos}

---

##### `vertical_align`<sup>Optional</sup> <a name="vertical_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.verticalAlign"></a>

```python
vertical_align: str
```

- *Type:* str

The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#vertical_align Dashboard#vertical_align}

---

### DashboardWidgetQueryTableDefinition <a name="DashboardWidgetQueryTableDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinition(
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionCustomLink]] = None,
  has_search_bar: str = None,
  live_span: str = None,
  request: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequest]] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink">DashboardWidgetQueryTableDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.hasSearchBar">has_search_bar</a></code> | <code>str</code> | Controls the display of the search bar. Valid values are `always`, `never`, `auto`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest">DashboardWidgetQueryTableDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink">DashboardWidgetQueryTableDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `has_search_bar`<sup>Optional</sup> <a name="has_search_bar" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.hasSearchBar"></a>

```python
has_search_bar: str
```

- *Type:* str

Controls the display of the search bar. Valid values are `always`, `never`, `auto`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_search_bar Dashboard#has_search_bar}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest">DashboardWidgetQueryTableDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetQueryTableDefinitionCustomLink <a name="DashboardWidgetQueryTableDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetQueryTableDefinitionRequest <a name="DashboardWidgetQueryTableDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequest(
  aggregator: str = None,
  alias: str = None,
  apm_query: DashboardWidgetQueryTableDefinitionRequestApmQuery = None,
  apm_stats_query: DashboardWidgetQueryTableDefinitionRequestApmStatsQuery = None,
  cell_display_mode: typing.List[str] = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestConditionalFormats]] = None,
  formula: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestFormula]] = None,
  limit: typing.Union[int, float] = None,
  log_query: DashboardWidgetQueryTableDefinitionRequestLogQuery = None,
  order: str = None,
  process_query: DashboardWidgetQueryTableDefinitionRequestProcessQuery = None,
  q: str = None,
  query: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestQuery]] = None,
  rum_query: DashboardWidgetQueryTableDefinitionRequestRumQuery = None,
  security_query: DashboardWidgetQueryTableDefinitionRequestSecurityQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.alias">alias</a></code> | <code>str</code> | The alias for the column name (defaults to metric name). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery">DashboardWidgetQueryTableDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.apmStatsQuery">apm_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery">DashboardWidgetQueryTableDefinitionRequestApmStatsQuery</a></code> | apm_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.cellDisplayMode">cell_display_mode</a></code> | <code>typing.List[str]</code> | A list of display modes for each table cell. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats">DashboardWidgetQueryTableDefinitionRequestConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.formula">formula</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula">DashboardWidgetQueryTableDefinitionRequestFormula</a>]]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of lines to show in the table. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery">DashboardWidgetQueryTableDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.order">order</a></code> | <code>str</code> | The sort order for the rows. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery">DashboardWidgetQueryTableDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.query">query</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery">DashboardWidgetQueryTableDefinitionRequestQuery</a>]]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery">DashboardWidgetQueryTableDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.alias"></a>

```python
alias: str
```

- *Type:* str

The alias for the column name (defaults to metric name).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.apmQuery"></a>

```python
apm_query: DashboardWidgetQueryTableDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery">DashboardWidgetQueryTableDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `apm_stats_query`<sup>Optional</sup> <a name="apm_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.apmStatsQuery"></a>

```python
apm_stats_query: DashboardWidgetQueryTableDefinitionRequestApmStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery">DashboardWidgetQueryTableDefinitionRequestApmStatsQuery</a>

apm_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_stats_query Dashboard#apm_stats_query}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.cellDisplayMode"></a>

```python
cell_display_mode: typing.List[str]
```

- *Type:* typing.List[str]

A list of display modes for each table cell.

List items one of `number`, `bar`. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats">DashboardWidgetQueryTableDefinitionRequestConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.formula"></a>

```python
formula: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula">DashboardWidgetQueryTableDefinitionRequestFormula</a>]]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of lines to show in the table.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.logQuery"></a>

```python
log_query: DashboardWidgetQueryTableDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery">DashboardWidgetQueryTableDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.order"></a>

```python
order: str
```

- *Type:* str

The sort order for the rows. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.processQuery"></a>

```python
process_query: DashboardWidgetQueryTableDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery">DashboardWidgetQueryTableDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.query"></a>

```python
query: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery">DashboardWidgetQueryTableDefinitionRequestQuery</a>]]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.rumQuery"></a>

```python
rum_query: DashboardWidgetQueryTableDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery">DashboardWidgetQueryTableDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.securityQuery"></a>

```python
security_query: DashboardWidgetQueryTableDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetQueryTableDefinitionRequestApmQuery <a name="DashboardWidgetQueryTableDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery(
  index: str,
  compute_query: DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestApmStatsQuery <a name="DashboardWidgetQueryTableDefinitionRequestApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery(
  env: str,
  name: str,
  primary_tag: str,
  row_type: str,
  service: str,
  columns: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns]] = None,
  resource: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.env">env</a></code> | <code>str</code> | The environment name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.name">name</a></code> | <code>str</code> | The operation name associated with the service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.primaryTag">primary_tag</a></code> | <code>str</code> | The organization's host group name and value. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.rowType">row_type</a></code> | <code>str</code> | The level of detail for the request. Valid values are `service`, `resource`, `span`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.service">service</a></code> | <code>str</code> | The service name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.columns">columns</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns">DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns</a>]]</code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.resource">resource</a></code> | <code>str</code> | The resource name. |

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

The environment name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The operation name associated with the service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `primary_tag`<sup>Required</sup> <a name="primary_tag" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.primaryTag"></a>

```python
primary_tag: str
```

- *Type:* str

The organization's host group name and value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag Dashboard#primary_tag}

---

##### `row_type`<sup>Required</sup> <a name="row_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.rowType"></a>

```python
row_type: str
```

- *Type:* str

The level of detail for the request. Valid values are `service`, `resource`, `span`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#row_type Dashboard#row_type}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

The service name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `columns`<sup>Optional</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.columns"></a>

```python
columns: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns">DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns</a>]]

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `resource`<sup>Optional</sup> <a name="resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.resource"></a>

```python
resource: str
```

- *Type:* str

The resource name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource Dashboard#resource}

---

### DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns <a name="DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns(
  name: str,
  alias: str = None,
  cell_display_mode: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.name">name</a></code> | <code>str</code> | The column name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.alias">alias</a></code> | <code>str</code> | A user-assigned alias for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.name"></a>

```python
name: str
```

- *Type:* str

The column name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.alias"></a>

```python
alias: str
```

- *Type:* str

A user-assigned alias for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetQueryTableDefinitionRequestConditionalFormats <a name="DashboardWidgetQueryTableDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetQueryTableDefinitionRequestFormula <a name="DashboardWidgetQueryTableDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestFormula(
  formula_expression: str,
  alias: str = None,
  cell_display_mode: str = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats]] = None,
  limit: DashboardWidgetQueryTableDefinitionRequestFormulaLimit = None,
  style: DashboardWidgetQueryTableDefinitionRequestFormulaStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.formulaExpression">formula_expression</a></code> | <code>str</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.alias">alias</a></code> | <code>str</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats">DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit">DashboardWidgetQueryTableDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle">DashboardWidgetQueryTableDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formula_expression`<sup>Required</sup> <a name="formula_expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.formulaExpression"></a>

```python
formula_expression: str
```

- *Type:* str

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.alias"></a>

```python
alias: str
```

- *Type:* str

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats">DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.limit"></a>

```python
limit: DashboardWidgetQueryTableDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit">DashboardWidgetQueryTableDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.style"></a>

```python
style: DashboardWidgetQueryTableDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle">DashboardWidgetQueryTableDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetQueryTableDefinitionRequestFormulaLimit <a name="DashboardWidgetQueryTableDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit(
  count: typing.Union[int, float] = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>typing.Union[int, float]</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit.property.count"></a>

```python
count: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit.property.order"></a>

```python
order: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetQueryTableDefinitionRequestFormulaStyle <a name="DashboardWidgetQueryTableDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle(
  palette: str = None,
  palette_index: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>str</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle.property.paletteIndex">palette_index</a></code> | <code>typing.Union[int, float]</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `palette_index`<sup>Optional</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```python
palette_index: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetQueryTableDefinitionRequestLogQuery <a name="DashboardWidgetQueryTableDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery(
  index: str,
  compute_query: DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestProcessQuery <a name="DashboardWidgetQueryTableDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetQueryTableDefinitionRequestQuery <a name="DashboardWidgetQueryTableDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestQuery(
  apm_dependency_stats_query: DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery = None,
  apm_resource_stats_query: DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery = None,
  event_query: DashboardWidgetQueryTableDefinitionRequestQueryEventQuery = None,
  metric_query: DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery = None,
  process_query: DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.apmDependencyStatsQuery">apm_dependency_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.apmResourceStatsQuery">apm_resource_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.eventQuery">event_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery">DashboardWidgetQueryTableDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.metricQuery">metric_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery">DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery">DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apm_dependency_stats_query`<sup>Optional</sup> <a name="apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```python
apm_dependency_stats_query: DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apm_resource_stats_query`<sup>Optional</sup> <a name="apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```python
apm_resource_stats_query: DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `event_query`<sup>Optional</sup> <a name="event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.eventQuery"></a>

```python
event_query: DashboardWidgetQueryTableDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery">DashboardWidgetQueryTableDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metric_query`<sup>Optional</sup> <a name="metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.metricQuery"></a>

```python
metric_query: DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery">DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.processQuery"></a>

```python
process_query: DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery">DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery(
  data_source: str,
  env: str,
  name: str,
  operation_name: str,
  resource_name: str,
  service: str,
  stat: str,
  is_upstream: typing.Union[bool, IResolvable] = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">is_upstream</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `is_upstream`<sup>Optional</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```python
is_upstream: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery(
  data_source: str,
  env: str,
  name: str,
  service: str,
  stat: str,
  group_by: typing.List[str] = None,
  operation_name: str = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None,
  resource_name: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operation_name`<sup>Optional</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resource_name`<sup>Optional</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetQueryTableDefinitionRequestQueryEventQuery <a name="DashboardWidgetQueryTableDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery(
  compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute]],
  data_source: str,
  name: str,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy]] = None,
  indexes: typing.List[str] = None,
  search: DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch = None,
  storage: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute">DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute</a>]]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch">DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>str</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.compute"></a>

```python
compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute">DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute</a>]]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.search"></a>

```python
search: DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch">DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.storage"></a>

```python
storage: str
```

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute(
  aggregation: str,
  interval: typing.Union[int, float] = None,
  metric: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>str</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```python
metric: str
```

- *Type:* str

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy(
  facet: str,
  limit: typing.Union[int, float] = None,
  sort: DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```python
sort: DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort(
  aggregation: str,
  metric: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>str</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>str</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```python
order: str
```

- *Type:* str

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch(
  query: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>str</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch.property.query"></a>

```python
query: str
```

- *Type:* str

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery <a name="DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery(
  name: str,
  query: str,
  aggregator: str = None,
  data_source: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>str</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>str</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.query"></a>

```python
query: str
```

- *Type:* str

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `data_source`<sup>Optional</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery <a name="DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery(
  data_source: str,
  metric: str,
  name: str,
  aggregator: str = None,
  is_normalized_cpu: typing.Union[bool, IResolvable] = None,
  limit: typing.Union[int, float] = None,
  sort: str = None,
  tag_filters: typing.List[str] = None,
  text_filter: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>str</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">is_normalized_cpu</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.tagFilters">tag_filters</a></code> | <code>typing.List[str]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.textFilter">text_filter</a></code> | <code>str</code> | The text to use as a filter. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `is_normalized_cpu`<sup>Optional</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```python
is_normalized_cpu: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.sort"></a>

```python
sort: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tag_filters`<sup>Optional</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```python
tag_filters: typing.List[str]
```

- *Type:* typing.List[str]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `text_filter`<sup>Optional</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```python
text_filter: str
```

- *Type:* str

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetQueryTableDefinitionRequestRumQuery <a name="DashboardWidgetQueryTableDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery(
  index: str,
  compute_query: DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestSecurityQuery <a name="DashboardWidgetQueryTableDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery(
  index: str,
  compute_query: DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinition <a name="DashboardWidgetQueryValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinition(
  autoscale: typing.Union[bool, IResolvable] = None,
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionCustomLink]] = None,
  custom_unit: str = None,
  live_span: str = None,
  precision: typing.Union[int, float] = None,
  request: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequest]] = None,
  text_align: str = None,
  timeseries_background: DashboardWidgetQueryValueDefinitionTimeseriesBackground = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.autoscale">autoscale</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | A Boolean indicating whether to automatically scale the tile. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink">DashboardWidgetQueryValueDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.customUnit">custom_unit</a></code> | <code>str</code> | The unit for the value displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.precision">precision</a></code> | <code>typing.Union[int, float]</code> | The precision to use when displaying the tile. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest">DashboardWidgetQueryValueDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.textAlign">text_align</a></code> | <code>str</code> | The alignment of the widget's text. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.timeseriesBackground">timeseries_background</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground">DashboardWidgetQueryValueDefinitionTimeseriesBackground</a></code> | timeseries_background block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `autoscale`<sup>Optional</sup> <a name="autoscale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.autoscale"></a>

```python
autoscale: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

A Boolean indicating whether to automatically scale the tile.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#autoscale Dashboard#autoscale}

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink">DashboardWidgetQueryValueDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `custom_unit`<sup>Optional</sup> <a name="custom_unit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.customUnit"></a>

```python
custom_unit: str
```

- *Type:* str

The unit for the value displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_unit Dashboard#custom_unit}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `precision`<sup>Optional</sup> <a name="precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.precision"></a>

```python
precision: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The precision to use when displaying the tile.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#precision Dashboard#precision}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest">DashboardWidgetQueryValueDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `text_align`<sup>Optional</sup> <a name="text_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.textAlign"></a>

```python
text_align: str
```

- *Type:* str

The alignment of the widget's text. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `timeseries_background`<sup>Optional</sup> <a name="timeseries_background" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.timeseriesBackground"></a>

```python
timeseries_background: DashboardWidgetQueryValueDefinitionTimeseriesBackground
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground">DashboardWidgetQueryValueDefinitionTimeseriesBackground</a>

timeseries_background block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeseries_background Dashboard#timeseries_background}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetQueryValueDefinitionCustomLink <a name="DashboardWidgetQueryValueDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetQueryValueDefinitionRequest <a name="DashboardWidgetQueryValueDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequest(
  aggregator: str = None,
  apm_query: DashboardWidgetQueryValueDefinitionRequestApmQuery = None,
  audit_query: DashboardWidgetQueryValueDefinitionRequestAuditQuery = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestConditionalFormats]] = None,
  formula: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestFormula]] = None,
  log_query: DashboardWidgetQueryValueDefinitionRequestLogQuery = None,
  process_query: DashboardWidgetQueryValueDefinitionRequestProcessQuery = None,
  q: str = None,
  query: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestQuery]] = None,
  rum_query: DashboardWidgetQueryValueDefinitionRequestRumQuery = None,
  security_query: DashboardWidgetQueryValueDefinitionRequestSecurityQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery">DashboardWidgetQueryValueDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.auditQuery">audit_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery">DashboardWidgetQueryValueDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats">DashboardWidgetQueryValueDefinitionRequestConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.formula">formula</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula">DashboardWidgetQueryValueDefinitionRequestFormula</a>]]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery">DashboardWidgetQueryValueDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery">DashboardWidgetQueryValueDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.query">query</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery">DashboardWidgetQueryValueDefinitionRequestQuery</a>]]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery">DashboardWidgetQueryValueDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.apmQuery"></a>

```python
apm_query: DashboardWidgetQueryValueDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery">DashboardWidgetQueryValueDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `audit_query`<sup>Optional</sup> <a name="audit_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.auditQuery"></a>

```python
audit_query: DashboardWidgetQueryValueDefinitionRequestAuditQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery">DashboardWidgetQueryValueDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats">DashboardWidgetQueryValueDefinitionRequestConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.formula"></a>

```python
formula: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula">DashboardWidgetQueryValueDefinitionRequestFormula</a>]]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.logQuery"></a>

```python
log_query: DashboardWidgetQueryValueDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery">DashboardWidgetQueryValueDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.processQuery"></a>

```python
process_query: DashboardWidgetQueryValueDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery">DashboardWidgetQueryValueDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.query"></a>

```python
query: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery">DashboardWidgetQueryValueDefinitionRequestQuery</a>]]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.rumQuery"></a>

```python
rum_query: DashboardWidgetQueryValueDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery">DashboardWidgetQueryValueDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.securityQuery"></a>

```python
security_query: DashboardWidgetQueryValueDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetQueryValueDefinitionRequestApmQuery <a name="DashboardWidgetQueryValueDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery(
  index: str,
  compute_query: DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestAuditQuery <a name="DashboardWidgetQueryValueDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery(
  index: str,
  compute_query: DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestConditionalFormats <a name="DashboardWidgetQueryValueDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetQueryValueDefinitionRequestFormula <a name="DashboardWidgetQueryValueDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestFormula(
  formula_expression: str,
  alias: str = None,
  cell_display_mode: str = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats]] = None,
  limit: DashboardWidgetQueryValueDefinitionRequestFormulaLimit = None,
  style: DashboardWidgetQueryValueDefinitionRequestFormulaStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.formulaExpression">formula_expression</a></code> | <code>str</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.alias">alias</a></code> | <code>str</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats">DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit">DashboardWidgetQueryValueDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle">DashboardWidgetQueryValueDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formula_expression`<sup>Required</sup> <a name="formula_expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.formulaExpression"></a>

```python
formula_expression: str
```

- *Type:* str

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.alias"></a>

```python
alias: str
```

- *Type:* str

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats">DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.limit"></a>

```python
limit: DashboardWidgetQueryValueDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit">DashboardWidgetQueryValueDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.style"></a>

```python
style: DashboardWidgetQueryValueDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle">DashboardWidgetQueryValueDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetQueryValueDefinitionRequestFormulaLimit <a name="DashboardWidgetQueryValueDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit(
  count: typing.Union[int, float] = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>typing.Union[int, float]</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit.property.count"></a>

```python
count: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit.property.order"></a>

```python
order: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetQueryValueDefinitionRequestFormulaStyle <a name="DashboardWidgetQueryValueDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle(
  palette: str = None,
  palette_index: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>str</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle.property.paletteIndex">palette_index</a></code> | <code>typing.Union[int, float]</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `palette_index`<sup>Optional</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```python
palette_index: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetQueryValueDefinitionRequestLogQuery <a name="DashboardWidgetQueryValueDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery(
  index: str,
  compute_query: DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestProcessQuery <a name="DashboardWidgetQueryValueDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetQueryValueDefinitionRequestQuery <a name="DashboardWidgetQueryValueDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestQuery(
  apm_dependency_stats_query: DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery = None,
  apm_resource_stats_query: DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery = None,
  event_query: DashboardWidgetQueryValueDefinitionRequestQueryEventQuery = None,
  metric_query: DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery = None,
  process_query: DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.apmDependencyStatsQuery">apm_dependency_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.apmResourceStatsQuery">apm_resource_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.eventQuery">event_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery">DashboardWidgetQueryValueDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.metricQuery">metric_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery">DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery">DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apm_dependency_stats_query`<sup>Optional</sup> <a name="apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```python
apm_dependency_stats_query: DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apm_resource_stats_query`<sup>Optional</sup> <a name="apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```python
apm_resource_stats_query: DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `event_query`<sup>Optional</sup> <a name="event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.eventQuery"></a>

```python
event_query: DashboardWidgetQueryValueDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery">DashboardWidgetQueryValueDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metric_query`<sup>Optional</sup> <a name="metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.metricQuery"></a>

```python
metric_query: DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery">DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.processQuery"></a>

```python
process_query: DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery">DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery(
  data_source: str,
  env: str,
  name: str,
  operation_name: str,
  resource_name: str,
  service: str,
  stat: str,
  is_upstream: typing.Union[bool, IResolvable] = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">is_upstream</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `is_upstream`<sup>Optional</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```python
is_upstream: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery(
  data_source: str,
  env: str,
  name: str,
  service: str,
  stat: str,
  group_by: typing.List[str] = None,
  operation_name: str = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None,
  resource_name: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operation_name`<sup>Optional</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resource_name`<sup>Optional</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetQueryValueDefinitionRequestQueryEventQuery <a name="DashboardWidgetQueryValueDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery(
  compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute]],
  data_source: str,
  name: str,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy]] = None,
  indexes: typing.List[str] = None,
  search: DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch = None,
  storage: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute">DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute</a>]]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch">DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>str</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.compute"></a>

```python
compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute">DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute</a>]]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.search"></a>

```python
search: DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch">DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.storage"></a>

```python
storage: str
```

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute(
  aggregation: str,
  interval: typing.Union[int, float] = None,
  metric: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>str</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```python
metric: str
```

- *Type:* str

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy(
  facet: str,
  limit: typing.Union[int, float] = None,
  sort: DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```python
sort: DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort(
  aggregation: str,
  metric: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>str</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>str</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```python
order: str
```

- *Type:* str

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch(
  query: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>str</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch.property.query"></a>

```python
query: str
```

- *Type:* str

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery <a name="DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery(
  name: str,
  query: str,
  aggregator: str = None,
  data_source: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>str</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>str</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.query"></a>

```python
query: str
```

- *Type:* str

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `data_source`<sup>Optional</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery <a name="DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery(
  data_source: str,
  metric: str,
  name: str,
  aggregator: str = None,
  is_normalized_cpu: typing.Union[bool, IResolvable] = None,
  limit: typing.Union[int, float] = None,
  sort: str = None,
  tag_filters: typing.List[str] = None,
  text_filter: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>str</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">is_normalized_cpu</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.tagFilters">tag_filters</a></code> | <code>typing.List[str]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.textFilter">text_filter</a></code> | <code>str</code> | The text to use as a filter. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `is_normalized_cpu`<sup>Optional</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```python
is_normalized_cpu: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.sort"></a>

```python
sort: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tag_filters`<sup>Optional</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```python
tag_filters: typing.List[str]
```

- *Type:* typing.List[str]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `text_filter`<sup>Optional</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```python
text_filter: str
```

- *Type:* str

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetQueryValueDefinitionRequestRumQuery <a name="DashboardWidgetQueryValueDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery(
  index: str,
  compute_query: DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestSecurityQuery <a name="DashboardWidgetQueryValueDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery(
  index: str,
  compute_query: DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionTimeseriesBackground <a name="DashboardWidgetQueryValueDefinitionTimeseriesBackground" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground(
  type: str,
  yaxis: DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground.property.type">type</a></code> | <code>str</code> | Whether the Timeseries is made using an area or bars. Valid values are `bars`, `area`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis">DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis</a></code> | yaxis block. |

---

##### `type`<sup>Required</sup> <a name="type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground.property.type"></a>

```python
type: str
```

- *Type:* str

Whether the Timeseries is made using an area or bars. Valid values are `bars`, `area`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground.property.yaxis"></a>

```python
yaxis: DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis">DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis <a name="DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis(
  include_zero: typing.Union[bool, IResolvable] = None,
  label: str = None,
  max: str = None,
  min: str = None,
  scale: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.includeZero">include_zero</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.label">label</a></code> | <code>str</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.max">max</a></code> | <code>str</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.min">min</a></code> | <code>str</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.scale">scale</a></code> | <code>str</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `include_zero`<sup>Optional</sup> <a name="include_zero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.includeZero"></a>

```python
include_zero: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.label"></a>

```python
label: str
```

- *Type:* str

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.max"></a>

```python
max: str
```

- *Type:* str

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.min"></a>

```python
min: str
```

- *Type:* str

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.scale"></a>

```python
scale: str
```

- *Type:* str

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetRunWorkflowDefinition <a name="DashboardWidgetRunWorkflowDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetRunWorkflowDefinition(
  workflow_id: str,
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetRunWorkflowDefinitionCustomLink]] = None,
  input: typing.Union[IResolvable, typing.List[DashboardWidgetRunWorkflowDefinitionInput]] = None,
  live_span: str = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.workflowId">workflow_id</a></code> | <code>str</code> | Workflow ID. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink">DashboardWidgetRunWorkflowDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.input">input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput">DashboardWidgetRunWorkflowDefinitionInput</a>]]</code> | input block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `workflow_id`<sup>Required</sup> <a name="workflow_id" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.workflowId"></a>

```python
workflow_id: str
```

- *Type:* str

Workflow ID.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#workflow_id Dashboard#workflow_id}

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetRunWorkflowDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink">DashboardWidgetRunWorkflowDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `input`<sup>Optional</sup> <a name="input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.input"></a>

```python
input: typing.Union[IResolvable, typing.List[DashboardWidgetRunWorkflowDefinitionInput]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput">DashboardWidgetRunWorkflowDefinitionInput</a>]]

input block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#input Dashboard#input}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetRunWorkflowDefinitionCustomLink <a name="DashboardWidgetRunWorkflowDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetRunWorkflowDefinitionInput <a name="DashboardWidgetRunWorkflowDefinitionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetRunWorkflowDefinitionInput(
  name: str,
  value: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput.property.name">name</a></code> | <code>str</code> | Name of the workflow input. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput.property.value">value</a></code> | <code>str</code> | Dashboard template variable. Can be suffixed with `.value` or `.key`. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput.property.name"></a>

```python
name: str
```

- *Type:* str

Name of the workflow input.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput.property.value"></a>

```python
value: str
```

- *Type:* str

Dashboard template variable. Can be suffixed with `.value` or `.key`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

### DashboardWidgetScatterplotDefinition <a name="DashboardWidgetScatterplotDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinition(
  color_by_groups: typing.List[str] = None,
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionCustomLink]] = None,
  live_span: str = None,
  request: DashboardWidgetScatterplotDefinitionRequest = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None,
  xaxis: DashboardWidgetScatterplotDefinitionXaxis = None,
  yaxis: DashboardWidgetScatterplotDefinitionYaxis = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.colorByGroups">color_by_groups</a></code> | <code>typing.List[str]</code> | List of groups used for colors. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink">DashboardWidgetScatterplotDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest">DashboardWidgetScatterplotDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.xaxis">xaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis">DashboardWidgetScatterplotDefinitionXaxis</a></code> | xaxis block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis">DashboardWidgetScatterplotDefinitionYaxis</a></code> | yaxis block. |

---

##### `color_by_groups`<sup>Optional</sup> <a name="color_by_groups" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.colorByGroups"></a>

```python
color_by_groups: typing.List[str]
```

- *Type:* typing.List[str]

List of groups used for colors.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color_by_groups Dashboard#color_by_groups}

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink">DashboardWidgetScatterplotDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.request"></a>

```python
request: DashboardWidgetScatterplotDefinitionRequest
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest">DashboardWidgetScatterplotDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `xaxis`<sup>Optional</sup> <a name="xaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.xaxis"></a>

```python
xaxis: DashboardWidgetScatterplotDefinitionXaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis">DashboardWidgetScatterplotDefinitionXaxis</a>

xaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#xaxis Dashboard#xaxis}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.yaxis"></a>

```python
yaxis: DashboardWidgetScatterplotDefinitionYaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis">DashboardWidgetScatterplotDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetScatterplotDefinitionCustomLink <a name="DashboardWidgetScatterplotDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetScatterplotDefinitionRequest <a name="DashboardWidgetScatterplotDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequest(
  scatterplot_table: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestScatterplotTable]] = None,
  x: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestX]] = None,
  y: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestY]] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.scatterplotTable">scatterplot_table</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable">DashboardWidgetScatterplotDefinitionRequestScatterplotTable</a>]]</code> | scatterplot_table block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.x">x</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX">DashboardWidgetScatterplotDefinitionRequestX</a>]]</code> | x block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.y">y</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY">DashboardWidgetScatterplotDefinitionRequestY</a>]]</code> | y block. |

---

##### `scatterplot_table`<sup>Optional</sup> <a name="scatterplot_table" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.scatterplotTable"></a>

```python
scatterplot_table: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestScatterplotTable]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable">DashboardWidgetScatterplotDefinitionRequestScatterplotTable</a>]]

scatterplot_table block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scatterplot_table Dashboard#scatterplot_table}

---

##### `x`<sup>Optional</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.x"></a>

```python
x: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestX]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX">DashboardWidgetScatterplotDefinitionRequestX</a>]]

x block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#x Dashboard#x}

---

##### `y`<sup>Optional</sup> <a name="y" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.y"></a>

```python
y: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestY]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY">DashboardWidgetScatterplotDefinitionRequestY</a>]]

y block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#y Dashboard#y}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTable <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable(
  formula: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula]] = None,
  query: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery]] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable.property.formula">formula</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula">DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula</a>]]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable.property.query">query</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery</a>]]</code> | query block. |

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable.property.formula"></a>

```python
formula: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula">DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula</a>]]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable.property.query"></a>

```python
query: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery</a>]]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula(
  dimension: str,
  formula_expression: str,
  alias: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.dimension">dimension</a></code> | <code>str</code> | Dimension of the Scatterplot. Valid values are `x`, `y`, `radius`, `color`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.formulaExpression">formula_expression</a></code> | <code>str</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.alias">alias</a></code> | <code>str</code> | An expression alias. |

---

##### `dimension`<sup>Required</sup> <a name="dimension" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.dimension"></a>

```python
dimension: str
```

- *Type:* str

Dimension of the Scatterplot. Valid values are `x`, `y`, `radius`, `color`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#dimension Dashboard#dimension}

---

##### `formula_expression`<sup>Required</sup> <a name="formula_expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.formulaExpression"></a>

```python
formula_expression: str
```

- *Type:* str

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.alias"></a>

```python
alias: str
```

- *Type:* str

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery(
  apm_dependency_stats_query: DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery = None,
  apm_resource_stats_query: DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery = None,
  event_query: DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery = None,
  metric_query: DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery = None,
  process_query: DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmDependencyStatsQuery">apm_dependency_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmResourceStatsQuery">apm_resource_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.eventQuery">event_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.metricQuery">metric_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery</a></code> | process_query block. |

---

##### `apm_dependency_stats_query`<sup>Optional</sup> <a name="apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmDependencyStatsQuery"></a>

```python
apm_dependency_stats_query: DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apm_resource_stats_query`<sup>Optional</sup> <a name="apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmResourceStatsQuery"></a>

```python
apm_resource_stats_query: DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `event_query`<sup>Optional</sup> <a name="event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.eventQuery"></a>

```python
event_query: DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metric_query`<sup>Optional</sup> <a name="metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.metricQuery"></a>

```python
metric_query: DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.processQuery"></a>

```python
process_query: DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery(
  data_source: str,
  env: str,
  name: str,
  operation_name: str,
  resource_name: str,
  service: str,
  stat: str,
  is_upstream: typing.Union[bool, IResolvable] = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.isUpstream">is_upstream</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `is_upstream`<sup>Optional</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.isUpstream"></a>

```python
is_upstream: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery(
  data_source: str,
  env: str,
  name: str,
  service: str,
  stat: str,
  group_by: typing.List[str] = None,
  operation_name: str = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None,
  resource_name: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operation_name`<sup>Optional</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resource_name`<sup>Optional</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery(
  compute: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute]],
  data_source: str,
  name: str,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy]] = None,
  indexes: typing.List[str] = None,
  search: DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch = None,
  storage: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.compute">compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute</a>]]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.storage">storage</a></code> | <code>str</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.compute"></a>

```python
compute: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute</a>]]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.search"></a>

```python
search: DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.storage"></a>

```python
storage: str
```

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute(
  aggregation: str,
  interval: typing.Union[int, float] = None,
  metric: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.metric">metric</a></code> | <code>str</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.metric"></a>

```python
metric: str
```

- *Type:* str

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy(
  facet: str,
  limit: typing.Union[int, float] = None,
  sort: DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.sort"></a>

```python
sort: DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort(
  aggregation: str,
  metric: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>str</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.order">order</a></code> | <code>str</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.order"></a>

```python
order: str
```

- *Type:* str

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch(
  query: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.property.query">query</a></code> | <code>str</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.property.query"></a>

```python
query: str
```

- *Type:* str

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery(
  name: str,
  query: str,
  aggregator: str = None,
  data_source: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.name">name</a></code> | <code>str</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.query">query</a></code> | <code>str</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.query"></a>

```python
query: str
```

- *Type:* str

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `data_source`<sup>Optional</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery(
  data_source: str,
  metric: str,
  name: str,
  aggregator: str = None,
  is_normalized_cpu: typing.Union[bool, IResolvable] = None,
  limit: typing.Union[int, float] = None,
  sort: str = None,
  tag_filters: typing.List[str] = None,
  text_filter: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.metric">metric</a></code> | <code>str</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.isNormalizedCpu">is_normalized_cpu</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.sort">sort</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.tagFilters">tag_filters</a></code> | <code>typing.List[str]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.textFilter">text_filter</a></code> | <code>str</code> | The text to use as a filter. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `is_normalized_cpu`<sup>Optional</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.isNormalizedCpu"></a>

```python
is_normalized_cpu: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.sort"></a>

```python
sort: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tag_filters`<sup>Optional</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.tagFilters"></a>

```python
tag_filters: typing.List[str]
```

- *Type:* typing.List[str]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `text_filter`<sup>Optional</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.textFilter"></a>

```python
text_filter: str
```

- *Type:* str

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetScatterplotDefinitionRequestX <a name="DashboardWidgetScatterplotDefinitionRequestX" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestX(
  aggregator: str = None,
  apm_query: DashboardWidgetScatterplotDefinitionRequestXApmQuery = None,
  log_query: DashboardWidgetScatterplotDefinitionRequestXLogQuery = None,
  process_query: DashboardWidgetScatterplotDefinitionRequestXProcessQuery = None,
  q: str = None,
  rum_query: DashboardWidgetScatterplotDefinitionRequestXRumQuery = None,
  security_query: DashboardWidgetScatterplotDefinitionRequestXSecurityQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.aggregator">aggregator</a></code> | <code>str</code> | Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery">DashboardWidgetScatterplotDefinitionRequestXApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery">DashboardWidgetScatterplotDefinitionRequestXLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery">DashboardWidgetScatterplotDefinitionRequestXProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery">DashboardWidgetScatterplotDefinitionRequestXRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.apmQuery"></a>

```python
apm_query: DashboardWidgetScatterplotDefinitionRequestXApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery">DashboardWidgetScatterplotDefinitionRequestXApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.logQuery"></a>

```python
log_query: DashboardWidgetScatterplotDefinitionRequestXLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery">DashboardWidgetScatterplotDefinitionRequestXLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.processQuery"></a>

```python
process_query: DashboardWidgetScatterplotDefinitionRequestXProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery">DashboardWidgetScatterplotDefinitionRequestXProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.rumQuery"></a>

```python
rum_query: DashboardWidgetScatterplotDefinitionRequestXRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery">DashboardWidgetScatterplotDefinitionRequestXRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.securityQuery"></a>

```python
security_query: DashboardWidgetScatterplotDefinitionRequestXSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetScatterplotDefinitionRequestXApmQuery <a name="DashboardWidgetScatterplotDefinitionRequestXApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery(
  index: str,
  compute_query: DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXLogQuery <a name="DashboardWidgetScatterplotDefinitionRequestXLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery(
  index: str,
  compute_query: DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXProcessQuery <a name="DashboardWidgetScatterplotDefinitionRequestXProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetScatterplotDefinitionRequestXRumQuery <a name="DashboardWidgetScatterplotDefinitionRequestXRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery(
  index: str,
  compute_query: DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXSecurityQuery <a name="DashboardWidgetScatterplotDefinitionRequestXSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery(
  index: str,
  compute_query: DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestY <a name="DashboardWidgetScatterplotDefinitionRequestY" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestY(
  aggregator: str = None,
  apm_query: DashboardWidgetScatterplotDefinitionRequestYApmQuery = None,
  log_query: DashboardWidgetScatterplotDefinitionRequestYLogQuery = None,
  process_query: DashboardWidgetScatterplotDefinitionRequestYProcessQuery = None,
  q: str = None,
  rum_query: DashboardWidgetScatterplotDefinitionRequestYRumQuery = None,
  security_query: DashboardWidgetScatterplotDefinitionRequestYSecurityQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.aggregator">aggregator</a></code> | <code>str</code> | Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery">DashboardWidgetScatterplotDefinitionRequestYApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery">DashboardWidgetScatterplotDefinitionRequestYLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery">DashboardWidgetScatterplotDefinitionRequestYProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery">DashboardWidgetScatterplotDefinitionRequestYRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.apmQuery"></a>

```python
apm_query: DashboardWidgetScatterplotDefinitionRequestYApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery">DashboardWidgetScatterplotDefinitionRequestYApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.logQuery"></a>

```python
log_query: DashboardWidgetScatterplotDefinitionRequestYLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery">DashboardWidgetScatterplotDefinitionRequestYLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.processQuery"></a>

```python
process_query: DashboardWidgetScatterplotDefinitionRequestYProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery">DashboardWidgetScatterplotDefinitionRequestYProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.rumQuery"></a>

```python
rum_query: DashboardWidgetScatterplotDefinitionRequestYRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery">DashboardWidgetScatterplotDefinitionRequestYRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.securityQuery"></a>

```python
security_query: DashboardWidgetScatterplotDefinitionRequestYSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetScatterplotDefinitionRequestYApmQuery <a name="DashboardWidgetScatterplotDefinitionRequestYApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery(
  index: str,
  compute_query: DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYLogQuery <a name="DashboardWidgetScatterplotDefinitionRequestYLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery(
  index: str,
  compute_query: DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYProcessQuery <a name="DashboardWidgetScatterplotDefinitionRequestYProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetScatterplotDefinitionRequestYRumQuery <a name="DashboardWidgetScatterplotDefinitionRequestYRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery(
  index: str,
  compute_query: DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYSecurityQuery <a name="DashboardWidgetScatterplotDefinitionRequestYSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery(
  index: str,
  compute_query: DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionXaxis <a name="DashboardWidgetScatterplotDefinitionXaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionXaxis(
  include_zero: typing.Union[bool, IResolvable] = None,
  label: str = None,
  max: str = None,
  min: str = None,
  scale: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.includeZero">include_zero</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.label">label</a></code> | <code>str</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.max">max</a></code> | <code>str</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.min">min</a></code> | <code>str</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.scale">scale</a></code> | <code>str</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `include_zero`<sup>Optional</sup> <a name="include_zero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.includeZero"></a>

```python
include_zero: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.label"></a>

```python
label: str
```

- *Type:* str

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.max"></a>

```python
max: str
```

- *Type:* str

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.min"></a>

```python
min: str
```

- *Type:* str

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.scale"></a>

```python
scale: str
```

- *Type:* str

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetScatterplotDefinitionYaxis <a name="DashboardWidgetScatterplotDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetScatterplotDefinitionYaxis(
  include_zero: typing.Union[bool, IResolvable] = None,
  label: str = None,
  max: str = None,
  min: str = None,
  scale: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.includeZero">include_zero</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.label">label</a></code> | <code>str</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.max">max</a></code> | <code>str</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.min">min</a></code> | <code>str</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.scale">scale</a></code> | <code>str</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `include_zero`<sup>Optional</sup> <a name="include_zero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.includeZero"></a>

```python
include_zero: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.label"></a>

```python
label: str
```

- *Type:* str

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.max"></a>

```python
max: str
```

- *Type:* str

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.min"></a>

```python
min: str
```

- *Type:* str

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.scale"></a>

```python
scale: str
```

- *Type:* str

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetServiceLevelObjectiveDefinition <a name="DashboardWidgetServiceLevelObjectiveDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetServiceLevelObjectiveDefinition(
  slo_id: str,
  time_windows: typing.List[str],
  view_mode: str,
  view_type: str,
  global_time_target: str = None,
  show_error_budget: typing.Union[bool, IResolvable] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.sloId">slo_id</a></code> | <code>str</code> | The ID of the service level objective used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.timeWindows">time_windows</a></code> | <code>typing.List[str]</code> | A list of time windows to display in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.viewMode">view_mode</a></code> | <code>str</code> | The view mode for the widget. Valid values are `overall`, `component`, `both`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.viewType">view_type</a></code> | <code>str</code> | The type of view to use when displaying the widget. Only `detail` is supported. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.globalTimeTarget">global_time_target</a></code> | <code>str</code> | The global time target of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.showErrorBudget">show_error_budget</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to show the error budget or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `slo_id`<sup>Required</sup> <a name="slo_id" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.sloId"></a>

```python
slo_id: str
```

- *Type:* str

The ID of the service level objective used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#slo_id Dashboard#slo_id}

---

##### `time_windows`<sup>Required</sup> <a name="time_windows" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.timeWindows"></a>

```python
time_windows: typing.List[str]
```

- *Type:* typing.List[str]

A list of time windows to display in the widget.

Valid values are `7d`, `30d`, `90d`, `week_to_date`, `previous_week`, `month_to_date`, `previous_month`, `global_time`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#time_windows Dashboard#time_windows}

---

##### `view_mode`<sup>Required</sup> <a name="view_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.viewMode"></a>

```python
view_mode: str
```

- *Type:* str

The view mode for the widget. Valid values are `overall`, `component`, `both`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view_mode Dashboard#view_mode}

---

##### `view_type`<sup>Required</sup> <a name="view_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.viewType"></a>

```python
view_type: str
```

- *Type:* str

The type of view to use when displaying the widget. Only `detail` is supported.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view_type Dashboard#view_type}

---

##### `global_time_target`<sup>Optional</sup> <a name="global_time_target" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.globalTimeTarget"></a>

```python
global_time_target: str
```

- *Type:* str

The global time target of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#global_time_target Dashboard#global_time_target}

---

##### `show_error_budget`<sup>Optional</sup> <a name="show_error_budget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.showErrorBudget"></a>

```python
show_error_budget: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to show the error budget or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_error_budget Dashboard#show_error_budget}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetServicemapDefinition <a name="DashboardWidgetServicemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetServicemapDefinition(
  filters: typing.List[str],
  service: str,
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetServicemapDefinitionCustomLink]] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.filters">filters</a></code> | <code>typing.List[str]</code> | Your environment and primary tag (or `*` if enabled for your account). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.service">service</a></code> | <code>str</code> | The ID of the service to map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink">DashboardWidgetServicemapDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `filters`<sup>Required</sup> <a name="filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.filters"></a>

```python
filters: typing.List[str]
```

- *Type:* typing.List[str]

Your environment and primary tag (or `*` if enabled for your account).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filters Dashboard#filters}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.service"></a>

```python
service: str
```

- *Type:* str

The ID of the service to map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetServicemapDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink">DashboardWidgetServicemapDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetServicemapDefinitionCustomLink <a name="DashboardWidgetServicemapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetServicemapDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetSloListDefinition <a name="DashboardWidgetSloListDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSloListDefinition(
  request: DashboardWidgetSloListDefinitionRequest,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest">DashboardWidgetSloListDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.request"></a>

```python
request: DashboardWidgetSloListDefinitionRequest
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest">DashboardWidgetSloListDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetSloListDefinitionRequest <a name="DashboardWidgetSloListDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSloListDefinitionRequest(
  query: DashboardWidgetSloListDefinitionRequestQuery,
  request_type: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest.property.query">query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery">DashboardWidgetSloListDefinitionRequestQuery</a></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest.property.requestType">request_type</a></code> | <code>str</code> | The request type for the SLO List request. Valid values are `slo_list`. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest.property.query"></a>

```python
query: DashboardWidgetSloListDefinitionRequestQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery">DashboardWidgetSloListDefinitionRequestQuery</a>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `request_type`<sup>Required</sup> <a name="request_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest.property.requestType"></a>

```python
request_type: str
```

- *Type:* str

The request type for the SLO List request. Valid values are `slo_list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request_type Dashboard#request_type}

---

### DashboardWidgetSloListDefinitionRequestQuery <a name="DashboardWidgetSloListDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSloListDefinitionRequestQuery(
  query_string: str,
  limit: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery.property.queryString">query_string</a></code> | <code>str</code> | Widget query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | Maximum number of results to display in the table. |

---

##### `query_string`<sup>Required</sup> <a name="query_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery.property.queryString"></a>

```python
query_string: str
```

- *Type:* str

Widget query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_string Dashboard#query_string}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Maximum number of results to display in the table.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

### DashboardWidgetSunburstDefinition <a name="DashboardWidgetSunburstDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinition(
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionCustomLink]] = None,
  hide_total: typing.Union[bool, IResolvable] = None,
  legend_inline: DashboardWidgetSunburstDefinitionLegendInline = None,
  legend_table: DashboardWidgetSunburstDefinitionLegendTable = None,
  live_span: str = None,
  request: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequest]] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink">DashboardWidgetSunburstDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.hideTotal">hide_total</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether or not to show the total value in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.legendInline">legend_inline</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline">DashboardWidgetSunburstDefinitionLegendInline</a></code> | legend_inline block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.legendTable">legend_table</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable">DashboardWidgetSunburstDefinitionLegendTable</a></code> | legend_table block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest">DashboardWidgetSunburstDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. One of `left`, `center`, or `right`. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title. Default is 16. |

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink">DashboardWidgetSunburstDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `hide_total`<sup>Optional</sup> <a name="hide_total" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.hideTotal"></a>

```python
hide_total: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether or not to show the total value in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_total Dashboard#hide_total}

---

##### `legend_inline`<sup>Optional</sup> <a name="legend_inline" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.legendInline"></a>

```python
legend_inline: DashboardWidgetSunburstDefinitionLegendInline
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline">DashboardWidgetSunburstDefinitionLegendInline</a>

legend_inline block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_inline Dashboard#legend_inline}

---

##### `legend_table`<sup>Optional</sup> <a name="legend_table" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.legendTable"></a>

```python
legend_table: DashboardWidgetSunburstDefinitionLegendTable
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable">DashboardWidgetSunburstDefinitionLegendTable</a>

legend_table block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_table Dashboard#legend_table}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest">DashboardWidgetSunburstDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. One of `left`, `center`, or `right`. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title. Default is 16.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetSunburstDefinitionCustomLink <a name="DashboardWidgetSunburstDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetSunburstDefinitionLegendInline <a name="DashboardWidgetSunburstDefinitionLegendInline" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionLegendInline(
  type: str,
  hide_percent: typing.Union[bool, IResolvable] = None,
  hide_value: typing.Union[bool, IResolvable] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.type">type</a></code> | <code>str</code> | The type of legend (inline or automatic). Valid values are `inline`, `automatic`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.hidePercent">hide_percent</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to hide the percentages of the groups. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to hide the values of the groups. |

---

##### `type`<sup>Required</sup> <a name="type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.type"></a>

```python
type: str
```

- *Type:* str

The type of legend (inline or automatic). Valid values are `inline`, `automatic`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

##### `hide_percent`<sup>Optional</sup> <a name="hide_percent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.hidePercent"></a>

```python
hide_percent: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to hide the percentages of the groups.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_percent Dashboard#hide_percent}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to hide the values of the groups.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

### DashboardWidgetSunburstDefinitionLegendTable <a name="DashboardWidgetSunburstDefinitionLegendTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionLegendTable(
  type: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable.property.type">type</a></code> | <code>str</code> | The type of legend (table or none). Valid values are `table`, `none`. |

---

##### `type`<sup>Required</sup> <a name="type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable.property.type"></a>

```python
type: str
```

- *Type:* str

The type of legend (table or none). Valid values are `table`, `none`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

### DashboardWidgetSunburstDefinitionRequest <a name="DashboardWidgetSunburstDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequest(
  apm_query: DashboardWidgetSunburstDefinitionRequestApmQuery = None,
  audit_query: DashboardWidgetSunburstDefinitionRequestAuditQuery = None,
  formula: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestFormula]] = None,
  log_query: DashboardWidgetSunburstDefinitionRequestLogQuery = None,
  network_query: DashboardWidgetSunburstDefinitionRequestNetworkQuery = None,
  process_query: DashboardWidgetSunburstDefinitionRequestProcessQuery = None,
  q: str = None,
  query: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestQuery]] = None,
  rum_query: DashboardWidgetSunburstDefinitionRequestRumQuery = None,
  security_query: DashboardWidgetSunburstDefinitionRequestSecurityQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery">DashboardWidgetSunburstDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.auditQuery">audit_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery">DashboardWidgetSunburstDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.formula">formula</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula">DashboardWidgetSunburstDefinitionRequestFormula</a>]]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery">DashboardWidgetSunburstDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.networkQuery">network_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery">DashboardWidgetSunburstDefinitionRequestNetworkQuery</a></code> | network_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery">DashboardWidgetSunburstDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.query">query</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery">DashboardWidgetSunburstDefinitionRequestQuery</a>]]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery">DashboardWidgetSunburstDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery">DashboardWidgetSunburstDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.apmQuery"></a>

```python
apm_query: DashboardWidgetSunburstDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery">DashboardWidgetSunburstDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `audit_query`<sup>Optional</sup> <a name="audit_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.auditQuery"></a>

```python
audit_query: DashboardWidgetSunburstDefinitionRequestAuditQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery">DashboardWidgetSunburstDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.formula"></a>

```python
formula: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula">DashboardWidgetSunburstDefinitionRequestFormula</a>]]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.logQuery"></a>

```python
log_query: DashboardWidgetSunburstDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery">DashboardWidgetSunburstDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `network_query`<sup>Optional</sup> <a name="network_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.networkQuery"></a>

```python
network_query: DashboardWidgetSunburstDefinitionRequestNetworkQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery">DashboardWidgetSunburstDefinitionRequestNetworkQuery</a>

network_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#network_query Dashboard#network_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.processQuery"></a>

```python
process_query: DashboardWidgetSunburstDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery">DashboardWidgetSunburstDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.query"></a>

```python
query: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery">DashboardWidgetSunburstDefinitionRequestQuery</a>]]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.rumQuery"></a>

```python
rum_query: DashboardWidgetSunburstDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery">DashboardWidgetSunburstDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.securityQuery"></a>

```python
security_query: DashboardWidgetSunburstDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery">DashboardWidgetSunburstDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetSunburstDefinitionRequestApmQuery <a name="DashboardWidgetSunburstDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery(
  index: str,
  compute_query: DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy">DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy">DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestAuditQuery <a name="DashboardWidgetSunburstDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery(
  index: str,
  compute_query: DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy">DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy">DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestFormula <a name="DashboardWidgetSunburstDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestFormula(
  formula_expression: str,
  alias: str = None,
  cell_display_mode: str = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats]] = None,
  limit: DashboardWidgetSunburstDefinitionRequestFormulaLimit = None,
  style: DashboardWidgetSunburstDefinitionRequestFormulaStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.formulaExpression">formula_expression</a></code> | <code>str</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.alias">alias</a></code> | <code>str</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats">DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit">DashboardWidgetSunburstDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle">DashboardWidgetSunburstDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formula_expression`<sup>Required</sup> <a name="formula_expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.formulaExpression"></a>

```python
formula_expression: str
```

- *Type:* str

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.alias"></a>

```python
alias: str
```

- *Type:* str

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats">DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.limit"></a>

```python
limit: DashboardWidgetSunburstDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit">DashboardWidgetSunburstDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.style"></a>

```python
style: DashboardWidgetSunburstDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle">DashboardWidgetSunburstDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetSunburstDefinitionRequestFormulaLimit <a name="DashboardWidgetSunburstDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit(
  count: typing.Union[int, float] = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>typing.Union[int, float]</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit.property.count"></a>

```python
count: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit.property.order"></a>

```python
order: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetSunburstDefinitionRequestFormulaStyle <a name="DashboardWidgetSunburstDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle(
  palette: str = None,
  palette_index: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>str</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle.property.paletteIndex">palette_index</a></code> | <code>typing.Union[int, float]</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `palette_index`<sup>Optional</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```python
palette_index: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetSunburstDefinitionRequestLogQuery <a name="DashboardWidgetSunburstDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery(
  index: str,
  compute_query: DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy">DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy">DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestNetworkQuery <a name="DashboardWidgetSunburstDefinitionRequestNetworkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery(
  index: str,
  compute_query: DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy">DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy">DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestProcessQuery <a name="DashboardWidgetSunburstDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetSunburstDefinitionRequestQuery <a name="DashboardWidgetSunburstDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestQuery(
  apm_dependency_stats_query: DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery = None,
  apm_resource_stats_query: DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery = None,
  event_query: DashboardWidgetSunburstDefinitionRequestQueryEventQuery = None,
  metric_query: DashboardWidgetSunburstDefinitionRequestQueryMetricQuery = None,
  process_query: DashboardWidgetSunburstDefinitionRequestQueryProcessQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.apmDependencyStatsQuery">apm_dependency_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.apmResourceStatsQuery">apm_resource_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.eventQuery">event_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery">DashboardWidgetSunburstDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.metricQuery">metric_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery">DashboardWidgetSunburstDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery">DashboardWidgetSunburstDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apm_dependency_stats_query`<sup>Optional</sup> <a name="apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```python
apm_dependency_stats_query: DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apm_resource_stats_query`<sup>Optional</sup> <a name="apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```python
apm_resource_stats_query: DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `event_query`<sup>Optional</sup> <a name="event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.eventQuery"></a>

```python
event_query: DashboardWidgetSunburstDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery">DashboardWidgetSunburstDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metric_query`<sup>Optional</sup> <a name="metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.metricQuery"></a>

```python
metric_query: DashboardWidgetSunburstDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery">DashboardWidgetSunburstDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.processQuery"></a>

```python
process_query: DashboardWidgetSunburstDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery">DashboardWidgetSunburstDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery(
  data_source: str,
  env: str,
  name: str,
  operation_name: str,
  resource_name: str,
  service: str,
  stat: str,
  is_upstream: typing.Union[bool, IResolvable] = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">is_upstream</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `is_upstream`<sup>Optional</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```python
is_upstream: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery(
  data_source: str,
  env: str,
  name: str,
  service: str,
  stat: str,
  group_by: typing.List[str] = None,
  operation_name: str = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None,
  resource_name: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operation_name`<sup>Optional</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resource_name`<sup>Optional</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetSunburstDefinitionRequestQueryEventQuery <a name="DashboardWidgetSunburstDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery(
  compute: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute]],
  data_source: str,
  name: str,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy]] = None,
  indexes: typing.List[str] = None,
  search: DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch = None,
  storage: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute">DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute</a>]]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch">DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>str</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.compute"></a>

```python
compute: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute">DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute</a>]]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.search"></a>

```python
search: DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch">DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.storage"></a>

```python
storage: str
```

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute(
  aggregation: str,
  interval: typing.Union[int, float] = None,
  metric: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>str</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```python
metric: str
```

- *Type:* str

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy(
  facet: str,
  limit: typing.Union[int, float] = None,
  sort: DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```python
sort: DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort(
  aggregation: str,
  metric: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>str</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>str</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```python
order: str
```

- *Type:* str

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch(
  query: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>str</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch.property.query"></a>

```python
query: str
```

- *Type:* str

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetSunburstDefinitionRequestQueryMetricQuery <a name="DashboardWidgetSunburstDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery(
  name: str,
  query: str,
  aggregator: str = None,
  data_source: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>str</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>str</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.query"></a>

```python
query: str
```

- *Type:* str

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `data_source`<sup>Optional</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetSunburstDefinitionRequestQueryProcessQuery <a name="DashboardWidgetSunburstDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery(
  data_source: str,
  metric: str,
  name: str,
  aggregator: str = None,
  is_normalized_cpu: typing.Union[bool, IResolvable] = None,
  limit: typing.Union[int, float] = None,
  sort: str = None,
  tag_filters: typing.List[str] = None,
  text_filter: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>str</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">is_normalized_cpu</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.tagFilters">tag_filters</a></code> | <code>typing.List[str]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.textFilter">text_filter</a></code> | <code>str</code> | The text to use as a filter. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `is_normalized_cpu`<sup>Optional</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```python
is_normalized_cpu: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.sort"></a>

```python
sort: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tag_filters`<sup>Optional</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```python
tag_filters: typing.List[str]
```

- *Type:* typing.List[str]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `text_filter`<sup>Optional</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```python
text_filter: str
```

- *Type:* str

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetSunburstDefinitionRequestRumQuery <a name="DashboardWidgetSunburstDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery(
  index: str,
  compute_query: DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy">DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy">DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestSecurityQuery <a name="DashboardWidgetSunburstDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery(
  index: str,
  compute_query: DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy">DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy">DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinition <a name="DashboardWidgetTimeseriesDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinition(
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionCustomLink]] = None,
  event: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionEvent]] = None,
  legend_columns: typing.List[str] = None,
  legend_layout: str = None,
  legend_size: str = None,
  live_span: str = None,
  marker: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionMarker]] = None,
  request: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequest]] = None,
  right_yaxis: DashboardWidgetTimeseriesDefinitionRightYaxis = None,
  show_legend: typing.Union[bool, IResolvable] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None,
  yaxis: DashboardWidgetTimeseriesDefinitionYaxis = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink">DashboardWidgetTimeseriesDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.event">event</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent">DashboardWidgetTimeseriesDefinitionEvent</a>]]</code> | event block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendColumns">legend_columns</a></code> | <code>typing.List[str]</code> | A list of columns to display in the legend. Valid values are `value`, `avg`, `sum`, `min`, `max`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendLayout">legend_layout</a></code> | <code>str</code> | The layout of the legend displayed in the widget. Valid values are `auto`, `horizontal`, `vertical`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendSize">legend_size</a></code> | <code>str</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.marker">marker</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker">DashboardWidgetTimeseriesDefinitionMarker</a>]]</code> | marker block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest">DashboardWidgetTimeseriesDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.rightYaxis">right_yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis">DashboardWidgetTimeseriesDefinitionRightYaxis</a></code> | right_yaxis block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.showLegend">show_legend</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis">DashboardWidgetTimeseriesDefinitionYaxis</a></code> | yaxis block. |

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink">DashboardWidgetTimeseriesDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `event`<sup>Optional</sup> <a name="event" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.event"></a>

```python
event: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionEvent]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent">DashboardWidgetTimeseriesDefinitionEvent</a>]]

event block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event Dashboard#event}

---

##### `legend_columns`<sup>Optional</sup> <a name="legend_columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendColumns"></a>

```python
legend_columns: typing.List[str]
```

- *Type:* typing.List[str]

A list of columns to display in the legend. Valid values are `value`, `avg`, `sum`, `min`, `max`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_columns Dashboard#legend_columns}

---

##### `legend_layout`<sup>Optional</sup> <a name="legend_layout" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendLayout"></a>

```python
legend_layout: str
```

- *Type:* str

The layout of the legend displayed in the widget. Valid values are `auto`, `horizontal`, `vertical`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_layout Dashboard#legend_layout}

---

##### `legend_size`<sup>Optional</sup> <a name="legend_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendSize"></a>

```python
legend_size: str
```

- *Type:* str

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `marker`<sup>Optional</sup> <a name="marker" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.marker"></a>

```python
marker: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionMarker]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker">DashboardWidgetTimeseriesDefinitionMarker</a>]]

marker block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#marker Dashboard#marker}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest">DashboardWidgetTimeseriesDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `right_yaxis`<sup>Optional</sup> <a name="right_yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.rightYaxis"></a>

```python
right_yaxis: DashboardWidgetTimeseriesDefinitionRightYaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis">DashboardWidgetTimeseriesDefinitionRightYaxis</a>

right_yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#right_yaxis Dashboard#right_yaxis}

---

##### `show_legend`<sup>Optional</sup> <a name="show_legend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.showLegend"></a>

```python
show_legend: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.yaxis"></a>

```python
yaxis: DashboardWidgetTimeseriesDefinitionYaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis">DashboardWidgetTimeseriesDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetTimeseriesDefinitionCustomLink <a name="DashboardWidgetTimeseriesDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetTimeseriesDefinitionEvent <a name="DashboardWidgetTimeseriesDefinitionEvent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionEvent(
  q: str,
  tags_execution: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent.property.q">q</a></code> | <code>str</code> | The event query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent.property.tagsExecution">tags_execution</a></code> | <code>str</code> | The execution method for multi-value filters. |

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent.property.q"></a>

```python
q: str
```

- *Type:* str

The event query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `tags_execution`<sup>Optional</sup> <a name="tags_execution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent.property.tagsExecution"></a>

```python
tags_execution: str
```

- *Type:* str

The execution method for multi-value filters.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

### DashboardWidgetTimeseriesDefinitionMarker <a name="DashboardWidgetTimeseriesDefinitionMarker" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionMarker(
  value: str,
  display_type: str = None,
  label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.value">value</a></code> | <code>str</code> | A mathematical expression describing the marker, for example: `y > 1`, `-5 < y < 0`, `y = 19`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.displayType">display_type</a></code> | <code>str</code> | How the marker lines are displayed, options are one of {`error`, `warning`, `info`, `ok`} combined with one of {`dashed`, `solid`, `bold`}. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.label">label</a></code> | <code>str</code> | A label for the line or range. |

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.value"></a>

```python
value: str
```

- *Type:* str

A mathematical expression describing the marker, for example: `y > 1`, `-5 < y < 0`, `y = 19`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `display_type`<sup>Optional</sup> <a name="display_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.displayType"></a>

```python
display_type: str
```

- *Type:* str

How the marker lines are displayed, options are one of {`error`, `warning`, `info`, `ok`} combined with one of {`dashed`, `solid`, `bold`}.

Example: `error dashed`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_type Dashboard#display_type}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.label"></a>

```python
label: str
```

- *Type:* str

A label for the line or range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

### DashboardWidgetTimeseriesDefinitionRequest <a name="DashboardWidgetTimeseriesDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequest(
  apm_query: DashboardWidgetTimeseriesDefinitionRequestApmQuery = None,
  audit_query: DashboardWidgetTimeseriesDefinitionRequestAuditQuery = None,
  display_type: str = None,
  formula: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestFormula]] = None,
  log_query: DashboardWidgetTimeseriesDefinitionRequestLogQuery = None,
  metadata: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestMetadata]] = None,
  network_query: DashboardWidgetTimeseriesDefinitionRequestNetworkQuery = None,
  on_right_yaxis: typing.Union[bool, IResolvable] = None,
  process_query: DashboardWidgetTimeseriesDefinitionRequestProcessQuery = None,
  q: str = None,
  query: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestQuery]] = None,
  rum_query: DashboardWidgetTimeseriesDefinitionRequestRumQuery = None,
  security_query: DashboardWidgetTimeseriesDefinitionRequestSecurityQuery = None,
  style: DashboardWidgetTimeseriesDefinitionRequestStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery">DashboardWidgetTimeseriesDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.auditQuery">audit_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.displayType">display_type</a></code> | <code>str</code> | How to display the marker lines. Valid values are `area`, `bars`, `line`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.formula">formula</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula">DashboardWidgetTimeseriesDefinitionRequestFormula</a>]]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery">DashboardWidgetTimeseriesDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.metadata">metadata</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata">DashboardWidgetTimeseriesDefinitionRequestMetadata</a>]]</code> | metadata block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.networkQuery">network_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQuery</a></code> | network_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.onRightYaxis">on_right_yaxis</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | A Boolean indicating whether the request uses the right or left Y-Axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery">DashboardWidgetTimeseriesDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.query">query</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery">DashboardWidgetTimeseriesDefinitionRequestQuery</a>]]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery">DashboardWidgetTimeseriesDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle">DashboardWidgetTimeseriesDefinitionRequestStyle</a></code> | style block. |

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.apmQuery"></a>

```python
apm_query: DashboardWidgetTimeseriesDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery">DashboardWidgetTimeseriesDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `audit_query`<sup>Optional</sup> <a name="audit_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.auditQuery"></a>

```python
audit_query: DashboardWidgetTimeseriesDefinitionRequestAuditQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `display_type`<sup>Optional</sup> <a name="display_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.displayType"></a>

```python
display_type: str
```

- *Type:* str

How to display the marker lines. Valid values are `area`, `bars`, `line`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_type Dashboard#display_type}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.formula"></a>

```python
formula: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula">DashboardWidgetTimeseriesDefinitionRequestFormula</a>]]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.logQuery"></a>

```python
log_query: DashboardWidgetTimeseriesDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery">DashboardWidgetTimeseriesDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `metadata`<sup>Optional</sup> <a name="metadata" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.metadata"></a>

```python
metadata: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestMetadata]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata">DashboardWidgetTimeseriesDefinitionRequestMetadata</a>]]

metadata block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metadata Dashboard#metadata}

---

##### `network_query`<sup>Optional</sup> <a name="network_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.networkQuery"></a>

```python
network_query: DashboardWidgetTimeseriesDefinitionRequestNetworkQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQuery</a>

network_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#network_query Dashboard#network_query}

---

##### `on_right_yaxis`<sup>Optional</sup> <a name="on_right_yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.onRightYaxis"></a>

```python
on_right_yaxis: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

A Boolean indicating whether the request uses the right or left Y-Axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#on_right_yaxis Dashboard#on_right_yaxis}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.processQuery"></a>

```python
process_query: DashboardWidgetTimeseriesDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery">DashboardWidgetTimeseriesDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.query"></a>

```python
query: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery">DashboardWidgetTimeseriesDefinitionRequestQuery</a>]]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.rumQuery"></a>

```python
rum_query: DashboardWidgetTimeseriesDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery">DashboardWidgetTimeseriesDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.securityQuery"></a>

```python
security_query: DashboardWidgetTimeseriesDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.style"></a>

```python
style: DashboardWidgetTimeseriesDefinitionRequestStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle">DashboardWidgetTimeseriesDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetTimeseriesDefinitionRequestApmQuery <a name="DashboardWidgetTimeseriesDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery(
  index: str,
  compute_query: DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestAuditQuery <a name="DashboardWidgetTimeseriesDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery(
  index: str,
  compute_query: DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestFormula <a name="DashboardWidgetTimeseriesDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula(
  formula_expression: str,
  alias: str = None,
  cell_display_mode: str = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats]] = None,
  limit: DashboardWidgetTimeseriesDefinitionRequestFormulaLimit = None,
  style: DashboardWidgetTimeseriesDefinitionRequestFormulaStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.formulaExpression">formula_expression</a></code> | <code>str</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.alias">alias</a></code> | <code>str</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats">DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit">DashboardWidgetTimeseriesDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle">DashboardWidgetTimeseriesDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formula_expression`<sup>Required</sup> <a name="formula_expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.formulaExpression"></a>

```python
formula_expression: str
```

- *Type:* str

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.alias"></a>

```python
alias: str
```

- *Type:* str

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats">DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.limit"></a>

```python
limit: DashboardWidgetTimeseriesDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit">DashboardWidgetTimeseriesDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.style"></a>

```python
style: DashboardWidgetTimeseriesDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle">DashboardWidgetTimeseriesDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetTimeseriesDefinitionRequestFormulaLimit <a name="DashboardWidgetTimeseriesDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit(
  count: typing.Union[int, float] = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>typing.Union[int, float]</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit.property.count"></a>

```python
count: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit.property.order"></a>

```python
order: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetTimeseriesDefinitionRequestFormulaStyle <a name="DashboardWidgetTimeseriesDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle(
  palette: str = None,
  palette_index: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>str</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle.property.paletteIndex">palette_index</a></code> | <code>typing.Union[int, float]</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `palette_index`<sup>Optional</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```python
palette_index: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetTimeseriesDefinitionRequestLogQuery <a name="DashboardWidgetTimeseriesDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery(
  index: str,
  compute_query: DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestMetadata <a name="DashboardWidgetTimeseriesDefinitionRequestMetadata" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata(
  expression: str,
  alias_name: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata.property.expression">expression</a></code> | <code>str</code> | The expression name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata.property.aliasName">alias_name</a></code> | <code>str</code> | The expression alias. |

---

##### `expression`<sup>Required</sup> <a name="expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata.property.expression"></a>

```python
expression: str
```

- *Type:* str

The expression name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#expression Dashboard#expression}

---

##### `alias_name`<sup>Optional</sup> <a name="alias_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata.property.aliasName"></a>

```python
alias_name: str
```

- *Type:* str

The expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias_name Dashboard#alias_name}

---

### DashboardWidgetTimeseriesDefinitionRequestNetworkQuery <a name="DashboardWidgetTimeseriesDefinitionRequestNetworkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery(
  index: str,
  compute_query: DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestProcessQuery <a name="DashboardWidgetTimeseriesDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetTimeseriesDefinitionRequestQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery(
  apm_dependency_stats_query: DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery = None,
  apm_resource_stats_query: DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery = None,
  event_query: DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery = None,
  metric_query: DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery = None,
  process_query: DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.apmDependencyStatsQuery">apm_dependency_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.apmResourceStatsQuery">apm_resource_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.eventQuery">event_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery">DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.metricQuery">metric_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery">DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery">DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apm_dependency_stats_query`<sup>Optional</sup> <a name="apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```python
apm_dependency_stats_query: DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apm_resource_stats_query`<sup>Optional</sup> <a name="apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```python
apm_resource_stats_query: DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `event_query`<sup>Optional</sup> <a name="event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.eventQuery"></a>

```python
event_query: DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery">DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metric_query`<sup>Optional</sup> <a name="metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.metricQuery"></a>

```python
metric_query: DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery">DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.processQuery"></a>

```python
process_query: DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery">DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery(
  data_source: str,
  env: str,
  name: str,
  operation_name: str,
  resource_name: str,
  service: str,
  stat: str,
  is_upstream: typing.Union[bool, IResolvable] = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">is_upstream</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `is_upstream`<sup>Optional</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```python
is_upstream: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery(
  data_source: str,
  env: str,
  name: str,
  service: str,
  stat: str,
  group_by: typing.List[str] = None,
  operation_name: str = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None,
  resource_name: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operation_name`<sup>Optional</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resource_name`<sup>Optional</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery(
  compute: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute]],
  data_source: str,
  name: str,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy]] = None,
  indexes: typing.List[str] = None,
  search: DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch = None,
  storage: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute">DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute</a>]]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch">DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>str</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.compute"></a>

```python
compute: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute">DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute</a>]]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.search"></a>

```python
search: DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch">DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.storage"></a>

```python
storage: str
```

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute(
  aggregation: str,
  interval: typing.Union[int, float] = None,
  metric: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>str</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```python
metric: str
```

- *Type:* str

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy(
  facet: str,
  limit: typing.Union[int, float] = None,
  sort: DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```python
sort: DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort(
  aggregation: str,
  metric: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>str</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>str</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```python
order: str
```

- *Type:* str

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch(
  query: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>str</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.property.query"></a>

```python
query: str
```

- *Type:* str

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery(
  name: str,
  query: str,
  aggregator: str = None,
  data_source: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>str</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>str</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.query"></a>

```python
query: str
```

- *Type:* str

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `data_source`<sup>Optional</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery(
  data_source: str,
  metric: str,
  name: str,
  aggregator: str = None,
  is_normalized_cpu: typing.Union[bool, IResolvable] = None,
  limit: typing.Union[int, float] = None,
  sort: str = None,
  tag_filters: typing.List[str] = None,
  text_filter: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>str</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">is_normalized_cpu</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.tagFilters">tag_filters</a></code> | <code>typing.List[str]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.textFilter">text_filter</a></code> | <code>str</code> | The text to use as a filter. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `is_normalized_cpu`<sup>Optional</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```python
is_normalized_cpu: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.sort"></a>

```python
sort: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tag_filters`<sup>Optional</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```python
tag_filters: typing.List[str]
```

- *Type:* typing.List[str]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `text_filter`<sup>Optional</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```python
text_filter: str
```

- *Type:* str

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetTimeseriesDefinitionRequestRumQuery <a name="DashboardWidgetTimeseriesDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery(
  index: str,
  compute_query: DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestSecurityQuery <a name="DashboardWidgetTimeseriesDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery(
  index: str,
  compute_query: DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestStyle <a name="DashboardWidgetTimeseriesDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle(
  line_type: str = None,
  line_width: str = None,
  palette: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.lineType">line_type</a></code> | <code>str</code> | The type of lines displayed. Valid values are `dashed`, `dotted`, `solid`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.lineWidth">line_width</a></code> | <code>str</code> | The width of line displayed. Valid values are `normal`, `thick`, `thin`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.palette">palette</a></code> | <code>str</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `line_type`<sup>Optional</sup> <a name="line_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.lineType"></a>

```python
line_type: str
```

- *Type:* str

The type of lines displayed. Valid values are `dashed`, `dotted`, `solid`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#line_type Dashboard#line_type}

---

##### `line_width`<sup>Optional</sup> <a name="line_width" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.lineWidth"></a>

```python
line_width: str
```

- *Type:* str

The width of line displayed. Valid values are `normal`, `thick`, `thin`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#line_width Dashboard#line_width}

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetTimeseriesDefinitionRightYaxis <a name="DashboardWidgetTimeseriesDefinitionRightYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis(
  include_zero: typing.Union[bool, IResolvable] = None,
  label: str = None,
  max: str = None,
  min: str = None,
  scale: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.includeZero">include_zero</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.label">label</a></code> | <code>str</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.max">max</a></code> | <code>str</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.min">min</a></code> | <code>str</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.scale">scale</a></code> | <code>str</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `include_zero`<sup>Optional</sup> <a name="include_zero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.includeZero"></a>

```python
include_zero: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.label"></a>

```python
label: str
```

- *Type:* str

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.max"></a>

```python
max: str
```

- *Type:* str

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.min"></a>

```python
min: str
```

- *Type:* str

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.scale"></a>

```python
scale: str
```

- *Type:* str

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetTimeseriesDefinitionYaxis <a name="DashboardWidgetTimeseriesDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTimeseriesDefinitionYaxis(
  include_zero: typing.Union[bool, IResolvable] = None,
  label: str = None,
  max: str = None,
  min: str = None,
  scale: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.includeZero">include_zero</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.label">label</a></code> | <code>str</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.max">max</a></code> | <code>str</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.min">min</a></code> | <code>str</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.scale">scale</a></code> | <code>str</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `include_zero`<sup>Optional</sup> <a name="include_zero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.includeZero"></a>

```python
include_zero: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.label"></a>

```python
label: str
```

- *Type:* str

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.max"></a>

```python
max: str
```

- *Type:* str

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.min"></a>

```python
min: str
```

- *Type:* str

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.scale"></a>

```python
scale: str
```

- *Type:* str

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetToplistDefinition <a name="DashboardWidgetToplistDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinition(
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionCustomLink]] = None,
  live_span: str = None,
  request: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequest]] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink">DashboardWidgetToplistDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest">DashboardWidgetToplistDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink">DashboardWidgetToplistDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest">DashboardWidgetToplistDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetToplistDefinitionCustomLink <a name="DashboardWidgetToplistDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetToplistDefinitionRequest <a name="DashboardWidgetToplistDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequest(
  apm_query: DashboardWidgetToplistDefinitionRequestApmQuery = None,
  audit_query: DashboardWidgetToplistDefinitionRequestAuditQuery = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestConditionalFormats]] = None,
  formula: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestFormula]] = None,
  log_query: DashboardWidgetToplistDefinitionRequestLogQuery = None,
  process_query: DashboardWidgetToplistDefinitionRequestProcessQuery = None,
  q: str = None,
  query: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestQuery]] = None,
  rum_query: DashboardWidgetToplistDefinitionRequestRumQuery = None,
  security_query: DashboardWidgetToplistDefinitionRequestSecurityQuery = None,
  style: DashboardWidgetToplistDefinitionRequestStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery">DashboardWidgetToplistDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.auditQuery">audit_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery">DashboardWidgetToplistDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats">DashboardWidgetToplistDefinitionRequestConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.formula">formula</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula">DashboardWidgetToplistDefinitionRequestFormula</a>]]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery">DashboardWidgetToplistDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery">DashboardWidgetToplistDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.q">q</a></code> | <code>str</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.query">query</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery">DashboardWidgetToplistDefinitionRequestQuery</a>]]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery">DashboardWidgetToplistDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery">DashboardWidgetToplistDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle">DashboardWidgetToplistDefinitionRequestStyle</a></code> | style block. |

---

##### `apm_query`<sup>Optional</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.apmQuery"></a>

```python
apm_query: DashboardWidgetToplistDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery">DashboardWidgetToplistDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `audit_query`<sup>Optional</sup> <a name="audit_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.auditQuery"></a>

```python
audit_query: DashboardWidgetToplistDefinitionRequestAuditQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery">DashboardWidgetToplistDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats">DashboardWidgetToplistDefinitionRequestConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.formula"></a>

```python
formula: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula">DashboardWidgetToplistDefinitionRequestFormula</a>]]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `log_query`<sup>Optional</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.logQuery"></a>

```python
log_query: DashboardWidgetToplistDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery">DashboardWidgetToplistDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.processQuery"></a>

```python
process_query: DashboardWidgetToplistDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery">DashboardWidgetToplistDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.q"></a>

```python
q: str
```

- *Type:* str

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.query"></a>

```python
query: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery">DashboardWidgetToplistDefinitionRequestQuery</a>]]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rum_query`<sup>Optional</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.rumQuery"></a>

```python
rum_query: DashboardWidgetToplistDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery">DashboardWidgetToplistDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `security_query`<sup>Optional</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.securityQuery"></a>

```python
security_query: DashboardWidgetToplistDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery">DashboardWidgetToplistDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.style"></a>

```python
style: DashboardWidgetToplistDefinitionRequestStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle">DashboardWidgetToplistDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetToplistDefinitionRequestApmQuery <a name="DashboardWidgetToplistDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestApmQuery(
  index: str,
  compute_query: DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery">DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy">DashboardWidgetToplistDefinitionRequestApmQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute">DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery">DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy">DashboardWidgetToplistDefinitionRequestApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute">DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestAuditQuery <a name="DashboardWidgetToplistDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery(
  index: str,
  compute_query: DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery">DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy">DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute">DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery">DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy">DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute">DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestConditionalFormats <a name="DashboardWidgetToplistDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetToplistDefinitionRequestFormula <a name="DashboardWidgetToplistDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestFormula(
  formula_expression: str,
  alias: str = None,
  cell_display_mode: str = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats]] = None,
  limit: DashboardWidgetToplistDefinitionRequestFormulaLimit = None,
  style: DashboardWidgetToplistDefinitionRequestFormulaStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.formulaExpression">formula_expression</a></code> | <code>str</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.alias">alias</a></code> | <code>str</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats">DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit">DashboardWidgetToplistDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle">DashboardWidgetToplistDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formula_expression`<sup>Required</sup> <a name="formula_expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.formulaExpression"></a>

```python
formula_expression: str
```

- *Type:* str

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.alias"></a>

```python
alias: str
```

- *Type:* str

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats">DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.limit"></a>

```python
limit: DashboardWidgetToplistDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit">DashboardWidgetToplistDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.style"></a>

```python
style: DashboardWidgetToplistDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle">DashboardWidgetToplistDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetToplistDefinitionRequestFormulaLimit <a name="DashboardWidgetToplistDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit(
  count: typing.Union[int, float] = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>typing.Union[int, float]</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit.property.count"></a>

```python
count: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit.property.order"></a>

```python
order: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetToplistDefinitionRequestFormulaStyle <a name="DashboardWidgetToplistDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle(
  palette: str = None,
  palette_index: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>str</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle.property.paletteIndex">palette_index</a></code> | <code>typing.Union[int, float]</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `palette_index`<sup>Optional</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```python
palette_index: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetToplistDefinitionRequestLogQuery <a name="DashboardWidgetToplistDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestLogQuery(
  index: str,
  compute_query: DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery">DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy">DashboardWidgetToplistDefinitionRequestLogQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute">DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery">DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy">DashboardWidgetToplistDefinitionRequestLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute">DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestProcessQuery <a name="DashboardWidgetToplistDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>str</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.searchBy">search_by</a></code> | <code>str</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetToplistDefinitionRequestQuery <a name="DashboardWidgetToplistDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestQuery(
  apm_dependency_stats_query: DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery = None,
  apm_resource_stats_query: DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery = None,
  event_query: DashboardWidgetToplistDefinitionRequestQueryEventQuery = None,
  metric_query: DashboardWidgetToplistDefinitionRequestQueryMetricQuery = None,
  process_query: DashboardWidgetToplistDefinitionRequestQueryProcessQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.apmDependencyStatsQuery">apm_dependency_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.apmResourceStatsQuery">apm_resource_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.eventQuery">event_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery">DashboardWidgetToplistDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.metricQuery">metric_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery">DashboardWidgetToplistDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery">DashboardWidgetToplistDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apm_dependency_stats_query`<sup>Optional</sup> <a name="apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```python
apm_dependency_stats_query: DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apm_resource_stats_query`<sup>Optional</sup> <a name="apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```python
apm_resource_stats_query: DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `event_query`<sup>Optional</sup> <a name="event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.eventQuery"></a>

```python
event_query: DashboardWidgetToplistDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery">DashboardWidgetToplistDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metric_query`<sup>Optional</sup> <a name="metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.metricQuery"></a>

```python
metric_query: DashboardWidgetToplistDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery">DashboardWidgetToplistDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.processQuery"></a>

```python
process_query: DashboardWidgetToplistDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery">DashboardWidgetToplistDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery(
  data_source: str,
  env: str,
  name: str,
  operation_name: str,
  resource_name: str,
  service: str,
  stat: str,
  is_upstream: typing.Union[bool, IResolvable] = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">is_upstream</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `is_upstream`<sup>Optional</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```python
is_upstream: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery(
  data_source: str,
  env: str,
  name: str,
  service: str,
  stat: str,
  group_by: typing.List[str] = None,
  operation_name: str = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None,
  resource_name: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operation_name`<sup>Optional</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resource_name`<sup>Optional</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetToplistDefinitionRequestQueryEventQuery <a name="DashboardWidgetToplistDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery(
  compute: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute]],
  data_source: str,
  name: str,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy]] = None,
  indexes: typing.List[str] = None,
  search: DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch = None,
  storage: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute">DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute</a>]]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch">DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>str</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.compute"></a>

```python
compute: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute">DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute</a>]]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.search"></a>

```python
search: DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch">DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.storage"></a>

```python
storage: str
```

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute(
  aggregation: str,
  interval: typing.Union[int, float] = None,
  metric: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>str</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```python
metric: str
```

- *Type:* str

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy(
  facet: str,
  limit: typing.Union[int, float] = None,
  sort: DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```python
sort: DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort(
  aggregation: str,
  metric: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>str</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>str</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```python
order: str
```

- *Type:* str

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch(
  query: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>str</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch.property.query"></a>

```python
query: str
```

- *Type:* str

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetToplistDefinitionRequestQueryMetricQuery <a name="DashboardWidgetToplistDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery(
  name: str,
  query: str,
  aggregator: str = None,
  data_source: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>str</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>str</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.query"></a>

```python
query: str
```

- *Type:* str

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `data_source`<sup>Optional</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetToplistDefinitionRequestQueryProcessQuery <a name="DashboardWidgetToplistDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery(
  data_source: str,
  metric: str,
  name: str,
  aggregator: str = None,
  is_normalized_cpu: typing.Union[bool, IResolvable] = None,
  limit: typing.Union[int, float] = None,
  sort: str = None,
  tag_filters: typing.List[str] = None,
  text_filter: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>str</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">is_normalized_cpu</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.tagFilters">tag_filters</a></code> | <code>typing.List[str]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.textFilter">text_filter</a></code> | <code>str</code> | The text to use as a filter. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `is_normalized_cpu`<sup>Optional</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```python
is_normalized_cpu: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.sort"></a>

```python
sort: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tag_filters`<sup>Optional</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```python
tag_filters: typing.List[str]
```

- *Type:* typing.List[str]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `text_filter`<sup>Optional</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```python
text_filter: str
```

- *Type:* str

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetToplistDefinitionRequestRumQuery <a name="DashboardWidgetToplistDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestRumQuery(
  index: str,
  compute_query: DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery">DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy">DashboardWidgetToplistDefinitionRequestRumQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute">DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery">DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy">DashboardWidgetToplistDefinitionRequestRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute">DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestSecurityQuery <a name="DashboardWidgetToplistDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery(
  index: str,
  compute_query: DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute]] = None,
  search_query: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>str</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy">DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.multiCompute">multi_compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute</a>]]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.searchQuery">search_query</a></code> | <code>str</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.index"></a>

```python
index: str
```

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.computeQuery"></a>

```python
compute_query: DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy">DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.multiCompute"></a>

```python
multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy(
  facet: str = None,
  limit: typing.Union[int, float] = None,
  sort_query: DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort_query`<sup>Optional</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```python
sort_query: DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery(
  aggregation: str,
  order: str,
  facet: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>str</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>str</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```python
order: str
```

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>str</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```python
facet: str
```

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestStyle <a name="DashboardWidgetToplistDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetToplistDefinitionRequestStyle(
  palette: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle.property.palette">palette</a></code> | <code>str</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetTopologyMapDefinition <a name="DashboardWidgetTopologyMapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTopologyMapDefinition(
  custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetTopologyMapDefinitionCustomLink]] = None,
  request: typing.Union[IResolvable, typing.List[DashboardWidgetTopologyMapDefinitionRequest]] = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.customLink">custom_link</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink">DashboardWidgetTopologyMapDefinitionCustomLink</a>]]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest">DashboardWidgetTopologyMapDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `custom_link`<sup>Optional</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.customLink"></a>

```python
custom_link: typing.Union[IResolvable, typing.List[DashboardWidgetTopologyMapDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink">DashboardWidgetTopologyMapDefinitionCustomLink</a>]]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetTopologyMapDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest">DashboardWidgetTopologyMapDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetTopologyMapDefinitionCustomLink <a name="DashboardWidgetTopologyMapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTopologyMapDefinitionCustomLink(
  is_hidden: typing.Union[bool, IResolvable] = None,
  label: str = None,
  link: str = None,
  override_label: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.label">label</a></code> | <code>str</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.link">link</a></code> | <code>str</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.overrideLabel">override_label</a></code> | <code>str</code> | The label ID that refers to a context menu link item. |

---

##### `is_hidden`<sup>Optional</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.label"></a>

```python
label: str
```

- *Type:* str

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.link"></a>

```python
link: str
```

- *Type:* str

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `override_label`<sup>Optional</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetTopologyMapDefinitionRequest <a name="DashboardWidgetTopologyMapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTopologyMapDefinitionRequest(
  query: typing.Union[IResolvable, typing.List[DashboardWidgetTopologyMapDefinitionRequestQuery]],
  request_type: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest.property.query">query</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery">DashboardWidgetTopologyMapDefinitionRequestQuery</a>]]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest.property.requestType">request_type</a></code> | <code>str</code> | The request type for the Topology request ('topology'). Valid values are `topology`. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest.property.query"></a>

```python
query: typing.Union[IResolvable, typing.List[DashboardWidgetTopologyMapDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery">DashboardWidgetTopologyMapDefinitionRequestQuery</a>]]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `request_type`<sup>Required</sup> <a name="request_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest.property.requestType"></a>

```python
request_type: str
```

- *Type:* str

The request type for the Topology request ('topology'). Valid values are `topology`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request_type Dashboard#request_type}

---

### DashboardWidgetTopologyMapDefinitionRequestQuery <a name="DashboardWidgetTopologyMapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery(
  data_source: str,
  filters: typing.List[str],
  service: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for the Topology request ('service_map' or 'data_streams'). Valid values are `data_streams`, `service_map`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.filters">filters</a></code> | <code>typing.List[str]</code> | Your environment and primary tag (or `*` if enabled for your account). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.service">service</a></code> | <code>str</code> | The ID of the service to map. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for the Topology request ('service_map' or 'data_streams'). Valid values are `data_streams`, `service_map`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `filters`<sup>Required</sup> <a name="filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.filters"></a>

```python
filters: typing.List[str]
```

- *Type:* typing.List[str]

Your environment and primary tag (or `*` if enabled for your account).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filters Dashboard#filters}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.service"></a>

```python
service: str
```

- *Type:* str

The ID of the service to map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

### DashboardWidgetTraceServiceDefinition <a name="DashboardWidgetTraceServiceDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTraceServiceDefinition(
  env: str,
  service: str,
  span_name: str,
  display_format: str = None,
  live_span: str = None,
  show_breakdown: typing.Union[bool, IResolvable] = None,
  show_distribution: typing.Union[bool, IResolvable] = None,
  show_errors: typing.Union[bool, IResolvable] = None,
  show_hits: typing.Union[bool, IResolvable] = None,
  show_latency: typing.Union[bool, IResolvable] = None,
  show_resource_list: typing.Union[bool, IResolvable] = None,
  size_format: str = None,
  title: str = None,
  title_align: str = None,
  title_size: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.env">env</a></code> | <code>str</code> | APM environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.spanName">span_name</a></code> | <code>str</code> | APM span name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.displayFormat">display_format</a></code> | <code>str</code> | The number of columns to display. Valid values are `one_column`, `two_column`, `three_column`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.liveSpan">live_span</a></code> | <code>str</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showBreakdown">show_breakdown</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to show the latency breakdown or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showDistribution">show_distribution</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to show the latency distribution or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showErrors">show_errors</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to show the error metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showHits">show_hits</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to show the hits metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showLatency">show_latency</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to show the latency metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showResourceList">show_resource_list</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to show the resource list or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.sizeFormat">size_format</a></code> | <code>str</code> | The size of the widget. Valid values are `small`, `medium`, `large`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.titleAlign">title_align</a></code> | <code>str</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.titleSize">title_size</a></code> | <code>str</code> | The size of the widget's title (defaults to 16). |

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.env"></a>

```python
env: str
```

- *Type:* str

APM environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `span_name`<sup>Required</sup> <a name="span_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.spanName"></a>

```python
span_name: str
```

- *Type:* str

APM span name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#span_name Dashboard#span_name}

---

##### `display_format`<sup>Optional</sup> <a name="display_format" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.displayFormat"></a>

```python
display_format: str
```

- *Type:* str

The number of columns to display. Valid values are `one_column`, `two_column`, `three_column`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_format Dashboard#display_format}

---

##### `live_span`<sup>Optional</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `show_breakdown`<sup>Optional</sup> <a name="show_breakdown" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showBreakdown"></a>

```python
show_breakdown: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to show the latency breakdown or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_breakdown Dashboard#show_breakdown}

---

##### `show_distribution`<sup>Optional</sup> <a name="show_distribution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showDistribution"></a>

```python
show_distribution: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to show the latency distribution or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_distribution Dashboard#show_distribution}

---

##### `show_errors`<sup>Optional</sup> <a name="show_errors" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showErrors"></a>

```python
show_errors: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to show the error metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_errors Dashboard#show_errors}

---

##### `show_hits`<sup>Optional</sup> <a name="show_hits" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showHits"></a>

```python
show_hits: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to show the hits metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_hits Dashboard#show_hits}

---

##### `show_latency`<sup>Optional</sup> <a name="show_latency" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showLatency"></a>

```python
show_latency: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to show the latency metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_latency Dashboard#show_latency}

---

##### `show_resource_list`<sup>Optional</sup> <a name="show_resource_list" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showResourceList"></a>

```python
show_resource_list: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to show the resource list or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_resource_list Dashboard#show_resource_list}

---

##### `size_format`<sup>Optional</sup> <a name="size_format" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.sizeFormat"></a>

```python
size_format: str
```

- *Type:* str

The size of the widget. Valid values are `small`, `medium`, `large`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#size_format Dashboard#size_format}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `title_align`<sup>Optional</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `title_size`<sup>Optional</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetTreemapDefinition <a name="DashboardWidgetTreemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTreemapDefinition(
  request: typing.Union[IResolvable, typing.List[DashboardWidgetTreemapDefinitionRequest]] = None,
  title: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition.property.request">request</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest">DashboardWidgetTreemapDefinitionRequest</a>]]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition.property.title">title</a></code> | <code>str</code> | The title of the widget. |

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition.property.request"></a>

```python
request: typing.Union[IResolvable, typing.List[DashboardWidgetTreemapDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest">DashboardWidgetTreemapDefinitionRequest</a>]]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition.property.title"></a>

```python
title: str
```

- *Type:* str

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

### DashboardWidgetTreemapDefinitionRequest <a name="DashboardWidgetTreemapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTreemapDefinitionRequest(
  formula: typing.Union[IResolvable, typing.List[DashboardWidgetTreemapDefinitionRequestFormula]] = None,
  query: typing.Union[IResolvable, typing.List[DashboardWidgetTreemapDefinitionRequestQuery]] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest.property.formula">formula</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula">DashboardWidgetTreemapDefinitionRequestFormula</a>]]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest.property.query">query</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery">DashboardWidgetTreemapDefinitionRequestQuery</a>]]</code> | query block. |

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest.property.formula"></a>

```python
formula: typing.Union[IResolvable, typing.List[DashboardWidgetTreemapDefinitionRequestFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula">DashboardWidgetTreemapDefinitionRequestFormula</a>]]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest.property.query"></a>

```python
query: typing.Union[IResolvable, typing.List[DashboardWidgetTreemapDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery">DashboardWidgetTreemapDefinitionRequestQuery</a>]]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetTreemapDefinitionRequestFormula <a name="DashboardWidgetTreemapDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTreemapDefinitionRequestFormula(
  formula_expression: str,
  alias: str = None,
  cell_display_mode: str = None,
  conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats]] = None,
  limit: DashboardWidgetTreemapDefinitionRequestFormulaLimit = None,
  style: DashboardWidgetTreemapDefinitionRequestFormulaStyle = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.formulaExpression">formula_expression</a></code> | <code>str</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.alias">alias</a></code> | <code>str</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.conditionalFormats">conditional_formats</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats">DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats</a>]]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit">DashboardWidgetTreemapDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle">DashboardWidgetTreemapDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formula_expression`<sup>Required</sup> <a name="formula_expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.formulaExpression"></a>

```python
formula_expression: str
```

- *Type:* str

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.alias"></a>

```python
alias: str
```

- *Type:* str

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cell_display_mode`<sup>Optional</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditional_formats`<sup>Optional</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.conditionalFormats"></a>

```python
conditional_formats: typing.Union[IResolvable, typing.List[DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats">DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats</a>]]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.limit"></a>

```python
limit: DashboardWidgetTreemapDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit">DashboardWidgetTreemapDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.style"></a>

```python
style: DashboardWidgetTreemapDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle">DashboardWidgetTreemapDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats(
  comparator: str,
  palette: str,
  value: typing.Union[int, float],
  custom_bg_color: str = None,
  custom_fg_color: str = None,
  hide_value: typing.Union[bool, IResolvable] = None,
  image_url: str = None,
  metric: str = None,
  timeframe: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>str</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>str</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>typing.Union[int, float]</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.imageUrl">image_url</a></code> | <code>str</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>str</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>str</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `custom_bg_color`<sup>Optional</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `custom_fg_color`<sup>Optional</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hide_value`<sup>Optional</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `image_url`<sup>Optional</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetTreemapDefinitionRequestFormulaLimit <a name="DashboardWidgetTreemapDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit(
  count: typing.Union[int, float] = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>typing.Union[int, float]</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit.property.count"></a>

```python
count: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit.property.order"></a>

```python
order: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetTreemapDefinitionRequestFormulaStyle <a name="DashboardWidgetTreemapDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle(
  palette: str = None,
  palette_index: typing.Union[int, float] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>str</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle.property.paletteIndex">palette_index</a></code> | <code>typing.Union[int, float]</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle.property.palette"></a>

```python
palette: str
```

- *Type:* str

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `palette_index`<sup>Optional</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```python
palette_index: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetTreemapDefinitionRequestQuery <a name="DashboardWidgetTreemapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTreemapDefinitionRequestQuery(
  apm_dependency_stats_query: DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery = None,
  apm_resource_stats_query: DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery = None,
  event_query: DashboardWidgetTreemapDefinitionRequestQueryEventQuery = None,
  metric_query: DashboardWidgetTreemapDefinitionRequestQueryMetricQuery = None,
  process_query: DashboardWidgetTreemapDefinitionRequestQueryProcessQuery = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.apmDependencyStatsQuery">apm_dependency_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.apmResourceStatsQuery">apm_resource_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.eventQuery">event_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery">DashboardWidgetTreemapDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.metricQuery">metric_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery">DashboardWidgetTreemapDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery">DashboardWidgetTreemapDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apm_dependency_stats_query`<sup>Optional</sup> <a name="apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```python
apm_dependency_stats_query: DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apm_resource_stats_query`<sup>Optional</sup> <a name="apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```python
apm_resource_stats_query: DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `event_query`<sup>Optional</sup> <a name="event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.eventQuery"></a>

```python
event_query: DashboardWidgetTreemapDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery">DashboardWidgetTreemapDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metric_query`<sup>Optional</sup> <a name="metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.metricQuery"></a>

```python
metric_query: DashboardWidgetTreemapDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery">DashboardWidgetTreemapDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `process_query`<sup>Optional</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.processQuery"></a>

```python
process_query: DashboardWidgetTreemapDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery">DashboardWidgetTreemapDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery(
  data_source: str,
  env: str,
  name: str,
  operation_name: str,
  resource_name: str,
  service: str,
  stat: str,
  is_upstream: typing.Union[bool, IResolvable] = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">is_upstream</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `is_upstream`<sup>Optional</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```python
is_upstream: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery(
  data_source: str,
  env: str,
  name: str,
  service: str,
  stat: str,
  group_by: typing.List[str] = None,
  operation_name: str = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None,
  resource_name: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>str</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>str</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>str</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operation_name</a></code> | <code>str</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resource_name</a></code> | <code>str</code> | APM resource. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```python
env: str
```

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```python
service: str
```

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```python
stat: str
```

- *Type:* str

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operation_name`<sup>Optional</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resource_name`<sup>Optional</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetTreemapDefinitionRequestQueryEventQuery <a name="DashboardWidgetTreemapDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery(
  compute: typing.Union[IResolvable, typing.List[DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute]],
  data_source: str,
  name: str,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy]] = None,
  indexes: typing.List[str] = None,
  search: DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch = None,
  storage: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute">DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute</a>]]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.groupBy">group_by</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy</a>]]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch">DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>str</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.compute"></a>

```python
compute: typing.Union[IResolvable, typing.List[DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute">DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute</a>]]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.groupBy"></a>

```python
group_by: typing.Union[IResolvable, typing.List[DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.search"></a>

```python
search: DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch">DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.storage"></a>

```python
storage: str
```

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute(
  aggregation: str,
  interval: typing.Union[int, float] = None,
  metric: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>str</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```python
metric: str
```

- *Type:* str

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy(
  facet: str,
  limit: typing.Union[int, float] = None,
  sort: DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>str</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```python
facet: str
```

- *Type:* str

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```python
sort: DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort(
  aggregation: str,
  metric: str = None,
  order: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>str</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>str</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>str</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```python
metric: str
```

- *Type:* str

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```python
order: str
```

- *Type:* str

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch(
  query: str
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>str</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch.property.query"></a>

```python
query: str
```

- *Type:* str

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetTreemapDefinitionRequestQueryMetricQuery <a name="DashboardWidgetTreemapDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery(
  name: str,
  query: str,
  aggregator: str = None,
  data_source: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>str</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>str</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.query"></a>

```python
query: str
```

- *Type:* str

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `data_source`<sup>Optional</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetTreemapDefinitionRequestQueryProcessQuery <a name="DashboardWidgetTreemapDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery(
  data_source: str,
  metric: str,
  name: str,
  aggregator: str = None,
  is_normalized_cpu: typing.Union[bool, IResolvable] = None,
  limit: typing.Union[int, float] = None,
  sort: str = None,
  tag_filters: typing.List[str] = None,
  text_filter: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.dataSource">data_source</a></code> | <code>str</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>str</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>str</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>str</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">is_normalized_cpu</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>str</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.tagFilters">tag_filters</a></code> | <code>typing.List[str]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.textFilter">text_filter</a></code> | <code>str</code> | The text to use as a filter. |

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.metric"></a>

```python
metric: str
```

- *Type:* str

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.name"></a>

```python
name: str
```

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `is_normalized_cpu`<sup>Optional</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```python
is_normalized_cpu: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.sort"></a>

```python
sort: str
```

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tag_filters`<sup>Optional</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```python
tag_filters: typing.List[str]
```

- *Type:* typing.List[str]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `text_filter`<sup>Optional</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```python
text_filter: str
```

- *Type:* str

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetWidgetLayout <a name="DashboardWidgetWidgetLayout" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetWidgetLayout(
  height: typing.Union[int, float],
  width: typing.Union[int, float],
  x: typing.Union[int, float],
  y: typing.Union[int, float],
  is_column_break: typing.Union[bool, IResolvable] = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.height">height</a></code> | <code>typing.Union[int, float]</code> | The height of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.width">width</a></code> | <code>typing.Union[int, float]</code> | The width of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.x">x</a></code> | <code>typing.Union[int, float]</code> | The position of the widget on the x (horizontal) axis. Should be greater than or equal to 0. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.y">y</a></code> | <code>typing.Union[int, float]</code> | The position of the widget on the y (vertical) axis. Should be greater than or equal to 0. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.isColumnBreak">is_column_break</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | Whether the widget should be the first one on the second column in high density or not. |

---

##### `height`<sup>Required</sup> <a name="height" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.height"></a>

```python
height: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The height of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#height Dashboard#height}

---

##### `width`<sup>Required</sup> <a name="width" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.width"></a>

```python
width: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The width of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#width Dashboard#width}

---

##### `x`<sup>Required</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.x"></a>

```python
x: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The position of the widget on the x (horizontal) axis. Should be greater than or equal to 0.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#x Dashboard#x}

---

##### `y`<sup>Required</sup> <a name="y" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.y"></a>

```python
y: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

The position of the widget on the y (vertical) axis. Should be greater than or equal to 0.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#y Dashboard#y}

---

##### `is_column_break`<sup>Optional</sup> <a name="is_column_break" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.isColumnBreak"></a>

```python
is_column_break: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether the widget should be the first one on the second column in high density or not.

Only for the new dashboard layout and only one widget in the dashboard should have this property set to `true`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_column_break Dashboard#is_column_break}

---

## Classes <a name="Classes" id="Classes"></a>

### DashboardTemplateVariableList <a name="DashboardTemplateVariableList" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardTemplateVariableList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardTemplateVariableOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardTemplateVariable]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>]]

---


### DashboardTemplateVariableOutputReference <a name="DashboardTemplateVariableOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardTemplateVariableOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetAvailableValues">reset_available_values</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetDefault">reset_default</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetDefaults">reset_defaults</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetPrefix">reset_prefix</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_available_values` <a name="reset_available_values" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetAvailableValues"></a>

```python
def reset_available_values() -> None
```

##### `reset_default` <a name="reset_default" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetDefault"></a>

```python
def reset_default() -> None
```

##### `reset_defaults` <a name="reset_defaults" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetDefaults"></a>

```python
def reset_defaults() -> None
```

##### `reset_prefix` <a name="reset_prefix" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetPrefix"></a>

```python
def reset_prefix() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.availableValuesInput">available_values_input</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaultInput">default_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaultsInput">defaults_input</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.nameInput">name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.prefixInput">prefix_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.availableValues">available_values</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.default">default</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaults">defaults</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.name">name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.prefix">prefix</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `available_values_input`<sup>Optional</sup> <a name="available_values_input" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.availableValuesInput"></a>

```python
available_values_input: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `default_input`<sup>Optional</sup> <a name="default_input" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaultInput"></a>

```python
default_input: str
```

- *Type:* str

---

##### `defaults_input`<sup>Optional</sup> <a name="defaults_input" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaultsInput"></a>

```python
defaults_input: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `name_input`<sup>Optional</sup> <a name="name_input" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.nameInput"></a>

```python
name_input: str
```

- *Type:* str

---

##### `prefix_input`<sup>Optional</sup> <a name="prefix_input" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.prefixInput"></a>

```python
prefix_input: str
```

- *Type:* str

---

##### `available_values`<sup>Required</sup> <a name="available_values" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.availableValues"></a>

```python
available_values: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `default`<sup>Required</sup> <a name="default" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.default"></a>

```python
default: str
```

- *Type:* str

---

##### `defaults`<sup>Required</sup> <a name="defaults" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaults"></a>

```python
defaults: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.name"></a>

```python
name: str
```

- *Type:* str

---

##### `prefix`<sup>Required</sup> <a name="prefix" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.prefix"></a>

```python
prefix: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardTemplateVariable, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>, cdktf.IResolvable]

---


### DashboardTemplateVariablePresetList <a name="DashboardTemplateVariablePresetList" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardTemplateVariablePresetList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardTemplateVariablePresetOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardTemplateVariablePreset]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>]]

---


### DashboardTemplateVariablePresetOutputReference <a name="DashboardTemplateVariablePresetOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardTemplateVariablePresetOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.putTemplateVariable">put_template_variable</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resetName">reset_name</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resetTemplateVariable">reset_template_variable</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_template_variable` <a name="put_template_variable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.putTemplateVariable"></a>

```python
def put_template_variable(
  value: typing.Union[IResolvable, typing.List[DashboardTemplateVariablePresetTemplateVariable]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.putTemplateVariable.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>]]

---

##### `reset_name` <a name="reset_name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resetName"></a>

```python
def reset_name() -> None
```

##### `reset_template_variable` <a name="reset_template_variable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resetTemplateVariable"></a>

```python
def reset_template_variable() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.templateVariable">template_variable</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList">DashboardTemplateVariablePresetTemplateVariableList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.nameInput">name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.templateVariableInput">template_variable_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.name">name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `template_variable`<sup>Required</sup> <a name="template_variable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.templateVariable"></a>

```python
template_variable: DashboardTemplateVariablePresetTemplateVariableList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList">DashboardTemplateVariablePresetTemplateVariableList</a>

---

##### `name_input`<sup>Optional</sup> <a name="name_input" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.nameInput"></a>

```python
name_input: str
```

- *Type:* str

---

##### `template_variable_input`<sup>Optional</sup> <a name="template_variable_input" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.templateVariableInput"></a>

```python
template_variable_input: typing.Union[IResolvable, typing.List[DashboardTemplateVariablePresetTemplateVariable]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>]]

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.name"></a>

```python
name: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardTemplateVariablePreset, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>, cdktf.IResolvable]

---


### DashboardTemplateVariablePresetTemplateVariableList <a name="DashboardTemplateVariablePresetTemplateVariableList" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardTemplateVariablePresetTemplateVariableList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardTemplateVariablePresetTemplateVariableOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardTemplateVariablePresetTemplateVariable]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>]]

---


### DashboardTemplateVariablePresetTemplateVariableOutputReference <a name="DashboardTemplateVariablePresetTemplateVariableOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetName">reset_name</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetValue">reset_value</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetValues">reset_values</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_name` <a name="reset_name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetName"></a>

```python
def reset_name() -> None
```

##### `reset_value` <a name="reset_value" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetValue"></a>

```python
def reset_value() -> None
```

##### `reset_values` <a name="reset_values" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetValues"></a>

```python
def reset_values() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.nameInput">name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.valueInput">value_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.valuesInput">values_input</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.name">name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.value">value</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.values">values</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `name_input`<sup>Optional</sup> <a name="name_input" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.nameInput"></a>

```python
name_input: str
```

- *Type:* str

---

##### `value_input`<sup>Optional</sup> <a name="value_input" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.valueInput"></a>

```python
value_input: str
```

- *Type:* str

---

##### `values_input`<sup>Optional</sup> <a name="values_input" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.valuesInput"></a>

```python
values_input: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.name"></a>

```python
name: str
```

- *Type:* str

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.value"></a>

```python
value: str
```

- *Type:* str

---

##### `values`<sup>Required</sup> <a name="values" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.values"></a>

```python
values: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardTemplateVariablePresetTemplateVariable, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>, cdktf.IResolvable]

---


### DashboardWidgetAlertGraphDefinitionOutputReference <a name="DashboardWidgetAlertGraphDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetAlertGraphDefinitionOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetLiveSpan">reset_live_span</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitle">reset_title</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitleAlign">reset_title_align</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitleSize">reset_title_size</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_live_span` <a name="reset_live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetLiveSpan"></a>

```python
def reset_live_span() -> None
```

##### `reset_title` <a name="reset_title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitle"></a>

```python
def reset_title() -> None
```

##### `reset_title_align` <a name="reset_title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitleAlign"></a>

```python
def reset_title_align() -> None
```

##### `reset_title_size` <a name="reset_title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitleSize"></a>

```python
def reset_title_size() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.alertIdInput">alert_id_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.liveSpanInput">live_span_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleAlignInput">title_align_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleInput">title_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleSizeInput">title_size_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.vizTypeInput">viz_type_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.alertId">alert_id</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.liveSpan">live_span</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.title">title</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleAlign">title_align</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleSize">title_size</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.vizType">viz_type</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition">DashboardWidgetAlertGraphDefinition</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `alert_id_input`<sup>Optional</sup> <a name="alert_id_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.alertIdInput"></a>

```python
alert_id_input: str
```

- *Type:* str

---

##### `live_span_input`<sup>Optional</sup> <a name="live_span_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.liveSpanInput"></a>

```python
live_span_input: str
```

- *Type:* str

---

##### `title_align_input`<sup>Optional</sup> <a name="title_align_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleAlignInput"></a>

```python
title_align_input: str
```

- *Type:* str

---

##### `title_input`<sup>Optional</sup> <a name="title_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleInput"></a>

```python
title_input: str
```

- *Type:* str

---

##### `title_size_input`<sup>Optional</sup> <a name="title_size_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleSizeInput"></a>

```python
title_size_input: str
```

- *Type:* str

---

##### `viz_type_input`<sup>Optional</sup> <a name="viz_type_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.vizTypeInput"></a>

```python
viz_type_input: str
```

- *Type:* str

---

##### `alert_id`<sup>Required</sup> <a name="alert_id" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.alertId"></a>

```python
alert_id: str
```

- *Type:* str

---

##### `live_span`<sup>Required</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.title"></a>

```python
title: str
```

- *Type:* str

---

##### `title_align`<sup>Required</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

---

##### `title_size`<sup>Required</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

---

##### `viz_type`<sup>Required</sup> <a name="viz_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.vizType"></a>

```python
viz_type: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetAlertGraphDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition">DashboardWidgetAlertGraphDefinition</a>

---


### DashboardWidgetAlertValueDefinitionOutputReference <a name="DashboardWidgetAlertValueDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetAlertValueDefinitionOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetPrecision">reset_precision</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTextAlign">reset_text_align</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitle">reset_title</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitleAlign">reset_title_align</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitleSize">reset_title_size</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetUnit">reset_unit</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_precision` <a name="reset_precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetPrecision"></a>

```python
def reset_precision() -> None
```

##### `reset_text_align` <a name="reset_text_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTextAlign"></a>

```python
def reset_text_align() -> None
```

##### `reset_title` <a name="reset_title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitle"></a>

```python
def reset_title() -> None
```

##### `reset_title_align` <a name="reset_title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitleAlign"></a>

```python
def reset_title_align() -> None
```

##### `reset_title_size` <a name="reset_title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitleSize"></a>

```python
def reset_title_size() -> None
```

##### `reset_unit` <a name="reset_unit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetUnit"></a>

```python
def reset_unit() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.alertIdInput">alert_id_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.precisionInput">precision_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.textAlignInput">text_align_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleAlignInput">title_align_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleInput">title_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleSizeInput">title_size_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.unitInput">unit_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.alertId">alert_id</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.precision">precision</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.textAlign">text_align</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.title">title</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleAlign">title_align</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleSize">title_size</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.unit">unit</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition">DashboardWidgetAlertValueDefinition</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `alert_id_input`<sup>Optional</sup> <a name="alert_id_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.alertIdInput"></a>

```python
alert_id_input: str
```

- *Type:* str

---

##### `precision_input`<sup>Optional</sup> <a name="precision_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.precisionInput"></a>

```python
precision_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `text_align_input`<sup>Optional</sup> <a name="text_align_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.textAlignInput"></a>

```python
text_align_input: str
```

- *Type:* str

---

##### `title_align_input`<sup>Optional</sup> <a name="title_align_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleAlignInput"></a>

```python
title_align_input: str
```

- *Type:* str

---

##### `title_input`<sup>Optional</sup> <a name="title_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleInput"></a>

```python
title_input: str
```

- *Type:* str

---

##### `title_size_input`<sup>Optional</sup> <a name="title_size_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleSizeInput"></a>

```python
title_size_input: str
```

- *Type:* str

---

##### `unit_input`<sup>Optional</sup> <a name="unit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.unitInput"></a>

```python
unit_input: str
```

- *Type:* str

---

##### `alert_id`<sup>Required</sup> <a name="alert_id" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.alertId"></a>

```python
alert_id: str
```

- *Type:* str

---

##### `precision`<sup>Required</sup> <a name="precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.precision"></a>

```python
precision: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `text_align`<sup>Required</sup> <a name="text_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.textAlign"></a>

```python
text_align: str
```

- *Type:* str

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.title"></a>

```python
title: str
```

- *Type:* str

---

##### `title_align`<sup>Required</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

---

##### `title_size`<sup>Required</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

---

##### `unit`<sup>Required</sup> <a name="unit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.unit"></a>

```python
unit: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetAlertValueDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition">DashboardWidgetAlertValueDefinition</a>

---


### DashboardWidgetChangeDefinitionCustomLinkList <a name="DashboardWidgetChangeDefinitionCustomLinkList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionCustomLinkList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetChangeDefinitionCustomLinkOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>]]

---


### DashboardWidgetChangeDefinitionCustomLinkOutputReference <a name="DashboardWidgetChangeDefinitionCustomLinkOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetIsHidden">reset_is_hidden</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetLabel">reset_label</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetLink">reset_link</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetOverrideLabel">reset_override_label</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_is_hidden` <a name="reset_is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetIsHidden"></a>

```python
def reset_is_hidden() -> None
```

##### `reset_label` <a name="reset_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetLabel"></a>

```python
def reset_label() -> None
```

##### `reset_link` <a name="reset_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetLink"></a>

```python
def reset_link() -> None
```

##### `reset_override_label` <a name="reset_override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetOverrideLabel"></a>

```python
def reset_override_label() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.isHiddenInput">is_hidden_input</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.labelInput">label_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.linkInput">link_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabelInput">override_label_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.label">label</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.link">link</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabel">override_label</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `is_hidden_input`<sup>Optional</sup> <a name="is_hidden_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.isHiddenInput"></a>

```python
is_hidden_input: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `label_input`<sup>Optional</sup> <a name="label_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.labelInput"></a>

```python
label_input: str
```

- *Type:* str

---

##### `link_input`<sup>Optional</sup> <a name="link_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.linkInput"></a>

```python
link_input: str
```

- *Type:* str

---

##### `override_label_input`<sup>Optional</sup> <a name="override_label_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabelInput"></a>

```python
override_label_input: str
```

- *Type:* str

---

##### `is_hidden`<sup>Required</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `label`<sup>Required</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.label"></a>

```python
label: str
```

- *Type:* str

---

##### `link`<sup>Required</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.link"></a>

```python
link: str
```

- *Type:* str

---

##### `override_label`<sup>Required</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetChangeDefinitionCustomLink, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>, cdktf.IResolvable]

---


### DashboardWidgetChangeDefinitionOutputReference <a name="DashboardWidgetChangeDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putCustomLink">put_custom_link</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putRequest">put_request</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetCustomLink">reset_custom_link</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetLiveSpan">reset_live_span</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetRequest">reset_request</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitle">reset_title</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitleAlign">reset_title_align</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitleSize">reset_title_size</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_custom_link` <a name="put_custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putCustomLink"></a>

```python
def put_custom_link(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionCustomLink]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putCustomLink.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>]]

---

##### `put_request` <a name="put_request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putRequest"></a>

```python
def put_request(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequest]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putRequest.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>]]

---

##### `reset_custom_link` <a name="reset_custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetCustomLink"></a>

```python
def reset_custom_link() -> None
```

##### `reset_live_span` <a name="reset_live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetLiveSpan"></a>

```python
def reset_live_span() -> None
```

##### `reset_request` <a name="reset_request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetRequest"></a>

```python
def reset_request() -> None
```

##### `reset_title` <a name="reset_title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitle"></a>

```python
def reset_title() -> None
```

##### `reset_title_align` <a name="reset_title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitleAlign"></a>

```python
def reset_title_align() -> None
```

##### `reset_title_size` <a name="reset_title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitleSize"></a>

```python
def reset_title_size() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.customLink">custom_link</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList">DashboardWidgetChangeDefinitionCustomLinkList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList">DashboardWidgetChangeDefinitionRequestList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.customLinkInput">custom_link_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.liveSpanInput">live_span_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.requestInput">request_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleAlignInput">title_align_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleInput">title_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleSizeInput">title_size_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.liveSpan">live_span</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.title">title</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleAlign">title_align</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleSize">title_size</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition">DashboardWidgetChangeDefinition</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `custom_link`<sup>Required</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.customLink"></a>

```python
custom_link: DashboardWidgetChangeDefinitionCustomLinkList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList">DashboardWidgetChangeDefinitionCustomLinkList</a>

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.request"></a>

```python
request: DashboardWidgetChangeDefinitionRequestList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList">DashboardWidgetChangeDefinitionRequestList</a>

---

##### `custom_link_input`<sup>Optional</sup> <a name="custom_link_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.customLinkInput"></a>

```python
custom_link_input: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>]]

---

##### `live_span_input`<sup>Optional</sup> <a name="live_span_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.liveSpanInput"></a>

```python
live_span_input: str
```

- *Type:* str

---

##### `request_input`<sup>Optional</sup> <a name="request_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.requestInput"></a>

```python
request_input: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>]]

---

##### `title_align_input`<sup>Optional</sup> <a name="title_align_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleAlignInput"></a>

```python
title_align_input: str
```

- *Type:* str

---

##### `title_input`<sup>Optional</sup> <a name="title_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleInput"></a>

```python
title_input: str
```

- *Type:* str

---

##### `title_size_input`<sup>Optional</sup> <a name="title_size_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleSizeInput"></a>

```python
title_size_input: str
```

- *Type:* str

---

##### `live_span`<sup>Required</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.title"></a>

```python
title: str
```

- *Type:* str

---

##### `title_align`<sup>Required</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

---

##### `title_size`<sup>Required</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition">DashboardWidgetChangeDefinition</a>

---


### DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---


### DashboardWidgetChangeDefinitionRequestApmQueryGroupByList <a name="DashboardWidgetChangeDefinitionRequestApmQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>]]

---


### DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference <a name="DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery">put_sort_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetLimit">reset_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery">reset_sort_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_sort_query` <a name="put_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery"></a>

```python
def put_sort_query(
  aggregation: str,
  order: str,
  facet: str = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery.parameter.order"></a>

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_limit` <a name="reset_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetLimit"></a>

```python
def reset_limit() -> None
```

##### `reset_sort_query` <a name="reset_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery"></a>

```python
def reset_sort_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limitInput">limit_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput">sort_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `sort_query`<sup>Required</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery"></a>

```python
sort_query: DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference</a>

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `limit_input`<sup>Optional</sup> <a name="limit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limitInput"></a>

```python
limit_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `sort_query_input`<sup>Optional</sup> <a name="sort_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput"></a>

```python
sort_query_input: DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetChangeDefinitionRequestApmQueryGroupBy, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>, cdktf.IResolvable]

---


### DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput">order_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `order_input`<sup>Optional</sup> <a name="order_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```python
order_input: str
```

- *Type:* str

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order"></a>

```python
order: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---


### DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList <a name="DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>]]

---


### DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference <a name="DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>, cdktf.IResolvable]

---


### DashboardWidgetChangeDefinitionRequestApmQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestApmQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery">put_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy">put_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute">put_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetComputeQuery">reset_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetGroupBy">reset_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetMultiCompute">reset_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetSearchQuery">reset_search_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_compute_query` <a name="put_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery"></a>

```python
def put_compute_query(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

###### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery.parameter.interval"></a>

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `put_group_by` <a name="put_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy"></a>

```python
def put_group_by(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestApmQueryGroupBy]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>]]

---

##### `put_multi_compute` <a name="put_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute"></a>

```python
def put_multi_compute(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>]]

---

##### `reset_compute_query` <a name="reset_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetComputeQuery"></a>

```python
def reset_compute_query() -> None
```

##### `reset_group_by` <a name="reset_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetGroupBy"></a>

```python
def reset_group_by() -> None
```

##### `reset_multi_compute` <a name="reset_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetMultiCompute"></a>

```python
def reset_multi_compute() -> None
```

##### `reset_search_query` <a name="reset_search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetSearchQuery"></a>

```python
def reset_search_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupBy">group_by</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList">DashboardWidgetChangeDefinitionRequestApmQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiCompute">multi_compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQueryInput">compute_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupByInput">group_by_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.indexInput">index_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiComputeInput">multi_compute_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQueryInput">search_query_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.index">index</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQuery">search_query</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `compute_query`<sup>Required</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQuery"></a>

```python
compute_query: DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference</a>

---

##### `group_by`<sup>Required</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupBy"></a>

```python
group_by: DashboardWidgetChangeDefinitionRequestApmQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList">DashboardWidgetChangeDefinitionRequestApmQueryGroupByList</a>

---

##### `multi_compute`<sup>Required</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiCompute"></a>

```python
multi_compute: DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList</a>

---

##### `compute_query_input`<sup>Optional</sup> <a name="compute_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQueryInput"></a>

```python
compute_query_input: DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---

##### `group_by_input`<sup>Optional</sup> <a name="group_by_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupByInput"></a>

```python
group_by_input: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>]]

---

##### `index_input`<sup>Optional</sup> <a name="index_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.indexInput"></a>

```python
index_input: str
```

- *Type:* str

---

##### `multi_compute_input`<sup>Optional</sup> <a name="multi_compute_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiComputeInput"></a>

```python
multi_compute_input: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>]]

---

##### `search_query_input`<sup>Optional</sup> <a name="search_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQueryInput"></a>

```python
search_query_input: str
```

- *Type:* str

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.index"></a>

```python
index: str
```

- *Type:* str

---

##### `search_query`<sup>Required</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a>

---


### DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList <a name="DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>]]

---


### DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference <a name="DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor">reset_custom_bg_color</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor">reset_custom_fg_color</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue">reset_hide_value</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl">reset_image_url</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric">reset_metric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe">reset_timeframe</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_custom_bg_color` <a name="reset_custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor"></a>

```python
def reset_custom_bg_color() -> None
```

##### `reset_custom_fg_color` <a name="reset_custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor"></a>

```python
def reset_custom_fg_color() -> None
```

##### `reset_hide_value` <a name="reset_hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue"></a>

```python
def reset_hide_value() -> None
```

##### `reset_image_url` <a name="reset_image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl"></a>

```python
def reset_image_url() -> None
```

##### `reset_metric` <a name="reset_metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric"></a>

```python
def reset_metric() -> None
```

##### `reset_timeframe` <a name="reset_timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe"></a>

```python
def reset_timeframe() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput">comparator_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput">custom_bg_color_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput">custom_fg_color_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput">hide_value_input</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput">image_url_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput">metric_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput">palette_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput">timeframe_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput">value_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator">comparator</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl">image_url</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric">metric</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette">palette</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe">timeframe</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.value">value</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `comparator_input`<sup>Optional</sup> <a name="comparator_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput"></a>

```python
comparator_input: str
```

- *Type:* str

---

##### `custom_bg_color_input`<sup>Optional</sup> <a name="custom_bg_color_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput"></a>

```python
custom_bg_color_input: str
```

- *Type:* str

---

##### `custom_fg_color_input`<sup>Optional</sup> <a name="custom_fg_color_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput"></a>

```python
custom_fg_color_input: str
```

- *Type:* str

---

##### `hide_value_input`<sup>Optional</sup> <a name="hide_value_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput"></a>

```python
hide_value_input: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `image_url_input`<sup>Optional</sup> <a name="image_url_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput"></a>

```python
image_url_input: str
```

- *Type:* str

---

##### `metric_input`<sup>Optional</sup> <a name="metric_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput"></a>

```python
metric_input: str
```

- *Type:* str

---

##### `palette_input`<sup>Optional</sup> <a name="palette_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput"></a>

```python
palette_input: str
```

- *Type:* str

---

##### `timeframe_input`<sup>Optional</sup> <a name="timeframe_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput"></a>

```python
timeframe_input: str
```

- *Type:* str

---

##### `value_input`<sup>Optional</sup> <a name="value_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput"></a>

```python
value_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

---

##### `custom_bg_color`<sup>Required</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

---

##### `custom_fg_color`<sup>Required</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

---

##### `hide_value`<sup>Required</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `image_url`<sup>Required</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric"></a>

```python
metric: str
```

- *Type:* str

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette"></a>

```python
palette: str
```

- *Type:* str

---

##### `timeframe`<sup>Required</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>, cdktf.IResolvable]

---


### DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference <a name="DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetCount">reset_count</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetOrder">reset_order</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_count` <a name="reset_count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetCount"></a>

```python
def reset_count() -> None
```

##### `reset_order` <a name="reset_order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetOrder"></a>

```python
def reset_order() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.countInput">count_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.orderInput">order_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.count">count</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.order">order</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `count_input`<sup>Optional</sup> <a name="count_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.countInput"></a>

```python
count_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `order_input`<sup>Optional</sup> <a name="order_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.orderInput"></a>

```python
order_input: str
```

- *Type:* str

---

##### `count`<sup>Required</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.count"></a>

```python
count: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.order"></a>

```python
order: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a>

---


### DashboardWidgetChangeDefinitionRequestFormulaList <a name="DashboardWidgetChangeDefinitionRequestFormulaList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestFormulaList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetChangeDefinitionRequestFormulaOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>]]

---


### DashboardWidgetChangeDefinitionRequestFormulaOutputReference <a name="DashboardWidgetChangeDefinitionRequestFormulaOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats">put_conditional_formats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putLimit">put_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putStyle">put_style</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetAlias">reset_alias</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetCellDisplayMode">reset_cell_display_mode</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetConditionalFormats">reset_conditional_formats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetLimit">reset_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetStyle">reset_style</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_conditional_formats` <a name="put_conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats"></a>

```python
def put_conditional_formats(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>]]

---

##### `put_limit` <a name="put_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putLimit"></a>

```python
def put_limit(
  count: typing.Union[int, float] = None,
  order: str = None
) -> None
```

###### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putLimit.parameter.count"></a>

- *Type:* typing.Union[int, float]

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

###### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putLimit.parameter.order"></a>

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `put_style` <a name="put_style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putStyle"></a>

```python
def put_style(
  palette: str = None,
  palette_index: typing.Union[int, float] = None
) -> None
```

###### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putStyle.parameter.palette"></a>

- *Type:* str

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

###### `palette_index`<sup>Optional</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putStyle.parameter.paletteIndex"></a>

- *Type:* typing.Union[int, float]

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

##### `reset_alias` <a name="reset_alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetAlias"></a>

```python
def reset_alias() -> None
```

##### `reset_cell_display_mode` <a name="reset_cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetCellDisplayMode"></a>

```python
def reset_cell_display_mode() -> None
```

##### `reset_conditional_formats` <a name="reset_conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetConditionalFormats"></a>

```python
def reset_conditional_formats() -> None
```

##### `reset_limit` <a name="reset_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetLimit"></a>

```python
def reset_limit() -> None
```

##### `reset_style` <a name="reset_style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetStyle"></a>

```python
def reset_style() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormats">conditional_formats</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference">DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference">DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.aliasInput">alias_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput">cell_display_mode_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput">conditional_formats_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpressionInput">formula_expression_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.limitInput">limit_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.styleInput">style_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.alias">alias</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpression">formula_expression</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `conditional_formats`<sup>Required</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormats"></a>

```python
conditional_formats: DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList</a>

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.limit"></a>

```python
limit: DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference">DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference</a>

---

##### `style`<sup>Required</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.style"></a>

```python
style: DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference">DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference</a>

---

##### `alias_input`<sup>Optional</sup> <a name="alias_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.aliasInput"></a>

```python
alias_input: str
```

- *Type:* str

---

##### `cell_display_mode_input`<sup>Optional</sup> <a name="cell_display_mode_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput"></a>

```python
cell_display_mode_input: str
```

- *Type:* str

---

##### `conditional_formats_input`<sup>Optional</sup> <a name="conditional_formats_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput"></a>

```python
conditional_formats_input: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>]]

---

##### `formula_expression_input`<sup>Optional</sup> <a name="formula_expression_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpressionInput"></a>

```python
formula_expression_input: str
```

- *Type:* str

---

##### `limit_input`<sup>Optional</sup> <a name="limit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.limitInput"></a>

```python
limit_input: DashboardWidgetChangeDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a>

---

##### `style_input`<sup>Optional</sup> <a name="style_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.styleInput"></a>

```python
style_input: DashboardWidgetChangeDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a>

---

##### `alias`<sup>Required</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.alias"></a>

```python
alias: str
```

- *Type:* str

---

##### `cell_display_mode`<sup>Required</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

---

##### `formula_expression`<sup>Required</sup> <a name="formula_expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpression"></a>

```python
formula_expression: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetChangeDefinitionRequestFormula, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>, cdktf.IResolvable]

---


### DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference <a name="DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPalette">reset_palette</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex">reset_palette_index</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_palette` <a name="reset_palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPalette"></a>

```python
def reset_palette() -> None
```

##### `reset_palette_index` <a name="reset_palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex"></a>

```python
def reset_palette_index() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput">palette_index_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteInput">palette_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.palette">palette</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndex">palette_index</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `palette_index_input`<sup>Optional</sup> <a name="palette_index_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput"></a>

```python
palette_index_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `palette_input`<sup>Optional</sup> <a name="palette_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteInput"></a>

```python
palette_input: str
```

- *Type:* str

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.palette"></a>

```python
palette: str
```

- *Type:* str

---

##### `palette_index`<sup>Required</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndex"></a>

```python
palette_index: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a>

---


### DashboardWidgetChangeDefinitionRequestList <a name="DashboardWidgetChangeDefinitionRequestList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetChangeDefinitionRequestOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>]]

---


### DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

---


### DashboardWidgetChangeDefinitionRequestLogQueryGroupByList <a name="DashboardWidgetChangeDefinitionRequestLogQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>]]

---


### DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference <a name="DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery">put_sort_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetLimit">reset_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery">reset_sort_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_sort_query` <a name="put_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery"></a>

```python
def put_sort_query(
  aggregation: str,
  order: str,
  facet: str = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.order"></a>

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_limit` <a name="reset_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetLimit"></a>

```python
def reset_limit() -> None
```

##### `reset_sort_query` <a name="reset_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery"></a>

```python
def reset_sort_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limitInput">limit_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput">sort_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `sort_query`<sup>Required</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery"></a>

```python
sort_query: DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference</a>

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `limit_input`<sup>Optional</sup> <a name="limit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limitInput"></a>

```python
limit_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `sort_query_input`<sup>Optional</sup> <a name="sort_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput"></a>

```python
sort_query_input: DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetChangeDefinitionRequestLogQueryGroupBy, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>, cdktf.IResolvable]

---


### DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput">order_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `order_input`<sup>Optional</sup> <a name="order_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```python
order_input: str
```

- *Type:* str

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order"></a>

```python
order: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

---


### DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList <a name="DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>]]

---


### DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference <a name="DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>, cdktf.IResolvable]

---


### DashboardWidgetChangeDefinitionRequestLogQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestLogQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery">put_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putGroupBy">put_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putMultiCompute">put_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetComputeQuery">reset_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetGroupBy">reset_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetMultiCompute">reset_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetSearchQuery">reset_search_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_compute_query` <a name="put_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery"></a>

```python
def put_compute_query(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

###### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery.parameter.interval"></a>

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `put_group_by` <a name="put_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putGroupBy"></a>

```python
def put_group_by(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestLogQueryGroupBy]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>]]

---

##### `put_multi_compute` <a name="put_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putMultiCompute"></a>

```python
def put_multi_compute(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>]]

---

##### `reset_compute_query` <a name="reset_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetComputeQuery"></a>

```python
def reset_compute_query() -> None
```

##### `reset_group_by` <a name="reset_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetGroupBy"></a>

```python
def reset_group_by() -> None
```

##### `reset_multi_compute` <a name="reset_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetMultiCompute"></a>

```python
def reset_multi_compute() -> None
```

##### `reset_search_query` <a name="reset_search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetSearchQuery"></a>

```python
def reset_search_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupBy">group_by</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList">DashboardWidgetChangeDefinitionRequestLogQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiCompute">multi_compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQueryInput">compute_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupByInput">group_by_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.indexInput">index_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiComputeInput">multi_compute_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQueryInput">search_query_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.index">index</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQuery">search_query</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `compute_query`<sup>Required</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQuery"></a>

```python
compute_query: DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference</a>

---

##### `group_by`<sup>Required</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupBy"></a>

```python
group_by: DashboardWidgetChangeDefinitionRequestLogQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList">DashboardWidgetChangeDefinitionRequestLogQueryGroupByList</a>

---

##### `multi_compute`<sup>Required</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiCompute"></a>

```python
multi_compute: DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList</a>

---

##### `compute_query_input`<sup>Optional</sup> <a name="compute_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQueryInput"></a>

```python
compute_query_input: DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

---

##### `group_by_input`<sup>Optional</sup> <a name="group_by_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupByInput"></a>

```python
group_by_input: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>]]

---

##### `index_input`<sup>Optional</sup> <a name="index_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.indexInput"></a>

```python
index_input: str
```

- *Type:* str

---

##### `multi_compute_input`<sup>Optional</sup> <a name="multi_compute_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiComputeInput"></a>

```python
multi_compute_input: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>]]

---

##### `search_query_input`<sup>Optional</sup> <a name="search_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQueryInput"></a>

```python
search_query_input: str
```

- *Type:* str

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.index"></a>

```python
index: str
```

- *Type:* str

---

##### `search_query`<sup>Required</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a>

---


### DashboardWidgetChangeDefinitionRequestOutputReference <a name="DashboardWidgetChangeDefinitionRequestOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putApmQuery">put_apm_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putFormula">put_formula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putLogQuery">put_log_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putProcessQuery">put_process_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putQuery">put_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putRumQuery">put_rum_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putSecurityQuery">put_security_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetApmQuery">reset_apm_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetChangeType">reset_change_type</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetCompareTo">reset_compare_to</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetFormula">reset_formula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetIncreaseGood">reset_increase_good</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetLogQuery">reset_log_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetOrderBy">reset_order_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetOrderDir">reset_order_dir</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetProcessQuery">reset_process_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetQ">reset_q</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetQuery">reset_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetRumQuery">reset_rum_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetSecurityQuery">reset_security_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetShowPresent">reset_show_present</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_apm_query` <a name="put_apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putApmQuery"></a>

```python
def put_apm_query(
  index: str,
  compute_query: DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute]] = None,
  search_query: str = None
) -> None
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putApmQuery.parameter.index"></a>

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

###### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putApmQuery.parameter.computeQuery"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

###### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putApmQuery.parameter.groupBy"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

###### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putApmQuery.parameter.multiCompute"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

###### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putApmQuery.parameter.searchQuery"></a>

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

##### `put_formula` <a name="put_formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putFormula"></a>

```python
def put_formula(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestFormula]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putFormula.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>]]

---

##### `put_log_query` <a name="put_log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putLogQuery"></a>

```python
def put_log_query(
  index: str,
  compute_query: DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute]] = None,
  search_query: str = None
) -> None
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putLogQuery.parameter.index"></a>

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

###### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putLogQuery.parameter.computeQuery"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

###### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putLogQuery.parameter.groupBy"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

###### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putLogQuery.parameter.multiCompute"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

###### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putLogQuery.parameter.searchQuery"></a>

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

##### `put_process_query` <a name="put_process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putProcessQuery"></a>

```python
def put_process_query(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
) -> None
```

###### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putProcessQuery.parameter.metric"></a>

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

###### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putProcessQuery.parameter.filterBy"></a>

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

###### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putProcessQuery.parameter.limit"></a>

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

###### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putProcessQuery.parameter.searchBy"></a>

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

##### `put_query` <a name="put_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putQuery"></a>

```python
def put_query(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestQuery]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putQuery.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>]]

---

##### `put_rum_query` <a name="put_rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putRumQuery"></a>

```python
def put_rum_query(
  index: str,
  compute_query: DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute]] = None,
  search_query: str = None
) -> None
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putRumQuery.parameter.index"></a>

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

###### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putRumQuery.parameter.computeQuery"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

###### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putRumQuery.parameter.groupBy"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

###### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putRumQuery.parameter.multiCompute"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

###### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putRumQuery.parameter.searchQuery"></a>

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

##### `put_security_query` <a name="put_security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putSecurityQuery"></a>

```python
def put_security_query(
  index: str,
  compute_query: DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute]] = None,
  search_query: str = None
) -> None
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putSecurityQuery.parameter.index"></a>

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

###### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putSecurityQuery.parameter.computeQuery"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

###### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putSecurityQuery.parameter.groupBy"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

###### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putSecurityQuery.parameter.multiCompute"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

###### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putSecurityQuery.parameter.searchQuery"></a>

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

##### `reset_apm_query` <a name="reset_apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetApmQuery"></a>

```python
def reset_apm_query() -> None
```

##### `reset_change_type` <a name="reset_change_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetChangeType"></a>

```python
def reset_change_type() -> None
```

##### `reset_compare_to` <a name="reset_compare_to" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetCompareTo"></a>

```python
def reset_compare_to() -> None
```

##### `reset_formula` <a name="reset_formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetFormula"></a>

```python
def reset_formula() -> None
```

##### `reset_increase_good` <a name="reset_increase_good" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetIncreaseGood"></a>

```python
def reset_increase_good() -> None
```

##### `reset_log_query` <a name="reset_log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetLogQuery"></a>

```python
def reset_log_query() -> None
```

##### `reset_order_by` <a name="reset_order_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetOrderBy"></a>

```python
def reset_order_by() -> None
```

##### `reset_order_dir` <a name="reset_order_dir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetOrderDir"></a>

```python
def reset_order_dir() -> None
```

##### `reset_process_query` <a name="reset_process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetProcessQuery"></a>

```python
def reset_process_query() -> None
```

##### `reset_q` <a name="reset_q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetQ"></a>

```python
def reset_q() -> None
```

##### `reset_query` <a name="reset_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetQuery"></a>

```python
def reset_query() -> None
```

##### `reset_rum_query` <a name="reset_rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetRumQuery"></a>

```python
def reset_rum_query() -> None
```

##### `reset_security_query` <a name="reset_security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetSecurityQuery"></a>

```python
def reset_security_query() -> None
```

##### `reset_show_present` <a name="reset_show_present" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetShowPresent"></a>

```python
def reset_show_present() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.formula">formula</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList">DashboardWidgetChangeDefinitionRequestFormulaList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference">DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.query">query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList">DashboardWidgetChangeDefinitionRequestQueryList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.apmQueryInput">apm_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.changeTypeInput">change_type_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.compareToInput">compare_to_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.formulaInput">formula_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.increaseGoodInput">increase_good_input</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.logQueryInput">log_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderByInput">order_by_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderDirInput">order_dir_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.processQueryInput">process_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.qInput">q_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.queryInput">query_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.rumQueryInput">rum_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.securityQueryInput">security_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.showPresentInput">show_present_input</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.changeType">change_type</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.compareTo">compare_to</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.increaseGood">increase_good</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderBy">order_by</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderDir">order_dir</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.q">q</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.showPresent">show_present</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `apm_query`<sup>Required</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.apmQuery"></a>

```python
apm_query: DashboardWidgetChangeDefinitionRequestApmQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryOutputReference</a>

---

##### `formula`<sup>Required</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.formula"></a>

```python
formula: DashboardWidgetChangeDefinitionRequestFormulaList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList">DashboardWidgetChangeDefinitionRequestFormulaList</a>

---

##### `log_query`<sup>Required</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.logQuery"></a>

```python
log_query: DashboardWidgetChangeDefinitionRequestLogQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryOutputReference</a>

---

##### `process_query`<sup>Required</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.processQuery"></a>

```python
process_query: DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference">DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference</a>

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.query"></a>

```python
query: DashboardWidgetChangeDefinitionRequestQueryList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList">DashboardWidgetChangeDefinitionRequestQueryList</a>

---

##### `rum_query`<sup>Required</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.rumQuery"></a>

```python
rum_query: DashboardWidgetChangeDefinitionRequestRumQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryOutputReference</a>

---

##### `security_query`<sup>Required</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.securityQuery"></a>

```python
security_query: DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference</a>

---

##### `apm_query_input`<sup>Optional</sup> <a name="apm_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.apmQueryInput"></a>

```python
apm_query_input: DashboardWidgetChangeDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a>

---

##### `change_type_input`<sup>Optional</sup> <a name="change_type_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.changeTypeInput"></a>

```python
change_type_input: str
```

- *Type:* str

---

##### `compare_to_input`<sup>Optional</sup> <a name="compare_to_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.compareToInput"></a>

```python
compare_to_input: str
```

- *Type:* str

---

##### `formula_input`<sup>Optional</sup> <a name="formula_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.formulaInput"></a>

```python
formula_input: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>]]

---

##### `increase_good_input`<sup>Optional</sup> <a name="increase_good_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.increaseGoodInput"></a>

```python
increase_good_input: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `log_query_input`<sup>Optional</sup> <a name="log_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.logQueryInput"></a>

```python
log_query_input: DashboardWidgetChangeDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a>

---

##### `order_by_input`<sup>Optional</sup> <a name="order_by_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderByInput"></a>

```python
order_by_input: str
```

- *Type:* str

---

##### `order_dir_input`<sup>Optional</sup> <a name="order_dir_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderDirInput"></a>

```python
order_dir_input: str
```

- *Type:* str

---

##### `process_query_input`<sup>Optional</sup> <a name="process_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.processQueryInput"></a>

```python
process_query_input: DashboardWidgetChangeDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a>

---

##### `q_input`<sup>Optional</sup> <a name="q_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.qInput"></a>

```python
q_input: str
```

- *Type:* str

---

##### `query_input`<sup>Optional</sup> <a name="query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.queryInput"></a>

```python
query_input: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>]]

---

##### `rum_query_input`<sup>Optional</sup> <a name="rum_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.rumQueryInput"></a>

```python
rum_query_input: DashboardWidgetChangeDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a>

---

##### `security_query_input`<sup>Optional</sup> <a name="security_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.securityQueryInput"></a>

```python
security_query_input: DashboardWidgetChangeDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a>

---

##### `show_present_input`<sup>Optional</sup> <a name="show_present_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.showPresentInput"></a>

```python
show_present_input: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `change_type`<sup>Required</sup> <a name="change_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.changeType"></a>

```python
change_type: str
```

- *Type:* str

---

##### `compare_to`<sup>Required</sup> <a name="compare_to" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.compareTo"></a>

```python
compare_to: str
```

- *Type:* str

---

##### `increase_good`<sup>Required</sup> <a name="increase_good" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.increaseGood"></a>

```python
increase_good: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `order_by`<sup>Required</sup> <a name="order_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderBy"></a>

```python
order_by: str
```

- *Type:* str

---

##### `order_dir`<sup>Required</sup> <a name="order_dir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderDir"></a>

```python
order_dir: str
```

- *Type:* str

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.q"></a>

```python
q: str
```

- *Type:* str

---

##### `show_present`<sup>Required</sup> <a name="show_present" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.showPresent"></a>

```python
show_present: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetChangeDefinitionRequest, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>, cdktf.IResolvable]

---


### DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetFilterBy">reset_filter_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetLimit">reset_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetSearchBy">reset_search_by</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_filter_by` <a name="reset_filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetFilterBy"></a>

```python
def reset_filter_by() -> None
```

##### `reset_limit` <a name="reset_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetLimit"></a>

```python
def reset_limit() -> None
```

##### `reset_search_by` <a name="reset_search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetSearchBy"></a>

```python
def reset_search_by() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterByInput">filter_by_input</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limitInput">limit_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metricInput">metric_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchByInput">search_by_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metric">metric</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchBy">search_by</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `filter_by_input`<sup>Optional</sup> <a name="filter_by_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterByInput"></a>

```python
filter_by_input: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `limit_input`<sup>Optional</sup> <a name="limit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limitInput"></a>

```python
limit_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `metric_input`<sup>Optional</sup> <a name="metric_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metricInput"></a>

```python
metric_input: str
```

- *Type:* str

---

##### `search_by_input`<sup>Optional</sup> <a name="search_by_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchByInput"></a>

```python
search_by_input: str
```

- *Type:* str

---

##### `filter_by`<sup>Required</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metric"></a>

```python
metric: str
```

- *Type:* str

---

##### `search_by`<sup>Required</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a>

---


### DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream">reset_is_upstream</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName">reset_primary_tag_name</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue">reset_primary_tag_value</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_is_upstream` <a name="reset_is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream"></a>

```python
def reset_is_upstream() -> None
```

##### `reset_primary_tag_name` <a name="reset_primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName"></a>

```python
def reset_primary_tag_name() -> None
```

##### `reset_primary_tag_value` <a name="reset_primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue"></a>

```python
def reset_primary_tag_value() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput">data_source_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput">env_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput">is_upstream_input</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput">name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput">operation_name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput">primary_tag_name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput">primary_tag_value_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput">resource_name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput">service_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput">stat_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource">data_source</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env">env</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream">is_upstream</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name">name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName">operation_name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName">resource_name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service">service</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat">stat</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `data_source_input`<sup>Optional</sup> <a name="data_source_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput"></a>

```python
data_source_input: str
```

- *Type:* str

---

##### `env_input`<sup>Optional</sup> <a name="env_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput"></a>

```python
env_input: str
```

- *Type:* str

---

##### `is_upstream_input`<sup>Optional</sup> <a name="is_upstream_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput"></a>

```python
is_upstream_input: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `name_input`<sup>Optional</sup> <a name="name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput"></a>

```python
name_input: str
```

- *Type:* str

---

##### `operation_name_input`<sup>Optional</sup> <a name="operation_name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput"></a>

```python
operation_name_input: str
```

- *Type:* str

---

##### `primary_tag_name_input`<sup>Optional</sup> <a name="primary_tag_name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput"></a>

```python
primary_tag_name_input: str
```

- *Type:* str

---

##### `primary_tag_value_input`<sup>Optional</sup> <a name="primary_tag_value_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput"></a>

```python
primary_tag_value_input: str
```

- *Type:* str

---

##### `resource_name_input`<sup>Optional</sup> <a name="resource_name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput"></a>

```python
resource_name_input: str
```

- *Type:* str

---

##### `service_input`<sup>Optional</sup> <a name="service_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput"></a>

```python
service_input: str
```

- *Type:* str

---

##### `stat_input`<sup>Optional</sup> <a name="stat_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput"></a>

```python
stat_input: str
```

- *Type:* str

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env"></a>

```python
env: str
```

- *Type:* str

---

##### `is_upstream`<sup>Required</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream"></a>

```python
is_upstream: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name"></a>

```python
name: str
```

- *Type:* str

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

---

##### `primary_tag_name`<sup>Required</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

---

##### `primary_tag_value`<sup>Required</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service"></a>

```python
service: str
```

- *Type:* str

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat"></a>

```python
stat: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

---


### DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy">reset_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName">reset_operation_name</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName">reset_primary_tag_name</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue">reset_primary_tag_value</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName">reset_resource_name</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_group_by` <a name="reset_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy"></a>

```python
def reset_group_by() -> None
```

##### `reset_operation_name` <a name="reset_operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName"></a>

```python
def reset_operation_name() -> None
```

##### `reset_primary_tag_name` <a name="reset_primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName"></a>

```python
def reset_primary_tag_name() -> None
```

##### `reset_primary_tag_value` <a name="reset_primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue"></a>

```python
def reset_primary_tag_value() -> None
```

##### `reset_resource_name` <a name="reset_resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName"></a>

```python
def reset_resource_name() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput">data_source_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput">env_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput">group_by_input</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput">name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput">operation_name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput">primary_tag_name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput">primary_tag_value_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput">resource_name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput">service_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput">stat_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource">data_source</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env">env</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name">name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName">operation_name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName">resource_name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service">service</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat">stat</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `data_source_input`<sup>Optional</sup> <a name="data_source_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput"></a>

```python
data_source_input: str
```

- *Type:* str

---

##### `env_input`<sup>Optional</sup> <a name="env_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput"></a>

```python
env_input: str
```

- *Type:* str

---

##### `group_by_input`<sup>Optional</sup> <a name="group_by_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput"></a>

```python
group_by_input: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `name_input`<sup>Optional</sup> <a name="name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput"></a>

```python
name_input: str
```

- *Type:* str

---

##### `operation_name_input`<sup>Optional</sup> <a name="operation_name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput"></a>

```python
operation_name_input: str
```

- *Type:* str

---

##### `primary_tag_name_input`<sup>Optional</sup> <a name="primary_tag_name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput"></a>

```python
primary_tag_name_input: str
```

- *Type:* str

---

##### `primary_tag_value_input`<sup>Optional</sup> <a name="primary_tag_value_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput"></a>

```python
primary_tag_value_input: str
```

- *Type:* str

---

##### `resource_name_input`<sup>Optional</sup> <a name="resource_name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput"></a>

```python
resource_name_input: str
```

- *Type:* str

---

##### `service_input`<sup>Optional</sup> <a name="service_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput"></a>

```python
service_input: str
```

- *Type:* str

---

##### `stat_input`<sup>Optional</sup> <a name="stat_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput"></a>

```python
stat_input: str
```

- *Type:* str

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env"></a>

```python
env: str
```

- *Type:* str

---

##### `group_by`<sup>Required</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name"></a>

```python
name: str
```

- *Type:* str

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

---

##### `primary_tag_name`<sup>Required</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

---

##### `primary_tag_value`<sup>Required</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service"></a>

```python
service: str
```

- *Type:* str

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat"></a>

```python
stat: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>]]

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval">reset_interval</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric">reset_metric</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```

##### `reset_metric` <a name="reset_metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric"></a>

```python
def reset_metric() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput">metric_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metric">metric</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `metric_input`<sup>Optional</sup> <a name="metric_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput"></a>

```python
metric_input: str
```

- *Type:* str

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metric"></a>

```python
metric: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>, cdktf.IResolvable]

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>]]

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort">put_sort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit">reset_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort">reset_sort</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_sort` <a name="put_sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort"></a>

```python
def put_sort(
  aggregation: str,
  metric: str = None,
  order: str = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort.parameter.aggregation"></a>

- *Type:* str

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort.parameter.metric"></a>

- *Type:* str

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

###### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort.parameter.order"></a>

- *Type:* str

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `reset_limit` <a name="reset_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit"></a>

```python
def reset_limit() -> None
```

##### `reset_sort` <a name="reset_sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort"></a>

```python
def reset_sort() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput">limit_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput">sort_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `sort`<sup>Required</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort"></a>

```python
sort: DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference</a>

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `limit_input`<sup>Optional</sup> <a name="limit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput"></a>

```python
limit_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `sort_input`<sup>Optional</sup> <a name="sort_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput"></a>

```python
sort_input: DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>, cdktf.IResolvable]

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric">reset_metric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder">reset_order</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_metric` <a name="reset_metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric"></a>

```python
def reset_metric() -> None
```

##### `reset_order` <a name="reset_order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder"></a>

```python
def reset_order() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput">metric_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput">order_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric">metric</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order">order</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `metric_input`<sup>Optional</sup> <a name="metric_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput"></a>

```python
metric_input: str
```

- *Type:* str

---

##### `order_input`<sup>Optional</sup> <a name="order_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput"></a>

```python
order_input: str
```

- *Type:* str

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric"></a>

```python
metric: str
```

- *Type:* str

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order"></a>

```python
order: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putCompute">put_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putGroupBy">put_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putSearch">put_search</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetGroupBy">reset_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetIndexes">reset_indexes</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetSearch">reset_search</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetStorage">reset_storage</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_compute` <a name="put_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putCompute"></a>

```python
def put_compute(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putCompute.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>]]

---

##### `put_group_by` <a name="put_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putGroupBy"></a>

```python
def put_group_by(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>]]

---

##### `put_search` <a name="put_search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putSearch"></a>

```python
def put_search(
  query: str
) -> None
```

###### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putSearch.parameter.query"></a>

- *Type:* str

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `reset_group_by` <a name="reset_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetGroupBy"></a>

```python
def reset_group_by() -> None
```

##### `reset_indexes` <a name="reset_indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetIndexes"></a>

```python
def reset_indexes() -> None
```

##### `reset_search` <a name="reset_search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetSearch"></a>

```python
def reset_search() -> None
```

##### `reset_storage` <a name="reset_storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetStorage"></a>

```python
def reset_storage() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.compute">compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList">DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupBy">group_by</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.computeInput">compute_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput">data_source_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupByInput">group_by_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexesInput">indexes_input</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.nameInput">name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.searchInput">search_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storageInput">storage_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSource">data_source</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.name">name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storage">storage</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.compute"></a>

```python
compute: DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList">DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList</a>

---

##### `group_by`<sup>Required</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupBy"></a>

```python
group_by: DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList</a>

---

##### `search`<sup>Required</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.search"></a>

```python
search: DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference</a>

---

##### `compute_input`<sup>Optional</sup> <a name="compute_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.computeInput"></a>

```python
compute_input: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>]]

---

##### `data_source_input`<sup>Optional</sup> <a name="data_source_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput"></a>

```python
data_source_input: str
```

- *Type:* str

---

##### `group_by_input`<sup>Optional</sup> <a name="group_by_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupByInput"></a>

```python
group_by_input: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>]]

---

##### `indexes_input`<sup>Optional</sup> <a name="indexes_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexesInput"></a>

```python
indexes_input: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `name_input`<sup>Optional</sup> <a name="name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.nameInput"></a>

```python
name_input: str
```

- *Type:* str

---

##### `search_input`<sup>Optional</sup> <a name="search_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.searchInput"></a>

```python
search_input: DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

---

##### `storage_input`<sup>Optional</sup> <a name="storage_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storageInput"></a>

```python
storage_input: str
```

- *Type:* str

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

---

##### `indexes`<sup>Required</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.name"></a>

```python
name: str
```

- *Type:* str

---

##### `storage`<sup>Required</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storage"></a>

```python
storage: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a>

---


### DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput">query_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.query">query</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `query_input`<sup>Optional</sup> <a name="query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput"></a>

```python
query_input: str
```

- *Type:* str

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.query"></a>

```python
query: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

---


### DashboardWidgetChangeDefinitionRequestQueryList <a name="DashboardWidgetChangeDefinitionRequestQueryList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetChangeDefinitionRequestQueryOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>]]

---


### DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetAggregator">reset_aggregator</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetDataSource">reset_data_source</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_aggregator` <a name="reset_aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetAggregator"></a>

```python
def reset_aggregator() -> None
```

##### `reset_data_source` <a name="reset_data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetDataSource"></a>

```python
def reset_data_source() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregatorInput">aggregator_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSourceInput">data_source_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.nameInput">name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.queryInput">query_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregator">aggregator</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSource">data_source</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.name">name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.query">query</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregator_input`<sup>Optional</sup> <a name="aggregator_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregatorInput"></a>

```python
aggregator_input: str
```

- *Type:* str

---

##### `data_source_input`<sup>Optional</sup> <a name="data_source_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSourceInput"></a>

```python
data_source_input: str
```

- *Type:* str

---

##### `name_input`<sup>Optional</sup> <a name="name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.nameInput"></a>

```python
name_input: str
```

- *Type:* str

---

##### `query_input`<sup>Optional</sup> <a name="query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.queryInput"></a>

```python
query_input: str
```

- *Type:* str

---

##### `aggregator`<sup>Required</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.name"></a>

```python
name: str
```

- *Type:* str

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.query"></a>

```python
query: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a>

---


### DashboardWidgetChangeDefinitionRequestQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery">put_apm_dependency_stats_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery">put_apm_resource_stats_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery">put_event_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putMetricQuery">put_metric_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery">put_process_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetApmDependencyStatsQuery">reset_apm_dependency_stats_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetApmResourceStatsQuery">reset_apm_resource_stats_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetEventQuery">reset_event_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetMetricQuery">reset_metric_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetProcessQuery">reset_process_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_apm_dependency_stats_query` <a name="put_apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery"></a>

```python
def put_apm_dependency_stats_query(
  data_source: str,
  env: str,
  name: str,
  operation_name: str,
  resource_name: str,
  service: str,
  stat: str,
  is_upstream: typing.Union[bool, IResolvable] = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None
) -> None
```

###### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.dataSource"></a>

- *Type:* str

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

###### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.env"></a>

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

###### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.name"></a>

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

###### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.operationName"></a>

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

###### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.resourceName"></a>

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

###### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.service"></a>

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

###### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.stat"></a>

- *Type:* str

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

###### `is_upstream`<sup>Optional</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.isUpstream"></a>

- *Type:* typing.Union[bool, cdktf.IResolvable]

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

###### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.primaryTagName"></a>

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

###### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.primaryTagValue"></a>

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `put_apm_resource_stats_query` <a name="put_apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery"></a>

```python
def put_apm_resource_stats_query(
  data_source: str,
  env: str,
  name: str,
  service: str,
  stat: str,
  group_by: typing.List[str] = None,
  operation_name: str = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None,
  resource_name: str = None
) -> None
```

###### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.dataSource"></a>

- *Type:* str

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

###### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.env"></a>

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

###### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.name"></a>

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

###### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.service"></a>

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

###### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.stat"></a>

- *Type:* str

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

###### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.groupBy"></a>

- *Type:* typing.List[str]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

###### `operation_name`<sup>Optional</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.operationName"></a>

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

###### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.primaryTagName"></a>

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

###### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.primaryTagValue"></a>

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

###### `resource_name`<sup>Optional</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.resourceName"></a>

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `put_event_query` <a name="put_event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery"></a>

```python
def put_event_query(
  compute: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute]],
  data_source: str,
  name: str,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy]] = None,
  indexes: typing.List[str] = None,
  search: DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch = None,
  storage: str = None
) -> None
```

###### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery.parameter.compute"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>]]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

###### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery.parameter.dataSource"></a>

- *Type:* str

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

###### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery.parameter.name"></a>

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

###### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery.parameter.groupBy"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

###### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery.parameter.indexes"></a>

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

###### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery.parameter.search"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

###### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery.parameter.storage"></a>

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

##### `put_metric_query` <a name="put_metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putMetricQuery"></a>

```python
def put_metric_query(
  name: str,
  query: str,
  aggregator: str = None,
  data_source: str = None
) -> None
```

###### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putMetricQuery.parameter.name"></a>

- *Type:* str

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

###### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putMetricQuery.parameter.query"></a>

- *Type:* str

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

###### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putMetricQuery.parameter.aggregator"></a>

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

###### `data_source`<sup>Optional</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putMetricQuery.parameter.dataSource"></a>

- *Type:* str

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `put_process_query` <a name="put_process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery"></a>

```python
def put_process_query(
  data_source: str,
  metric: str,
  name: str,
  aggregator: str = None,
  is_normalized_cpu: typing.Union[bool, IResolvable] = None,
  limit: typing.Union[int, float] = None,
  sort: str = None,
  tag_filters: typing.List[str] = None,
  text_filter: str = None
) -> None
```

###### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery.parameter.dataSource"></a>

- *Type:* str

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

###### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery.parameter.metric"></a>

- *Type:* str

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

###### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery.parameter.name"></a>

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

###### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery.parameter.aggregator"></a>

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

###### `is_normalized_cpu`<sup>Optional</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery.parameter.isNormalizedCpu"></a>

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

###### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery.parameter.limit"></a>

- *Type:* typing.Union[int, float]

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

###### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery.parameter.sort"></a>

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

###### `tag_filters`<sup>Optional</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery.parameter.tagFilters"></a>

- *Type:* typing.List[str]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

###### `text_filter`<sup>Optional</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery.parameter.textFilter"></a>

- *Type:* str

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

##### `reset_apm_dependency_stats_query` <a name="reset_apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetApmDependencyStatsQuery"></a>

```python
def reset_apm_dependency_stats_query() -> None
```

##### `reset_apm_resource_stats_query` <a name="reset_apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetApmResourceStatsQuery"></a>

```python
def reset_apm_resource_stats_query() -> None
```

##### `reset_event_query` <a name="reset_event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetEventQuery"></a>

```python
def reset_event_query() -> None
```

##### `reset_metric_query` <a name="reset_metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetMetricQuery"></a>

```python
def reset_metric_query() -> None
```

##### `reset_process_query` <a name="reset_process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetProcessQuery"></a>

```python
def reset_process_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmDependencyStatsQuery">apm_dependency_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmResourceStatsQuery">apm_resource_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.eventQuery">event_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.metricQuery">metric_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmDependencyStatsQueryInput">apm_dependency_stats_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmResourceStatsQueryInput">apm_resource_stats_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.eventQueryInput">event_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.metricQueryInput">metric_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.processQueryInput">process_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `apm_dependency_stats_query`<sup>Required</sup> <a name="apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmDependencyStatsQuery"></a>

```python
apm_dependency_stats_query: DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference</a>

---

##### `apm_resource_stats_query`<sup>Required</sup> <a name="apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmResourceStatsQuery"></a>

```python
apm_resource_stats_query: DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference</a>

---

##### `event_query`<sup>Required</sup> <a name="event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.eventQuery"></a>

```python
event_query: DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference</a>

---

##### `metric_query`<sup>Required</sup> <a name="metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.metricQuery"></a>

```python
metric_query: DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference</a>

---

##### `process_query`<sup>Required</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.processQuery"></a>

```python
process_query: DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference</a>

---

##### `apm_dependency_stats_query_input`<sup>Optional</sup> <a name="apm_dependency_stats_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmDependencyStatsQueryInput"></a>

```python
apm_dependency_stats_query_input: DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

---

##### `apm_resource_stats_query_input`<sup>Optional</sup> <a name="apm_resource_stats_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmResourceStatsQueryInput"></a>

```python
apm_resource_stats_query_input: DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

---

##### `event_query_input`<sup>Optional</sup> <a name="event_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.eventQueryInput"></a>

```python
event_query_input: DashboardWidgetChangeDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a>

---

##### `metric_query_input`<sup>Optional</sup> <a name="metric_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.metricQueryInput"></a>

```python
metric_query_input: DashboardWidgetChangeDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a>

---

##### `process_query_input`<sup>Optional</sup> <a name="process_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.processQueryInput"></a>

```python
process_query_input: DashboardWidgetChangeDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a>

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetChangeDefinitionRequestQuery, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>, cdktf.IResolvable]

---


### DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetAggregator">reset_aggregator</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetIsNormalizedCpu">reset_is_normalized_cpu</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetLimit">reset_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetSort">reset_sort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetTagFilters">reset_tag_filters</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetTextFilter">reset_text_filter</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_aggregator` <a name="reset_aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetAggregator"></a>

```python
def reset_aggregator() -> None
```

##### `reset_is_normalized_cpu` <a name="reset_is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetIsNormalizedCpu"></a>

```python
def reset_is_normalized_cpu() -> None
```

##### `reset_limit` <a name="reset_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetLimit"></a>

```python
def reset_limit() -> None
```

##### `reset_sort` <a name="reset_sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetSort"></a>

```python
def reset_sort() -> None
```

##### `reset_tag_filters` <a name="reset_tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetTagFilters"></a>

```python
def reset_tag_filters() -> None
```

##### `reset_text_filter` <a name="reset_text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetTextFilter"></a>

```python
def reset_text_filter() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.aggregatorInput">aggregator_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.dataSourceInput">data_source_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpuInput">is_normalized_cpu_input</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.limitInput">limit_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.metricInput">metric_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.nameInput">name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.sortInput">sort_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.tagFiltersInput">tag_filters_input</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.textFilterInput">text_filter_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.aggregator">aggregator</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.dataSource">data_source</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpu">is_normalized_cpu</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.metric">metric</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.name">name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.sort">sort</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.tagFilters">tag_filters</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.textFilter">text_filter</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregator_input`<sup>Optional</sup> <a name="aggregator_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.aggregatorInput"></a>

```python
aggregator_input: str
```

- *Type:* str

---

##### `data_source_input`<sup>Optional</sup> <a name="data_source_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.dataSourceInput"></a>

```python
data_source_input: str
```

- *Type:* str

---

##### `is_normalized_cpu_input`<sup>Optional</sup> <a name="is_normalized_cpu_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpuInput"></a>

```python
is_normalized_cpu_input: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `limit_input`<sup>Optional</sup> <a name="limit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.limitInput"></a>

```python
limit_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `metric_input`<sup>Optional</sup> <a name="metric_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.metricInput"></a>

```python
metric_input: str
```

- *Type:* str

---

##### `name_input`<sup>Optional</sup> <a name="name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.nameInput"></a>

```python
name_input: str
```

- *Type:* str

---

##### `sort_input`<sup>Optional</sup> <a name="sort_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.sortInput"></a>

```python
sort_input: str
```

- *Type:* str

---

##### `tag_filters_input`<sup>Optional</sup> <a name="tag_filters_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.tagFiltersInput"></a>

```python
tag_filters_input: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `text_filter_input`<sup>Optional</sup> <a name="text_filter_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.textFilterInput"></a>

```python
text_filter_input: str
```

- *Type:* str

---

##### `aggregator`<sup>Required</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

---

##### `is_normalized_cpu`<sup>Required</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpu"></a>

```python
is_normalized_cpu: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.metric"></a>

```python
metric: str
```

- *Type:* str

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.name"></a>

```python
name: str
```

- *Type:* str

---

##### `sort`<sup>Required</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.sort"></a>

```python
sort: str
```

- *Type:* str

---

##### `tag_filters`<sup>Required</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.tagFilters"></a>

```python
tag_filters: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `text_filter`<sup>Required</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.textFilter"></a>

```python
text_filter: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a>

---


### DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

---


### DashboardWidgetChangeDefinitionRequestRumQueryGroupByList <a name="DashboardWidgetChangeDefinitionRequestRumQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>]]

---


### DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference <a name="DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.putSortQuery">put_sort_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetLimit">reset_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery">reset_sort_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_sort_query` <a name="put_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.putSortQuery"></a>

```python
def put_sort_query(
  aggregation: str,
  order: str,
  facet: str = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.putSortQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.putSortQuery.parameter.order"></a>

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.putSortQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_limit` <a name="reset_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetLimit"></a>

```python
def reset_limit() -> None
```

##### `reset_sort_query` <a name="reset_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery"></a>

```python
def reset_sort_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.limitInput">limit_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput">sort_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `sort_query`<sup>Required</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery"></a>

```python
sort_query: DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference</a>

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `limit_input`<sup>Optional</sup> <a name="limit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.limitInput"></a>

```python
limit_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `sort_query_input`<sup>Optional</sup> <a name="sort_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput"></a>

```python
sort_query_input: DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetChangeDefinitionRequestRumQueryGroupBy, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>, cdktf.IResolvable]

---


### DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput">order_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `order_input`<sup>Optional</sup> <a name="order_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```python
order_input: str
```

- *Type:* str

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order"></a>

```python
order: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

---


### DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList <a name="DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>]]

---


### DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference <a name="DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>, cdktf.IResolvable]

---


### DashboardWidgetChangeDefinitionRequestRumQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestRumQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putComputeQuery">put_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putGroupBy">put_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putMultiCompute">put_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetComputeQuery">reset_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetGroupBy">reset_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetMultiCompute">reset_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetSearchQuery">reset_search_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_compute_query` <a name="put_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putComputeQuery"></a>

```python
def put_compute_query(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putComputeQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putComputeQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

###### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putComputeQuery.parameter.interval"></a>

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `put_group_by` <a name="put_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putGroupBy"></a>

```python
def put_group_by(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestRumQueryGroupBy]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>]]

---

##### `put_multi_compute` <a name="put_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putMultiCompute"></a>

```python
def put_multi_compute(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>]]

---

##### `reset_compute_query` <a name="reset_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetComputeQuery"></a>

```python
def reset_compute_query() -> None
```

##### `reset_group_by` <a name="reset_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetGroupBy"></a>

```python
def reset_group_by() -> None
```

##### `reset_multi_compute` <a name="reset_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetMultiCompute"></a>

```python
def reset_multi_compute() -> None
```

##### `reset_search_query` <a name="reset_search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetSearchQuery"></a>

```python
def reset_search_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.groupBy">group_by</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList">DashboardWidgetChangeDefinitionRequestRumQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.multiCompute">multi_compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.computeQueryInput">compute_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.groupByInput">group_by_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.indexInput">index_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.multiComputeInput">multi_compute_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.searchQueryInput">search_query_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.index">index</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.searchQuery">search_query</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `compute_query`<sup>Required</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.computeQuery"></a>

```python
compute_query: DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference</a>

---

##### `group_by`<sup>Required</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.groupBy"></a>

```python
group_by: DashboardWidgetChangeDefinitionRequestRumQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList">DashboardWidgetChangeDefinitionRequestRumQueryGroupByList</a>

---

##### `multi_compute`<sup>Required</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.multiCompute"></a>

```python
multi_compute: DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList</a>

---

##### `compute_query_input`<sup>Optional</sup> <a name="compute_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.computeQueryInput"></a>

```python
compute_query_input: DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

---

##### `group_by_input`<sup>Optional</sup> <a name="group_by_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.groupByInput"></a>

```python
group_by_input: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>]]

---

##### `index_input`<sup>Optional</sup> <a name="index_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.indexInput"></a>

```python
index_input: str
```

- *Type:* str

---

##### `multi_compute_input`<sup>Optional</sup> <a name="multi_compute_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.multiComputeInput"></a>

```python
multi_compute_input: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>]]

---

##### `search_query_input`<sup>Optional</sup> <a name="search_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.searchQueryInput"></a>

```python
search_query_input: str
```

- *Type:* str

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.index"></a>

```python
index: str
```

- *Type:* str

---

##### `search_query`<sup>Required</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a>

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>]]

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery">put_sort_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetLimit">reset_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetSortQuery">reset_sort_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_sort_query` <a name="put_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery"></a>

```python
def put_sort_query(
  aggregation: str,
  order: str,
  facet: str = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery.parameter.order"></a>

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_limit` <a name="reset_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetLimit"></a>

```python
def reset_limit() -> None
```

##### `reset_sort_query` <a name="reset_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetSortQuery"></a>

```python
def reset_sort_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.limitInput">limit_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQueryInput">sort_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `sort_query`<sup>Required</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQuery"></a>

```python
sort_query: DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference</a>

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `limit_input`<sup>Optional</sup> <a name="limit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.limitInput"></a>

```python
limit_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `sort_query_input`<sup>Optional</sup> <a name="sort_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQueryInput"></a>

```python
sort_query_input: DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>, cdktf.IResolvable]

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.orderInput">order_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `order_input`<sup>Optional</sup> <a name="order_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```python
order_input: str
```

- *Type:* str

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.order"></a>

```python
order: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>]]

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>, cdktf.IResolvable]

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putComputeQuery">put_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putGroupBy">put_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putMultiCompute">put_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetComputeQuery">reset_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetGroupBy">reset_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetMultiCompute">reset_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetSearchQuery">reset_search_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_compute_query` <a name="put_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putComputeQuery"></a>

```python
def put_compute_query(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putComputeQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putComputeQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

###### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putComputeQuery.parameter.interval"></a>

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `put_group_by` <a name="put_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putGroupBy"></a>

```python
def put_group_by(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>]]

---

##### `put_multi_compute` <a name="put_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putMultiCompute"></a>

```python
def put_multi_compute(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>]]

---

##### `reset_compute_query` <a name="reset_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetComputeQuery"></a>

```python
def reset_compute_query() -> None
```

##### `reset_group_by` <a name="reset_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetGroupBy"></a>

```python
def reset_group_by() -> None
```

##### `reset_multi_compute` <a name="reset_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetMultiCompute"></a>

```python
def reset_multi_compute() -> None
```

##### `reset_search_query` <a name="reset_search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetSearchQuery"></a>

```python
def reset_search_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.groupBy">group_by</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.multiCompute">multi_compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.computeQueryInput">compute_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.groupByInput">group_by_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.indexInput">index_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.multiComputeInput">multi_compute_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.searchQueryInput">search_query_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.index">index</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.searchQuery">search_query</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `compute_query`<sup>Required</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.computeQuery"></a>

```python
compute_query: DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference</a>

---

##### `group_by`<sup>Required</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.groupBy"></a>

```python
group_by: DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList</a>

---

##### `multi_compute`<sup>Required</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.multiCompute"></a>

```python
multi_compute: DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList</a>

---

##### `compute_query_input`<sup>Optional</sup> <a name="compute_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.computeQueryInput"></a>

```python
compute_query_input: DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

---

##### `group_by_input`<sup>Optional</sup> <a name="group_by_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.groupByInput"></a>

```python
group_by_input: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>]]

---

##### `index_input`<sup>Optional</sup> <a name="index_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.indexInput"></a>

```python
index_input: str
```

- *Type:* str

---

##### `multi_compute_input`<sup>Optional</sup> <a name="multi_compute_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.multiComputeInput"></a>

```python
multi_compute_input: typing.Union[IResolvable, typing.List[DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>]]

---

##### `search_query_input`<sup>Optional</sup> <a name="search_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.searchQueryInput"></a>

```python
search_query_input: str
```

- *Type:* str

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.index"></a>

```python
index: str
```

- *Type:* str

---

##### `search_query`<sup>Required</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetChangeDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a>

---


### DashboardWidgetCheckStatusDefinitionOutputReference <a name="DashboardWidgetCheckStatusDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetCheckStatusDefinitionOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetGroup">reset_group</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetGroupBy">reset_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetLiveSpan">reset_live_span</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTags">reset_tags</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitle">reset_title</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitleAlign">reset_title_align</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitleSize">reset_title_size</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_group` <a name="reset_group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetGroup"></a>

```python
def reset_group() -> None
```

##### `reset_group_by` <a name="reset_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetGroupBy"></a>

```python
def reset_group_by() -> None
```

##### `reset_live_span` <a name="reset_live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetLiveSpan"></a>

```python
def reset_live_span() -> None
```

##### `reset_tags` <a name="reset_tags" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTags"></a>

```python
def reset_tags() -> None
```

##### `reset_title` <a name="reset_title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitle"></a>

```python
def reset_title() -> None
```

##### `reset_title_align` <a name="reset_title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitleAlign"></a>

```python
def reset_title_align() -> None
```

##### `reset_title_size` <a name="reset_title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitleSize"></a>

```python
def reset_title_size() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.checkInput">check_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupByInput">group_by_input</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupingInput">grouping_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupInput">group_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.liveSpanInput">live_span_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.tagsInput">tags_input</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleAlignInput">title_align_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleInput">title_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleSizeInput">title_size_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.check">check</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.group">group</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.grouping">grouping</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.liveSpan">live_span</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.tags">tags</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.title">title</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleAlign">title_align</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleSize">title_size</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition">DashboardWidgetCheckStatusDefinition</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `check_input`<sup>Optional</sup> <a name="check_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.checkInput"></a>

```python
check_input: str
```

- *Type:* str

---

##### `group_by_input`<sup>Optional</sup> <a name="group_by_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupByInput"></a>

```python
group_by_input: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `grouping_input`<sup>Optional</sup> <a name="grouping_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupingInput"></a>

```python
grouping_input: str
```

- *Type:* str

---

##### `group_input`<sup>Optional</sup> <a name="group_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupInput"></a>

```python
group_input: str
```

- *Type:* str

---

##### `live_span_input`<sup>Optional</sup> <a name="live_span_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.liveSpanInput"></a>

```python
live_span_input: str
```

- *Type:* str

---

##### `tags_input`<sup>Optional</sup> <a name="tags_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.tagsInput"></a>

```python
tags_input: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `title_align_input`<sup>Optional</sup> <a name="title_align_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleAlignInput"></a>

```python
title_align_input: str
```

- *Type:* str

---

##### `title_input`<sup>Optional</sup> <a name="title_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleInput"></a>

```python
title_input: str
```

- *Type:* str

---

##### `title_size_input`<sup>Optional</sup> <a name="title_size_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleSizeInput"></a>

```python
title_size_input: str
```

- *Type:* str

---

##### `check`<sup>Required</sup> <a name="check" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.check"></a>

```python
check: str
```

- *Type:* str

---

##### `group`<sup>Required</sup> <a name="group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.group"></a>

```python
group: str
```

- *Type:* str

---

##### `group_by`<sup>Required</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `grouping`<sup>Required</sup> <a name="grouping" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.grouping"></a>

```python
grouping: str
```

- *Type:* str

---

##### `live_span`<sup>Required</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

---

##### `tags`<sup>Required</sup> <a name="tags" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.tags"></a>

```python
tags: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.title"></a>

```python
title: str
```

- *Type:* str

---

##### `title_align`<sup>Required</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

---

##### `title_size`<sup>Required</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetCheckStatusDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition">DashboardWidgetCheckStatusDefinition</a>

---


### DashboardWidgetDistributionDefinitionOutputReference <a name="DashboardWidgetDistributionDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.putRequest">put_request</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetLegendSize">reset_legend_size</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetLiveSpan">reset_live_span</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetRequest">reset_request</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetShowLegend">reset_show_legend</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitle">reset_title</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitleAlign">reset_title_align</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitleSize">reset_title_size</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_request` <a name="put_request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.putRequest"></a>

```python
def put_request(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequest]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.putRequest.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>]]

---

##### `reset_legend_size` <a name="reset_legend_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetLegendSize"></a>

```python
def reset_legend_size() -> None
```

##### `reset_live_span` <a name="reset_live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetLiveSpan"></a>

```python
def reset_live_span() -> None
```

##### `reset_request` <a name="reset_request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetRequest"></a>

```python
def reset_request() -> None
```

##### `reset_show_legend` <a name="reset_show_legend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetShowLegend"></a>

```python
def reset_show_legend() -> None
```

##### `reset_title` <a name="reset_title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitle"></a>

```python
def reset_title() -> None
```

##### `reset_title_align` <a name="reset_title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitleAlign"></a>

```python
def reset_title_align() -> None
```

##### `reset_title_size` <a name="reset_title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitleSize"></a>

```python
def reset_title_size() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList">DashboardWidgetDistributionDefinitionRequestList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.legendSizeInput">legend_size_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.liveSpanInput">live_span_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.requestInput">request_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.showLegendInput">show_legend_input</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleAlignInput">title_align_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleInput">title_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleSizeInput">title_size_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.legendSize">legend_size</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.liveSpan">live_span</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.showLegend">show_legend</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.title">title</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleAlign">title_align</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleSize">title_size</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition">DashboardWidgetDistributionDefinition</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.request"></a>

```python
request: DashboardWidgetDistributionDefinitionRequestList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList">DashboardWidgetDistributionDefinitionRequestList</a>

---

##### `legend_size_input`<sup>Optional</sup> <a name="legend_size_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.legendSizeInput"></a>

```python
legend_size_input: str
```

- *Type:* str

---

##### `live_span_input`<sup>Optional</sup> <a name="live_span_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.liveSpanInput"></a>

```python
live_span_input: str
```

- *Type:* str

---

##### `request_input`<sup>Optional</sup> <a name="request_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.requestInput"></a>

```python
request_input: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>]]

---

##### `show_legend_input`<sup>Optional</sup> <a name="show_legend_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.showLegendInput"></a>

```python
show_legend_input: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `title_align_input`<sup>Optional</sup> <a name="title_align_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleAlignInput"></a>

```python
title_align_input: str
```

- *Type:* str

---

##### `title_input`<sup>Optional</sup> <a name="title_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleInput"></a>

```python
title_input: str
```

- *Type:* str

---

##### `title_size_input`<sup>Optional</sup> <a name="title_size_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleSizeInput"></a>

```python
title_size_input: str
```

- *Type:* str

---

##### `legend_size`<sup>Required</sup> <a name="legend_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.legendSize"></a>

```python
legend_size: str
```

- *Type:* str

---

##### `live_span`<sup>Required</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

---

##### `show_legend`<sup>Required</sup> <a name="show_legend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.showLegend"></a>

```python
show_legend: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.title"></a>

```python
title: str
```

- *Type:* str

---

##### `title_align`<sup>Required</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

---

##### `title_size`<sup>Required</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetDistributionDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition">DashboardWidgetDistributionDefinition</a>

---


### DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList <a name="DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>]]

---


### DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.putSortQuery">put_sort_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetLimit">reset_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery">reset_sort_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_sort_query` <a name="put_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.putSortQuery"></a>

```python
def put_sort_query(
  aggregation: str,
  order: str,
  facet: str = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.putSortQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.putSortQuery.parameter.order"></a>

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.putSortQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_limit` <a name="reset_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetLimit"></a>

```python
def reset_limit() -> None
```

##### `reset_sort_query` <a name="reset_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery"></a>

```python
def reset_sort_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.limitInput">limit_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput">sort_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `sort_query`<sup>Required</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery"></a>

```python
sort_query: DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference</a>

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `limit_input`<sup>Optional</sup> <a name="limit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.limitInput"></a>

```python
limit_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `sort_query_input`<sup>Optional</sup> <a name="sort_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput"></a>

```python
sort_query_input: DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>, cdktf.IResolvable]

---


### DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput">order_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `order_input`<sup>Optional</sup> <a name="order_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```python
order_input: str
```

- *Type:* str

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order"></a>

```python
order: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList <a name="DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>]]

---


### DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>, cdktf.IResolvable]

---


### DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putComputeQuery">put_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putGroupBy">put_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putMultiCompute">put_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetComputeQuery">reset_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetGroupBy">reset_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetMultiCompute">reset_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetSearchQuery">reset_search_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_compute_query` <a name="put_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putComputeQuery"></a>

```python
def put_compute_query(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putComputeQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putComputeQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

###### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putComputeQuery.parameter.interval"></a>

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `put_group_by` <a name="put_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putGroupBy"></a>

```python
def put_group_by(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>]]

---

##### `put_multi_compute` <a name="put_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putMultiCompute"></a>

```python
def put_multi_compute(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>]]

---

##### `reset_compute_query` <a name="reset_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetComputeQuery"></a>

```python
def reset_compute_query() -> None
```

##### `reset_group_by` <a name="reset_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetGroupBy"></a>

```python
def reset_group_by() -> None
```

##### `reset_multi_compute` <a name="reset_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetMultiCompute"></a>

```python
def reset_multi_compute() -> None
```

##### `reset_search_query` <a name="reset_search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetSearchQuery"></a>

```python
def reset_search_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.groupBy">group_by</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList">DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.multiCompute">multi_compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.computeQueryInput">compute_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.groupByInput">group_by_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.indexInput">index_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.multiComputeInput">multi_compute_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.searchQueryInput">search_query_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.index">index</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.searchQuery">search_query</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `compute_query`<sup>Required</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.computeQuery"></a>

```python
compute_query: DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference</a>

---

##### `group_by`<sup>Required</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.groupBy"></a>

```python
group_by: DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList">DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList</a>

---

##### `multi_compute`<sup>Required</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.multiCompute"></a>

```python
multi_compute: DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList</a>

---

##### `compute_query_input`<sup>Optional</sup> <a name="compute_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.computeQueryInput"></a>

```python
compute_query_input: DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a>

---

##### `group_by_input`<sup>Optional</sup> <a name="group_by_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.groupByInput"></a>

```python
group_by_input: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>]]

---

##### `index_input`<sup>Optional</sup> <a name="index_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.indexInput"></a>

```python
index_input: str
```

- *Type:* str

---

##### `multi_compute_input`<sup>Optional</sup> <a name="multi_compute_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.multiComputeInput"></a>

```python
multi_compute_input: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>]]

---

##### `search_query_input`<sup>Optional</sup> <a name="search_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.searchQueryInput"></a>

```python
search_query_input: str
```

- *Type:* str

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.index"></a>

```python
index: str
```

- *Type:* str

---

##### `search_query`<sup>Required</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetDistributionDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList <a name="DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>]]

---


### DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetAlias">reset_alias</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetCellDisplayMode">reset_cell_display_mode</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetOrder">reset_order</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_alias` <a name="reset_alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetAlias"></a>

```python
def reset_alias() -> None
```

##### `reset_cell_display_mode` <a name="reset_cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetCellDisplayMode"></a>

```python
def reset_cell_display_mode() -> None
```

##### `reset_order` <a name="reset_order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetOrder"></a>

```python
def reset_order() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.aliasInput">alias_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.cellDisplayModeInput">cell_display_mode_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.nameInput">name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.orderInput">order_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.alias">alias</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.name">name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.order">order</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `alias_input`<sup>Optional</sup> <a name="alias_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.aliasInput"></a>

```python
alias_input: str
```

- *Type:* str

---

##### `cell_display_mode_input`<sup>Optional</sup> <a name="cell_display_mode_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.cellDisplayModeInput"></a>

```python
cell_display_mode_input: str
```

- *Type:* str

---

##### `name_input`<sup>Optional</sup> <a name="name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.nameInput"></a>

```python
name_input: str
```

- *Type:* str

---

##### `order_input`<sup>Optional</sup> <a name="order_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.orderInput"></a>

```python
order_input: str
```

- *Type:* str

---

##### `alias`<sup>Required</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.alias"></a>

```python
alias: str
```

- *Type:* str

---

##### `cell_display_mode`<sup>Required</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.name"></a>

```python
name: str
```

- *Type:* str

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.order"></a>

```python
order: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>, cdktf.IResolvable]

---


### DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.putColumns">put_columns</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resetColumns">reset_columns</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resetResource">reset_resource</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_columns` <a name="put_columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.putColumns"></a>

```python
def put_columns(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.putColumns.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>]]

---

##### `reset_columns` <a name="reset_columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resetColumns"></a>

```python
def reset_columns() -> None
```

##### `reset_resource` <a name="reset_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resetResource"></a>

```python
def reset_resource() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.columns">columns</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.columnsInput">columns_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.envInput">env_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.nameInput">name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.primaryTagInput">primary_tag_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.resourceInput">resource_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.rowTypeInput">row_type_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.serviceInput">service_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.env">env</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.name">name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.primaryTag">primary_tag</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.resource">resource</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.rowType">row_type</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.service">service</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `columns`<sup>Required</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.columns"></a>

```python
columns: DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList</a>

---

##### `columns_input`<sup>Optional</sup> <a name="columns_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.columnsInput"></a>

```python
columns_input: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>]]

---

##### `env_input`<sup>Optional</sup> <a name="env_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.envInput"></a>

```python
env_input: str
```

- *Type:* str

---

##### `name_input`<sup>Optional</sup> <a name="name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.nameInput"></a>

```python
name_input: str
```

- *Type:* str

---

##### `primary_tag_input`<sup>Optional</sup> <a name="primary_tag_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.primaryTagInput"></a>

```python
primary_tag_input: str
```

- *Type:* str

---

##### `resource_input`<sup>Optional</sup> <a name="resource_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.resourceInput"></a>

```python
resource_input: str
```

- *Type:* str

---

##### `row_type_input`<sup>Optional</sup> <a name="row_type_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.rowTypeInput"></a>

```python
row_type_input: str
```

- *Type:* str

---

##### `service_input`<sup>Optional</sup> <a name="service_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.serviceInput"></a>

```python
service_input: str
```

- *Type:* str

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.env"></a>

```python
env: str
```

- *Type:* str

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.name"></a>

```python
name: str
```

- *Type:* str

---

##### `primary_tag`<sup>Required</sup> <a name="primary_tag" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.primaryTag"></a>

```python
primary_tag: str
```

- *Type:* str

---

##### `resource`<sup>Required</sup> <a name="resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.resource"></a>

```python
resource: str
```

- *Type:* str

---

##### `row_type`<sup>Required</sup> <a name="row_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.rowType"></a>

```python
row_type: str
```

- *Type:* str

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.service"></a>

```python
service: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetDistributionDefinitionRequestApmStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestList <a name="DashboardWidgetDistributionDefinitionRequestList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetDistributionDefinitionRequestOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>]]

---


### DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList <a name="DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>]]

---


### DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference <a name="DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.putSortQuery">put_sort_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetLimit">reset_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery">reset_sort_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_sort_query` <a name="put_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.putSortQuery"></a>

```python
def put_sort_query(
  aggregation: str,
  order: str,
  facet: str = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.order"></a>

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_limit` <a name="reset_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetLimit"></a>

```python
def reset_limit() -> None
```

##### `reset_sort_query` <a name="reset_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery"></a>

```python
def reset_sort_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.limitInput">limit_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput">sort_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `sort_query`<sup>Required</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery"></a>

```python
sort_query: DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference</a>

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `limit_input`<sup>Optional</sup> <a name="limit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.limitInput"></a>

```python
limit_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `sort_query_input`<sup>Optional</sup> <a name="sort_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput"></a>

```python
sort_query_input: DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>, cdktf.IResolvable]

---


### DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput">order_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `order_input`<sup>Optional</sup> <a name="order_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```python
order_input: str
```

- *Type:* str

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order"></a>

```python
order: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList <a name="DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>]]

---


### DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference <a name="DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>, cdktf.IResolvable]

---


### DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putComputeQuery">put_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putGroupBy">put_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putMultiCompute">put_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetComputeQuery">reset_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetGroupBy">reset_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetMultiCompute">reset_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetSearchQuery">reset_search_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_compute_query` <a name="put_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putComputeQuery"></a>

```python
def put_compute_query(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putComputeQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putComputeQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

###### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putComputeQuery.parameter.interval"></a>

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `put_group_by` <a name="put_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putGroupBy"></a>

```python
def put_group_by(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>]]

---

##### `put_multi_compute` <a name="put_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putMultiCompute"></a>

```python
def put_multi_compute(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>]]

---

##### `reset_compute_query` <a name="reset_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetComputeQuery"></a>

```python
def reset_compute_query() -> None
```

##### `reset_group_by` <a name="reset_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetGroupBy"></a>

```python
def reset_group_by() -> None
```

##### `reset_multi_compute` <a name="reset_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetMultiCompute"></a>

```python
def reset_multi_compute() -> None
```

##### `reset_search_query` <a name="reset_search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetSearchQuery"></a>

```python
def reset_search_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.groupBy">group_by</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList">DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.multiCompute">multi_compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.computeQueryInput">compute_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.groupByInput">group_by_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.indexInput">index_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.multiComputeInput">multi_compute_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.searchQueryInput">search_query_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.index">index</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.searchQuery">search_query</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `compute_query`<sup>Required</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.computeQuery"></a>

```python
compute_query: DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference</a>

---

##### `group_by`<sup>Required</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.groupBy"></a>

```python
group_by: DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList">DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList</a>

---

##### `multi_compute`<sup>Required</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.multiCompute"></a>

```python
multi_compute: DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList</a>

---

##### `compute_query_input`<sup>Optional</sup> <a name="compute_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.computeQueryInput"></a>

```python
compute_query_input: DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a>

---

##### `group_by_input`<sup>Optional</sup> <a name="group_by_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.groupByInput"></a>

```python
group_by_input: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>]]

---

##### `index_input`<sup>Optional</sup> <a name="index_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.indexInput"></a>

```python
index_input: str
```

- *Type:* str

---

##### `multi_compute_input`<sup>Optional</sup> <a name="multi_compute_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.multiComputeInput"></a>

```python
multi_compute_input: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>]]

---

##### `search_query_input`<sup>Optional</sup> <a name="search_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.searchQueryInput"></a>

```python
search_query_input: str
```

- *Type:* str

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.index"></a>

```python
index: str
```

- *Type:* str

---

##### `search_query`<sup>Required</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetDistributionDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestOutputReference <a name="DashboardWidgetDistributionDefinitionRequestOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmQuery">put_apm_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmStatsQuery">put_apm_stats_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putLogQuery">put_log_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putProcessQuery">put_process_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putRumQuery">put_rum_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putSecurityQuery">put_security_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putStyle">put_style</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetApmQuery">reset_apm_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetApmStatsQuery">reset_apm_stats_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetLogQuery">reset_log_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetProcessQuery">reset_process_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetQ">reset_q</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetRumQuery">reset_rum_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetSecurityQuery">reset_security_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetStyle">reset_style</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_apm_query` <a name="put_apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmQuery"></a>

```python
def put_apm_query(
  index: str,
  compute_query: DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute]] = None,
  search_query: str = None
) -> None
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmQuery.parameter.index"></a>

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

###### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmQuery.parameter.computeQuery"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

###### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmQuery.parameter.groupBy"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

###### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmQuery.parameter.multiCompute"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

###### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmQuery.parameter.searchQuery"></a>

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

##### `put_apm_stats_query` <a name="put_apm_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmStatsQuery"></a>

```python
def put_apm_stats_query(
  env: str,
  name: str,
  primary_tag: str,
  row_type: str,
  service: str,
  columns: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns]] = None,
  resource: str = None
) -> None
```

###### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmStatsQuery.parameter.env"></a>

- *Type:* str

The environment name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

###### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmStatsQuery.parameter.name"></a>

- *Type:* str

The operation name associated with the service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

###### `primary_tag`<sup>Required</sup> <a name="primary_tag" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmStatsQuery.parameter.primaryTag"></a>

- *Type:* str

The organization's host group name and value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag Dashboard#primary_tag}

---

###### `row_type`<sup>Required</sup> <a name="row_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmStatsQuery.parameter.rowType"></a>

- *Type:* str

The level of detail for the request. Valid values are `service`, `resource`, `span`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#row_type Dashboard#row_type}

---

###### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmStatsQuery.parameter.service"></a>

- *Type:* str

The service name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

###### `columns`<sup>Optional</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmStatsQuery.parameter.columns"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>]]

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

###### `resource`<sup>Optional</sup> <a name="resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmStatsQuery.parameter.resource"></a>

- *Type:* str

The resource name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource Dashboard#resource}

---

##### `put_log_query` <a name="put_log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putLogQuery"></a>

```python
def put_log_query(
  index: str,
  compute_query: DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute]] = None,
  search_query: str = None
) -> None
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putLogQuery.parameter.index"></a>

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

###### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putLogQuery.parameter.computeQuery"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

###### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putLogQuery.parameter.groupBy"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

###### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putLogQuery.parameter.multiCompute"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

###### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putLogQuery.parameter.searchQuery"></a>

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

##### `put_process_query` <a name="put_process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putProcessQuery"></a>

```python
def put_process_query(
  metric: str,
  filter_by: typing.List[str] = None,
  limit: typing.Union[int, float] = None,
  search_by: str = None
) -> None
```

###### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putProcessQuery.parameter.metric"></a>

- *Type:* str

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

###### `filter_by`<sup>Optional</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putProcessQuery.parameter.filterBy"></a>

- *Type:* typing.List[str]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

###### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putProcessQuery.parameter.limit"></a>

- *Type:* typing.Union[int, float]

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

###### `search_by`<sup>Optional</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putProcessQuery.parameter.searchBy"></a>

- *Type:* str

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

##### `put_rum_query` <a name="put_rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putRumQuery"></a>

```python
def put_rum_query(
  index: str,
  compute_query: DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute]] = None,
  search_query: str = None
) -> None
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putRumQuery.parameter.index"></a>

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

###### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putRumQuery.parameter.computeQuery"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

###### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putRumQuery.parameter.groupBy"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

###### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putRumQuery.parameter.multiCompute"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

###### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putRumQuery.parameter.searchQuery"></a>

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

##### `put_security_query` <a name="put_security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putSecurityQuery"></a>

```python
def put_security_query(
  index: str,
  compute_query: DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute]] = None,
  search_query: str = None
) -> None
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putSecurityQuery.parameter.index"></a>

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

###### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putSecurityQuery.parameter.computeQuery"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

###### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putSecurityQuery.parameter.groupBy"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

###### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putSecurityQuery.parameter.multiCompute"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

###### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putSecurityQuery.parameter.searchQuery"></a>

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

##### `put_style` <a name="put_style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putStyle"></a>

```python
def put_style(
  palette: str = None
) -> None
```

###### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putStyle.parameter.palette"></a>

- *Type:* str

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `reset_apm_query` <a name="reset_apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetApmQuery"></a>

```python
def reset_apm_query() -> None
```

##### `reset_apm_stats_query` <a name="reset_apm_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetApmStatsQuery"></a>

```python
def reset_apm_stats_query() -> None
```

##### `reset_log_query` <a name="reset_log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetLogQuery"></a>

```python
def reset_log_query() -> None
```

##### `reset_process_query` <a name="reset_process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetProcessQuery"></a>

```python
def reset_process_query() -> None
```

##### `reset_q` <a name="reset_q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetQ"></a>

```python
def reset_q() -> None
```

##### `reset_rum_query` <a name="reset_rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetRumQuery"></a>

```python
def reset_rum_query() -> None
```

##### `reset_security_query` <a name="reset_security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetSecurityQuery"></a>

```python
def reset_security_query() -> None
```

##### `reset_style` <a name="reset_style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetStyle"></a>

```python
def reset_style() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmQuery">apm_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmStatsQuery">apm_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference">DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.securityQuery">security_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference">DashboardWidgetDistributionDefinitionRequestStyleOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmQueryInput">apm_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmStatsQueryInput">apm_stats_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.logQueryInput">log_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.processQueryInput">process_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.qInput">q_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.rumQueryInput">rum_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.securityQueryInput">security_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.styleInput">style_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.q">q</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `apm_query`<sup>Required</sup> <a name="apm_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmQuery"></a>

```python
apm_query: DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference</a>

---

##### `apm_stats_query`<sup>Required</sup> <a name="apm_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmStatsQuery"></a>

```python
apm_stats_query: DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference</a>

---

##### `log_query`<sup>Required</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.logQuery"></a>

```python
log_query: DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference</a>

---

##### `process_query`<sup>Required</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.processQuery"></a>

```python
process_query: DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference">DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference</a>

---

##### `rum_query`<sup>Required</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.rumQuery"></a>

```python
rum_query: DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference</a>

---

##### `security_query`<sup>Required</sup> <a name="security_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.securityQuery"></a>

```python
security_query: DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference</a>

---

##### `style`<sup>Required</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.style"></a>

```python
style: DashboardWidgetDistributionDefinitionRequestStyleOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference">DashboardWidgetDistributionDefinitionRequestStyleOutputReference</a>

---

##### `apm_query_input`<sup>Optional</sup> <a name="apm_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmQueryInput"></a>

```python
apm_query_input: DashboardWidgetDistributionDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a>

---

##### `apm_stats_query_input`<sup>Optional</sup> <a name="apm_stats_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmStatsQueryInput"></a>

```python
apm_stats_query_input: DashboardWidgetDistributionDefinitionRequestApmStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a>

---

##### `log_query_input`<sup>Optional</sup> <a name="log_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.logQueryInput"></a>

```python
log_query_input: DashboardWidgetDistributionDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a>

---

##### `process_query_input`<sup>Optional</sup> <a name="process_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.processQueryInput"></a>

```python
process_query_input: DashboardWidgetDistributionDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a>

---

##### `q_input`<sup>Optional</sup> <a name="q_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.qInput"></a>

```python
q_input: str
```

- *Type:* str

---

##### `rum_query_input`<sup>Optional</sup> <a name="rum_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.rumQueryInput"></a>

```python
rum_query_input: DashboardWidgetDistributionDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a>

---

##### `security_query_input`<sup>Optional</sup> <a name="security_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.securityQueryInput"></a>

```python
security_query_input: DashboardWidgetDistributionDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a>

---

##### `style_input`<sup>Optional</sup> <a name="style_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.styleInput"></a>

```python
style_input: DashboardWidgetDistributionDefinitionRequestStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a>

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.q"></a>

```python
q: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetDistributionDefinitionRequest, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>, cdktf.IResolvable]

---


### DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetFilterBy">reset_filter_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetLimit">reset_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetSearchBy">reset_search_by</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_filter_by` <a name="reset_filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetFilterBy"></a>

```python
def reset_filter_by() -> None
```

##### `reset_limit` <a name="reset_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetLimit"></a>

```python
def reset_limit() -> None
```

##### `reset_search_by` <a name="reset_search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetSearchBy"></a>

```python
def reset_search_by() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.filterByInput">filter_by_input</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.limitInput">limit_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.metricInput">metric_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.searchByInput">search_by_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.filterBy">filter_by</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.metric">metric</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.searchBy">search_by</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `filter_by_input`<sup>Optional</sup> <a name="filter_by_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.filterByInput"></a>

```python
filter_by_input: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `limit_input`<sup>Optional</sup> <a name="limit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.limitInput"></a>

```python
limit_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `metric_input`<sup>Optional</sup> <a name="metric_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.metricInput"></a>

```python
metric_input: str
```

- *Type:* str

---

##### `search_by_input`<sup>Optional</sup> <a name="search_by_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.searchByInput"></a>

```python
search_by_input: str
```

- *Type:* str

---

##### `filter_by`<sup>Required</sup> <a name="filter_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.filterBy"></a>

```python
filter_by: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.metric"></a>

```python
metric: str
```

- *Type:* str

---

##### `search_by`<sup>Required</sup> <a name="search_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.searchBy"></a>

```python
search_by: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetDistributionDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList <a name="DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>]]

---


### DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference <a name="DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.putSortQuery">put_sort_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetLimit">reset_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery">reset_sort_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_sort_query` <a name="put_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.putSortQuery"></a>

```python
def put_sort_query(
  aggregation: str,
  order: str,
  facet: str = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.putSortQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.putSortQuery.parameter.order"></a>

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.putSortQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_limit` <a name="reset_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetLimit"></a>

```python
def reset_limit() -> None
```

##### `reset_sort_query` <a name="reset_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery"></a>

```python
def reset_sort_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.limitInput">limit_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput">sort_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `sort_query`<sup>Required</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery"></a>

```python
sort_query: DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference</a>

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `limit_input`<sup>Optional</sup> <a name="limit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.limitInput"></a>

```python
limit_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `sort_query_input`<sup>Optional</sup> <a name="sort_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput"></a>

```python
sort_query_input: DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>, cdktf.IResolvable]

---


### DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput">order_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `order_input`<sup>Optional</sup> <a name="order_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```python
order_input: str
```

- *Type:* str

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order"></a>

```python
order: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList <a name="DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>]]

---


### DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference <a name="DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>, cdktf.IResolvable]

---


### DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putComputeQuery">put_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putGroupBy">put_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putMultiCompute">put_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetComputeQuery">reset_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetGroupBy">reset_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetMultiCompute">reset_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetSearchQuery">reset_search_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_compute_query` <a name="put_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putComputeQuery"></a>

```python
def put_compute_query(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putComputeQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putComputeQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

###### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putComputeQuery.parameter.interval"></a>

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `put_group_by` <a name="put_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putGroupBy"></a>

```python
def put_group_by(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>]]

---

##### `put_multi_compute` <a name="put_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putMultiCompute"></a>

```python
def put_multi_compute(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>]]

---

##### `reset_compute_query` <a name="reset_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetComputeQuery"></a>

```python
def reset_compute_query() -> None
```

##### `reset_group_by` <a name="reset_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetGroupBy"></a>

```python
def reset_group_by() -> None
```

##### `reset_multi_compute` <a name="reset_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetMultiCompute"></a>

```python
def reset_multi_compute() -> None
```

##### `reset_search_query` <a name="reset_search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetSearchQuery"></a>

```python
def reset_search_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.groupBy">group_by</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList">DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.multiCompute">multi_compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.computeQueryInput">compute_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.groupByInput">group_by_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.indexInput">index_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.multiComputeInput">multi_compute_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.searchQueryInput">search_query_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.index">index</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.searchQuery">search_query</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `compute_query`<sup>Required</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.computeQuery"></a>

```python
compute_query: DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference</a>

---

##### `group_by`<sup>Required</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.groupBy"></a>

```python
group_by: DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList">DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList</a>

---

##### `multi_compute`<sup>Required</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.multiCompute"></a>

```python
multi_compute: DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList</a>

---

##### `compute_query_input`<sup>Optional</sup> <a name="compute_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.computeQueryInput"></a>

```python
compute_query_input: DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a>

---

##### `group_by_input`<sup>Optional</sup> <a name="group_by_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.groupByInput"></a>

```python
group_by_input: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>]]

---

##### `index_input`<sup>Optional</sup> <a name="index_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.indexInput"></a>

```python
index_input: str
```

- *Type:* str

---

##### `multi_compute_input`<sup>Optional</sup> <a name="multi_compute_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.multiComputeInput"></a>

```python
multi_compute_input: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>]]

---

##### `search_query_input`<sup>Optional</sup> <a name="search_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.searchQueryInput"></a>

```python
search_query_input: str
```

- *Type:* str

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.index"></a>

```python
index: str
```

- *Type:* str

---

##### `search_query`<sup>Required</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetDistributionDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>]]

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery">put_sort_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetLimit">reset_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetSortQuery">reset_sort_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_sort_query` <a name="put_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery"></a>

```python
def put_sort_query(
  aggregation: str,
  order: str,
  facet: str = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery.parameter.order"></a>

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_limit` <a name="reset_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetLimit"></a>

```python
def reset_limit() -> None
```

##### `reset_sort_query` <a name="reset_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetSortQuery"></a>

```python
def reset_sort_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.limitInput">limit_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQueryInput">sort_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `sort_query`<sup>Required</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQuery"></a>

```python
sort_query: DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference</a>

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `limit_input`<sup>Optional</sup> <a name="limit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.limitInput"></a>

```python
limit_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `sort_query_input`<sup>Optional</sup> <a name="sort_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQueryInput"></a>

```python
sort_query_input: DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>, cdktf.IResolvable]

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.orderInput">order_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `order_input`<sup>Optional</sup> <a name="order_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```python
order_input: str
```

- *Type:* str

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.order"></a>

```python
order: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>]]

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>, cdktf.IResolvable]

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putComputeQuery">put_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putGroupBy">put_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putMultiCompute">put_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetComputeQuery">reset_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetGroupBy">reset_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetMultiCompute">reset_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetSearchQuery">reset_search_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_compute_query` <a name="put_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putComputeQuery"></a>

```python
def put_compute_query(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putComputeQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putComputeQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

###### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putComputeQuery.parameter.interval"></a>

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `put_group_by` <a name="put_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putGroupBy"></a>

```python
def put_group_by(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>]]

---

##### `put_multi_compute` <a name="put_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putMultiCompute"></a>

```python
def put_multi_compute(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>]]

---

##### `reset_compute_query` <a name="reset_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetComputeQuery"></a>

```python
def reset_compute_query() -> None
```

##### `reset_group_by` <a name="reset_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetGroupBy"></a>

```python
def reset_group_by() -> None
```

##### `reset_multi_compute` <a name="reset_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetMultiCompute"></a>

```python
def reset_multi_compute() -> None
```

##### `reset_search_query` <a name="reset_search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetSearchQuery"></a>

```python
def reset_search_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.groupBy">group_by</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.multiCompute">multi_compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.computeQueryInput">compute_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.groupByInput">group_by_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.indexInput">index_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.multiComputeInput">multi_compute_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.searchQueryInput">search_query_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.index">index</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.searchQuery">search_query</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `compute_query`<sup>Required</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.computeQuery"></a>

```python
compute_query: DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference</a>

---

##### `group_by`<sup>Required</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.groupBy"></a>

```python
group_by: DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList</a>

---

##### `multi_compute`<sup>Required</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.multiCompute"></a>

```python
multi_compute: DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList</a>

---

##### `compute_query_input`<sup>Optional</sup> <a name="compute_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.computeQueryInput"></a>

```python
compute_query_input: DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a>

---

##### `group_by_input`<sup>Optional</sup> <a name="group_by_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.groupByInput"></a>

```python
group_by_input: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>]]

---

##### `index_input`<sup>Optional</sup> <a name="index_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.indexInput"></a>

```python
index_input: str
```

- *Type:* str

---

##### `multi_compute_input`<sup>Optional</sup> <a name="multi_compute_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.multiComputeInput"></a>

```python
multi_compute_input: typing.Union[IResolvable, typing.List[DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>]]

---

##### `search_query_input`<sup>Optional</sup> <a name="search_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.searchQueryInput"></a>

```python
search_query_input: str
```

- *Type:* str

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.index"></a>

```python
index: str
```

- *Type:* str

---

##### `search_query`<sup>Required</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetDistributionDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestStyleOutputReference <a name="DashboardWidgetDistributionDefinitionRequestStyleOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.resetPalette">reset_palette</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_palette` <a name="reset_palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.resetPalette"></a>

```python
def reset_palette() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.paletteInput">palette_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.palette">palette</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `palette_input`<sup>Optional</sup> <a name="palette_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.paletteInput"></a>

```python
palette_input: str
```

- *Type:* str

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.palette"></a>

```python
palette: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetDistributionDefinitionRequestStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a>

---


### DashboardWidgetEventStreamDefinitionOutputReference <a name="DashboardWidgetEventStreamDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetEventStreamDefinitionOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetEventSize">reset_event_size</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetLiveSpan">reset_live_span</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTagsExecution">reset_tags_execution</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitle">reset_title</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitleAlign">reset_title_align</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitleSize">reset_title_size</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_event_size` <a name="reset_event_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetEventSize"></a>

```python
def reset_event_size() -> None
```

##### `reset_live_span` <a name="reset_live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetLiveSpan"></a>

```python
def reset_live_span() -> None
```

##### `reset_tags_execution` <a name="reset_tags_execution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTagsExecution"></a>

```python
def reset_tags_execution() -> None
```

##### `reset_title` <a name="reset_title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitle"></a>

```python
def reset_title() -> None
```

##### `reset_title_align` <a name="reset_title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitleAlign"></a>

```python
def reset_title_align() -> None
```

##### `reset_title_size` <a name="reset_title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitleSize"></a>

```python
def reset_title_size() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.eventSizeInput">event_size_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.liveSpanInput">live_span_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.queryInput">query_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.tagsExecutionInput">tags_execution_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleAlignInput">title_align_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleInput">title_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleSizeInput">title_size_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.eventSize">event_size</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.liveSpan">live_span</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.query">query</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.tagsExecution">tags_execution</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.title">title</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleAlign">title_align</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleSize">title_size</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition">DashboardWidgetEventStreamDefinition</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `event_size_input`<sup>Optional</sup> <a name="event_size_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.eventSizeInput"></a>

```python
event_size_input: str
```

- *Type:* str

---

##### `live_span_input`<sup>Optional</sup> <a name="live_span_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.liveSpanInput"></a>

```python
live_span_input: str
```

- *Type:* str

---

##### `query_input`<sup>Optional</sup> <a name="query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.queryInput"></a>

```python
query_input: str
```

- *Type:* str

---

##### `tags_execution_input`<sup>Optional</sup> <a name="tags_execution_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.tagsExecutionInput"></a>

```python
tags_execution_input: str
```

- *Type:* str

---

##### `title_align_input`<sup>Optional</sup> <a name="title_align_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleAlignInput"></a>

```python
title_align_input: str
```

- *Type:* str

---

##### `title_input`<sup>Optional</sup> <a name="title_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleInput"></a>

```python
title_input: str
```

- *Type:* str

---

##### `title_size_input`<sup>Optional</sup> <a name="title_size_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleSizeInput"></a>

```python
title_size_input: str
```

- *Type:* str

---

##### `event_size`<sup>Required</sup> <a name="event_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.eventSize"></a>

```python
event_size: str
```

- *Type:* str

---

##### `live_span`<sup>Required</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.query"></a>

```python
query: str
```

- *Type:* str

---

##### `tags_execution`<sup>Required</sup> <a name="tags_execution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.tagsExecution"></a>

```python
tags_execution: str
```

- *Type:* str

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.title"></a>

```python
title: str
```

- *Type:* str

---

##### `title_align`<sup>Required</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

---

##### `title_size`<sup>Required</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetEventStreamDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition">DashboardWidgetEventStreamDefinition</a>

---


### DashboardWidgetEventTimelineDefinitionOutputReference <a name="DashboardWidgetEventTimelineDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetEventTimelineDefinitionOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetLiveSpan">reset_live_span</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTagsExecution">reset_tags_execution</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitle">reset_title</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitleAlign">reset_title_align</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitleSize">reset_title_size</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_live_span` <a name="reset_live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetLiveSpan"></a>

```python
def reset_live_span() -> None
```

##### `reset_tags_execution` <a name="reset_tags_execution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTagsExecution"></a>

```python
def reset_tags_execution() -> None
```

##### `reset_title` <a name="reset_title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitle"></a>

```python
def reset_title() -> None
```

##### `reset_title_align` <a name="reset_title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitleAlign"></a>

```python
def reset_title_align() -> None
```

##### `reset_title_size` <a name="reset_title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitleSize"></a>

```python
def reset_title_size() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.liveSpanInput">live_span_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.queryInput">query_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.tagsExecutionInput">tags_execution_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleAlignInput">title_align_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleInput">title_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleSizeInput">title_size_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.liveSpan">live_span</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.query">query</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.tagsExecution">tags_execution</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.title">title</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleAlign">title_align</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleSize">title_size</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition">DashboardWidgetEventTimelineDefinition</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `live_span_input`<sup>Optional</sup> <a name="live_span_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.liveSpanInput"></a>

```python
live_span_input: str
```

- *Type:* str

---

##### `query_input`<sup>Optional</sup> <a name="query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.queryInput"></a>

```python
query_input: str
```

- *Type:* str

---

##### `tags_execution_input`<sup>Optional</sup> <a name="tags_execution_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.tagsExecutionInput"></a>

```python
tags_execution_input: str
```

- *Type:* str

---

##### `title_align_input`<sup>Optional</sup> <a name="title_align_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleAlignInput"></a>

```python
title_align_input: str
```

- *Type:* str

---

##### `title_input`<sup>Optional</sup> <a name="title_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleInput"></a>

```python
title_input: str
```

- *Type:* str

---

##### `title_size_input`<sup>Optional</sup> <a name="title_size_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleSizeInput"></a>

```python
title_size_input: str
```

- *Type:* str

---

##### `live_span`<sup>Required</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.query"></a>

```python
query: str
```

- *Type:* str

---

##### `tags_execution`<sup>Required</sup> <a name="tags_execution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.tagsExecution"></a>

```python
tags_execution: str
```

- *Type:* str

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.title"></a>

```python
title: str
```

- *Type:* str

---

##### `title_align`<sup>Required</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

---

##### `title_size`<sup>Required</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetEventTimelineDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition">DashboardWidgetEventTimelineDefinition</a>

---


### DashboardWidgetFreeTextDefinitionOutputReference <a name="DashboardWidgetFreeTextDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetFreeTextDefinitionOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetColor">reset_color</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetFontSize">reset_font_size</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetTextAlign">reset_text_align</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_color` <a name="reset_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetColor"></a>

```python
def reset_color() -> None
```

##### `reset_font_size` <a name="reset_font_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetFontSize"></a>

```python
def reset_font_size() -> None
```

##### `reset_text_align` <a name="reset_text_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetTextAlign"></a>

```python
def reset_text_align() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.colorInput">color_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fontSizeInput">font_size_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textAlignInput">text_align_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textInput">text_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.color">color</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fontSize">font_size</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.text">text</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textAlign">text_align</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition">DashboardWidgetFreeTextDefinition</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `color_input`<sup>Optional</sup> <a name="color_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.colorInput"></a>

```python
color_input: str
```

- *Type:* str

---

##### `font_size_input`<sup>Optional</sup> <a name="font_size_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fontSizeInput"></a>

```python
font_size_input: str
```

- *Type:* str

---

##### `text_align_input`<sup>Optional</sup> <a name="text_align_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textAlignInput"></a>

```python
text_align_input: str
```

- *Type:* str

---

##### `text_input`<sup>Optional</sup> <a name="text_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textInput"></a>

```python
text_input: str
```

- *Type:* str

---

##### `color`<sup>Required</sup> <a name="color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.color"></a>

```python
color: str
```

- *Type:* str

---

##### `font_size`<sup>Required</sup> <a name="font_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fontSize"></a>

```python
font_size: str
```

- *Type:* str

---

##### `text`<sup>Required</sup> <a name="text" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.text"></a>

```python
text: str
```

- *Type:* str

---

##### `text_align`<sup>Required</sup> <a name="text_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textAlign"></a>

```python
text_align: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetFreeTextDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition">DashboardWidgetFreeTextDefinition</a>

---


### DashboardWidgetGeomapDefinitionCustomLinkList <a name="DashboardWidgetGeomapDefinitionCustomLinkList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionCustomLinkList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetGeomapDefinitionCustomLinkOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>]]

---


### DashboardWidgetGeomapDefinitionCustomLinkOutputReference <a name="DashboardWidgetGeomapDefinitionCustomLinkOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetIsHidden">reset_is_hidden</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetLabel">reset_label</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetLink">reset_link</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetOverrideLabel">reset_override_label</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_is_hidden` <a name="reset_is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetIsHidden"></a>

```python
def reset_is_hidden() -> None
```

##### `reset_label` <a name="reset_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetLabel"></a>

```python
def reset_label() -> None
```

##### `reset_link` <a name="reset_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetLink"></a>

```python
def reset_link() -> None
```

##### `reset_override_label` <a name="reset_override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetOverrideLabel"></a>

```python
def reset_override_label() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.isHiddenInput">is_hidden_input</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.labelInput">label_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.linkInput">link_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.overrideLabelInput">override_label_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.label">label</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.link">link</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.overrideLabel">override_label</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `is_hidden_input`<sup>Optional</sup> <a name="is_hidden_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.isHiddenInput"></a>

```python
is_hidden_input: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `label_input`<sup>Optional</sup> <a name="label_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.labelInput"></a>

```python
label_input: str
```

- *Type:* str

---

##### `link_input`<sup>Optional</sup> <a name="link_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.linkInput"></a>

```python
link_input: str
```

- *Type:* str

---

##### `override_label_input`<sup>Optional</sup> <a name="override_label_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.overrideLabelInput"></a>

```python
override_label_input: str
```

- *Type:* str

---

##### `is_hidden`<sup>Required</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `label`<sup>Required</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.label"></a>

```python
label: str
```

- *Type:* str

---

##### `link`<sup>Required</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.link"></a>

```python
link: str
```

- *Type:* str

---

##### `override_label`<sup>Required</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetGeomapDefinitionCustomLink, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>, cdktf.IResolvable]

---


### DashboardWidgetGeomapDefinitionOutputReference <a name="DashboardWidgetGeomapDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putCustomLink">put_custom_link</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putRequest">put_request</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putStyle">put_style</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putView">put_view</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetCustomLink">reset_custom_link</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetLiveSpan">reset_live_span</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetRequest">reset_request</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetStyle">reset_style</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitle">reset_title</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitleAlign">reset_title_align</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitleSize">reset_title_size</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_custom_link` <a name="put_custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putCustomLink"></a>

```python
def put_custom_link(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionCustomLink]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putCustomLink.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>]]

---

##### `put_request` <a name="put_request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putRequest"></a>

```python
def put_request(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequest]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putRequest.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>]]

---

##### `put_style` <a name="put_style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putStyle"></a>

```python
def put_style(
  palette: str,
  palette_flip: typing.Union[bool, IResolvable]
) -> None
```

###### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putStyle.parameter.palette"></a>

- *Type:* str

The color palette to apply to the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

###### `palette_flip`<sup>Required</sup> <a name="palette_flip" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putStyle.parameter.paletteFlip"></a>

- *Type:* typing.Union[bool, cdktf.IResolvable]

A Boolean indicating whether to flip the palette tones.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_flip Dashboard#palette_flip}

---

##### `put_view` <a name="put_view" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putView"></a>

```python
def put_view(
  focus: str
) -> None
```

###### `focus`<sup>Required</sup> <a name="focus" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putView.parameter.focus"></a>

- *Type:* str

The two-letter ISO code of a country to focus the map on (or `WORLD`).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#focus Dashboard#focus}

---

##### `reset_custom_link` <a name="reset_custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetCustomLink"></a>

```python
def reset_custom_link() -> None
```

##### `reset_live_span` <a name="reset_live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetLiveSpan"></a>

```python
def reset_live_span() -> None
```

##### `reset_request` <a name="reset_request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetRequest"></a>

```python
def reset_request() -> None
```

##### `reset_style` <a name="reset_style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetStyle"></a>

```python
def reset_style() -> None
```

##### `reset_title` <a name="reset_title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitle"></a>

```python
def reset_title() -> None
```

##### `reset_title_align` <a name="reset_title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitleAlign"></a>

```python
def reset_title_align() -> None
```

##### `reset_title_size` <a name="reset_title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitleSize"></a>

```python
def reset_title_size() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.customLink">custom_link</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList">DashboardWidgetGeomapDefinitionCustomLinkList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList">DashboardWidgetGeomapDefinitionRequestList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference">DashboardWidgetGeomapDefinitionStyleOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.view">view</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference">DashboardWidgetGeomapDefinitionViewOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.customLinkInput">custom_link_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.liveSpanInput">live_span_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.requestInput">request_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.styleInput">style_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleAlignInput">title_align_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleInput">title_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleSizeInput">title_size_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.viewInput">view_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.liveSpan">live_span</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.title">title</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleAlign">title_align</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleSize">title_size</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition">DashboardWidgetGeomapDefinition</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `custom_link`<sup>Required</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.customLink"></a>

```python
custom_link: DashboardWidgetGeomapDefinitionCustomLinkList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList">DashboardWidgetGeomapDefinitionCustomLinkList</a>

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.request"></a>

```python
request: DashboardWidgetGeomapDefinitionRequestList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList">DashboardWidgetGeomapDefinitionRequestList</a>

---

##### `style`<sup>Required</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.style"></a>

```python
style: DashboardWidgetGeomapDefinitionStyleOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference">DashboardWidgetGeomapDefinitionStyleOutputReference</a>

---

##### `view`<sup>Required</sup> <a name="view" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.view"></a>

```python
view: DashboardWidgetGeomapDefinitionViewOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference">DashboardWidgetGeomapDefinitionViewOutputReference</a>

---

##### `custom_link_input`<sup>Optional</sup> <a name="custom_link_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.customLinkInput"></a>

```python
custom_link_input: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>]]

---

##### `live_span_input`<sup>Optional</sup> <a name="live_span_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.liveSpanInput"></a>

```python
live_span_input: str
```

- *Type:* str

---

##### `request_input`<sup>Optional</sup> <a name="request_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.requestInput"></a>

```python
request_input: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>]]

---

##### `style_input`<sup>Optional</sup> <a name="style_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.styleInput"></a>

```python
style_input: DashboardWidgetGeomapDefinitionStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a>

---

##### `title_align_input`<sup>Optional</sup> <a name="title_align_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleAlignInput"></a>

```python
title_align_input: str
```

- *Type:* str

---

##### `title_input`<sup>Optional</sup> <a name="title_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleInput"></a>

```python
title_input: str
```

- *Type:* str

---

##### `title_size_input`<sup>Optional</sup> <a name="title_size_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleSizeInput"></a>

```python
title_size_input: str
```

- *Type:* str

---

##### `view_input`<sup>Optional</sup> <a name="view_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.viewInput"></a>

```python
view_input: DashboardWidgetGeomapDefinitionView
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a>

---

##### `live_span`<sup>Required</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.title"></a>

```python
title: str
```

- *Type:* str

---

##### `title_align`<sup>Required</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

---

##### `title_size`<sup>Required</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGeomapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition">DashboardWidgetGeomapDefinition</a>

---


### DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList <a name="DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>]]

---


### DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference <a name="DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor">reset_custom_bg_color</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor">reset_custom_fg_color</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue">reset_hide_value</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl">reset_image_url</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric">reset_metric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe">reset_timeframe</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_custom_bg_color` <a name="reset_custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor"></a>

```python
def reset_custom_bg_color() -> None
```

##### `reset_custom_fg_color` <a name="reset_custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor"></a>

```python
def reset_custom_fg_color() -> None
```

##### `reset_hide_value` <a name="reset_hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue"></a>

```python
def reset_hide_value() -> None
```

##### `reset_image_url` <a name="reset_image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl"></a>

```python
def reset_image_url() -> None
```

##### `reset_metric` <a name="reset_metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric"></a>

```python
def reset_metric() -> None
```

##### `reset_timeframe` <a name="reset_timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe"></a>

```python
def reset_timeframe() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput">comparator_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput">custom_bg_color_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput">custom_fg_color_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput">hide_value_input</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput">image_url_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput">metric_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput">palette_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput">timeframe_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput">value_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator">comparator</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl">image_url</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric">metric</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette">palette</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe">timeframe</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.value">value</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `comparator_input`<sup>Optional</sup> <a name="comparator_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput"></a>

```python
comparator_input: str
```

- *Type:* str

---

##### `custom_bg_color_input`<sup>Optional</sup> <a name="custom_bg_color_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput"></a>

```python
custom_bg_color_input: str
```

- *Type:* str

---

##### `custom_fg_color_input`<sup>Optional</sup> <a name="custom_fg_color_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput"></a>

```python
custom_fg_color_input: str
```

- *Type:* str

---

##### `hide_value_input`<sup>Optional</sup> <a name="hide_value_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput"></a>

```python
hide_value_input: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `image_url_input`<sup>Optional</sup> <a name="image_url_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput"></a>

```python
image_url_input: str
```

- *Type:* str

---

##### `metric_input`<sup>Optional</sup> <a name="metric_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput"></a>

```python
metric_input: str
```

- *Type:* str

---

##### `palette_input`<sup>Optional</sup> <a name="palette_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput"></a>

```python
palette_input: str
```

- *Type:* str

---

##### `timeframe_input`<sup>Optional</sup> <a name="timeframe_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput"></a>

```python
timeframe_input: str
```

- *Type:* str

---

##### `value_input`<sup>Optional</sup> <a name="value_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput"></a>

```python
value_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

---

##### `custom_bg_color`<sup>Required</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

---

##### `custom_fg_color`<sup>Required</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

---

##### `hide_value`<sup>Required</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `image_url`<sup>Required</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric"></a>

```python
metric: str
```

- *Type:* str

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette"></a>

```python
palette: str
```

- *Type:* str

---

##### `timeframe`<sup>Required</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>, cdktf.IResolvable]

---


### DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference <a name="DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resetCount">reset_count</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resetOrder">reset_order</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_count` <a name="reset_count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resetCount"></a>

```python
def reset_count() -> None
```

##### `reset_order` <a name="reset_order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resetOrder"></a>

```python
def reset_order() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.countInput">count_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.orderInput">order_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.count">count</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.order">order</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `count_input`<sup>Optional</sup> <a name="count_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.countInput"></a>

```python
count_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `order_input`<sup>Optional</sup> <a name="order_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.orderInput"></a>

```python
order_input: str
```

- *Type:* str

---

##### `count`<sup>Required</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.count"></a>

```python
count: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.order"></a>

```python
order: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGeomapDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a>

---


### DashboardWidgetGeomapDefinitionRequestFormulaList <a name="DashboardWidgetGeomapDefinitionRequestFormulaList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetGeomapDefinitionRequestFormulaOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>]]

---


### DashboardWidgetGeomapDefinitionRequestFormulaOutputReference <a name="DashboardWidgetGeomapDefinitionRequestFormulaOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putConditionalFormats">put_conditional_formats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putLimit">put_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putStyle">put_style</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetAlias">reset_alias</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetCellDisplayMode">reset_cell_display_mode</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetConditionalFormats">reset_conditional_formats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetLimit">reset_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetStyle">reset_style</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_conditional_formats` <a name="put_conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putConditionalFormats"></a>

```python
def put_conditional_formats(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putConditionalFormats.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>]]

---

##### `put_limit` <a name="put_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putLimit"></a>

```python
def put_limit(
  count: typing.Union[int, float] = None,
  order: str = None
) -> None
```

###### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putLimit.parameter.count"></a>

- *Type:* typing.Union[int, float]

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

###### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putLimit.parameter.order"></a>

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `put_style` <a name="put_style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putStyle"></a>

```python
def put_style(
  palette: str = None,
  palette_index: typing.Union[int, float] = None
) -> None
```

###### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putStyle.parameter.palette"></a>

- *Type:* str

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

###### `palette_index`<sup>Optional</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putStyle.parameter.paletteIndex"></a>

- *Type:* typing.Union[int, float]

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

##### `reset_alias` <a name="reset_alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetAlias"></a>

```python
def reset_alias() -> None
```

##### `reset_cell_display_mode` <a name="reset_cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetCellDisplayMode"></a>

```python
def reset_cell_display_mode() -> None
```

##### `reset_conditional_formats` <a name="reset_conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetConditionalFormats"></a>

```python
def reset_conditional_formats() -> None
```

##### `reset_limit` <a name="reset_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetLimit"></a>

```python
def reset_limit() -> None
```

##### `reset_style` <a name="reset_style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetStyle"></a>

```python
def reset_style() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.conditionalFormats">conditional_formats</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference">DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference">DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.aliasInput">alias_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput">cell_display_mode_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput">conditional_formats_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.formulaExpressionInput">formula_expression_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.limitInput">limit_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.styleInput">style_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.alias">alias</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.formulaExpression">formula_expression</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `conditional_formats`<sup>Required</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.conditionalFormats"></a>

```python
conditional_formats: DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList</a>

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.limit"></a>

```python
limit: DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference">DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference</a>

---

##### `style`<sup>Required</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.style"></a>

```python
style: DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference">DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference</a>

---

##### `alias_input`<sup>Optional</sup> <a name="alias_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.aliasInput"></a>

```python
alias_input: str
```

- *Type:* str

---

##### `cell_display_mode_input`<sup>Optional</sup> <a name="cell_display_mode_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput"></a>

```python
cell_display_mode_input: str
```

- *Type:* str

---

##### `conditional_formats_input`<sup>Optional</sup> <a name="conditional_formats_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput"></a>

```python
conditional_formats_input: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>]]

---

##### `formula_expression_input`<sup>Optional</sup> <a name="formula_expression_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.formulaExpressionInput"></a>

```python
formula_expression_input: str
```

- *Type:* str

---

##### `limit_input`<sup>Optional</sup> <a name="limit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.limitInput"></a>

```python
limit_input: DashboardWidgetGeomapDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a>

---

##### `style_input`<sup>Optional</sup> <a name="style_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.styleInput"></a>

```python
style_input: DashboardWidgetGeomapDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a>

---

##### `alias`<sup>Required</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.alias"></a>

```python
alias: str
```

- *Type:* str

---

##### `cell_display_mode`<sup>Required</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

---

##### `formula_expression`<sup>Required</sup> <a name="formula_expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.formulaExpression"></a>

```python
formula_expression: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetGeomapDefinitionRequestFormula, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>, cdktf.IResolvable]

---


### DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference <a name="DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resetPalette">reset_palette</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex">reset_palette_index</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_palette` <a name="reset_palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resetPalette"></a>

```python
def reset_palette() -> None
```

##### `reset_palette_index` <a name="reset_palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex"></a>

```python
def reset_palette_index() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput">palette_index_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteInput">palette_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.palette">palette</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteIndex">palette_index</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `palette_index_input`<sup>Optional</sup> <a name="palette_index_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput"></a>

```python
palette_index_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `palette_input`<sup>Optional</sup> <a name="palette_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteInput"></a>

```python
palette_input: str
```

- *Type:* str

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.palette"></a>

```python
palette: str
```

- *Type:* str

---

##### `palette_index`<sup>Required</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteIndex"></a>

```python
palette_index: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGeomapDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a>

---


### DashboardWidgetGeomapDefinitionRequestList <a name="DashboardWidgetGeomapDefinitionRequestList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetGeomapDefinitionRequestOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>]]

---


### DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList <a name="DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>]]

---


### DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference <a name="DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.putSortQuery">put_sort_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetLimit">reset_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery">reset_sort_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_sort_query` <a name="put_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.putSortQuery"></a>

```python
def put_sort_query(
  aggregation: str,
  order: str,
  facet: str = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.order"></a>

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_limit` <a name="reset_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetLimit"></a>

```python
def reset_limit() -> None
```

##### `reset_sort_query` <a name="reset_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery"></a>

```python
def reset_sort_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.limitInput">limit_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput">sort_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `sort_query`<sup>Required</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference</a>

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `limit_input`<sup>Optional</sup> <a name="limit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.limitInput"></a>

```python
limit_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `sort_query_input`<sup>Optional</sup> <a name="sort_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput"></a>

```python
sort_query_input: DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>, cdktf.IResolvable]

---


### DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput">order_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `order_input`<sup>Optional</sup> <a name="order_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```python
order_input: str
```

- *Type:* str

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order"></a>

```python
order: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList <a name="DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>]]

---


### DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference <a name="DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>, cdktf.IResolvable]

---


### DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putComputeQuery">put_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putGroupBy">put_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putMultiCompute">put_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetComputeQuery">reset_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetGroupBy">reset_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetMultiCompute">reset_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetSearchQuery">reset_search_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_compute_query` <a name="put_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putComputeQuery"></a>

```python
def put_compute_query(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putComputeQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putComputeQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

###### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putComputeQuery.parameter.interval"></a>

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `put_group_by` <a name="put_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putGroupBy"></a>

```python
def put_group_by(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>]]

---

##### `put_multi_compute` <a name="put_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putMultiCompute"></a>

```python
def put_multi_compute(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>]]

---

##### `reset_compute_query` <a name="reset_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetComputeQuery"></a>

```python
def reset_compute_query() -> None
```

##### `reset_group_by` <a name="reset_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetGroupBy"></a>

```python
def reset_group_by() -> None
```

##### `reset_multi_compute` <a name="reset_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetMultiCompute"></a>

```python
def reset_multi_compute() -> None
```

##### `reset_search_query` <a name="reset_search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetSearchQuery"></a>

```python
def reset_search_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.groupBy">group_by</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList">DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.multiCompute">multi_compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList">DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.computeQueryInput">compute_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.groupByInput">group_by_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.indexInput">index_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.multiComputeInput">multi_compute_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.searchQueryInput">search_query_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.index">index</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.searchQuery">search_query</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `compute_query`<sup>Required</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference</a>

---

##### `group_by`<sup>Required</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.groupBy"></a>

```python
group_by: DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList">DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList</a>

---

##### `multi_compute`<sup>Required</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.multiCompute"></a>

```python
multi_compute: DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList">DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList</a>

---

##### `compute_query_input`<sup>Optional</sup> <a name="compute_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.computeQueryInput"></a>

```python
compute_query_input: DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a>

---

##### `group_by_input`<sup>Optional</sup> <a name="group_by_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.groupByInput"></a>

```python
group_by_input: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>]]

---

##### `index_input`<sup>Optional</sup> <a name="index_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.indexInput"></a>

```python
index_input: str
```

- *Type:* str

---

##### `multi_compute_input`<sup>Optional</sup> <a name="multi_compute_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.multiComputeInput"></a>

```python
multi_compute_input: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>]]

---

##### `search_query_input`<sup>Optional</sup> <a name="search_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.searchQueryInput"></a>

```python
search_query_input: str
```

- *Type:* str

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.index"></a>

```python
index: str
```

- *Type:* str

---

##### `search_query`<sup>Required</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGeomapDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestOutputReference <a name="DashboardWidgetGeomapDefinitionRequestOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putFormula">put_formula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putLogQuery">put_log_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putQuery">put_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putRumQuery">put_rum_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetFormula">reset_formula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetLogQuery">reset_log_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetQ">reset_q</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetQuery">reset_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetRumQuery">reset_rum_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_formula` <a name="put_formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putFormula"></a>

```python
def put_formula(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestFormula]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putFormula.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>]]

---

##### `put_log_query` <a name="put_log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putLogQuery"></a>

```python
def put_log_query(
  index: str,
  compute_query: DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute]] = None,
  search_query: str = None
) -> None
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putLogQuery.parameter.index"></a>

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

###### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putLogQuery.parameter.computeQuery"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

###### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putLogQuery.parameter.groupBy"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

###### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putLogQuery.parameter.multiCompute"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

###### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putLogQuery.parameter.searchQuery"></a>

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

##### `put_query` <a name="put_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putQuery"></a>

```python
def put_query(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestQuery]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putQuery.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>]]

---

##### `put_rum_query` <a name="put_rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putRumQuery"></a>

```python
def put_rum_query(
  index: str,
  compute_query: DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery = None,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy]] = None,
  multi_compute: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute]] = None,
  search_query: str = None
) -> None
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putRumQuery.parameter.index"></a>

- *Type:* str

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

###### `compute_query`<sup>Optional</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putRumQuery.parameter.computeQuery"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

###### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putRumQuery.parameter.groupBy"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

###### `multi_compute`<sup>Optional</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putRumQuery.parameter.multiCompute"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>]]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

###### `search_query`<sup>Optional</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putRumQuery.parameter.searchQuery"></a>

- *Type:* str

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

##### `reset_formula` <a name="reset_formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetFormula"></a>

```python
def reset_formula() -> None
```

##### `reset_log_query` <a name="reset_log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetLogQuery"></a>

```python
def reset_log_query() -> None
```

##### `reset_q` <a name="reset_q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetQ"></a>

```python
def reset_q() -> None
```

##### `reset_query` <a name="reset_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetQuery"></a>

```python
def reset_query() -> None
```

##### `reset_rum_query` <a name="reset_rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetRumQuery"></a>

```python
def reset_rum_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.formula">formula</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList">DashboardWidgetGeomapDefinitionRequestFormulaList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.logQuery">log_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.query">query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList">DashboardWidgetGeomapDefinitionRequestQueryList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.rumQuery">rum_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.formulaInput">formula_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.logQueryInput">log_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.qInput">q_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.queryInput">query_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.rumQueryInput">rum_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.q">q</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `formula`<sup>Required</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.formula"></a>

```python
formula: DashboardWidgetGeomapDefinitionRequestFormulaList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList">DashboardWidgetGeomapDefinitionRequestFormulaList</a>

---

##### `log_query`<sup>Required</sup> <a name="log_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.logQuery"></a>

```python
log_query: DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference</a>

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.query"></a>

```python
query: DashboardWidgetGeomapDefinitionRequestQueryList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList">DashboardWidgetGeomapDefinitionRequestQueryList</a>

---

##### `rum_query`<sup>Required</sup> <a name="rum_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.rumQuery"></a>

```python
rum_query: DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference</a>

---

##### `formula_input`<sup>Optional</sup> <a name="formula_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.formulaInput"></a>

```python
formula_input: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>]]

---

##### `log_query_input`<sup>Optional</sup> <a name="log_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.logQueryInput"></a>

```python
log_query_input: DashboardWidgetGeomapDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a>

---

##### `q_input`<sup>Optional</sup> <a name="q_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.qInput"></a>

```python
q_input: str
```

- *Type:* str

---

##### `query_input`<sup>Optional</sup> <a name="query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.queryInput"></a>

```python
query_input: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>]]

---

##### `rum_query_input`<sup>Optional</sup> <a name="rum_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.rumQueryInput"></a>

```python
rum_query_input: DashboardWidgetGeomapDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a>

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.q"></a>

```python
q: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetGeomapDefinitionRequest, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>, cdktf.IResolvable]

---


### DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream">reset_is_upstream</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName">reset_primary_tag_name</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue">reset_primary_tag_value</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_is_upstream` <a name="reset_is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream"></a>

```python
def reset_is_upstream() -> None
```

##### `reset_primary_tag_name` <a name="reset_primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName"></a>

```python
def reset_primary_tag_name() -> None
```

##### `reset_primary_tag_value` <a name="reset_primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue"></a>

```python
def reset_primary_tag_value() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput">data_source_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput">env_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput">is_upstream_input</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput">name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput">operation_name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput">primary_tag_name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput">primary_tag_value_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput">resource_name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput">service_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput">stat_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource">data_source</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env">env</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream">is_upstream</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name">name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName">operation_name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName">resource_name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service">service</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat">stat</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `data_source_input`<sup>Optional</sup> <a name="data_source_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput"></a>

```python
data_source_input: str
```

- *Type:* str

---

##### `env_input`<sup>Optional</sup> <a name="env_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput"></a>

```python
env_input: str
```

- *Type:* str

---

##### `is_upstream_input`<sup>Optional</sup> <a name="is_upstream_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput"></a>

```python
is_upstream_input: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `name_input`<sup>Optional</sup> <a name="name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput"></a>

```python
name_input: str
```

- *Type:* str

---

##### `operation_name_input`<sup>Optional</sup> <a name="operation_name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput"></a>

```python
operation_name_input: str
```

- *Type:* str

---

##### `primary_tag_name_input`<sup>Optional</sup> <a name="primary_tag_name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput"></a>

```python
primary_tag_name_input: str
```

- *Type:* str

---

##### `primary_tag_value_input`<sup>Optional</sup> <a name="primary_tag_value_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput"></a>

```python
primary_tag_value_input: str
```

- *Type:* str

---

##### `resource_name_input`<sup>Optional</sup> <a name="resource_name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput"></a>

```python
resource_name_input: str
```

- *Type:* str

---

##### `service_input`<sup>Optional</sup> <a name="service_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput"></a>

```python
service_input: str
```

- *Type:* str

---

##### `stat_input`<sup>Optional</sup> <a name="stat_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput"></a>

```python
stat_input: str
```

- *Type:* str

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env"></a>

```python
env: str
```

- *Type:* str

---

##### `is_upstream`<sup>Required</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream"></a>

```python
is_upstream: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name"></a>

```python
name: str
```

- *Type:* str

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

---

##### `primary_tag_name`<sup>Required</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

---

##### `primary_tag_value`<sup>Required</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service"></a>

```python
service: str
```

- *Type:* str

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat"></a>

```python
stat: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy">reset_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName">reset_operation_name</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName">reset_primary_tag_name</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue">reset_primary_tag_value</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName">reset_resource_name</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_group_by` <a name="reset_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy"></a>

```python
def reset_group_by() -> None
```

##### `reset_operation_name` <a name="reset_operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName"></a>

```python
def reset_operation_name() -> None
```

##### `reset_primary_tag_name` <a name="reset_primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName"></a>

```python
def reset_primary_tag_name() -> None
```

##### `reset_primary_tag_value` <a name="reset_primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue"></a>

```python
def reset_primary_tag_value() -> None
```

##### `reset_resource_name` <a name="reset_resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName"></a>

```python
def reset_resource_name() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput">data_source_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput">env_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput">group_by_input</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput">name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput">operation_name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput">primary_tag_name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput">primary_tag_value_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput">resource_name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput">service_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput">stat_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource">data_source</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env">env</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy">group_by</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name">name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName">operation_name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName">primary_tag_name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue">primary_tag_value</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName">resource_name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service">service</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat">stat</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `data_source_input`<sup>Optional</sup> <a name="data_source_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput"></a>

```python
data_source_input: str
```

- *Type:* str

---

##### `env_input`<sup>Optional</sup> <a name="env_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput"></a>

```python
env_input: str
```

- *Type:* str

---

##### `group_by_input`<sup>Optional</sup> <a name="group_by_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput"></a>

```python
group_by_input: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `name_input`<sup>Optional</sup> <a name="name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput"></a>

```python
name_input: str
```

- *Type:* str

---

##### `operation_name_input`<sup>Optional</sup> <a name="operation_name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput"></a>

```python
operation_name_input: str
```

- *Type:* str

---

##### `primary_tag_name_input`<sup>Optional</sup> <a name="primary_tag_name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput"></a>

```python
primary_tag_name_input: str
```

- *Type:* str

---

##### `primary_tag_value_input`<sup>Optional</sup> <a name="primary_tag_value_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput"></a>

```python
primary_tag_value_input: str
```

- *Type:* str

---

##### `resource_name_input`<sup>Optional</sup> <a name="resource_name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput"></a>

```python
resource_name_input: str
```

- *Type:* str

---

##### `service_input`<sup>Optional</sup> <a name="service_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput"></a>

```python
service_input: str
```

- *Type:* str

---

##### `stat_input`<sup>Optional</sup> <a name="stat_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput"></a>

```python
stat_input: str
```

- *Type:* str

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env"></a>

```python
env: str
```

- *Type:* str

---

##### `group_by`<sup>Required</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy"></a>

```python
group_by: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name"></a>

```python
name: str
```

- *Type:* str

---

##### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName"></a>

```python
operation_name: str
```

- *Type:* str

---

##### `primary_tag_name`<sup>Required</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName"></a>

```python
primary_tag_name: str
```

- *Type:* str

---

##### `primary_tag_value`<sup>Required</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue"></a>

```python
primary_tag_value: str
```

- *Type:* str

---

##### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName"></a>

```python
resource_name: str
```

- *Type:* str

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service"></a>

```python
service: str
```

- *Type:* str

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat"></a>

```python
stat: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>]]

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval">reset_interval</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric">reset_metric</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```

##### `reset_metric` <a name="reset_metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric"></a>

```python
def reset_metric() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput">metric_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.metric">metric</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `metric_input`<sup>Optional</sup> <a name="metric_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput"></a>

```python
metric_input: str
```

- *Type:* str

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.metric"></a>

```python
metric: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>, cdktf.IResolvable]

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>]]

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.putSort">put_sort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit">reset_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort">reset_sort</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_sort` <a name="put_sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.putSort"></a>

```python
def put_sort(
  aggregation: str,
  metric: str = None,
  order: str = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.putSort.parameter.aggregation"></a>

- *Type:* str

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.putSort.parameter.metric"></a>

- *Type:* str

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

###### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.putSort.parameter.order"></a>

- *Type:* str

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `reset_limit` <a name="reset_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit"></a>

```python
def reset_limit() -> None
```

##### `reset_sort` <a name="reset_sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort"></a>

```python
def reset_sort() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput">limit_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput">sort_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `sort`<sup>Required</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort"></a>

```python
sort: DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference</a>

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `limit_input`<sup>Optional</sup> <a name="limit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput"></a>

```python
limit_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `sort_input`<sup>Optional</sup> <a name="sort_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput"></a>

```python
sort_input: DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>, cdktf.IResolvable]

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric">reset_metric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder">reset_order</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_metric` <a name="reset_metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric"></a>

```python
def reset_metric() -> None
```

##### `reset_order` <a name="reset_order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder"></a>

```python
def reset_order() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput">metric_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput">order_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric">metric</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order">order</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `metric_input`<sup>Optional</sup> <a name="metric_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput"></a>

```python
metric_input: str
```

- *Type:* str

---

##### `order_input`<sup>Optional</sup> <a name="order_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput"></a>

```python
order_input: str
```

- *Type:* str

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric"></a>

```python
metric: str
```

- *Type:* str

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order"></a>

```python
order: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putCompute">put_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putGroupBy">put_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putSearch">put_search</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetGroupBy">reset_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetIndexes">reset_indexes</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetSearch">reset_search</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetStorage">reset_storage</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_compute` <a name="put_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putCompute"></a>

```python
def put_compute(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putCompute.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>]]

---

##### `put_group_by` <a name="put_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putGroupBy"></a>

```python
def put_group_by(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>]]

---

##### `put_search` <a name="put_search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putSearch"></a>

```python
def put_search(
  query: str
) -> None
```

###### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putSearch.parameter.query"></a>

- *Type:* str

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `reset_group_by` <a name="reset_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetGroupBy"></a>

```python
def reset_group_by() -> None
```

##### `reset_indexes` <a name="reset_indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetIndexes"></a>

```python
def reset_indexes() -> None
```

##### `reset_search` <a name="reset_search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetSearch"></a>

```python
def reset_search() -> None
```

##### `reset_storage` <a name="reset_storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetStorage"></a>

```python
def reset_storage() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.compute">compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList">DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.groupBy">group_by</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.computeInput">compute_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput">data_source_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.groupByInput">group_by_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.indexesInput">indexes_input</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.nameInput">name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.searchInput">search_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.storageInput">storage_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.dataSource">data_source</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.indexes">indexes</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.name">name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.storage">storage</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.compute"></a>

```python
compute: DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList">DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList</a>

---

##### `group_by`<sup>Required</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.groupBy"></a>

```python
group_by: DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList</a>

---

##### `search`<sup>Required</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.search"></a>

```python
search: DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference</a>

---

##### `compute_input`<sup>Optional</sup> <a name="compute_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.computeInput"></a>

```python
compute_input: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>]]

---

##### `data_source_input`<sup>Optional</sup> <a name="data_source_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput"></a>

```python
data_source_input: str
```

- *Type:* str

---

##### `group_by_input`<sup>Optional</sup> <a name="group_by_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.groupByInput"></a>

```python
group_by_input: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>]]

---

##### `indexes_input`<sup>Optional</sup> <a name="indexes_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.indexesInput"></a>

```python
indexes_input: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `name_input`<sup>Optional</sup> <a name="name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.nameInput"></a>

```python
name_input: str
```

- *Type:* str

---

##### `search_input`<sup>Optional</sup> <a name="search_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.searchInput"></a>

```python
search_input: DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a>

---

##### `storage_input`<sup>Optional</sup> <a name="storage_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.storageInput"></a>

```python
storage_input: str
```

- *Type:* str

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

---

##### `indexes`<sup>Required</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.indexes"></a>

```python
indexes: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.name"></a>

```python
name: str
```

- *Type:* str

---

##### `storage`<sup>Required</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.storage"></a>

```python
storage: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGeomapDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput">query_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.query">query</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `query_input`<sup>Optional</sup> <a name="query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput"></a>

```python
query_input: str
```

- *Type:* str

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.query"></a>

```python
query: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryList <a name="DashboardWidgetGeomapDefinitionRequestQueryList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetGeomapDefinitionRequestQueryOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestQuery]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>]]

---


### DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resetAggregator">reset_aggregator</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resetDataSource">reset_data_source</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_aggregator` <a name="reset_aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resetAggregator"></a>

```python
def reset_aggregator() -> None
```

##### `reset_data_source` <a name="reset_data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resetDataSource"></a>

```python
def reset_data_source() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.aggregatorInput">aggregator_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.dataSourceInput">data_source_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.nameInput">name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.queryInput">query_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.aggregator">aggregator</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.dataSource">data_source</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.name">name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.query">query</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregator_input`<sup>Optional</sup> <a name="aggregator_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.aggregatorInput"></a>

```python
aggregator_input: str
```

- *Type:* str

---

##### `data_source_input`<sup>Optional</sup> <a name="data_source_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.dataSourceInput"></a>

```python
data_source_input: str
```

- *Type:* str

---

##### `name_input`<sup>Optional</sup> <a name="name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.nameInput"></a>

```python
name_input: str
```

- *Type:* str

---

##### `query_input`<sup>Optional</sup> <a name="query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.queryInput"></a>

```python
query_input: str
```

- *Type:* str

---

##### `aggregator`<sup>Required</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.name"></a>

```python
name: str
```

- *Type:* str

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.query"></a>

```python
query: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGeomapDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery">put_apm_dependency_stats_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmResourceStatsQuery">put_apm_resource_stats_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putEventQuery">put_event_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putMetricQuery">put_metric_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putProcessQuery">put_process_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetApmDependencyStatsQuery">reset_apm_dependency_stats_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetApmResourceStatsQuery">reset_apm_resource_stats_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetEventQuery">reset_event_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetMetricQuery">reset_metric_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetProcessQuery">reset_process_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_apm_dependency_stats_query` <a name="put_apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery"></a>

```python
def put_apm_dependency_stats_query(
  data_source: str,
  env: str,
  name: str,
  operation_name: str,
  resource_name: str,
  service: str,
  stat: str,
  is_upstream: typing.Union[bool, IResolvable] = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None
) -> None
```

###### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.dataSource"></a>

- *Type:* str

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

###### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.env"></a>

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

###### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.name"></a>

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

###### `operation_name`<sup>Required</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.operationName"></a>

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

###### `resource_name`<sup>Required</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.resourceName"></a>

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

###### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.service"></a>

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

###### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.stat"></a>

- *Type:* str

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

###### `is_upstream`<sup>Optional</sup> <a name="is_upstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.isUpstream"></a>

- *Type:* typing.Union[bool, cdktf.IResolvable]

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

###### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.primaryTagName"></a>

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

###### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.primaryTagValue"></a>

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `put_apm_resource_stats_query` <a name="put_apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmResourceStatsQuery"></a>

```python
def put_apm_resource_stats_query(
  data_source: str,
  env: str,
  name: str,
  service: str,
  stat: str,
  group_by: typing.List[str] = None,
  operation_name: str = None,
  primary_tag_name: str = None,
  primary_tag_value: str = None,
  resource_name: str = None
) -> None
```

###### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.dataSource"></a>

- *Type:* str

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

###### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.env"></a>

- *Type:* str

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

###### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.name"></a>

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

###### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.service"></a>

- *Type:* str

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

###### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.stat"></a>

- *Type:* str

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

###### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.groupBy"></a>

- *Type:* typing.List[str]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

###### `operation_name`<sup>Optional</sup> <a name="operation_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.operationName"></a>

- *Type:* str

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

###### `primary_tag_name`<sup>Optional</sup> <a name="primary_tag_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.primaryTagName"></a>

- *Type:* str

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

###### `primary_tag_value`<sup>Optional</sup> <a name="primary_tag_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.primaryTagValue"></a>

- *Type:* str

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

###### `resource_name`<sup>Optional</sup> <a name="resource_name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.resourceName"></a>

- *Type:* str

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `put_event_query` <a name="put_event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putEventQuery"></a>

```python
def put_event_query(
  compute: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute]],
  data_source: str,
  name: str,
  group_by: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy]] = None,
  indexes: typing.List[str] = None,
  search: DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch = None,
  storage: str = None
) -> None
```

###### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putEventQuery.parameter.compute"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>]]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

###### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putEventQuery.parameter.dataSource"></a>

- *Type:* str

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

###### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putEventQuery.parameter.name"></a>

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

###### `group_by`<sup>Optional</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putEventQuery.parameter.groupBy"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>]]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

###### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putEventQuery.parameter.indexes"></a>

- *Type:* typing.List[str]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

###### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putEventQuery.parameter.search"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

###### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putEventQuery.parameter.storage"></a>

- *Type:* str

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

##### `put_metric_query` <a name="put_metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putMetricQuery"></a>

```python
def put_metric_query(
  name: str,
  query: str,
  aggregator: str = None,
  data_source: str = None
) -> None
```

###### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putMetricQuery.parameter.name"></a>

- *Type:* str

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

###### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putMetricQuery.parameter.query"></a>

- *Type:* str

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

###### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putMetricQuery.parameter.aggregator"></a>

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

###### `data_source`<sup>Optional</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putMetricQuery.parameter.dataSource"></a>

- *Type:* str

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `put_process_query` <a name="put_process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putProcessQuery"></a>

```python
def put_process_query(
  data_source: str,
  metric: str,
  name: str,
  aggregator: str = None,
  is_normalized_cpu: typing.Union[bool, IResolvable] = None,
  limit: typing.Union[int, float] = None,
  sort: str = None,
  tag_filters: typing.List[str] = None,
  text_filter: str = None
) -> None
```

###### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putProcessQuery.parameter.dataSource"></a>

- *Type:* str

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

###### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putProcessQuery.parameter.metric"></a>

- *Type:* str

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

###### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putProcessQuery.parameter.name"></a>

- *Type:* str

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

###### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putProcessQuery.parameter.aggregator"></a>

- *Type:* str

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

###### `is_normalized_cpu`<sup>Optional</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putProcessQuery.parameter.isNormalizedCpu"></a>

- *Type:* typing.Union[bool, cdktf.IResolvable]

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

###### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putProcessQuery.parameter.limit"></a>

- *Type:* typing.Union[int, float]

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

###### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putProcessQuery.parameter.sort"></a>

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

###### `tag_filters`<sup>Optional</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putProcessQuery.parameter.tagFilters"></a>

- *Type:* typing.List[str]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

###### `text_filter`<sup>Optional</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putProcessQuery.parameter.textFilter"></a>

- *Type:* str

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

##### `reset_apm_dependency_stats_query` <a name="reset_apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetApmDependencyStatsQuery"></a>

```python
def reset_apm_dependency_stats_query() -> None
```

##### `reset_apm_resource_stats_query` <a name="reset_apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetApmResourceStatsQuery"></a>

```python
def reset_apm_resource_stats_query() -> None
```

##### `reset_event_query` <a name="reset_event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetEventQuery"></a>

```python
def reset_event_query() -> None
```

##### `reset_metric_query` <a name="reset_metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetMetricQuery"></a>

```python
def reset_metric_query() -> None
```

##### `reset_process_query` <a name="reset_process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetProcessQuery"></a>

```python
def reset_process_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmDependencyStatsQuery">apm_dependency_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmResourceStatsQuery">apm_resource_stats_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.eventQuery">event_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.metricQuery">metric_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.processQuery">process_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmDependencyStatsQueryInput">apm_dependency_stats_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmResourceStatsQueryInput">apm_resource_stats_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.eventQueryInput">event_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.metricQueryInput">metric_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.processQueryInput">process_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `apm_dependency_stats_query`<sup>Required</sup> <a name="apm_dependency_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmDependencyStatsQuery"></a>

```python
apm_dependency_stats_query: DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference</a>

---

##### `apm_resource_stats_query`<sup>Required</sup> <a name="apm_resource_stats_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmResourceStatsQuery"></a>

```python
apm_resource_stats_query: DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference</a>

---

##### `event_query`<sup>Required</sup> <a name="event_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.eventQuery"></a>

```python
event_query: DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference</a>

---

##### `metric_query`<sup>Required</sup> <a name="metric_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.metricQuery"></a>

```python
metric_query: DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference</a>

---

##### `process_query`<sup>Required</sup> <a name="process_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.processQuery"></a>

```python
process_query: DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference</a>

---

##### `apm_dependency_stats_query_input`<sup>Optional</sup> <a name="apm_dependency_stats_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmDependencyStatsQueryInput"></a>

```python
apm_dependency_stats_query_input: DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a>

---

##### `apm_resource_stats_query_input`<sup>Optional</sup> <a name="apm_resource_stats_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmResourceStatsQueryInput"></a>

```python
apm_resource_stats_query_input: DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a>

---

##### `event_query_input`<sup>Optional</sup> <a name="event_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.eventQueryInput"></a>

```python
event_query_input: DashboardWidgetGeomapDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a>

---

##### `metric_query_input`<sup>Optional</sup> <a name="metric_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.metricQueryInput"></a>

```python
metric_query_input: DashboardWidgetGeomapDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a>

---

##### `process_query_input`<sup>Optional</sup> <a name="process_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.processQueryInput"></a>

```python
process_query_input: DashboardWidgetGeomapDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a>

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetGeomapDefinitionRequestQuery, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>, cdktf.IResolvable]

---


### DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetAggregator">reset_aggregator</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetIsNormalizedCpu">reset_is_normalized_cpu</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetLimit">reset_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetSort">reset_sort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetTagFilters">reset_tag_filters</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetTextFilter">reset_text_filter</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_aggregator` <a name="reset_aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetAggregator"></a>

```python
def reset_aggregator() -> None
```

##### `reset_is_normalized_cpu` <a name="reset_is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetIsNormalizedCpu"></a>

```python
def reset_is_normalized_cpu() -> None
```

##### `reset_limit` <a name="reset_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetLimit"></a>

```python
def reset_limit() -> None
```

##### `reset_sort` <a name="reset_sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetSort"></a>

```python
def reset_sort() -> None
```

##### `reset_tag_filters` <a name="reset_tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetTagFilters"></a>

```python
def reset_tag_filters() -> None
```

##### `reset_text_filter` <a name="reset_text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetTextFilter"></a>

```python
def reset_text_filter() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.aggregatorInput">aggregator_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.dataSourceInput">data_source_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpuInput">is_normalized_cpu_input</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.limitInput">limit_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.metricInput">metric_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.nameInput">name_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.sortInput">sort_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.tagFiltersInput">tag_filters_input</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.textFilterInput">text_filter_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.aggregator">aggregator</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.dataSource">data_source</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpu">is_normalized_cpu</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.metric">metric</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.name">name</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.sort">sort</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.tagFilters">tag_filters</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.textFilter">text_filter</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregator_input`<sup>Optional</sup> <a name="aggregator_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.aggregatorInput"></a>

```python
aggregator_input: str
```

- *Type:* str

---

##### `data_source_input`<sup>Optional</sup> <a name="data_source_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.dataSourceInput"></a>

```python
data_source_input: str
```

- *Type:* str

---

##### `is_normalized_cpu_input`<sup>Optional</sup> <a name="is_normalized_cpu_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpuInput"></a>

```python
is_normalized_cpu_input: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `limit_input`<sup>Optional</sup> <a name="limit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.limitInput"></a>

```python
limit_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `metric_input`<sup>Optional</sup> <a name="metric_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.metricInput"></a>

```python
metric_input: str
```

- *Type:* str

---

##### `name_input`<sup>Optional</sup> <a name="name_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.nameInput"></a>

```python
name_input: str
```

- *Type:* str

---

##### `sort_input`<sup>Optional</sup> <a name="sort_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.sortInput"></a>

```python
sort_input: str
```

- *Type:* str

---

##### `tag_filters_input`<sup>Optional</sup> <a name="tag_filters_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.tagFiltersInput"></a>

```python
tag_filters_input: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `text_filter_input`<sup>Optional</sup> <a name="text_filter_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.textFilterInput"></a>

```python
text_filter_input: str
```

- *Type:* str

---

##### `aggregator`<sup>Required</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.aggregator"></a>

```python
aggregator: str
```

- *Type:* str

---

##### `data_source`<sup>Required</sup> <a name="data_source" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.dataSource"></a>

```python
data_source: str
```

- *Type:* str

---

##### `is_normalized_cpu`<sup>Required</sup> <a name="is_normalized_cpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpu"></a>

```python
is_normalized_cpu: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.metric"></a>

```python
metric: str
```

- *Type:* str

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.name"></a>

```python
name: str
```

- *Type:* str

---

##### `sort`<sup>Required</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.sort"></a>

```python
sort: str
```

- *Type:* str

---

##### `tag_filters`<sup>Required</sup> <a name="tag_filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.tagFilters"></a>

```python
tag_filters: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `text_filter`<sup>Required</sup> <a name="text_filter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.textFilter"></a>

```python
text_filter: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGeomapDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList <a name="DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>]]

---


### DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference <a name="DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.putSortQuery">put_sort_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetLimit">reset_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery">reset_sort_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_sort_query` <a name="put_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.putSortQuery"></a>

```python
def put_sort_query(
  aggregation: str,
  order: str,
  facet: str = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.putSortQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.putSortQuery.parameter.order"></a>

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.putSortQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_limit` <a name="reset_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetLimit"></a>

```python
def reset_limit() -> None
```

##### `reset_sort_query` <a name="reset_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery"></a>

```python
def reset_sort_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.limitInput">limit_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput">sort_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `sort_query`<sup>Required</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference</a>

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `limit_input`<sup>Optional</sup> <a name="limit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.limitInput"></a>

```python
limit_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `sort_query_input`<sup>Optional</sup> <a name="sort_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput"></a>

```python
sort_query_input: DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>, cdktf.IResolvable]

---


### DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput">order_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `order_input`<sup>Optional</sup> <a name="order_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```python
order_input: str
```

- *Type:* str

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order"></a>

```python
order: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList <a name="DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>]]

---


### DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference <a name="DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>, cdktf.IResolvable]

---


### DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putComputeQuery">put_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putGroupBy">put_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putMultiCompute">put_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetComputeQuery">reset_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetGroupBy">reset_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetMultiCompute">reset_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetSearchQuery">reset_search_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_compute_query` <a name="put_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putComputeQuery"></a>

```python
def put_compute_query(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putComputeQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putComputeQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

###### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putComputeQuery.parameter.interval"></a>

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `put_group_by` <a name="put_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putGroupBy"></a>

```python
def put_group_by(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>]]

---

##### `put_multi_compute` <a name="put_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putMultiCompute"></a>

```python
def put_multi_compute(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>]]

---

##### `reset_compute_query` <a name="reset_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetComputeQuery"></a>

```python
def reset_compute_query() -> None
```

##### `reset_group_by` <a name="reset_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetGroupBy"></a>

```python
def reset_group_by() -> None
```

##### `reset_multi_compute` <a name="reset_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetMultiCompute"></a>

```python
def reset_multi_compute() -> None
```

##### `reset_search_query` <a name="reset_search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetSearchQuery"></a>

```python
def reset_search_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.groupBy">group_by</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList">DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.multiCompute">multi_compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList">DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.computeQueryInput">compute_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.groupByInput">group_by_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.indexInput">index_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.multiComputeInput">multi_compute_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.searchQueryInput">search_query_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.index">index</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.searchQuery">search_query</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `compute_query`<sup>Required</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference</a>

---

##### `group_by`<sup>Required</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.groupBy"></a>

```python
group_by: DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList">DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList</a>

---

##### `multi_compute`<sup>Required</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.multiCompute"></a>

```python
multi_compute: DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList">DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList</a>

---

##### `compute_query_input`<sup>Optional</sup> <a name="compute_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.computeQueryInput"></a>

```python
compute_query_input: DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a>

---

##### `group_by_input`<sup>Optional</sup> <a name="group_by_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.groupByInput"></a>

```python
group_by_input: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>]]

---

##### `index_input`<sup>Optional</sup> <a name="index_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.indexInput"></a>

```python
index_input: str
```

- *Type:* str

---

##### `multi_compute_input`<sup>Optional</sup> <a name="multi_compute_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.multiComputeInput"></a>

```python
multi_compute_input: typing.Union[IResolvable, typing.List[DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>]]

---

##### `search_query_input`<sup>Optional</sup> <a name="search_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.searchQueryInput"></a>

```python
search_query_input: str
```

- *Type:* str

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.index"></a>

```python
index: str
```

- *Type:* str

---

##### `search_query`<sup>Required</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGeomapDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a>

---


### DashboardWidgetGeomapDefinitionStyleOutputReference <a name="DashboardWidgetGeomapDefinitionStyleOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteFlipInput">palette_flip_input</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteInput">palette_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.palette">palette</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteFlip">palette_flip</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `palette_flip_input`<sup>Optional</sup> <a name="palette_flip_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteFlipInput"></a>

```python
palette_flip_input: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `palette_input`<sup>Optional</sup> <a name="palette_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteInput"></a>

```python
palette_input: str
```

- *Type:* str

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.palette"></a>

```python
palette: str
```

- *Type:* str

---

##### `palette_flip`<sup>Required</sup> <a name="palette_flip" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteFlip"></a>

```python
palette_flip: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGeomapDefinitionStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a>

---


### DashboardWidgetGeomapDefinitionViewOutputReference <a name="DashboardWidgetGeomapDefinitionViewOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGeomapDefinitionViewOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.focusInput">focus_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.focus">focus</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `focus_input`<sup>Optional</sup> <a name="focus_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.focusInput"></a>

```python
focus_input: str
```

- *Type:* str

---

##### `focus`<sup>Required</sup> <a name="focus" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.focus"></a>

```python
focus: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGeomapDefinitionView
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a>

---


### DashboardWidgetGroupDefinitionOutputReference <a name="DashboardWidgetGroupDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.putWidget">put_widget</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetBackgroundColor">reset_background_color</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetBannerImg">reset_banner_img</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetShowTitle">reset_show_title</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetTitle">reset_title</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetWidget">reset_widget</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_widget` <a name="put_widget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.putWidget"></a>

```python
def put_widget(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidget]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.putWidget.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget">DashboardWidgetGroupDefinitionWidget</a>]]

---

##### `reset_background_color` <a name="reset_background_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetBackgroundColor"></a>

```python
def reset_background_color() -> None
```

##### `reset_banner_img` <a name="reset_banner_img" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetBannerImg"></a>

```python
def reset_banner_img() -> None
```

##### `reset_show_title` <a name="reset_show_title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetShowTitle"></a>

```python
def reset_show_title() -> None
```

##### `reset_title` <a name="reset_title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetTitle"></a>

```python
def reset_title() -> None
```

##### `reset_widget` <a name="reset_widget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetWidget"></a>

```python
def reset_widget() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.widget">widget</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetList">DashboardWidgetGroupDefinitionWidgetList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.backgroundColorInput">background_color_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.bannerImgInput">banner_img_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.layoutTypeInput">layout_type_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.showTitleInput">show_title_input</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.titleInput">title_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.widgetInput">widget_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget">DashboardWidgetGroupDefinitionWidget</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.backgroundColor">background_color</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.bannerImg">banner_img</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.layoutType">layout_type</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.showTitle">show_title</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.title">title</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition">DashboardWidgetGroupDefinition</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `widget`<sup>Required</sup> <a name="widget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.widget"></a>

```python
widget: DashboardWidgetGroupDefinitionWidgetList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetList">DashboardWidgetGroupDefinitionWidgetList</a>

---

##### `background_color_input`<sup>Optional</sup> <a name="background_color_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.backgroundColorInput"></a>

```python
background_color_input: str
```

- *Type:* str

---

##### `banner_img_input`<sup>Optional</sup> <a name="banner_img_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.bannerImgInput"></a>

```python
banner_img_input: str
```

- *Type:* str

---

##### `layout_type_input`<sup>Optional</sup> <a name="layout_type_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.layoutTypeInput"></a>

```python
layout_type_input: str
```

- *Type:* str

---

##### `show_title_input`<sup>Optional</sup> <a name="show_title_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.showTitleInput"></a>

```python
show_title_input: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `title_input`<sup>Optional</sup> <a name="title_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.titleInput"></a>

```python
title_input: str
```

- *Type:* str

---

##### `widget_input`<sup>Optional</sup> <a name="widget_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.widgetInput"></a>

```python
widget_input: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidget]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget">DashboardWidgetGroupDefinitionWidget</a>]]

---

##### `background_color`<sup>Required</sup> <a name="background_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.backgroundColor"></a>

```python
background_color: str
```

- *Type:* str

---

##### `banner_img`<sup>Required</sup> <a name="banner_img" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.bannerImg"></a>

```python
banner_img: str
```

- *Type:* str

---

##### `layout_type`<sup>Required</sup> <a name="layout_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.layoutType"></a>

```python
layout_type: str
```

- *Type:* str

---

##### `show_title`<sup>Required</sup> <a name="show_title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.showTitle"></a>

```python
show_title: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.title"></a>

```python
title: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGroupDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition">DashboardWidgetGroupDefinition</a>

---


### DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference <a name="DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetLiveSpan">reset_live_span</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitle">reset_title</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitleAlign">reset_title_align</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitleSize">reset_title_size</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_live_span` <a name="reset_live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetLiveSpan"></a>

```python
def reset_live_span() -> None
```

##### `reset_title` <a name="reset_title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitle"></a>

```python
def reset_title() -> None
```

##### `reset_title_align` <a name="reset_title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitleAlign"></a>

```python
def reset_title_align() -> None
```

##### `reset_title_size` <a name="reset_title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitleSize"></a>

```python
def reset_title_size() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.alertIdInput">alert_id_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.liveSpanInput">live_span_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleAlignInput">title_align_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleInput">title_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleSizeInput">title_size_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.vizTypeInput">viz_type_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.alertId">alert_id</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.liveSpan">live_span</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.title">title</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleAlign">title_align</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleSize">title_size</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.vizType">viz_type</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition">DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `alert_id_input`<sup>Optional</sup> <a name="alert_id_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.alertIdInput"></a>

```python
alert_id_input: str
```

- *Type:* str

---

##### `live_span_input`<sup>Optional</sup> <a name="live_span_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.liveSpanInput"></a>

```python
live_span_input: str
```

- *Type:* str

---

##### `title_align_input`<sup>Optional</sup> <a name="title_align_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleAlignInput"></a>

```python
title_align_input: str
```

- *Type:* str

---

##### `title_input`<sup>Optional</sup> <a name="title_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleInput"></a>

```python
title_input: str
```

- *Type:* str

---

##### `title_size_input`<sup>Optional</sup> <a name="title_size_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleSizeInput"></a>

```python
title_size_input: str
```

- *Type:* str

---

##### `viz_type_input`<sup>Optional</sup> <a name="viz_type_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.vizTypeInput"></a>

```python
viz_type_input: str
```

- *Type:* str

---

##### `alert_id`<sup>Required</sup> <a name="alert_id" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.alertId"></a>

```python
alert_id: str
```

- *Type:* str

---

##### `live_span`<sup>Required</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.title"></a>

```python
title: str
```

- *Type:* str

---

##### `title_align`<sup>Required</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

---

##### `title_size`<sup>Required</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

---

##### `viz_type`<sup>Required</sup> <a name="viz_type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.vizType"></a>

```python
viz_type: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition">DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition</a>

---


### DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference <a name="DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetPrecision">reset_precision</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTextAlign">reset_text_align</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitle">reset_title</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitleAlign">reset_title_align</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitleSize">reset_title_size</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetUnit">reset_unit</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_precision` <a name="reset_precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetPrecision"></a>

```python
def reset_precision() -> None
```

##### `reset_text_align` <a name="reset_text_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTextAlign"></a>

```python
def reset_text_align() -> None
```

##### `reset_title` <a name="reset_title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitle"></a>

```python
def reset_title() -> None
```

##### `reset_title_align` <a name="reset_title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitleAlign"></a>

```python
def reset_title_align() -> None
```

##### `reset_title_size` <a name="reset_title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitleSize"></a>

```python
def reset_title_size() -> None
```

##### `reset_unit` <a name="reset_unit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetUnit"></a>

```python
def reset_unit() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.alertIdInput">alert_id_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.precisionInput">precision_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.textAlignInput">text_align_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleAlignInput">title_align_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleInput">title_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleSizeInput">title_size_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.unitInput">unit_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.alertId">alert_id</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.precision">precision</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.textAlign">text_align</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.title">title</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleAlign">title_align</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleSize">title_size</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.unit">unit</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition">DashboardWidgetGroupDefinitionWidgetAlertValueDefinition</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `alert_id_input`<sup>Optional</sup> <a name="alert_id_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.alertIdInput"></a>

```python
alert_id_input: str
```

- *Type:* str

---

##### `precision_input`<sup>Optional</sup> <a name="precision_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.precisionInput"></a>

```python
precision_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `text_align_input`<sup>Optional</sup> <a name="text_align_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.textAlignInput"></a>

```python
text_align_input: str
```

- *Type:* str

---

##### `title_align_input`<sup>Optional</sup> <a name="title_align_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleAlignInput"></a>

```python
title_align_input: str
```

- *Type:* str

---

##### `title_input`<sup>Optional</sup> <a name="title_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleInput"></a>

```python
title_input: str
```

- *Type:* str

---

##### `title_size_input`<sup>Optional</sup> <a name="title_size_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleSizeInput"></a>

```python
title_size_input: str
```

- *Type:* str

---

##### `unit_input`<sup>Optional</sup> <a name="unit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.unitInput"></a>

```python
unit_input: str
```

- *Type:* str

---

##### `alert_id`<sup>Required</sup> <a name="alert_id" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.alertId"></a>

```python
alert_id: str
```

- *Type:* str

---

##### `precision`<sup>Required</sup> <a name="precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.precision"></a>

```python
precision: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `text_align`<sup>Required</sup> <a name="text_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.textAlign"></a>

```python
text_align: str
```

- *Type:* str

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.title"></a>

```python
title: str
```

- *Type:* str

---

##### `title_align`<sup>Required</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

---

##### `title_size`<sup>Required</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

---

##### `unit`<sup>Required</sup> <a name="unit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.unit"></a>

```python
unit: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGroupDefinitionWidgetAlertValueDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition">DashboardWidgetGroupDefinitionWidgetAlertValueDefinition</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>]]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetIsHidden">reset_is_hidden</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetLabel">reset_label</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetLink">reset_link</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetOverrideLabel">reset_override_label</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_is_hidden` <a name="reset_is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetIsHidden"></a>

```python
def reset_is_hidden() -> None
```

##### `reset_label` <a name="reset_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetLabel"></a>

```python
def reset_label() -> None
```

##### `reset_link` <a name="reset_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetLink"></a>

```python
def reset_link() -> None
```

##### `reset_override_label` <a name="reset_override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetOverrideLabel"></a>

```python
def reset_override_label() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.isHiddenInput">is_hidden_input</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.labelInput">label_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.linkInput">link_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabelInput">override_label_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.isHidden">is_hidden</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.label">label</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.link">link</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabel">override_label</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `is_hidden_input`<sup>Optional</sup> <a name="is_hidden_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.isHiddenInput"></a>

```python
is_hidden_input: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `label_input`<sup>Optional</sup> <a name="label_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.labelInput"></a>

```python
label_input: str
```

- *Type:* str

---

##### `link_input`<sup>Optional</sup> <a name="link_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.linkInput"></a>

```python
link_input: str
```

- *Type:* str

---

##### `override_label_input`<sup>Optional</sup> <a name="override_label_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabelInput"></a>

```python
override_label_input: str
```

- *Type:* str

---

##### `is_hidden`<sup>Required</sup> <a name="is_hidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.isHidden"></a>

```python
is_hidden: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `label`<sup>Required</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.label"></a>

```python
label: str
```

- *Type:* str

---

##### `link`<sup>Required</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.link"></a>

```python
link: str
```

- *Type:* str

---

##### `override_label`<sup>Required</sup> <a name="override_label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabel"></a>

```python
override_label: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>, cdktf.IResolvable]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putCustomLink">put_custom_link</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putRequest">put_request</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetCustomLink">reset_custom_link</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetLiveSpan">reset_live_span</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetRequest">reset_request</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitle">reset_title</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitleAlign">reset_title_align</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitleSize">reset_title_size</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_custom_link` <a name="put_custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putCustomLink"></a>

```python
def put_custom_link(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putCustomLink.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>]]

---

##### `put_request` <a name="put_request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putRequest"></a>

```python
def put_request(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putRequest.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a>]]

---

##### `reset_custom_link` <a name="reset_custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetCustomLink"></a>

```python
def reset_custom_link() -> None
```

##### `reset_live_span` <a name="reset_live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetLiveSpan"></a>

```python
def reset_live_span() -> None
```

##### `reset_request` <a name="reset_request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetRequest"></a>

```python
def reset_request() -> None
```

##### `reset_title` <a name="reset_title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitle"></a>

```python
def reset_title() -> None
```

##### `reset_title_align` <a name="reset_title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitleAlign"></a>

```python
def reset_title_align() -> None
```

##### `reset_title_size` <a name="reset_title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitleSize"></a>

```python
def reset_title_size() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.customLink">custom_link</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.customLinkInput">custom_link_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.liveSpanInput">live_span_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.requestInput">request_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleAlignInput">title_align_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleInput">title_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleSizeInput">title_size_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.liveSpan">live_span</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.title">title</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleAlign">title_align</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleSize">title_size</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition">DashboardWidgetGroupDefinitionWidgetChangeDefinition</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `custom_link`<sup>Required</sup> <a name="custom_link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.customLink"></a>

```python
custom_link: DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList</a>

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.request"></a>

```python
request: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList</a>

---

##### `custom_link_input`<sup>Optional</sup> <a name="custom_link_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.customLinkInput"></a>

```python
custom_link_input: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>]]

---

##### `live_span_input`<sup>Optional</sup> <a name="live_span_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.liveSpanInput"></a>

```python
live_span_input: str
```

- *Type:* str

---

##### `request_input`<sup>Optional</sup> <a name="request_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.requestInput"></a>

```python
request_input: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a>]]

---

##### `title_align_input`<sup>Optional</sup> <a name="title_align_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleAlignInput"></a>

```python
title_align_input: str
```

- *Type:* str

---

##### `title_input`<sup>Optional</sup> <a name="title_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleInput"></a>

```python
title_input: str
```

- *Type:* str

---

##### `title_size_input`<sup>Optional</sup> <a name="title_size_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleSizeInput"></a>

```python
title_size_input: str
```

- *Type:* str

---

##### `live_span`<sup>Required</sup> <a name="live_span" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.liveSpan"></a>

```python
live_span: str
```

- *Type:* str

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.title"></a>

```python
title: str
```

- *Type:* str

---

##### `title_align`<sup>Required</sup> <a name="title_align" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleAlign"></a>

```python
title_align: str
```

- *Type:* str

---

##### `title_size`<sup>Required</sup> <a name="title_size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleSize"></a>

```python
title_size: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGroupDefinitionWidgetChangeDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition">DashboardWidgetGroupDefinitionWidgetChangeDefinition</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>]]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery">put_sort_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetLimit">reset_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery">reset_sort_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_sort_query` <a name="put_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery"></a>

```python
def put_sort_query(
  aggregation: str,
  order: str,
  facet: str = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery.parameter.order"></a>

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_limit` <a name="reset_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetLimit"></a>

```python
def reset_limit() -> None
```

##### `reset_sort_query` <a name="reset_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery"></a>

```python
def reset_sort_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limitInput">limit_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput">sort_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `sort_query`<sup>Required</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference</a>

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `limit_input`<sup>Optional</sup> <a name="limit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limitInput"></a>

```python
limit_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `sort_query_input`<sup>Optional</sup> <a name="sort_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput"></a>

```python
sort_query_input: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>, cdktf.IResolvable]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput">order_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `order_input`<sup>Optional</sup> <a name="order_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```python
order_input: str
```

- *Type:* str

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order"></a>

```python
order: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>]]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>, cdktf.IResolvable]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery">put_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy">put_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute">put_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetComputeQuery">reset_compute_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetGroupBy">reset_group_by</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetMultiCompute">reset_multi_compute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetSearchQuery">reset_search_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_compute_query` <a name="put_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery"></a>

```python
def put_compute_query(
  aggregation: str,
  facet: str = None,
  interval: typing.Union[int, float] = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

###### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery.parameter.interval"></a>

- *Type:* typing.Union[int, float]

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `put_group_by` <a name="put_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy"></a>

```python
def put_group_by(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>]]

---

##### `put_multi_compute` <a name="put_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute"></a>

```python
def put_multi_compute(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>]]

---

##### `reset_compute_query` <a name="reset_compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetComputeQuery"></a>

```python
def reset_compute_query() -> None
```

##### `reset_group_by` <a name="reset_group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetGroupBy"></a>

```python
def reset_group_by() -> None
```

##### `reset_multi_compute` <a name="reset_multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetMultiCompute"></a>

```python
def reset_multi_compute() -> None
```

##### `reset_search_query` <a name="reset_search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetSearchQuery"></a>

```python
def reset_search_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQuery">compute_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupBy">group_by</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiCompute">multi_compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQueryInput">compute_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupByInput">group_by_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.indexInput">index_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiComputeInput">multi_compute_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQueryInput">search_query_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.index">index</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQuery">search_query</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `compute_query`<sup>Required</sup> <a name="compute_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQuery"></a>

```python
compute_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference</a>

---

##### `group_by`<sup>Required</sup> <a name="group_by" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupBy"></a>

```python
group_by: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList</a>

---

##### `multi_compute`<sup>Required</sup> <a name="multi_compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiCompute"></a>

```python
multi_compute: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList</a>

---

##### `compute_query_input`<sup>Optional</sup> <a name="compute_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQueryInput"></a>

```python
compute_query_input: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---

##### `group_by_input`<sup>Optional</sup> <a name="group_by_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupByInput"></a>

```python
group_by_input: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>]]

---

##### `index_input`<sup>Optional</sup> <a name="index_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.indexInput"></a>

```python
index_input: str
```

- *Type:* str

---

##### `multi_compute_input`<sup>Optional</sup> <a name="multi_compute_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiComputeInput"></a>

```python
multi_compute_input: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>]]

---

##### `search_query_input`<sup>Optional</sup> <a name="search_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQueryInput"></a>

```python
search_query_input: str
```

- *Type:* str

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.index"></a>

```python
index: str
```

- *Type:* str

---

##### `search_query`<sup>Required</sup> <a name="search_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQuery"></a>

```python
search_query: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>]]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor">reset_custom_bg_color</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor">reset_custom_fg_color</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue">reset_hide_value</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl">reset_image_url</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric">reset_metric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe">reset_timeframe</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_custom_bg_color` <a name="reset_custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor"></a>

```python
def reset_custom_bg_color() -> None
```

##### `reset_custom_fg_color` <a name="reset_custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor"></a>

```python
def reset_custom_fg_color() -> None
```

##### `reset_hide_value` <a name="reset_hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue"></a>

```python
def reset_hide_value() -> None
```

##### `reset_image_url` <a name="reset_image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl"></a>

```python
def reset_image_url() -> None
```

##### `reset_metric` <a name="reset_metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric"></a>

```python
def reset_metric() -> None
```

##### `reset_timeframe` <a name="reset_timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe"></a>

```python
def reset_timeframe() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput">comparator_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput">custom_bg_color_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput">custom_fg_color_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput">hide_value_input</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput">image_url_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput">metric_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput">palette_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput">timeframe_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput">value_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator">comparator</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor">custom_bg_color</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor">custom_fg_color</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue">hide_value</a></code> | <code>typing.Union[bool, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl">image_url</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric">metric</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette">palette</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe">timeframe</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.value">value</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `comparator_input`<sup>Optional</sup> <a name="comparator_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput"></a>

```python
comparator_input: str
```

- *Type:* str

---

##### `custom_bg_color_input`<sup>Optional</sup> <a name="custom_bg_color_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput"></a>

```python
custom_bg_color_input: str
```

- *Type:* str

---

##### `custom_fg_color_input`<sup>Optional</sup> <a name="custom_fg_color_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput"></a>

```python
custom_fg_color_input: str
```

- *Type:* str

---

##### `hide_value_input`<sup>Optional</sup> <a name="hide_value_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput"></a>

```python
hide_value_input: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `image_url_input`<sup>Optional</sup> <a name="image_url_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput"></a>

```python
image_url_input: str
```

- *Type:* str

---

##### `metric_input`<sup>Optional</sup> <a name="metric_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput"></a>

```python
metric_input: str
```

- *Type:* str

---

##### `palette_input`<sup>Optional</sup> <a name="palette_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput"></a>

```python
palette_input: str
```

- *Type:* str

---

##### `timeframe_input`<sup>Optional</sup> <a name="timeframe_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput"></a>

```python
timeframe_input: str
```

- *Type:* str

---

##### `value_input`<sup>Optional</sup> <a name="value_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput"></a>

```python
value_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator"></a>

```python
comparator: str
```

- *Type:* str

---

##### `custom_bg_color`<sup>Required</sup> <a name="custom_bg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor"></a>

```python
custom_bg_color: str
```

- *Type:* str

---

##### `custom_fg_color`<sup>Required</sup> <a name="custom_fg_color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor"></a>

```python
custom_fg_color: str
```

- *Type:* str

---

##### `hide_value`<sup>Required</sup> <a name="hide_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue"></a>

```python
hide_value: typing.Union[bool, IResolvable]
```

- *Type:* typing.Union[bool, cdktf.IResolvable]

---

##### `image_url`<sup>Required</sup> <a name="image_url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl"></a>

```python
image_url: str
```

- *Type:* str

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric"></a>

```python
metric: str
```

- *Type:* str

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette"></a>

```python
palette: str
```

- *Type:* str

---

##### `timeframe`<sup>Required</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe"></a>

```python
timeframe: str
```

- *Type:* str

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.value"></a>

```python
value: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>, cdktf.IResolvable]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetCount">reset_count</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetOrder">reset_order</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_count` <a name="reset_count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetCount"></a>

```python
def reset_count() -> None
```

##### `reset_order` <a name="reset_order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetOrder"></a>

```python
def reset_order() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.countInput">count_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.orderInput">order_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.count">count</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.order">order</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `count_input`<sup>Optional</sup> <a name="count_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.countInput"></a>

```python
count_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `order_input`<sup>Optional</sup> <a name="order_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.orderInput"></a>

```python
order_input: str
```

- *Type:* str

---

##### `count`<sup>Required</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.count"></a>

```python
count: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.order"></a>

```python
order: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a>]]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats">put_conditional_formats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putLimit">put_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putStyle">put_style</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetAlias">reset_alias</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetCellDisplayMode">reset_cell_display_mode</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetConditionalFormats">reset_conditional_formats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetLimit">reset_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetStyle">reset_style</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_conditional_formats` <a name="put_conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats"></a>

```python
def put_conditional_formats(
  value: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats]]
) -> None
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats.parameter.value"></a>

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>]]

---

##### `put_limit` <a name="put_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putLimit"></a>

```python
def put_limit(
  count: typing.Union[int, float] = None,
  order: str = None
) -> None
```

###### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putLimit.parameter.count"></a>

- *Type:* typing.Union[int, float]

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

###### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putLimit.parameter.order"></a>

- *Type:* str

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `put_style` <a name="put_style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putStyle"></a>

```python
def put_style(
  palette: str = None,
  palette_index: typing.Union[int, float] = None
) -> None
```

###### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putStyle.parameter.palette"></a>

- *Type:* str

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

###### `palette_index`<sup>Optional</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putStyle.parameter.paletteIndex"></a>

- *Type:* typing.Union[int, float]

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

##### `reset_alias` <a name="reset_alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetAlias"></a>

```python
def reset_alias() -> None
```

##### `reset_cell_display_mode` <a name="reset_cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetCellDisplayMode"></a>

```python
def reset_cell_display_mode() -> None
```

##### `reset_conditional_formats` <a name="reset_conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetConditionalFormats"></a>

```python
def reset_conditional_formats() -> None
```

##### `reset_limit` <a name="reset_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetLimit"></a>

```python
def reset_limit() -> None
```

##### `reset_style` <a name="reset_style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetStyle"></a>

```python
def reset_style() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormats">conditional_formats</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.aliasInput">alias_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput">cell_display_mode_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput">conditional_formats_input</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpressionInput">formula_expression_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.limitInput">limit_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.styleInput">style_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.alias">alias</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayMode">cell_display_mode</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpression">formula_expression</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `conditional_formats`<sup>Required</sup> <a name="conditional_formats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormats"></a>

```python
conditional_formats: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList</a>

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.limit"></a>

```python
limit: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference</a>

---

##### `style`<sup>Required</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.style"></a>

```python
style: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference</a>

---

##### `alias_input`<sup>Optional</sup> <a name="alias_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.aliasInput"></a>

```python
alias_input: str
```

- *Type:* str

---

##### `cell_display_mode_input`<sup>Optional</sup> <a name="cell_display_mode_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput"></a>

```python
cell_display_mode_input: str
```

- *Type:* str

---

##### `conditional_formats_input`<sup>Optional</sup> <a name="conditional_formats_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput"></a>

```python
conditional_formats_input: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>]]

---

##### `formula_expression_input`<sup>Optional</sup> <a name="formula_expression_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpressionInput"></a>

```python
formula_expression_input: str
```

- *Type:* str

---

##### `limit_input`<sup>Optional</sup> <a name="limit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.limitInput"></a>

```python
limit_input: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a>

---

##### `style_input`<sup>Optional</sup> <a name="style_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.styleInput"></a>

```python
style_input: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a>

---

##### `alias`<sup>Required</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.alias"></a>

```python
alias: str
```

- *Type:* str

---

##### `cell_display_mode`<sup>Required</sup> <a name="cell_display_mode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayMode"></a>

```python
cell_display_mode: str
```

- *Type:* str

---

##### `formula_expression`<sup>Required</sup> <a name="formula_expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpression"></a>

```python
formula_expression: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a>, cdktf.IResolvable]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPalette">reset_palette</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex">reset_palette_index</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_palette` <a name="reset_palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPalette"></a>

```python
def reset_palette() -> None
```

##### `reset_palette_index` <a name="reset_palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex"></a>

```python
def reset_palette_index() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput">palette_index_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteInput">palette_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.palette">palette</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndex">palette_index</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `palette_index_input`<sup>Optional</sup> <a name="palette_index_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput"></a>

```python
palette_index_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `palette_input`<sup>Optional</sup> <a name="palette_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteInput"></a>

```python
palette_input: str
```

- *Type:* str

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.palette"></a>

```python
palette: str
```

- *Type:* str

---

##### `palette_index`<sup>Required</sup> <a name="palette_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndex"></a>

```python
palette_index: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a>]]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval">reset_interval</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_interval` <a name="reset_interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval"></a>

```python
def reset_interval() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput">aggregation_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput">interval_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue">internal_value</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `aggregation_input`<sup>Optional</sup> <a name="aggregation_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput"></a>

```python
aggregation_input: str
```

- *Type:* str

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `interval_input`<sup>Optional</sup> <a name="interval_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput"></a>

```python
interval_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation"></a>

```python
aggregation: str
```

- *Type:* str

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.interval"></a>

```python
interval: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue"></a>

```python
internal_value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  wraps_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet">wraps_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `wraps_set`<sup>Required</sup> <a name="wraps_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.get"></a>

```python
def get(
  index: typing.Union[int, float]
) -> DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.get.parameter.index"></a>

- *Type:* typing.Union[int, float]

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.internalValue">internal_value</a></code> | <code>typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a>]]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.internalValue"></a>

```python
internal_value: typing.Union[IResolvable, typing.List[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy]]
```

- *Type:* typing.Union[cdktf.IResolvable, typing.List[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a>]]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str,
  complex_object_index: typing.Union[int, float],
  complex_object_is_from_set: bool
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complex_object_index</a></code> | <code>typing.Union[int, float]</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complex_object_is_from_set</a></code> | <code>bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

##### `complex_object_index`<sup>Required</sup> <a name="complex_object_index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* typing.Union[int, float]

the index of this item in the list.

---

##### `complex_object_is_from_set`<sup>Required</sup> <a name="complex_object_is_from_set" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery">put_sort_query</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetFacet">reset_facet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetLimit">reset_limit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery">reset_sort_query</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `put_sort_query` <a name="put_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery"></a>

```python
def put_sort_query(
  aggregation: str,
  order: str,
  facet: str = None
) -> None
```

###### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.aggregation"></a>

- *Type:* str

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

###### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.order"></a>

- *Type:* str

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

###### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.facet"></a>

- *Type:* str

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `reset_facet` <a name="reset_facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetFacet"></a>

```python
def reset_facet() -> None
```

##### `reset_limit` <a name="reset_limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetLimit"></a>

```python
def reset_limit() -> None
```

##### `reset_sort_query` <a name="reset_sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery"></a>

```python
def reset_sort_query() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery">sort_query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facetInput">facet_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limitInput">limit_input</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput">sort_query_input</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facet">facet</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limit">limit</a></code> | <code>typing.Union[int, float]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `sort_query`<sup>Required</sup> <a name="sort_query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery"></a>

```python
sort_query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference</a>

---

##### `facet_input`<sup>Optional</sup> <a name="facet_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facetInput"></a>

```python
facet_input: str
```

- *Type:* str

---

##### `limit_input`<sup>Optional</sup> <a name="limit_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limitInput"></a>

```python
limit_input: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `sort_query_input`<sup>Optional</sup> <a name="sort_query_input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput"></a>

```python
sort_query_input: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facet"></a>

```python
facet: str
```

- *Type:* str

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limit"></a>

```python
limit: typing.Union[int, float]
```

- *Type:* typing.Union[int, float]

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a>, cdktf.IResolvable]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_datadog import dashboard

dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet">reset_facet</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```
